/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: BuyNowPanel.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:41 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.beans;

/* 
// For testing under 1.2.x
import com.klg.jclass.util.swing.JCExitFrame;
*/
import com.klg.jclass.util.swing.JCHTMLPane;

import javax.swing.*;
import java.awt.*;
import java.lang.reflect.Method;

/**
 * Extension of JCHTMLPane that holds information about a product :
 * Its name, package, version, configuration, and possible evaluation
 * message.
 * For internal use only.
 */
public class BuyNowPanel extends JPanel {

protected JCHTMLPane  clickLabel;
protected Class       borland = null;
protected boolean     windows = false;
protected String      redirectUrl = "";

/**
 * Constructs a default BuyNow panel with no version information.
 * For internal use only.
 */
public BuyNowPanel()
{
    super();

    try {
        // See if we can locate borland's help viewer
        // we'll use it as a browser and send it to the company website
        borland = Class.forName("com.borland.primetime.help.HelpManager");
        redirectUrl = "https://apps2.quest.com/queststore/";
    }
    catch (Exception e) {
        String os = System.getProperty("os.name");

        if (os != null && os.startsWith("Windows")) {
            windows = true;
        }
        else {
            windows = false;
        }

        redirectUrl = "https://apps2.quest.com/queststore/";
    }

    setLayout(new BorderLayout());

    setBackground(Color.white);
    String banner = "/com/klg/jclass/beans/resources/banner.gif";
    java.net.URL url = BuyNowPanel.class.getResource(banner);

    clickLabel = new JCHTMLPane(
        "<html><BODY BGCOLOR=\"#FFFFFF\">" +

        "<center><img src=" + url + "><H2><A HREF=" + redirectUrl +
        ">Click here to buy JClass");
    //clickLabel.setCursor(Cursor.getPredefinedCursor(Cursor.HAND_CURSOR));
    //clickLabel.setIcon(new ImageIcon(url));
    //clickLabel.setVerticalTextPosition(SwingConstants.BOTTOM);
    //clickLabel.setHorizontalTextPosition(SwingConstants.CENTER);
    //clickLabel.addMouseListener(this);
    clickLabel.setPreferredSize(new Dimension(500, 150));

    add("Center", clickLabel);
}

// MouseListener methods
protected void followLink(java.net.URL url)
{
    Class borland = null;
    boolean windows = false;
    String redirectUrl = url.toString();

    try {
        // See if we can locate borland's help viewer
        // we'll use it as a browser and send it to the company website
        borland = Class.forName("com.borland.primetime.help.HelpManager");
    }
    catch (Exception e) {

        String os = System.getProperty("os.name");
        if (os != null && os.startsWith("Windows")) {
            windows = true;
        }
        else {
            windows = false;
        }
    }
    try {
        if (borland != null) {
            // first, lets find the dialog that is up
            JDialog dialog = null;
            Container parent = this;
            while (parent != null && parent instanceof Container) {
                parent = parent.getParent();
                if (parent instanceof JDialog) {
                    dialog = (JDialog)parent;
                    break;
                }
            }

            //now find the showURL method that we need to call
            Class[] parms = new Class[2];
            parms[0] = Class.forName("java.lang.String");
            parms[1] = Class.forName("javax.swing.JDialog");
            Method method = borland.getMethod("showURL", parms);

            //and then call the method
            if (method != null) {
                Object[] args = new Object[2];
                args[0] = redirectUrl;
                args[1] = dialog;
                method.invoke(null, args);
            }
        }
        else if (windows) {
            String cmd = "rundll32 url.dll,FileProtocolHandler " +
                redirectUrl;
            Runtime.getRuntime().exec(cmd);
        }
        else {
            // launching browser on unix platform

            // Under Unix, Netscape has to be running for the "-remote"
            // command to work. So, we try sending the command and
            // check for an exit value. If the exit command is 0,
            // it worked, otherwise we need to start the browser.

            String cmd = "netscape -remote openURL(" +
                redirectUrl + ")";
            Process p = Runtime.getRuntime().exec(cmd);

            try {
                int exitCode = p.waitFor();

                if (exitCode != 0) {
                    cmd = "netscape " + redirectUrl;
                    p = Runtime.getRuntime().exec(cmd);
                }
            }
            catch (InterruptedException ie) {
                System.err.println("Error launching browser");
            }
        }
    }
    catch (Exception exc) {}
}

/*
public static void main(String args[])
{
// For testing under 1.2.x - use these 3 lines if you're using JCExitFrame
    JFrame f = new JFrame("Test");
    f.getContentPane().setLayout(new java.awt.GridLayout(1, 1));
    f.getContentPane().add(new BuyNowPanel());
    // Use these 3 lines if you're using java.awt.Frame
//	java.awt.Frame f = new java.awt.Frame("Test");
//	f.setLayout(new java.awt.GridLayout(1,1));
//	f.add(new BuyNowPanel("JClass Beans"));

    f.pack();
    f.show();
}
*/

}
