/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: ComponentBeanInfo.java,v $ $Revision: 1.2 $ 
// $Date: 2006-03-17 21:12:41 $ $Locker:  $ Quest Software Inc. 

package com.klg.jclass.beans;

/**
 * Superclass for all JComponent-derived beans.  Contains JComponent property
 * definitions which it merges into the passed property list from it's 
 * sub-classes.
 */
public class ComponentBeanInfo extends JCBeanInfo {

// Pretty basic so far : just background, foreground, and font.  At some
// point, we probably want to write editors for some of the other properties.
public static final String ALIGNMENTX = "alignmentX";
public static final String ALIGNMENTY = "alignmentY";
public static final String AUTOSCROLLS = "autoscrolls";
public static final String BORDER = "border";
public static final String DEBUGGRAPHICSOPTIONS = "debugGraphicsOptions";
public static final String DOUBLEBUFFERED = "doubleBuffered";
public static final String ENABLED = "enabled";
public static final String MAXIMUMSIZE = "maximumSize";
public static final String MINIMUMSIZE = "minimumSize";
public static final String NAME = "name";
public static final String NEXTFOCUSABLECOMPONENT = "nextFocusableComponent";
public static final String OPAQUE = "opaque";
public static final String PREFERREDSIZE = "preferredSize";
public static final String REQUESTFOCUSENABLED = "requestFocusEnabled";
public static final String TOOLTIPTEXT = "toolTipText";
public static final String ABOUT = "about";


public static final String BACKGROUND = "background";
public static final String FONT = "font";
public static final String FOREGROUND = "foreground";

protected static final JCPropertyDescriptor component_properties[] = {
    new JCPropertyDescriptor(ALIGNMENTX, null),
    new JCPropertyDescriptor(ALIGNMENTY, null),
    new JCPropertyDescriptor(AUTOSCROLLS, AUTOSCROLLS, AUTOSCROLLS, true,
                             JCPropertyDescriptor.NORMAL, null),
    new JCPropertyDescriptor(BORDER, null),
    new JCPropertyDescriptor(DEBUGGRAPHICSOPTIONS, null),
    new JCPropertyDescriptor(DOUBLEBUFFERED, DOUBLEBUFFERED, DOUBLEBUFFERED,
                             true, JCPropertyDescriptor.NORMAL, null),
    new JCPropertyDescriptor(ENABLED, ENABLED, ENABLED, true,
                             JCPropertyDescriptor.NORMAL, null),
    new JCPropertyDescriptor(MAXIMUMSIZE, null),
    new JCPropertyDescriptor(MINIMUMSIZE, null),
    new JCPropertyDescriptor(NAME, null),
    new JCPropertyDescriptor(NEXTFOCUSABLECOMPONENT, null),
    new JCPropertyDescriptor(OPAQUE, OPAQUE, OPAQUE, true,
                             JCPropertyDescriptor.NORMAL, null),
    new JCPropertyDescriptor(PREFERREDSIZE, null),
    new JCPropertyDescriptor(REQUESTFOCUSENABLED, REQUESTFOCUSENABLED,
                             REQUESTFOCUSENABLED, true,
                             JCPropertyDescriptor.NORMAL, null),
    new JCPropertyDescriptor(TOOLTIPTEXT, null),
    new JCPropertyDescriptor(ABOUT, "com.klg.jclass.beans.AboutEditor"),

    new JCPropertyDescriptor(FOREGROUND, null),
    new JCPropertyDescriptor(BACKGROUND, null),
    new JCPropertyDescriptor(FONT, "com.klg.jclass.beans.FontChooserEditor"),
};

protected static final JCPropertyDescriptor component_properties2[] = {
    new JCPropertyDescriptor(ALIGNMENTX, null),
    new JCPropertyDescriptor(ALIGNMENTY, null),
    new JCPropertyDescriptor(AUTOSCROLLS, AUTOSCROLLS, AUTOSCROLLS, true,
                             JCPropertyDescriptor.NORMAL, null),
    new JCPropertyDescriptor(BORDER, null),
    new JCPropertyDescriptor(DEBUGGRAPHICSOPTIONS, null),
    new JCPropertyDescriptor(DOUBLEBUFFERED, DOUBLEBUFFERED, DOUBLEBUFFERED,
                             true, JCPropertyDescriptor.NORMAL, null),
    new JCPropertyDescriptor(ENABLED, ENABLED, ENABLED, true,
                             JCPropertyDescriptor.NORMAL, null),
    new JCPropertyDescriptor(NAME, null),
    new JCPropertyDescriptor(NEXTFOCUSABLECOMPONENT, null),
    new JCPropertyDescriptor(OPAQUE, OPAQUE, OPAQUE, true,
                             JCPropertyDescriptor.NORMAL, null),
    new JCPropertyDescriptor(PREFERREDSIZE, null),
    new JCPropertyDescriptor(REQUESTFOCUSENABLED, REQUESTFOCUSENABLED,
                             REQUESTFOCUSENABLED, true,
                             JCPropertyDescriptor.NORMAL, null),
    new JCPropertyDescriptor(TOOLTIPTEXT, null),
    new JCPropertyDescriptor(ABOUT, "com.klg.jclass.beans.AboutEditor"),

    new JCPropertyDescriptor(FOREGROUND, null),
    new JCPropertyDescriptor(BACKGROUND, null),
    new JCPropertyDescriptor(FONT, "com.klg.jclass.beans.FontChooserEditor"),
};


/**
 * Merge subclasses property list with our list of JComponent properties
 * and then pass up to superclass.
 */
public ComponentBeanInfo(JCPropertyDescriptor properties[],
					     JCEventSetDescriptor events[],
					     String resource_bundle, String icons[])
{
	super(mergeProperties(component_properties, properties),
          events, resource_bundle, icons);
}

/**
 * Merge subclasses property list with our list of JComponent properties
 * and then pass up to superclass. This constructor uses a boolean to indicate
 * that it uses the second component properties list.
 */
public ComponentBeanInfo(JCPropertyDescriptor properties[],
					     JCEventSetDescriptor events[],
					     String resource_bundle, String icons[],
                         boolean noSize)
{
	super(mergeProperties(component_properties2, properties),
          events, resource_bundle, icons);
}

}
