/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: InvalidLicenseEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:41 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.beans;

import java.awt.*;

/**
 * This editor contains JClass product information.
 */
public class InvalidLicenseEditor extends PanelEditor {

protected InvalidLicensePanel  invalidLicensePanel;
protected BuyNowPanel          buyNowPanel;

public InvalidLicenseEditor()
{
    setLayout(new BorderLayout());
    buyNowPanel = new BuyNowPanel();
    invalidLicensePanel = new InvalidLicensePanel();
    add("North", buyNowPanel);
    add("Center", invalidLicensePanel);
}

/**
 * Sets the error message.
 */
public void setErrorMessage(String[] error_message)
{
    invalidLicensePanel.setErrorMessage(error_message);
}

/**
 *	Converts a string to the appropriate type for the property.
 *	Override this method to convert a multi-line string of the property
 *  that user enters into the appropriate type for the property.
 */
public Object stringToValue(String s)
{
    return(null);
}

/**
 *	Converts the property to a string for display.
 *	@param value Value for the property
 */
public String valueToString(Object value)
{
    if (value == null) {
        return("");
    }
    return(value.toString());
}

public void setValue(Object value)
{
    target = value;
}

/** Return a string representation of the property for display. */
// Some IDEs like Visual Cafe use this to display value.
public String getAsText()
{
    return(valueToString(getValue()));
}

// Some IDEs like BeanBox have to use paintValue() to display the value as text.
public void paintValue(Graphics gc, Rectangle box)
{
    String s = getAsText();
    if (s == null) {
        s = new String("");
    }
    FontMetrics fm = gc.getFontMetrics();
    int vpad = (box.height - fm.getAscent()) / 2;
    gc.drawString(s, box.x, box.y + box.height - vpad);
}

public String getJavaInitializationString()
{
    return("");
}

}



