/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LocaleEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:41 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.beans;

import java.awt.Component;
import java.util.Locale;
import javax.swing.*;


/**
 *  Bean editor for changing locales
 */
public class LocaleEditor extends AbstractBeanEditor {

static protected final String languages[] = {
	"ab - Abkhazian",
	"aa - Afar",
	"af - Afrikaans",
	"sq - Albanian",
	"am - Amharic",
	"ar - Arabic",
	"hy - Armenian",
	"as - Assamese",
	"ay - Aymara",
	"az - Azerbaijani",
	"ba - Bashkir",
	"eu - Basque",
	"bn - Bengali",
	"dz - Bhutani",
	"bh - Bihari",
	"bi - Bislama",
	"br - Breton",
	"bg - Bulgarian",
	"my - Burmese",
	"be - Byelorussian",
	"km - Cambodian",
	"ca - Catalan",
	"zh - Chinese",
	"co - Corsican",
	"hr - Croatian",
	"cs - Czech",
	"da - Danish",
	"nl - Dutch",
	"en - English",
	"eo - Esperanto",
	"et - Estonian",
	"fo - Faeroese",
	"fj - Fiji",
	"fi - Finnish",
	"fr - French",
	"fy - Frisian",
	"gl - Galician",
	"ka - Georgian",
	"de - German",
	"el - Greek",
	"kl - Greenlandic",
	"gn - Guarani",
	"gu - Gujarati",
	"ha - Hausa",
	"he - Hebrew",
	"iw - Hebrew",
	"hi - Hindi",
	"hu - Hungarian",
	"is - Icelandic",
	"id - Indonesian",
	"in - Indonesian",
	"ia - Interlingua",
	"ie - Interlingue",
	"iu - Inukitut",
	"ik - Inupiak",
	"ga - Irish",
	"it - Italian",
	"ja - Japanese",
	"jw - Javanese",
	"kn - Kannada",
	"ks - Kashmiri",
	"kk - Kazakh",
	"rw - Kinyarwanda",
	"ky - Kirghiz",
	"rn - Kirundi",
	"ko - Korean",
	"ku - Kurdish",
	"lo - Laothian",
	"la - Latin",
	"lv - Latvian (Lettish)",
	"ln - Lingala",
	"lt - Lithuanian",
	"mk - Macedonian",
	"mg - Malagasy",
	"ms - Malay",
	"ml - Malayalam",
	"mt - Maltese",
	"mi - Maori",
	"mr - Marathi",
	"mo - Moldavian",
	"mn - Mongolian",
	"na - Nauru",
	"ne - Nepali",
	"no - Norwegian",
	"oc - Occitan",
	"or - Oriya",
	"om - Oromo (Afan)",
	"ps - Pashto (Pushto)",
	"fa - Persian",
	"pl - Polish",
	"pt - Portuguese",
	"pa - Punjabi",
	"qu - Quechua",
	"rm - Rhaeto-Romance",
	"ro - Romanian",
	"ru - Russian",
	"sm - Samoan",
	"sg - Sangro",
	"sa - Sanskrit",
	"gd - Scots Gaelic",
	"sr - Serbian",
	"sh - Serbo-Croatian",
	"st - Sesotho",
	"tn - Setswana",
	"sn - Shona",
	"sd - Sindhi",
	"si - Singhalese",
	"ss - Siswati",
	"sk - Slovak",
	"sl - Slovenian",
	"so - Somali",
	"es - Spanish",
	"su - Sundanese",
	"sw - Swahili",
	"sv - Swedish",
	"tl - Tagalog",
	"tg - Tajik",
	"ta - Tamil",
	"tt - Tatar",
	"te - Telugu",
	"th - Thai",
	"bo - Tibetan",
	"ti - Tigrinya",
	"to - Tonga",
	"ts - Tsonga",
	"tr - Turkish",
	"tk - Turkmen",
	"tw - Twi",
	"ug - Uighur",
	"uk - Ukrainian",
	"ur - Urdu",
	"uz - Uzbek",
	"vi - Vietnamese",
	"vo - Volapuk",
	"cy - Welsh",
	"wo - Wolof",
	"xh - Xhosa",
	"ji - Yiddish",
	"yi - Yiddish",
	"yo - Yoruba",
	"za - Zhuang",
	"zu - Zulu"
};

static protected final String countries[] = {
	"AF - Afghanistan",
	"AL - Albania",
	"DZ - Algeria",
	"AD - Andorra",
	"AO - Angola",
	"AI - Anguilla",
	"AR - Argentina",
	"AM - Armenia",
	"AW - Aruba",
	"AU - Australia",
	"AT - Austria",
	"AZ - Azerbaijan",
	"BS - Bahamas",
	"BH - Bahrain",
	"BD - Bangladesh",
	"BB - Barbados",
	"BY - Belarus",
	"BE - Belgium",
	"BZ - Belize",
	"BJ - Benin",
	"BM - Bermuda",
	"BT - Bhutan",
	"BO - Bolivia",
	"BA - Bosnia and Herzegovina",
	"BW - Botswana",
	"BR - Brazil",
	"BN - Brunei",
	"BG - Bulgaria",
	"BF - Burkina Faso",
	"BI - Burundi",
	"KH - Cambodia",
	"CM - Cameroon",
	"CA - Canada",
	"CV - Cape Verde",
	"CF - Central African Republic",
	"TD - Chad",
	"CL - Chile",
	"CN - China",
	"CO - Colombia",
	"KM - Comoros",
	"CG - Congo",
	"CR - Costa Rica",
	"CI - C\u00F4te d'Ivoire",
	"HR - Croatia",
	"CU - Cuba",
	"CY - Cyprus",
	"CZ - Czech Republic",
	"DK - Denmark",
	"DJ - Djibouti",
	"DM - Dominica",
	"DO - Dominican Republic",
	"TP - East Timor",
	"EC - Ecuador",
	"EG - Egypt",
	"SV - El Salvador",
	"GQ - Equatorial Guinea",
	"ER - Eritrea",
	"EE - Estonia",
	"ET - Ethiopia",
	"FJ - Fiji",
	"FI - Finland",
	"FR - France",
	"GF - French Guiana",
	"PF - French Polynesia",
	"TF - French Southern Territories",
	"GA - Gabon",
	"GM - Gambia",
	"GE - Georgia",
	"DE - Germany",
	"GH - Ghana",
	"GR - Greece",
	"GP - Guadeloupe",
	"GT - Guatemala",
	"GN - Guinea",
	"GW - Guinea-Bissau",
	"GY - Guyana",
	"HT - Haiti",
	"HN - Honduras",
	"HK - Hong Kong",
	"HU - Hungary",
	"IS - Iceland",
	"IN - India",
	"ID - Indonesia",
	"IR - Iran",
	"IQ - Iraq",
	"IE - Ireland",
	"IL - Israel",
	"IT - Italy",
	"JM - Jamaica",
	"JP - Japan",
	"JO - Jordan",
	"KZ - Kazakhstan",
	"KE - Kenya",
	"KI - Kiribati",
	"KP - North Korea",
	"KR - South Korea",
	"KW - Kuwait",
	"KG - Kyrgyzstan",
	"LA - Laos",
	"LV - Latvia",
	"LB - Lebanon",
	"LS - Lesotho",
	"LR - Liberia",
	"LY - Libya",
	"LI - Liechtenstein",
	"LT - Lithuania",
	"LU - Luxembourg",
	"MK - Macedonia",
	"MG - Madagascar",
	"MY - Malaysia",
	"ML - Mali",
	"MT - Malta",
	"MQ - Martinique",
	"MR - Mauritania",
	"MU - Mauritius",
	"YT - Mayotte",
	"MX - Mexico",
	"FM - Micronesia",
	"MD - Moldova",
	"MC - Monaco",
	"MN - Mongolia",
	"MS - Montserrat",
	"MA - Morocco",
	"MZ - Mozambique",
	"MM - Myanmar",
	"NA - Namibia",
	"NP - Nepal",
	"NL - Netherlands",
	"AN - Netherlands Antilles",
	"NC - New Caledonia",
	"NZ - New Zealand",
	"NI - Nicaragua",
	"NE - Niger",
	"NG - Nigeria",
	"NU - Niue",
	"NO - Norway",
	"OM - Oman",
	"PK - Pakistan",
	"PA - Panama",
	"PG - Papua New Guinea",
	"PY - Paraguay",
	"PE - Peru",
	"PH - Philippines",
	"PL - Poland",
	"PT - Portugal",
	"PR - Puerto Rico",
	"QA - Qatar",
	"RO - Romania",
	"RU - Russia",
	"RW - Rwanda",
	"SA - Saudi Arabia",
	"SN - Senegal",
	"SP - Serbia",
	"SC - Seychelles",
	"SL - Sierra Leone",
	"SG - Singapore",
	"SK - Slovakia",
	"SI - Slovenia",
	"SO - Somalia",
	"ZA - South Africa",
	"ES - Spain",
	"LK - Sri Lanka",
	"SD - Sudan",
	"SR - Suriname",
	"SZ - Swaziland",
	"SE - Sweden",
	"CH - Switzerland",
	"SY - Syria",
	"TW - Taiwan",
	"TJ - Tajikistan",
	"TZ - Tanzania",
	"TH - Thailand",
	"TG - Togo",
	"TK - Tokelau",
	"TO - Tonga",
	"TT - Trinidad and Tobago",
	"TN - Tunisia",
	"TR - Turkey",
	"TM - Turkmenistan",
	"UG - Uganda",
	"UA - Ukraine",
	"AE - United Arab Emirates",
	"GB - United Kingdom",
	"US - United States",
	"UY - Uruguay",
	"UZ - Uzbekistan",
	"VU - Vanuatu",
	"VA - Vatican",
	"VE - Venezuela",
	"VN - Vietnam",
	"VG - British Virgin Islands",
	"VI - U.S. Virgin Islands",
	"EH - Western Sahara",
	"YE - Yemen",
	"YU - Yugoslavia",
	"ZR - Zaire",
	"ZM - Zambia",
	"ZW - Zimbabwe"
};

static protected final String variants[] = {
	"EURO", "NY"
};

protected JComboBox  language;
protected JComboBox  country;
protected JComboBox  variant;
protected JPanel     panel;

protected Locale     locale;

public LocaleEditor()
{
    // invoke the super class with the key that retrieves the
    // help text for this editor
    super("com.klg.jclass.beans.resource.LocaleInfo",
          "????" /* JCBeanInfo.LOCALE_EDITOR_HELP*/, "?????");
}

/**
 * Returns the actual editor component which will be wrapped with the html
 * help pane.
 */
public Component getEditorComponent()
{
    int i;

    if (panel != null) {
        // Build language combobox
        language = new JComboBox();
        for (i = 0; i < languages.length; i++) {
            language.addItem(languages[i] + " - " + getName(languages[i]));
        }

        // Build countries combobox
        country = new JComboBox();
        for (i = 0; i < countries.length; i++) {
            country.addItem(countries[i] + " - " + getName(countries[i]));
        }

        // Build variants combobox
        variant = new JComboBox();
        for (i = 0; i < variants.length; i++) {
            variant.addItem(variants[i] + " - " + getName(variants[i]));
        }

        panel = new JPanel();
        panel.add(language);
        panel.add(country);
        panel.add(variant);
    }

    return(panel);
}

/**
 * looks up the key in the bean locale manager and returns "" if there is no
 * key
 */
protected String getName(String key)
{
    String name;
    name = JCBeanInfo.getLocaleManager().getString(key);
    if (name == null) {
        name = "";
    }
    return(name);
}

/**
 * Returns the 2 character language specifier
 */
protected String getLanguage()
{
    String item = (String)language.getSelectedItem();
    if (item == null || item.length() == 0 || item.length() == 1) {
        
        return("");
    }
    return(item.substring(0, 2));
}

/**
 * Returns the 0 or 2 character country specifier
 */
protected String getCountry()
{
    String item = (String)country.getSelectedItem();
    if (item == null || item.length() == 0 || item.length() == 1) {
        return("");
    }
    return(item.substring(0, 2));
}

/**
 * Returns the 0 or 2 character variant specifier
 */
protected String getVariant()
{
    String item = (String)variant.getSelectedItem();
    if (item == null || item.length() == 0 || item.length() == 1) {
        return("");
    }
    return(item);
}

/**
 * Returns the code generation string.
 */
public String getJavaInitializationString()
{
    return("new Locale(\"" +
           getLanguage() + "\", \"" +
           getCountry() + "\", \"" +
           getVariant() + "\")");
}

/**
 * Returns the value of the property.
 */
public Object getValue()
{
    return(new Locale(getLanguage(), getCountry(), getVariant()));
}

/**
 * Returns a text representation of the value.
 */
protected String getValueAsText()
{
    Locale l = new Locale(getLanguage(), getCountry(), getVariant());
    return(l.toString());
}

/**
 * Sets the value of the property.
 */
public void setValue(Object o)
{
    locale = (Locale)o;
    editorString = locale.toString();
}

}
