/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: PanelEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:41 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.beans;

import javax.swing.JPanel;

import java.beans.PropertyEditor;
import java.beans.PropertyChangeSupport;
import java.beans.PropertyChangeListener;
import java.awt.Component;
import java.awt.Graphics;
import java.awt.Rectangle;

/**
 * Inheriting from this class indicates to JCPropertyEditor that
 * the editor should appear on its own tab.
 */
abstract public class PanelEditor extends JPanel implements PropertyEditor {

protected PropertyChangeSupport  support = new PropertyChangeSupport(this);
protected Object                 target = null;

public void setValue(Object value)
{
    try {
        target = value;
    }
    catch (Exception e) {
        e.printStackTrace(System.out);
    }
}

public Object getValue()
{
    return(target);
}

public boolean isPaintable()
{
    return(true);
}

public void paintValue(Graphics gc, Rectangle box) {}

public String getJavaInitializationString()
{
    return("");
}

public String getAsText()
{
    return(null);
}

public void setAsText(String text) throws IllegalArgumentException
{
    throw new IllegalArgumentException(text);
}

public String[] getTags()
{
    return(null);
}

public Component getCustomEditor()
{
    return(this);
}

public boolean supportsCustomEditor()
{
    return(true);
}

public void addPropertyChangeListener(PropertyChangeListener l)
{
    support.addPropertyChangeListener(l);
}

public void removePropertyChangeListener(PropertyChangeListener l)
{
    support.removePropertyChangeListener(l);
}

}
