/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCCellEditorEvent.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:41 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.cell;

import java.awt.AWTEvent;
import java.util.EventObject;

/**
 * Cell editors inform all listeners when they are finished a
 * particular operation by posting a <code>JCCellEditorEvent</code>.  It contains
 * the event that originated the operation in the cell.  This event
 * (typically a key event) is interpreted by the container. 
 */
public class JCCellEditorEvent extends EventObject
{

/** The <code>AWTEvent</code> on which this event is based. */
protected AWTEvent event;

/**
 * Constructs a <code>JCCellEditorEvent</code> based on the source object.
 *
 * @param src the object on which this event initially occurred
 */
public JCCellEditorEvent(Object src)
{
	super(src);
    this.event = null;
}

/**
 * Constructs a <code>JCCellEditorEvent</code> based on an <code>AWTEvent</code>.
 * The source object is just the event's source object.
 * @param event the <code>AWTEvent</code> on which this event is based
 */
public JCCellEditorEvent(AWTEvent event)
{
    super(event.getSource());
    this.event = event;
}

/**
 * Gets the <code>AWTEvent</code> on which this event is based.
 * @return the <code>AWTEvent</code> on which this event is based
 */
public AWTEvent getEvent()
{
	return(event);
}

}


