/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCCellEditorEventSource.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:41 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.cell;

/**
 * Defines the <code>add</code> and <code>remove</code> methods for an object that posts
 * <code>JCCellEditorEvents</code>.
 */
public interface JCCellEditorEventSource {

/**
 * Adds a listener to the list that is notified when the editor starts, 
 * stops, or cancels editing.
 *
 * @param l the <code>JCCellEditorListener</code>
 */  
public void addCellEditorListener(JCCellEditorListener l);

/**
 * Removes a listener from the list that is notified when the editor 
 * starts, stops, or cancels editing.
 *
 * @param l the <code>JCCellEditorListener</code>
 */  
public void removeCellEditorListener(JCCellEditorListener l);

}
