/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCCellEditorListener.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:41 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.cell;

import java.util.EventListener;

/**
 * <code>JCCellEditorListener</code> is typically implemented by the container that
 * owns a <code>JCCellEditor</code>.  It is used by <code>JCCellEditor</code> to inform the container
 * when editing has been stopped or cancelled.
 */
public interface JCCellEditorListener extends EventListener,
                                              java.io.Serializable {

/** 
 * Tells the listeners that the editor has ended editing.
 * @param e
 */
public void editingStopped(JCCellEditorEvent e);

/** 
 * Tells the listeners that the editor has cancelled editing.
 * @param e
 */
public void editingCanceled(JCCellEditorEvent e);

}
