/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCCellTextEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:41 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.cell;

import java.awt.event.KeyEvent;

/**
 * The <CODE>JCTextCellEditor</CODE> interface allows objects to specify
 * custom cell text editors.
 * @see com.klg.jclass.cell.JCCellEditor
 */
public interface JCCellTextEditor extends JCCellEditor
{

/**
 * Returns whether this editor will select the text on initialization.
 * @return whether text will be selected on initialization
 */
public boolean getSelectAll();

/**
 * Gets the text for the editor (as a String).
 * @return the current text in the editor
 */
public String getCellEditorText();

/**
 * Sets the text for the editor.
 * @param text the new cell editor text value
 */
public void setCellEditorText(String text);

/**
 * Overrides the key event processor.  This allows the parent to pass a key
 * event to this editor that it otherwise might not get.
 * @param e the event to pass
 */
public void processKeyEvent(KeyEvent e);

}
