/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCFloatCellEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:42 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.cell.editors;

import com.klg.jclass.cell.validate.JCValidateEvent;

/**
 * <CODE>JCFloatCellEditor</CODE> provides an editor using a simple text 
 * field for <CODE>Float</CODE> objects.
 */
public class JCFloatCellEditor extends BaseCellEditor
{

/**
 * Default constructor.
 */
public JCFloatCellEditor()
{
	super();
}

/**
 * Called when the edit process is stopped.
 * @return <code>true</code> if the data entered is valid
 */
public boolean stopCellEditing()
{
    Float result = null;
	boolean valid = false;
    String str = getText();
	if (str == null || str.length() == 0) {
		result = null;
		valid = true; // null is considered a valid entry
	}
	else {
		try {
            String s = str.trim();
			if (s.equalsIgnoreCase("infinity")) {
				result = new Float(Float.POSITIVE_INFINITY);
            }
			else {
				result = Float.valueOf(s);
            }
			valid = true;
		}
		catch (Exception e) {
			result = null;
			valid = false; 
		}
	}

	JCValidateEvent ev = new JCValidateEvent(this, data, result, valid);
	return(fireValidated(ev));
}

/**
 * Returns the object to be committed.
 * @return object to be committed
 */
public Object getCellEditorValue()
{
	Float result = null;
    String str = getText();
	if (str == null || str.length() == 0) {
		result = null;
    }
	else {
		try {
            String s = str.trim();
            if (s.equalsIgnoreCase("infinity")) {
                result = new Float(Float.POSITIVE_INFINITY);
            }
            else {
                result = Float.valueOf(s);
            }
		}
		catch (Exception e) {
			return(null);
		}
	}	
	return(result);
}

}
