/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCComboBoxCellRenderer.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:42 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.cell.renderers;

import com.klg.jclass.cell.JCCellInfo;
import com.klg.jclass.cell.JCComponentCellRenderer;

import javax.swing.*;
import java.awt.*;

/**
 * The <CODE>JCComboBoxCellRenderer</CODE> class defines a 
 * <CODE>JCComponentCellRenderer</CODE> 
 * object that uses <CODE>JComboBox</CODE> to render a
 * boolean as a combo box.
 */
public class JCComboBoxCellRenderer extends JComboBox 
                                    implements JCComponentCellRenderer {

protected int values[] = null;

public JCComboBoxCellRenderer()
{
	super();
	this.values = null;
}

public JCComboBoxCellRenderer(Object[] o)
{
	this(o, null);
}

public JCComboBoxCellRenderer(Object[] o, int[] values)
{
	super(o);
	this.values = values;
}

public Component getRendererComponent(JCCellInfo cellInfo, Object o,
                                      boolean selected)
{
	if (values == null) {
		if (getSelectedItem() != null) {
    		// Use selection
    		if (!getSelectedItem().equals(o)) {
    			setSelectedItem(o);
    		}
        }
	}
	else if (o != null && o instanceof Integer) {
		setSelectedIndex(getIndexFromValue(((Integer)o).intValue()));
	}
	setFont(cellInfo.getFont());
	setBackground(selected ? cellInfo.getSelectedBackground()
                           : cellInfo.getBackground());
	setForeground(selected ? cellInfo.getSelectedForeground()
                           : cellInfo.getForeground());
	return this;
}

/**
 * Returns the index number for a value.
 * @return index number for a value
 * @param value value of the index number to return
 */
private int getIndexFromValue(int value)
{
	if (values == null) {
    	return(value);
    }
	for (int i = 0; i < values.length; i++) {
		if (values[i] == value) {
			return(i);
        }
    }
	return(-1);
}

}
