/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCHTMLCellRenderer.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:42 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.cell.renderers;

import com.klg.jclass.cell.JCCellInfo;

import java.awt.*;

/**
 * The <CODE>JCHTMLCellRenderer</CODE> class extends
 * <code>JCLabelCellRenderer</code>. The passed-in data is converted
 * to a String with an appropriate header that causes
 * <code>JLabel</code> to render as HTML.
 * <p>
 * Please note that HTML rendering is slow.  Do not use
 * this renderer for a lot of cells.
 */
public class JCHTMLCellRenderer extends JCLabelCellRenderer {

public Component getRendererComponent(JCCellInfo cellInfo, Object o,
                                      boolean selected)
{
	if (o == null) {
		return(super.getRendererComponent(cellInfo, o, selected));
	}
	StringBuffer sb = new StringBuffer("<html>");
	sb.append(o);
	return(super.getRendererComponent(cellInfo, sb.toString(), selected));
}

}

