/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCLabelCellRenderer.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:42 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.cell.renderers;

import com.klg.jclass.cell.JCComponentCellRenderer;
import com.klg.jclass.cell.JCCellInfo;

import javax.swing.JLabel;
import java.awt.Component;

/**
 * The <CODE>JCLabelCellRenderer</CODE> class defines a 
 * <CODE>JCComponentCellRenderer</CODE>  object that uses <CODE>JLabel</CODE>
 * to render any kind of data using that data object's <code>toString()</code> method.
 */
public class JCLabelCellRenderer extends JLabel
                                 implements JCComponentCellRenderer
{

public JCLabelCellRenderer()
{
	super();
}

public Component getRendererComponent(JCCellInfo cellInfo, Object o,
                                      boolean selected)
{
	if (o != null) {
		if (o instanceof String) {
			setText((String)o);
		} 
		else {
			setText(o.toString());
		}
	}
	else {
		setText("");
	}
	setFont(cellInfo.getFont());
	setBackground(selected ? cellInfo.getSelectedBackground()
                           : cellInfo.getBackground());
	setForeground(selected ? cellInfo.getSelectedForeground()
                           : cellInfo.getForeground());
	setHorizontalAlignment(cellInfo.getHorizontalAlignment());
	setVerticalAlignment(cellInfo.getVerticalAlignment());
	return(this);
}

}
