/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCRawImageCellRenderer.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:42 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.cell.renderers;

import com.klg.jclass.cell.JCCellInfo;
import com.klg.jclass.util.swing.JCIconCreator;

import javax.swing.*;
import java.awt.*;

/**
 * The <CODE>JCRawImageCellRenderer</CODE> class defines a 
 * <CODE>JCCellRenderer</CODE> 
 * object that paints unconverted <code>Image</code> objects in a table cell.
 */
public class JCRawImageCellRenderer extends JCScaledImageCellRenderer {

// need this to pass a Component into the getImage() method
// ATTN GV CHANGE THIS!!
protected Canvas component = new Canvas();

/**
 * Draws the image.
 * @param cellInfo
 * @param gc
 * @param o
 * @param selected
 */
public void draw(Graphics gc, JCCellInfo cellInfo, Object o, boolean selected)
{
    if ((o != null) && !(o instanceof Image)) {
		ImageIcon ic = JCIconCreator.getIcon((byte[]) o);
        o = ic.getImage();
    }
    super.draw(gc, cellInfo, o, selected);
}

/**
 * Returns the size of the cell required to display the image.
 * @return size of the cell required to display the image
 * @param gc
 * @param info
 * @param o
 */
public Dimension getPreferredSize(Graphics gc, JCCellInfo info, Object o)
{
    if ((o != null) && !(o instanceof Image)) {
		ImageIcon ic = JCIconCreator.getIcon((byte[]) o);
        o = ic.getImage();
    }
	return(super.getPreferredSize(gc, info, o));
}

}
