/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: AbstractEditorToComponent.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:43 $  $Locker:  $  Quest Software Inc.
package com.klg.jclass.cell.swing;

import com.klg.jclass.cell.JCCellEditor;
import com.klg.jclass.cell.JCCellInfo;

import javax.swing.*;
import java.awt.*;

public class AbstractEditorToComponent implements JCCellInfo
{

protected JCCellEditor  editor;
protected JComponent    component;

public AbstractEditorToComponent() {}

public AbstractEditorToComponent(JCCellEditor editor)
{
    this.editor = editor;
}

public void setEditor(JCCellEditor editor)
{
    this.editor = editor;
}

public JCCellEditor getEditor()
{
    return(editor);
}

public void setComponent(JComponent component)
{
    this.component = component;
}

public JComponent getComponent()
{
    return(component);
}

// JCCellInfo
public Color getBackground()
{
//  System.out.println("CellInfo.getBackground");
    if (component == null) {
        return(Color.gray);
    }
    return(component.getBackground());
}

public Color getForeground()
{
//  System.out.println("CellInfo.getForeground");
    if (component == null) {
        return(Color.black);
    }
  	return(component.getForeground());
}

public Color getSelectedBackground()
{
//  System.out.println("CellInfo.getSelectedBackground");
    if (component == null) {
        return(Color.blue);
    }
    return(component.getBackground());
}

public Color getSelectedForeground()
{
//  System.out.println("CellInfo.getSelectedForeground");
    if (component == null) {
        return(Color.black);
    }
    return(component.getForeground());
}

public Font getFont()
{
//  System.out.println("CellInfo.getFont");
    if (component == null) {
        return(null);
    }
    return(component.getFont());
}

public int getHorizontalAlignment()
{
//  System.out.println("CellInfo.getHorizontalAlignment");
    if (component == null) {
        return(0);
    }
//  return((int)component.getAlignmentX());
    return(JCCellInfo.CENTER);
}

public int getVerticalAlignment()
{
//  System.out.println("CellInfo.getVerticalAlignment");
    if (component == null) {
        return(0);
    }
//  return((int)component.getAlignmentY());
    return(JCCellInfo.CENTER);
}

public Insets getMarginInsets()
{
    return(new Insets(0,0,0,0));
}

public Insets getBorderInsets()
{
    return(new Insets(0,0,0,0));
}

public int getBorderStyle()
{
//  System.out.println("CellInfo.getBorderStyle");
    return(0);
}

public Rectangle getDrawingArea()
{
//  System.out.println("CellInfo.getDrawingArea");
    return(new Rectangle(0,0,0,0));
}

public boolean isEditable()
{
//  System.out.println("CellInfo.isEditable");
    return(true);
}

public boolean isEnabled()
{
//  System.out.println("CellInfo.isEnabled");
    return(true);
}

public boolean getSelectAll()
{
//  System.out.println("CellInfo.getSelectAll");
    return(false);
}

public int getClipHints()
{
//  System.out.println("CellInfo.getClipHints");
    return(0);
}

public Class getDataType()
{
//  System.out.println("CellInfo.getDataType");
    return(editor.getCellEditorValue().getClass());
}


}
