/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCCellEditorToJCSpinBox.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:43 $  $Locker:  $  Quest Software Inc.
package com.klg.jclass.cell.swing;

import com.klg.jclass.cell.JCCellEditor;
import com.klg.jclass.cell.JCCellEditorEvent;
import com.klg.jclass.cell.JCCellEditorListener;
import com.klg.jclass.util.swing.AbstractSpinBox;
import com.klg.jclass.util.swing.JCSpinBoxEditor;

import javax.swing.event.ChangeEvent;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.EventObject;
import java.util.Vector;

public class JCCellEditorToJCSpinBox extends AbstractEditorToComponent
                                     implements JCSpinBoxEditor
{

protected Vector                 cellListeners = new Vector();
protected Vector                 jcCellListeners = new Vector();

transient protected ChangeEvent  changeEvent = null;
transient protected EventObject  lastEvent = null;
transient protected Object       value = null;

public JCCellEditorToJCSpinBox() {}

public JCCellEditorToJCSpinBox(JCCellEditor editor)
{
    super(editor);
}

public JCCellEditorToJCSpinBox(JCCellEditor editor, AbstractSpinBox spinBox)
{
    super(editor);
    setComponent(spinBox);
}

public Component getEditorComponent()
{
    editor.initialize((AWTEvent)lastEvent, this, value);
    return(editor.getComponent());
}

public Object getItem()
{
    return(editor.getCellEditorValue());
}

public void setItem(Object value)
{
    this.value = value;
    editor.initialize((AWTEvent)lastEvent, this, value);
}

public void selectAll() {}

public void addActionListener(ActionListener l)
{
    JCCellEditorListener listener = new JCCellEditorToCellEditorListener(l);
    cellListeners.add(l);
    jcCellListeners.add(listener);
    editor.addCellEditorListener(listener);
}

public void removeActionListener(ActionListener l)
{
    for (int i = 0; i < cellListeners.size(); i++) {
        if (l == cellListeners.elementAt(i)) {
            cellListeners.remove(i);
            JCCellEditorListener jcCellListener =
                (JCCellEditorListener)jcCellListeners.remove(i);
            editor.removeCellEditorListener(jcCellListener);
            i--;
        }
    }
}


public class JCCellEditorToCellEditorListener implements JCCellEditorListener
 {
    protected ActionListener cellListener;

    public JCCellEditorToCellEditorListener(ActionListener cellListener)
    {
        this.cellListener = cellListener;
    }

    public void editingStopped(JCCellEditorEvent e)
    {
        cellListener.actionPerformed(new ActionEvent(e.getSource(),
                                                     ActionEvent.ACTION_PERFORMED,
                                                     ""));
    }

    public void editingCanceled(JCCellEditorEvent e)
    {
        cellListener.actionPerformed(new ActionEvent(e.getSource(),
                                                     ActionEvent.ACTION_PERFORMED,
                                                     ""));
    }
}

}
