/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCCellRendererToJCSpinBox.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:43 $  $Locker:  $  Quest Software Inc.
package com.klg.jclass.cell.swing;

import com.klg.jclass.cell.JCCellRenderer;
import com.klg.jclass.util.swing.AbstractSpinBox;
import com.klg.jclass.util.swing.JCSpinBoxRenderer;

import javax.swing.*;
import java.awt.*;

public class JCCellRendererToJCSpinBox extends AbstractRendererToComponent
                                       implements JCSpinBoxRenderer
{

public JCCellRendererToJCSpinBox(JCCellRenderer renderer)
{
    super(renderer);
}

public Component getComponent(AbstractSpinBox spinBox, Object value)
{
    setParentComponent(spinBox);
    setValue(value);
    Component ren = renderer.getRendererComponent(this, getValue(),
                                                  spinBox.hasFocus());
    if (ren instanceof JComponent) {
        ((JComponent)ren).setOpaque(true);
        this.setRendererComponent((JComponent) ren);
    }
    return(ren);
}


// JCCellInfo
public Color getBackground()
{
   return(UIManager.getColor("ComboBox.background"));
}

public Color getForeground()
{
   	return(UIManager.getColor("ComboBox.foreground"));
}

public Color getSelectedBackground()
{
    Color ret = UIManager.getColor("ComboBox.background");
    String lf = UIManager.getLookAndFeel().getID();
	if (!lf.equals("Metal") && !lf.equals("Motif")) {
        ret = UIManager.getColor("ComboBox.selectionBackground");
    }
    return(ret);
}

public Color getSelectedForeground()
{
    Color ret = UIManager.getColor("ComboBox.foreground");
   	String lf = UIManager.getLookAndFeel().getID();
    if (!lf.equals("Metal") && !lf.equals("Motif")) {
        ret = UIManager.getColor("ComboBox.selectionForeground");
    }
    return(ret);
}
    
}
