/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCCellRendererToJComboBox.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:43 $  $Locker:  $  Quest Software Inc.
package com.klg.jclass.cell.swing;

import com.klg.jclass.cell.JCCellRenderer;

import javax.swing.*;
import java.awt.*;

public class JCCellRendererToJComboBox extends AbstractRendererToComponent
                                       implements ListCellRenderer
{

public JCCellRendererToJComboBox(JCCellRenderer renderer)
{
    super(renderer);
}

public Component getListCellRendererComponent(JList list, Object value,
                                              int index, boolean isSelected,
                                              boolean cellHasFocus)
{
    setParentComponent(list);
    setValue(value);

    Component ren = renderer.getRendererComponent(this, value, isSelected);
    if (ren instanceof JComponent) {
        ((JComponent)ren).setOpaque(true);
        this.setRendererComponent((JComponent)ren);
    }
    return(ren);
}

// JCCellInfo
public Color getSelectedBackground()
{
    Color ret;
    if (parentComponent == null) {
        ret = UIManager.getColor("ComboBox.selectionBackground");
    }
    else {
        ret = ((JList)parentComponent).getSelectionBackground();
    }
    return(ret);
}

public Color getSelectedForeground()
{
    Color ret;
    if (parentComponent == null) {
        ret = UIManager.getColor("ComboBox.selectionForeground");
    }
    else {
        ret = ((JList)parentComponent).getSelectionForeground();
    }
    return(ret);
}

}
