/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCCellRendererToJTable.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:43 $  $Locker:  $  Quest Software Inc.
package com.klg.jclass.cell.swing;

import com.klg.jclass.cell.JCCellRenderer;

import javax.swing.*;
import javax.swing.border.Border;
import javax.swing.border.EmptyBorder;
import javax.swing.table.TableCellRenderer;
import java.awt.*;

public class JCCellRendererToJTable extends AbstractRendererToComponent
			                        implements TableCellRenderer
{

protected static Border  noFocusBorder;
protected boolean        isEditable;
protected boolean        hasFocus;

public JCCellRendererToJTable(JCCellRenderer renderer)
{
    super(renderer);
    noFocusBorder = new EmptyBorder(1, 2, 1, 2);
}

public Component getTableCellRendererComponent(JTable table, Object value,
				                               boolean isSelected,
											   boolean hasFocus,
											   int row, int column)
{
    setParentComponent(table);
    setValue(value);

    this.isEditable = table.isCellEditable(row, column);
    this.hasFocus = hasFocus;

    Component ren = renderer.getRendererComponent(this, value, isSelected);
    if (ren instanceof JComponent) {
		JComponent jren = (JComponent)ren;
		jren.setOpaque(true);
        this.setRendererComponent(jren);

        if (hasFocus) {
            jren.setBorder(UIManager.getBorder("Table.focusCellHighlightBorder"));
        }
        else {
            jren.setBorder(noFocusBorder);
        }
    }
    return(ren);
}

// JCCellInfo

public Color getSelectedBackground()
{
    Color ret = UIManager.getColor("Table.selectionBackground");

    if (parentComponent != null) {
        if (isEditable && hasFocus) {
            String lf = UIManager.getLookAndFeel().getID();
            if (lf.equals("Metal")) {
                ret = getBackground();
            }
            else if (lf.equals("Motif")) {
                ret = getBackground();
            }
            else if (lf.equals("Windows")) {
                ret = getBackground();
            }
            else {
                ret = ((JTable)parentComponent).getSelectionBackground();
            }
        }
        else {
            ret = ((JTable)parentComponent).getSelectionBackground();
        }
    }
    return(ret);
}

public Color getSelectedForeground()
{
    Color ret = UIManager.getColor("Table.selectionForeground");

    if (parentComponent != null) {
        if (isEditable && hasFocus) {
            String lf = UIManager.getLookAndFeel().getID();
            if (lf.equals("Metal")) {
                ret = ((JTable)parentComponent).getSelectionForeground();
            }
            else if (lf.equals("Motif")) {
                ret = getForeground();
            }
            else if (lf.equals("Windows")) {
                ret = getForeground();
            }
            else {
                ret = ((JTable)parentComponent).getSelectionForeground();
            }
        }
        else {
            ret = ((JTable)parentComponent).getSelectionForeground();
        }
    }
    return(ret);
}

}
