/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCValidateListener.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:43 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.cell.validate;

/**
 * The listener interface for receiving value change events from an editor.
 */
public interface JCValidateListener extends java.util.EventListener
{

/**
 * Invoked just before the internal value of the field is changed.
 * @param e
 */
public void valueChangedBegin(JCValidateEvent e);

/**
 * Invoked just after the internal value of the field has been changed.
 * @param e
 */
public void valueChangedEnd(JCValidateEvent e);

/**
 * Invoked if the state is changed to <code>INVALID</code>.
 * @param e
 */
public void stateIsInvalid(JCValidateEvent e);

}
