/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: BarPoint.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:44 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart;

import java.awt.Rectangle;
import java.awt.Point;

/**
 * Data structure used to represent the rectangle and 
 * polygon bounds for bar and stacking bar charts.
 * This class is used internally by JClass Chart and 
 * should not be used by applications.
 */
public class BarPoint {

/** X data value. */
public double x;

/** Y data value. */
public double y;

// For pick
/** Extents of the bar front (on the chart area). */
public Rectangle front = null;

/** Points that make up the top of a 3D bar (on the chart area). */
public Point top[] = null;

/** Points that make up the side of a 3D bar (on the chart area). */
public Point side[] = null;

}
