/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: BaseAxisScaleHandler.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:44 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart;

import java.util.List;
import java.util.Iterator;

/**
 * The base class for LinearAxisScaleHandler and LogAxisScaleHandler.
 */
abstract class BaseAxisScaleHandler implements AxisScaleHandler {

protected JCAxis parent = null;

public void setParent(JCAxis p) {
    this.parent = p;
}

public boolean fixBounds()
{
    if (!parent.min.isDefault && ! parent.max.isDefault) {
        if (parent.min.value >= parent.max.value) {
            String s =
                JCChartBundle.string(JCChartBundle.key105, parent.locale);
            s +=  JCChartBundle.string(JCChartBundle.key130, parent.locale);
            ErrorDialog.raise(parent, s);
            parent.max.isDefault = true;
            return(true);
        }
    }
    return(false);
}

/**
 * This method updates the start, stop, and increment values of the
 * specified JCAnno object.
 */
protected void updateAnnoObject(JCAnno anno, double start,
                                double stop, double increment)
{
    if (anno != null) {
        if (anno.getStartValueIsDefault()) {
            anno.startValue.value = start;
            // Don't call setStartValue() which sets isDefault to false.
        }
        if (anno.getStopValueIsDefault()) {
            anno.stopValue.value = stop;
        }
        if (anno.getIncrementIsDefault()) {
            anno.incrementValue.value = increment;
        }
    }
}

/**
 * Returns true if the List of JCValueLabels already contains a
 * tick label with the specified value.
 */
protected boolean isDuplicateLabel(JCAnno anno, double value) {
    boolean fDuplicate = false;
    if (parent != null) {
        List valueLabels = parent.getAnnotations();
        Iterator iterator = valueLabels.iterator();
        JCValueLabel vl = null;
        while (iterator.hasNext()) {
            vl = (JCValueLabel)iterator.next();
            if (vl.value == value && vl.getAnno() == anno) {
                fDuplicate = true;
                break;
            }
        }
    }
    return fDuplicate;
}

}
