/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: CachedViewProps.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:44 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart;

import java.awt.Color;
import java.util.List;

/**
 * Data structure internal to JCChart.  Used by JCLegend to cache
 * ChartDataView properties used by JCLegend.draw().  They must be cached
 * in case they are changed by another thread between the recalc() and the
 * draw().
 */
class CachedViewProps 
{

protected ChartDataView        view = null;
protected boolean              visible = true;
protected boolean              visibleInLegend = true;
protected int                  chartType = JCChart.PLOT;
protected int                  seriesPerData = 1;
protected boolean              inverted = false;
protected Color                outlineColor = null;
protected List                 seriesList = null;
protected CachedSeriesProps[]  seriesProps = null;

CachedViewProps() {}

}
