/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: Changeable.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:44 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart;

/**
 * A template for objects that have a changed flag or changed
 * semantic involving some kind of recalculation. This is very
 * common inside JClass Chart. All <code>ChartRegion</code>-derived and 
 * <code>ChartInteriorRegion</code>-derived objects 
 * make use of <code>Changeable</code>, either by directly 
 * implementing the interface or by deriving from <code>TrackChange</code>
 * (an abstract class that implements <code>Changeable</code>).
 */
public interface Changeable extends com.klg.jclass.util.Changeable
{
  
// Mask values to be used with the ChangedFlag property through setChanged(),
// getChanged(), and isChanged().
public final static int NOTIFY_LEGEND_REDRAW = 16;
public final static int NOTIFY_LEGEND_RECALC = 32;
public final static int NOTIFY_AXES_REDRAW   = 64;
public final static int NOTIFY_AXES_RECALC   = 128;
public final static int NOTIFY_CA_REDRAW     = 256;
public final static int NOTIFY_CA_RECALC     = 512;
public final static int BASIC_CHANGE_MASK    = REDRAW | RECALC;

}
