/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: EditableChartDataModel.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:45 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart;

/**
 * Extends the <code>ChartDataModel</code> interface to allow modification of data 
 * points in the data source. <br><B>Note:</b> The <code>EditableChartDataModel</code>
 * interface allows modification of <i>y</i> value data.
 */
public interface EditableChartDataModel extends ChartDataModel {

/**
 * Changes the specified <i>y</i> data value.
 * @param seriesIndex series index for the point to be changed
 * @param pointIndex point index for the point to be changed
 * @param newValue new <i>y</i> value for the specified point
 * @return boolean value indicating whether the new value was
 * accepted; <code>true</code> means value was accepted
 */
public boolean setDataItem(int seriesIndex, int pointIndex, double newValue);
}
