/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCAreaChartFormat.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:46 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart;

/**
 * An object that manages chart properties specific to area charts.
 */
public class JCAreaChartFormat implements JCChartTypeFormat,
										  java.io.Serializable
{

protected boolean     is100Percent=false;
protected Changeable  parent = null;

public JCAreaChartFormat() {}

public JCAreaChartFormat(Changeable p)
{
    parent = p;
}

public void setParent(ChartDataView cdv)
{
    parent = cdv;
}

/**
 * Gets the value of the <code>100Percent</code> property. A
 * <code>true</code> value
 * indicates that the stacking area chart is charted against
 * an axis representing values from 0 to 100 percent.
 * @return boolean indicating whether the y axis will range from
 * 0 to 100.
 */
public boolean is100Percent()
{
    return(is100Percent);
}

/**
 * Sets the value of the <code>100Percent</code> property. A
 * <code>true</code> value
 * indicates that the stacking area chart is charted against
 * an axis representing values from 0 to 100 percent.
 * @param b boolean indicating whether the y axis will range from
 * 0 to 100.
 */
public void set100Percent(boolean b)
{
    if (is100Percent == b) {
        return;
    }
    is100Percent = b;
    if (parent != null) {
        parent.setChanged(true, Changeable.RECALC);
    }
}

}
