/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCChartLabelLine.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:46 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart;

import javax.swing.*;
import java.awt.*;

/**
 * <code>JCChartLabelLine</code> is a small component that is used to draw lines
 * between points on the chart and the chart labels when the chart labels have
 * their connected mode turned on.
 */
public class JCChartLabelLine extends JComponent
                              implements java.io.Serializable
{

protected Point p1 = null; // start point
protected Point p2 = null; // end point

public JCChartLabelLine()
{
	// make sure this component is transparent
	setOpaque(false);
}

/**
 * Sets the start point of the line to draw.
 * @param point start point
 */
public void setStartPoint(Point point)
{
    p1 = point;
}

/**
 * Sets the end point of the line to draw.
 * @param point end point
 */
public void setEndPoint(Point point)
{
    p2 = point;
}

/**
 * Overrides <code>paintComponent()</code> to draw the line we want.
 * @param gc
 */
public void paintComponent(Graphics gc)
{
    super.paintComponent(gc);
    if (p1 != null && p2 != null) {
        gc.drawLine(p1.x, p1.y, p2.x, p2.y);
    }
}

}

