/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCDataCoord.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:46 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart;

/**
 * <code>JCDataCoord</code> holds a pair of floating point values representing
 * a data coordinate.
 */

public class JCDataCoord {

/** X value. */
protected double  x;

/** Y value. */
protected double  y;

/**
 * Simple constructor for <code>JCDataCoord</code>.
 * @param x The x value
 * @param y The y value
 */
public JCDataCoord(double x, double y)
{
    this.x = x;
    this.y = y;
}

/**
 * Gets the value of the X property, which represents a data value
 * along a particular axis.
 * @return The x value
 */
public double getX()
{
    return(x);
}

/**
 * Gets the value of the Y property, which represents a data value
 * along a particular axis.
 * @return The y value
 */
public double getY()
{
    return(y);
}

}


