/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCDrawableColorHandler.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:46 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart;

import java.awt.Color;

/**
 * The interface implemented by applets using JClass Chart
 * that want to provide custom determinations of the color of
 * a drawable.
 */
public interface JCDrawableColorHandler {
  
/**
 * Determines the color of a line segment. Currently used for Plot Charts.
 * @param x1 the <i>x</i> value of the first data point of the segment
 * @param y1 the <i>y</i> value of the first data point of the segment
 * @param x2 the <i>x</i> value of the second data point of the segment
 * @param y2 the <i>y</i> value of the second data point of the segment
 * @return color to use; null to use default color
 */
public Color getColor(double x1, double y1, double x2, double y2);

/**  
 * Determines the color at a particular data point.
 * @param x1 the <i>x</i> value of the data point
 * @param y1 the <i>y</i> value of the data point
 * @return color to use; null to use default color
 */
public Color getColor(double x1, double y1);

}
