/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCPickEvent.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:46 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart;

import java.util.EventObject;

/**
 * Represents a pick event in <code>JCChart</code>.  A pick event occurs when a
 * <code>JCPickListener</code> is installed on a chart and the mouse button is
 * pressed down over a <code>JCChart</code> object.
 */
public class JCPickEvent extends EventObject {

/**
 * The result of a pick event.  Holds object, data view, data series, and
 * series point picked.
 */
protected JCDataIndex pickResult;

JCPickEvent(JCChart chart, JCDataIndex ind)
{
    super(chart);
    pickResult = ind;
}

/**
 * Gets the result of a pick event, a <code>JCDataIndex</code> object.  If no
 * subcomponent of a <code>JCChart</code> (header, footer, legend, chart area)
 * was picked, this will be null.
 * @return a <code>JCDataIndex</code> instance holding the pick result
 */
public JCDataIndex getPickResult()
{
    return pickResult;
}

}
