/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCStyle.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:46 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart;

import java.awt.Color;

/**
 * <code>JCStyle</code> is the base class for anything in JClass Chart that
 * controls style.
 */
public class JCStyle implements java.io.Serializable {

protected JCChartStyle parent = null;

private static Color standardDefault[] = {
    Color.red,
    Color.orange,
    Color.blue,
    Color.lightGray,
    Color.magenta,
    Color.yellow,
    Color.gray,
    Color.green,
    Color.darkGray,
    Color.cyan,
    Color.black,
    Color.pink,
    Color.white,
};

protected static Color defaultColors[] = standardDefault;


/**
 * Default constructor for <code>JCStyle</code>.
 */
public JCStyle() {}

void setChanged(boolean b, int cf)
{
	if (parent != null) {
		parent.callParentSetChanged(b, cf);
    }
}

/**
 * Allows access to the default color list.
 * @return The default color list in an array
 */
public static Color[] getDefaultColors()
{
	return(defaultColors);
}

/**
 * Set the default color list.
 * @param nc The new color list.  If null or empty, the default color list will
 * be restored to the standard default colors.
 */
public static void setDefaultColors(Color[] nc)
{
	if (nc == null || nc.length < 1) {
		defaultColors = standardDefault;
	}
	else {
		defaultColors = nc;
	}
}

}


