/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LabelledChartDataModel.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:47 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart;

/**
 * An interface used to specify point labels and
 * series names for a JClass Chart data model.
 *
 * <P><b>Note:</b> The <code>LabelledChartDataModel</code> interface
 * is only used in conjunction with the <code>ChartDataModel</code>
 * interface; that is, in order for an object to be recognized as a chart
 * data source, it needs to implement the <code>ChartDataModel</code> interface.
 * 
 * @see ChartDataModel
 */
public interface LabelledChartDataModel {

/**
 * Retrieves the number of data series.
 * @return number of data series
 */
public int getNumSeries();

/**
 * Retrieves the labels to be used for each point in a
 * particular data series.
 * @return array of point labels
 */
public String[] getPointLabels();


/**
 * Retrieves the labels to be used for each data series.
 * @return labels to be used for each data series
 */
public String[] getSeriesLabels();

/**
 * Retrieves the name for the data source.
 * @return name for the data source
 */
public String getDataSourceName();

}


