/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LinearAxisUtil.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:47 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart;

/**
 * A helper class for the rectangular and circular chart LinearAxisHandlers.
 */
class LinearAxisUtil {

// Code shared by the calcParams() method:

static double calcMaxUsed(JCAxis parent, double lmax, double origin) {
    lmax = JCChartUtil.precCeil(parent.getPrecision(), lmax);
    lmax = parent.max.isDefault ? lmax : parent.max.value;
    return (parent.max.isDefault ? JCChartUtil.max(lmax, origin) : lmax);
}

static double calcMinUsed(JCAxis parent, double lmin, double origin) {
    lmin = JCChartUtil.precFloor(parent.getPrecision(), lmin);
    lmin = parent.min.isDefault ? lmin : parent.min.value;
    return (parent.min.isDefault ? JCChartUtil.min(lmin, origin) : lmin);
}

static void setAxisMinMax(JCAxis parent, double lmin, double lmax,
                          double minReal, double maxReal) {
    if (parent.visible) {
        if (parent.min.isDefault) {
            parent.min.value = lmin;
        }
        if (parent.max.isDefault) {
            parent.max.value = lmax;
        }
    }
    else {
        if (parent.min.isDefault) {
            parent.min.value = minReal;
        }
        if (parent.max.isDefault) {
            parent.max.value = maxReal;
        }
    }
}

static double updateMinValue(double lmin,
                             double origin, double inc) {
    if (inc != 0) {
        double tmp = (lmin - origin) / inc;
        if (tmp != Math.floor(tmp)) {
            lmin = (origin + Math.floor(tmp-1.0)*inc);
        }
        else {
            lmin = (origin + Math.floor(tmp)*inc);
        }
    }
    return lmin;
}

static double updateMaxValue(double lmax,
                             double origin, double inc) {
    if (inc != 0) {
        double tmp = (lmax - origin) / inc;
        if (tmp != Math.floor(tmp)) {
            lmax = (origin + Math.floor(tmp+1.0)*inc);
        }
        else {
            lmax = (origin + Math.floor(tmp)*inc);
        }
    }
    return lmax;
}

}
