/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: Picker.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:47 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart;

/**
 * This class is used for Pie chart picking.  For internal use only.
 */
public class Picker implements PieTagModel {

protected PieData      pieData = null;
protected int          distance;
protected int          set, point;
protected int          tag_set, tag_point;
protected int          pix_x, pix_y;
protected JCDataIndex  currentDataIndex;

public Picker(int x, int y, PieData pieData)
{
    pix_x = x;
    pix_y = y;
    distance = Integer.MAX_VALUE;
    tag_set = set = -1;
    tag_point = point = -1;

    this.pieData = pieData;
}

public void setPieData(PieData pd)
{
    pieData = pd;
}

public PieData getPieData()
{
    return(pieData);
}

public void setDataIndex(JCDataIndex index)
{
    currentDataIndex = index;
    tag_set = index.getSeriesIndex();
    tag_point = index.getPoint();
}

public JCDataIndex getDataIndex()
{
    return(currentDataIndex);
}

}
