/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: PieChartInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:47 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart;

/** Data structure internal to <code>JCChart</code>.  Used to represent information on
 *  a number of pie charts that represent one <code>ChartDataView</code>.
 */
public class PieChartInfo 
{

/** Position of each pie chart. */
public PiePosition[] pos;

/** Derived data for each pie chart. */
public PieData[] data;

/** Width of each pie chart. */
public int width;

/** Height of each pie chart. */
public int height;

/** 
 *  Flag determining existence of other slices in the pie charts.  
 *  1 is <code>true</code>, 0 is <code>false</code>.
 */
public int other_flag;

/** Number of pie charts representing the data view. */
public int num_pies;

/** Default constructor. */
public PieChartInfo()
{
	pos = null;
    data = null;
	width = 0;
    height = 0;
    other_flag = 0;
    num_pies = 1;
}

}
