/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: PieData.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:47 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart;

/**
 * Data structure internal to <code>JCChart</code>.  Used to represent data for
 * one pie chart derived from the original data set.
 */
public class PieData 
{

/**
 * The data sorted.  Indexed by slice number in the order it appears in the
 * finished chart.
 */
public PieSortPoint sortPoints[];

/**
 * The data as percentage of overall data.  Indexed by slice number in the
 * order it appears in the finished chart.
 * */
public PiePercent percents[];

/**
 * <code>True</code> if the slice is exploded.  Indexed by series number.  Last
 * item is for the other slice.
 */
public boolean exploded[];

/** Number of slices in the pie chart. */
public int num_slices_pie;

/** 1 if an "other" slice exists in the pie chart; 0 otherwise. */
public int other_slice;

/** Flag used in calculating the other slice. */
public int other_flag;

/** <code>True</code> if the pie chart is empty. */
public boolean zero_pie;

/** The last slice to be drawn. */
public int lastDrawnSlice;

/** Default constructor. */
public PieData()
{
    sortPoints = null;
    percents = null;
    num_slices_pie = 0;
    other_slice = 0;
    other_flag = 0;
    zero_pie = false;
    lastDrawnSlice = -1;
}

}
