/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: ProcessShapeModel.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:47 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart;

import java.awt.Rectangle;
import java.awt.Shape;

public interface ProcessShapeModel {

/** Possible shape operations. */
public final static int SHAPE_RENDER = 0;
public final static int SHAPE_PICK = 1;
public final static int SHAPE_IMAGEMAP = 2;

public void updateFillOrientation(Rectangle rect, int newOrient);

public void resetFillOrientation();

public void fillPolygon(Shape shape);

public void fillPolygonShadow(Shape shape);

public void fillArc(double x, double y, double width, double height,
					double startAngle, double arcAngle);

public void fillArcShadow(double x, double y, double width, double height,
						  double startAngle, double arcAngle);

public void drawLine(double x1, double y1, double x2, double y2);

public void drawArc(double x, double y, double width, double height,
					double startAngle, double arcAngle);
}
