/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: Triangle.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:47 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart;

/**
 * The <code>Triangle</code> class is an extension of the <code>JCShape</code> class
 * that draws a triangle for a point.  Used internally for
 * <code>JCSymbolStyle.TRIANGLE</code>.
 */
public class Triangle extends JCShape implements java.io.Serializable {

/**
 * Default constructor (required).
 */
public Triangle() {
}

/**
 * Overrides <code>JCShape&#46;resize()</code>.  Creates an array of points that will
 * draw a triangle.
 * @param sz
 */
protected void resize(int sz) {
	if (size == sz) return;
	size = sz;
	x = new int[3];
	y = new int[3];
	int base = size / 2;
	x[0] = -base;
	y[0] = base;
	x[1] = 0;
	y[1] = -base;
	x[2] = base;
	y[2] = base;
}

}
