/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: AppearanceEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:47 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.beans;

import com.klg.jclass.chart.ChartRegion;
import com.klg.jclass.chart.JCChartEnumMappings;
import com.klg.jclass.beans.JCBeanInfo;
import com.klg.jclass.beans.BorderEditorPanel;
import com.klg.jclass.beans.ColorEditorPanel;
import com.klg.jclass.util.swing.JCSwingTypeConverter;
import com.klg.jclass.util.swing.JCColumnLayout;

import java.awt.Insets;
import java.awt.Color;
import java.awt.GridLayout;
import java.awt.GridBagLayout;
import java.awt.GridBagConstraints;
import java.awt.Dimension;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import java.awt.event.FocusListener;
import java.awt.event.FocusEvent;
import java.awt.event.ItemListener;
import java.awt.event.ItemEvent;
import java.beans.PropertyChangeListener;
import java.beans.PropertyChangeEvent;

import java.awt.Component;
import java.awt.Frame;

import javax.swing.JComponent;
import javax.swing.JCheckBox;
import javax.swing.JComboBox;
import javax.swing.JFrame;
import javax.swing.JTextField;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.SwingConstants;
import javax.swing.BorderFactory;
import javax.swing.border.TitledBorder;
import javax.swing.border.Border;




import java.util.Vector;


/**
 * Editor for MultiChart Appearance Properties.
 */

public class AppearanceEditor extends BaseEditor
					  implements ItemListener, ActionListener, FocusListener,
								 PropertyChangeListener {

protected ColorEditorPanel backgroundEditor;
protected ColorEditorPanel foregroundEditor;
protected JCheckBox visible_cb;
protected JCheckBox opaque_cb;
protected JCheckBox axisbounding_cb;
protected BorderEditorPanel borderEditor;

protected JPanel this_pn;

public AppearanceEditor() {
	super();
}

protected void setEnumArrays()
{
}

/**
 * Creates a panel containing the GUI elements for the properties
 * associated with the radio buttons.
 * @return the panel
 */
protected JPanel makePropertyPanel() 
{
    JPanel p2 = new JPanel();
    p2.setBorder(BorderFactory.createTitledBorder(
						JCChartBeanBundle.string(JCChartBeanBundle.key184)));
	p2.setLayout(new JCColumnLayout(SwingConstants.CENTER));

	backgroundEditor = new ColorEditorPanel();
	foregroundEditor = new ColorEditorPanel();

	JPanel p3 = new JPanel();
	p3.setLayout(new GridLayout(2, 1));

    JPanel p5 = new JPanel();
    p5.setBorder(BorderFactory.createTitledBorder(
						JCChartBeanBundle.string(JCChartBeanBundle.key185)));
	p5.setLayout(new GridBagLayout());
	GridBagConstraints gbc5  = new GridBagConstraints();
	gbc5.gridwidth = 2;
	gbc5.gridx = GridBagConstraints.RELATIVE;
	gbc5.gridy = 0;
	gbc5.anchor = GridBagConstraints.WEST;
	gbc5.insets = new Insets(4,4,4,4);

	p5.add(backgroundEditor, gbc5);

    JPanel p6 = new JPanel();
    p6.setBorder(BorderFactory.createTitledBorder(
    			JCChartBeanBundle.string(JCChartBeanBundle.key187)));
	p6.setLayout(new GridBagLayout());
	GridBagConstraints gbc6  = new GridBagConstraints();
	gbc6.gridwidth = 2;
	gbc6.gridx = GridBagConstraints.RELATIVE;
	gbc6.gridy = 0;
	gbc6.anchor = GridBagConstraints.WEST;
	gbc6.insets = new Insets(4,4,4,4);

	p6.add(foregroundEditor, gbc6);

	p3.add(p5);
	p3.add(p6);

	p2.add(p3);

	borderEditor = new BorderEditorPanel();
	borderEditor.setBorder(BorderFactory.createTitledBorder(
				JCChartBeanBundle.string(JCChartBeanBundle.key188)));
	p2.add(borderEditor);

	JPanel p8 = new JPanel();
	visible_cb = new JCheckBox(JCChartBeanBundle.string(JCChartBeanBundle.key191));
	opaque_cb = new JCheckBox(JCChartBeanBundle.string(JCChartBeanBundle.key299));
	axisbounding_cb = new JCheckBox(JCChartBeanBundle.string(JCChartBeanBundle.key192));

	p8.setLayout(new GridBagLayout());
	GridBagConstraints gbc8  = new GridBagConstraints();
	gbc8.gridwidth = 1;
	gbc8.gridx = GridBagConstraints.RELATIVE;
	gbc8.gridy = 0;
	gbc8.anchor = GridBagConstraints.WEST;
	gbc8.insets = new Insets(4,4,4,4);

	p8.add(visible_cb, gbc8);
	gbc8.gridy++;
	p8.add(opaque_cb, gbc8);
	gbc8.gridy++;
	p8.add(axisbounding_cb, gbc8);

	p2.add(p8);

	add("Center", p2);

	visible_cb.addItemListener(this);
	opaque_cb.addItemListener(this);
	axisbounding_cb.addItemListener(this);
	backgroundEditor.addPropertyChangeListener(this);
	foregroundEditor.addPropertyChangeListener(this);

	borderEditor.addPropertyChangeListener(this);

	this_pn = p2;
	return p2;
}


 

AppearanceWrapper wrap = null;

public void setValue(Object value) {
    if (value != null) {
        try {
            wrap = (AppearanceWrapper) value;
        } catch (ClassCastException e) {
        }
    }

	if (wrap == null)
		wrap = new AppearanceWrapper();

	switchValues();
}

/**
 * Fills the property sheet with values.
 */
protected void switchValues()
{
	if (wrap == null)
		return;

	Border border = this_pn.getBorder();
	if (border instanceof TitledBorder) {
		((TitledBorder)border).setTitle(wrap.prefix + " " + 
					JCChartBeanBundle.string(JCChartBeanBundle.key184));
	}

	if (wrap.thisobj == MultiChart.OBJ_JCOMPONENT || 
				wrap.thisobj == MultiChart.OBJ_UNKNOWN) {
		if (visible_cb.isSelected() != wrap.visible)
			visible_cb.setSelected(wrap.visible);
		visible_cb.setVisible(true);
	} else {
		if (!visible_cb.isSelected())
			visible_cb.setSelected(true);
		visible_cb.setVisible(false);
	}

	if (wrap.thisobj == MultiChart.OBJ_PLOT_AREA) {

		borderEditor.setVisible(false);

		axisbounding_cb.setVisible(true);

		if (axisbounding_cb.isSelected() != wrap.axisbounding)
			axisbounding_cb.setSelected(wrap.axisbounding);

		if (!opaque_cb.isSelected())
			opaque_cb.setSelected(true);
		opaque_cb.setVisible(false);

	} else {
		borderEditor.setVisible(true);
		borderEditor.setValue(JCSwingTypeConverter.toBorder(wrap.border));

		if (opaque_cb.isSelected() != wrap.opaque)
			opaque_cb.setSelected(wrap.opaque);
		opaque_cb.setVisible(true);

		if (!axisbounding_cb.isSelected())
			axisbounding_cb.setSelected(true);
		axisbounding_cb.setVisible(false);

	}

    backgroundEditor.setValue(wrap.background);
    foregroundEditor.setValue(wrap.foreground);
}

public Object getValue() {
	return (Object) wrap;
}

public void setAsText(String text) throws IllegalArgumentException {
    Vector paramVector = BeanTextParser.parse(text);
    if (paramVector.size() != 6) {
        throw new IllegalArgumentException();
    }
    AppearanceWrapper setWrapper = null;
    try {
        setWrapper = new AppearanceWrapper(
            (String) paramVector.elementAt(0),
            (String) paramVector.elementAt(1),
            Boolean.valueOf((String) paramVector.elementAt(2)).booleanValue(),
            Boolean.valueOf((String) paramVector.elementAt(3)).booleanValue(),
            (String) paramVector.elementAt(4),
            Boolean.valueOf((String) paramVector.elementAt(5)).booleanValue()
            );
        setValue(setWrapper);
        support.firePropertyChange("", null, null);
    } catch (Exception e) {
        throw new IllegalArgumentException();
    }
}

public String getAsText() {
    if (wrap != null)
        return wrap.toString();
    else
        return null;
}

public String getJavaInitializationString() {
	return "new com.klg.jclass.chart.beans.AppearanceWrapper(" + wrap + ")";
}

public Dimension getPreferredSize() {
	Dimension dim = super.getPreferredSize();
	dim.width = Math.max(dim.width, 400);
	dim.height += 450;
	return dim;
}

public void itemStateChanged( ItemEvent ev ) {
    Object src = ev.getSource();
	if (src instanceof JComboBox && ev.getStateChange() == ItemEvent.DESELECTED)
		return;
	checkProperties(src);
}

public void focusGained(FocusEvent ev) {}

public void focusLost(FocusEvent ev) 
{
	Object src = ev.getSource();
	checkProperties(src);
}

public void actionPerformed( ActionEvent ev ) 
{
	Object src = ev.getSource();
	checkProperties(src);
}

public void propertyChange(PropertyChangeEvent ev)
{
	Object src = ev.getSource();
	checkProperties(src);
}

public void checkProperties(Object src)
{

	try {
	if (src	== visible_cb) {

		if (wrap.visible != visible_cb.isSelected()) {
			wrap.visible = visible_cb.isSelected();
			support.firePropertyChange("", null, null);
		}

	} else if (src == opaque_cb) {

		if (wrap.opaque != opaque_cb.isSelected()) {
			wrap.opaque = opaque_cb.isSelected();
			support.firePropertyChange("", null, null);
		}

	} else if (src == axisbounding_cb) {

		if (axisbounding_cb.isEnabled() &&
			wrap.axisbounding != axisbounding_cb.isSelected()) {
			wrap.axisbounding = axisbounding_cb.isSelected();
			support.firePropertyChange("", null, null);
		}

	} else if (src == backgroundEditor) {
		Color newBG = (Color) backgroundEditor.getValue();
		if (!newBG.equals(wrap.background)) {
			wrap.background = newBG;
			support.firePropertyChange("", null, null);
		}
	} else if (src == foregroundEditor) {
		Color newFG = (Color) foregroundEditor.getValue();
		if (!newFG.equals(wrap.foreground)) {
			wrap.foreground = newFG;
			support.firePropertyChange("", null, null);
		}
	} else if (src == borderEditor) {
		String newBorder = JCSwingTypeConverter.fromBorder(
								(Border) borderEditor.getValue(), null);
		if (!newBorder.equals(wrap.border)) {
			wrap.border = newBorder;
			support.firePropertyChange("", null, null);
		}
	}
	} catch (Exception ex) {
		ex.printStackTrace();
	}
}

/* for testing purposes
public static void main( String args[] ) {
    JFrame frame;
    try {
    java.lang.Class newclass
        = java.lang.Class.forName( "com.klg.jclass.chart.customizer.JCustomizerCustomFrame" );
    frame = (JFrame) newclass.newInstance();
    } catch (Exception ex) {
        System.out.println(ex);
    frame = new JFrame();
    }

    AppearanceEditor appEditor = new AppearanceEditor();
    appEditor.setBackground( java.awt.Color.lightGray );
	AppearanceWrapper thiswrap = new AppearanceWrapper("blue", "30-108-92",
		true, true, BorderFactory.createTitledBorder("fred"),  true);
    appEditor.setValue( thiswrap );
    frame.getContentPane().add( appEditor );
    frame.pack();
    java.awt.Dimension bigness = appEditor.getPreferredSize();
    frame.setSize( bigness.width + 100, bigness.height + 50 );
    frame.setVisible(true);
}
*/

}
