/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: AxesOrientationEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:47 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.beans;

import java.awt.Image;
import java.awt.Dimension;

/**
 * Bean editor for axis orientation property.
 */
public class AxesOrientationEditor extends RadioButtonImageEditor {

public Image[] images;

public AxesOrientationEditor() {
	int numImages = SimpleChart.axesOrientationValues.length;
	images = new Image[numImages];
	for (int i = 0; i < numImages; i++) {
		images[i] = AxesOrientationImages.getOrientationImage(i, AxesOrientationImages.ENABLED);
	}

	init(numImages,
		 SimpleChart.axesOrientationStrings, 
		 SimpleChart.axesOrientationValues,
		 images,
		 numImages/2, 2,
		 "com.klg.jclass.chart.beans.SimpleChart.");
}

public Dimension getPreferredSize() {
    Dimension dim = super.getPreferredSize();
    dim.width = Math.max(dim.width, 200);
    return dim;
}

}
