/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: AxesOrientationImages.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:47 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.beans;

import java.awt.Color;
import java.awt.Image;
import com.klg.jclass.util.swing.JCIconCreator;
import com.klg.jclass.chart.ChartDataView;
import com.klg.jclass.chart.JCAxis;

/**
 * Image definitions for <code>AxesOrientationEditor</code>.
 */
public class AxesOrientationImages {

public static int DISABLED = 0;
public static int ENABLED  = 1;

protected static String orientations[][] = {
{
"                               ",
"         y                     ",
"        yyy                    ",
"       y y y                   ",
"         y                     ",
"         y                     ",
"         y                     ",
"         y                     ",
"         y                     ",
"         y                     ",
" Y   Y   y                     ",
"  Y Y    y                     ",
"   Y     y                     ",
"   Y     y                     ",
"   Y     y                     ",
"         y                     ",
"         y                     ",
"         y                     ",
"         y                     ",
"         y                     ",
"         y                     ",
"         y                x    ",
"         y                 x   ",
"         Bxxxxxxxxxxxxxxxxxxx  ",
"                           x   ",
"                          x    ",
"                X   X          ",
"                 X X           ",
"                  X            ",
"                 X X           ",
"                X   X          ",
"                               ",
},
{
"                               ",
"         x                     ",
"        xxx                    ",
"       x x x                   ",
"         x                     ",
"         x                     ",
"         x                     ",
"         x                     ",
"         x                     ",
"         x                     ",
" X   X   x                     ",
"  X X    x                     ",
"   X     x                     ",
"  X X    x                     ",
" X   X   x                     ",
"         x                     ",
"         x                     ",
"         x                     ",
"         x                     ",
"         x                     ",
"         x                     ",
"         x                y    ",
"         x                 y   ",
"         Byyyyyyyyyyyyyyyyyyy  ",
"                           y   ",
"                          y    ",
"                Y   Y          ",
"                 Y Y           ",
"                  Y            ",
"                  Y            ",
"                  Y            ",
"                               ",
},
{
"                               ",
"                   y           ",
"                  yyy          ",
"                 y y y         ",
"                   y           ",
"                   y           ",
"                   y           ",
"                   y           ",
"                   y           ",
"                   y  Y   Y    ",
"                   y   Y Y     ",
"                   y    Y      ",
"                   y    Y      ",
"                   y    Y      ",
"                   y           ",
"                   y           ",
"                   y           ",
"                   y           ",
"                   y           ",
"                   y           ",
"                   y           ",
"    x              y           ",
"   x               y           ",
"  xxxxxxxxxxxxxxxxxB           ",
"   x                           ",
"    x                          ",
"        X   X                  ",
"         X X                   ",
"          X                    ",
"         X X                   ",
"        X   X                  ",
"                               ",
},
{
"                               ",
"                 Y   Y         ",
"                  Y Y          ",
"                   Y           ",
"                   Y           ",
"                   Y      y    ",
"                           y   ",
"          Byyyyyyyyyyyyyyyyyy  ",
"          x                y   ",
"          x               y    ",
"          x                    ",
"          x                    ",
"          x                    ",
"          x                    ",
"   X   X  x                    ",
"    X X   x                    ",
"     X    x                    ",
"    X X   x                    ",
"   X   X  x                    ",
"          x                    ",
"          x                    ",
"          x                    ",
"          x                    ",
"          x                    ",
"          x                    ",
"          x                    ",
"          x                    ",
"        x x x                  ",
"         xxx                   ",
"          x                    ",
"                               ",
"                               ",
},
{
"                               ",
"                 X   X         ",
"                  X X          ",
"                   X           ",
"                  X X          ",
"                 X   X    x    ",
"                           x   ",
"          Bxxxxxxxxxxxxxxxxxx  ",
"          y                x   ",
"          y               x    ",
"          y                    ",
"          y                    ",
"          y                    ",
"          y                    ",
"   Y   Y  y                    ",
"    Y Y   y                    ",
"     Y    y                    ",
"     Y    y                    ",
"     Y    y                    ",
"          y                    ",
"          y                    ",
"          y                    ",
"          y                    ",
"          y                    ",
"          y                    ",
"          y                    ",
"          y                    ",
"        y y y                  ",
"         yyy                   ",
"          y                    ",
"                               ",
"                               ",
},
{
"                               ",
"                   x           ",
"                  xxx          ",
"                 x x x         ",
"                   x           ",
"                   x           ",
"                   x           ",
"                   x           ",
"                   x  X   X    ",
"                   x   X X     ",
"                   x    X      ",
"                   x   X X     ",
"                   x  X   X    ",
"                   x           ",
"                   x           ",
"                   x           ",
"                   x           ",
"                   x           ",
"                   x           ",
"                   x           ",
"                   x           ",
"    y              x           ",
"   y               x           ",
"  yyyyyyyyyyyyyyyyyB           ",
"   y                           ",
"    y                          ",
"        Y   Y                  ",
"         Y Y                   ",
"          Y                    ",
"          Y                    ",
"          Y                    ",
"                               ",
"                               ",
},
{
"                               ",
"        X   X                  ",
"         X X                   ",
"          X                    ",
"         X X                   ",
"    x   X   X                  ",
"   x                           ",
"  xxxxxxxxxxxxxxxxxB           ",
"   x               y           ",
"    x              y           ",
"                   y           ",
"                   y           ",
"                   y           ",
"                   y           ",
"                   y           ",
"                   y  Y   Y    ",
"                   y   Y Y     ",
"                   y    Y      ",
"                   y    Y      ",
"                   y    Y      ",
"                   y           ",
"                   y           ",
"                   y           ",
"                   y           ",
"                   y           ",
"                   y           ",
"                   y           ",
"                 y y y         ",
"                  yyy          ",
"                   y           ",
"                               ",
"                               ",
},
{
"                               ",
"        Y   Y                  ",
"         Y Y                   ",
"          Y                    ",
"          Y                    ",
"    y     Y                    ",
"   y                           ",
"  yyyyyyyyyyyyyyyyyB           ",
"   y               x           ",
"    y              x           ",
"                   x           ",
"                   x           ",
"                   x           ",
"                   x           ",
"                   x           ",
"                   x  X   X    ",
"                   x   X X     ",
"                   x    X      ",
"                   x   X X     ",
"                   x  X   X    ",
"                   x           ",
"                   x           ",
"                   x           ",
"                   x           ",
"                   x           ",
"                   x           ",
"                   x           ",
"                 x x x         ",
"                  xxx          ",
"                   x           ",
"                               ",
"                               ",
},

};

protected static Image orientImages[][] = null;

static void makeOrientationImages() {
    if (orientImages != null) return;
    orientImages = new Image[orientations.length][ENABLED+1];
    for (int i = 0; i < orientImages.length; i++) {
		orientImages[i][DISABLED] 
			= makeImage(orientations[i], DISABLED);
		orientImages[i][ENABLED] 
			= makeImage(orientations[i], ENABLED);
    }
}

static Image makeImage(String imgsrc[], int state) {
    JCIconCreator ic 
		= new JCIconCreator(imgsrc[0].length(),imgsrc.length);
    if (state == DISABLED) {
		ic.setColor('B', Color.darkGray);
		ic.setColor('x', Color.darkGray);
		ic.setColor('X', Color.darkGray);
		ic.setColor('y', Color.darkGray);
		ic.setColor('Y', Color.darkGray);
    }
    else {
		ic.setColor('B', Color.black);
		ic.setColor('x', Color.black);
		ic.setColor('X', Color.black);
		ic.setColor('y', Color.black);
		ic.setColor('Y', Color.black);
    }
    ic.setPixels(imgsrc);
    return ic.getIcon().getImage();
}

/**
 * Creates the Orientation images and returns the requested one.
 * @param i
 * @param state
 * @return
 */
public static Image getOrientationImage(int i, int state) {
    makeOrientationImages();
    if (i < 0 || i >= orientImages.length) return null;
    return orientImages[i][state];
}

/**
 * Creates the Orientation images and returns the requested one.
 * @param dv
 * @param state
 * @return
 */
public static Image getOrientationImage(ChartDataView dv, 
										int state) {
    makeOrientationImages();
    int i = viewToValue(dv);
    if (i < 0 || i >= orientImages.length) return null;
    return orientImages[i][state];
}

/**
 * Determines the orientation of the specified <code>chartDataView</code>.
 * @param dv
 * @return
 */
public static int viewToValue(ChartDataView dv) {
    int orientation = dv.isInverted() ? 1 : 0;
	JCAxis xaxis = dv.getXAxis();
	JCAxis yaxis = dv.getYAxis();
	if (xaxis == null || yaxis == null)
		return -1;
    int xrev = (xaxis.isReversed()) ? 1 : 0;
    int yrev = (yaxis.isReversed()) ? 1 : 0;
    if (orientation > 0) {
		orientation = orientation | (yrev << 2) | (xrev << 1);
    }
    else {
		orientation = orientation | (yrev << 2) | (xrev << 1);
    }
    return orientation;
}

/**
 * Gets the orientation images size.
 * @return orientation image size
 */
public static int getOrientationImageLength() {
	return orientations.length;
}

}
