/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: AxisGridEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:48 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.beans;

import com.klg.jclass.chart.JCLineStyle;
import com.klg.jclass.chart.JCChartEnumMappings;
import com.klg.jclass.beans.ColorEditorPanel;
import com.klg.jclass.util.swing.JCSwingTypeConverter;

import java.awt.Insets;
import java.awt.Color;
import java.awt.FlowLayout;
import java.awt.GridLayout;
import java.awt.GridBagLayout;
import java.awt.GridBagConstraints;
import java.awt.Dimension;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import java.awt.event.FocusListener;
import java.awt.event.FocusEvent;
import java.awt.event.ItemListener;
import java.awt.event.ItemEvent;
import java.beans.PropertyChangeListener;
import java.beans.PropertyChangeEvent;

import java.awt.Frame;
import java.awt.Component;

import javax.swing.JButton;
import javax.swing.JCheckBox;
import javax.swing.JComboBox;
import javax.swing.JComponent;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JRadioButton;
import javax.swing.JTextField;
import javax.swing.BorderFactory;




import java.util.Vector;


/**
 * Editor for Axis Grid Properties.
 */

public class AxisGridEditor extends RadioEditor
					  implements ItemListener, ActionListener, FocusListener,
								 PropertyChangeListener {

protected JCheckBox showing_cb;
protected JTextField spacing_tf;
protected JTextField width_tf;
//protected JComboBox pattern_ch;
protected ColorEditorPanel colorEditor;

//String[] pattern_names;
//int[] pattern_vals;

public AxisGridEditor() {
	super(MultiChart.AXIS_RADIO_TITLE, MultiChart.AXIS_RADIO_NAMES);

}

protected void setEnumArrays()
{
	//pattern_names = JCChartEnumMappings.linePattern_i18n_strings;
	//pattern_vals = JCChartEnumMappings.linePattern_values;
}

/**
 * Creates a panel containing the GUI elements for the properties
 * associated with the radio buttons.
 * @return the panel
 */
protected JPanel makePropertyPanel() 
{

    JPanel p2 = new JPanel();
    p2.setBorder(BorderFactory.createTitledBorder(
    	JCChartBeanBundle.string(JCChartBeanBundle.key205)));
	p2.setLayout(new GridLayout(2,1));

    JPanel p3 = new JPanel();
    p3.setBorder(BorderFactory.createTitledBorder(
    	JCChartBeanBundle.string(JCChartBeanBundle.key198)));
	p3.setLayout(new FlowLayout());

    JPanel p4 = new JPanel();
	p4.setLayout(new GridBagLayout());
	GridBagConstraints gbc4  = new GridBagConstraints();
	gbc4.gridwidth = 4;
	gbc4.gridx = GridBagConstraints.RELATIVE;
	gbc4.gridy = 0;
	gbc4.anchor = GridBagConstraints.WEST;
	gbc4.insets = new Insets(4,4,4,4);

	//pattern_ch = new JComboBox();
	colorEditor = new ColorEditorPanel();

	setEnumArrays();

	//for (int i = 0; i < pattern_names.length; i++)
	//	pattern_ch.addItem(pattern_names[i]);

	JLabel color_label = new JLabel(JCChartBeanBundle.string(JCChartBeanBundle.key206));
	JLabel width_label = new JLabel(JCChartBeanBundle.string(JCChartBeanBundle.key190));
	//JLabel pattern_label = new JLabel(JCChartBeanBundle.string(JCChartBeanBundle.key207));
	width_tf = new JTextField(5);
	showing_cb = new JCheckBox(JCChartBeanBundle.string(JCChartBeanBundle.key191));
	JLabel spacing_label = new JLabel(JCChartBeanBundle.string(JCChartBeanBundle.key208));
	spacing_tf = new JTextField(5);

	p3.add(color_label);
	p3.add(colorEditor);
	p3.add(width_label);
	p3.add(width_tf);

	//p3.add(pattern_label);
	//p3.add(pattern_ch);

	p4.add(showing_cb, gbc4);
	p4.add(spacing_label, gbc4);
	p4.add(spacing_tf, gbc4);

    p2.add(p4);
    p2.add(p3);
	add("Center", p2);

	showing_cb.addItemListener(this);
	spacing_tf.addActionListener(this);
	spacing_tf.addFocusListener(this);
	width_tf.addActionListener(this);
	width_tf.addFocusListener(this);
	//pattern_ch.addItemListener(this);
	colorEditor.addPropertyChangeListener(this);

	return p2;
}

AxisGridWrapper wrap = null;

public void setValue(Object value) {

    if (value != null) {
        try {
			wrap = (AxisGridWrapper) value;
        } catch (ClassCastException e) {
        }
    }

	if (wrap == null)
		wrap = new AxisGridWrapper(numOfRadios);

	switchValues(radioSel);
}

/**
 * Fills the property sheet with values associated with the newly selected
 * radio button.
 * @param sel the index of the newly selected radio buttons
 */
protected void switchValues(int sel)
{
	if (sel < 0 || wrap == null)
		return;
	if (showing_cb.isSelected() != wrap.showing[sel])
		showing_cb.setSelected(wrap.showing[sel]);
	if (wrap.spacing[sel] != Double.MAX_VALUE)
		spacing_tf.setText("" + wrap.spacing[sel]);
	else
		spacing_tf.setText("");

	width_tf.setText("" + wrap.width[sel]);
	//for (int i = 0; i < pattern_vals.length; i++) {
	//	if (wrap.pattern[sel] == pattern_vals[i]) {
	//		pattern_ch.select(i);
	//		break;
	//	}
	//}

	colorEditor.setValue(wrap.color[sel]);
}

public Object getValue() {
	return (Object) wrap;
}

public void setAsText(String text) throws IllegalArgumentException {
    Vector paramVector = BeanTextParser.parse(text);
    if (paramVector.size() != 5) {
        throw new IllegalArgumentException();
    }
    AxisGridWrapper setWrapper = null;
    try {
        setWrapper = new AxisGridWrapper(
            (String) paramVector.elementAt(0),
            (String) paramVector.elementAt(1),
            (String) paramVector.elementAt(2),
            (String) paramVector.elementAt(3),
            (String) paramVector.elementAt(4)
            );
        setValue(setWrapper);
        support.firePropertyChange("", null, null);
    } catch (Exception e) {
        throw new IllegalArgumentException();
    }
}

public String getAsText() {
    if (wrap != null)
        return wrap.toString();
    else
        return null;
}

public String getJavaInitializationString() {
	return "new com.klg.jclass.chart.beans.AxisGridWrapper(" + wrap + ")";
}

public Dimension getPreferredSize() {
    Dimension dim = super.getPreferredSize();
    dim.width = Math.max(dim.width, 500);
    dim.height += 200;
    return dim;
}

public void itemStateChanged( ItemEvent ev ) {
    super.itemStateChanged(ev);
    Object src = ev.getSource();
    if( src instanceof JComboBox && 
			ev.getStateChange() == ItemEvent.DESELECTED)
		return;
	checkProperties(src);
}

public void focusGained(FocusEvent ev) {}

public void focusLost(FocusEvent ev) 
{
	Object src = ev.getSource();
	checkProperties(src);
}

public void actionPerformed( ActionEvent ev ) 
{
	Object src = ev.getSource();
	checkProperties(src);
}

public void propertyChange( PropertyChangeEvent ev ) 
{
	Object src = ev.getSource();
	checkProperties(src);
}

public void checkProperties(Object src)
{
	try {
	if (src	== showing_cb) {
		wrap.showing[radioSel] = showing_cb.isSelected();
		support.firePropertyChange("", null, null);
	} else if (src	== spacing_tf) {
		setDoubleIsDefProperty(spacing_tf.getText(),
			wrap.spacing, wrap.spacing_isdef, radioSel);
		switchValues(radioSel);
	} else if (src	== width_tf) {
		setIntProperty(width_tf.getText(), wrap.width, radioSel, wrap.width_def);
		switchValues(radioSel);
	//} else if (src	== pattern_ch) {
	//	wrap.pattern[radioSel] = pattern_vals[pattern_ch.getSelectedIndex()];
	//	support.firePropertyChange("", null, null);
	} else if (src	== colorEditor) {
		wrap.color[radioSel] = (Color) colorEditor.getValue();
		support.firePropertyChange("", null, null);
	}
	} catch (Exception ex) {
	}
}

/* for testing purposes
public static void main( String args[] ) {
    JFrame frame;
    try {
    java.lang.Class newclass
        = java.lang.Class.forName( "com.klg.jclass.chart.customizer.JCustomizerCustomFrame" );
    frame = (JFrame) newclass.newInstance();
    } catch (Exception ex) {
        System.out.println(ex);
    frame = new JFrame();
    }

    AxisGridEditor axisGridEditor = new AxisGridEditor();
    axisGridEditor.setBackground( java.awt.Color.lightGray );
	AxisGridWrapper thiswrap = new AxisGridWrapper(4);
    axisGridEditor.setValue( thiswrap );
    frame.getContentPane().add( axisGridEditor );
    frame.pack();
    java.awt.Dimension bigness = axisGridEditor.getPreferredSize();
    frame.setSize( bigness.width + 100, bigness.height + 50 );
    frame.setVisible(true);
}
*/

}
