/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: AxisInfoWrapper.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:48 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.beans;

import com.klg.jclass.chart.JCAxis;
import com.klg.jclass.chart.ChartDataView;




import java.util.Iterator;
import java.util.List;


/** 
 *  Encapsulates axis information for use by the MultiChart Bean.
 *  <br><B>Note:</b> Although used by the Bean, this is not one of the Bean
 *  wrappers subclassed from <code>RadioWrapper</code>.
 */
public class AxisInfoWrapper 
	implements java.io.Serializable 
{

public ChartDataView axis_cdv;
public JCAxis        axis_other_axis;
public boolean       axis_xory;

public AxisInfoWrapper() {
}

/**
 * Given an axis, fills in the associated axis information such as:
 * axis data view, other axis, and whether the axis is an x or y axis.
 * @param axis the axis to get information on
 */
public void getAxisInformation(JCAxis axis)
{
	ChartDataView cdv = null;
	JCAxis otherAxis = null;
	boolean xOrY = true;
	boolean axisFound = false;
	List cdvList = axis.getParentChart().getDataView();
	for (Iterator i = cdvList.iterator(); i.hasNext();) {
		ChartDataView thisCDV = (ChartDataView) i.next();
		if (thisCDV.getXAxis() == axis) {
			cdv = thisCDV;
			otherAxis = thisCDV.getYAxis();
			xOrY = true;
			axisFound = true;
		} else if (thisCDV.getYAxis() == axis) {
			cdv = thisCDV;
			otherAxis = thisCDV.getXAxis();
			xOrY = false;
			axisFound = true;
		}
	}

	// axis not found in data.
	if (!axisFound) {
		List xAxisList = axis.getParentChart().getChartArea().getXAxes();
		List yAxisList = axis.getParentChart().getChartArea().getYAxes();
		if (xAxisList.contains(axis)) {
			xOrY = true;
			axisFound = true;
		}
		if (yAxisList.contains(axis)) {
			xOrY = false;
			axisFound = true;
		}
	} 

	axis_cdv = cdv;
	axis_other_axis = otherAxis;
	axis_xory = xOrY;
}

}
