/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: AxisScaleEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:48 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.beans;

import java.awt.Insets;
import java.awt.GridLayout;
import java.awt.GridBagLayout;
import java.awt.GridBagConstraints;
import java.awt.Dimension;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import java.awt.event.FocusListener;
import java.awt.event.FocusEvent;

import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JRadioButton;
import javax.swing.JTextField;
import javax.swing.BorderFactory;




import java.util.Vector;


/**
 * Editor for Scale Axis Properties.
 */

public class AxisScaleEditor extends RadioEditor
						  implements ActionListener, FocusListener {

protected JTextField min_tf;
protected JTextField max_tf;
protected JTextField numsp_tf;
protected JTextField ticksp_tf;
protected JTextField prec_tf;


 

public AxisScaleEditor() {
	super(MultiChart.AXIS_RADIO_TITLE, MultiChart.AXIS_RADIO_NAMES);
}

/**
 * Creates a panel containing the GUI elements for the properties
 * associated with the radio buttons.
 * @return the panel
 */
protected JPanel makePropertyPanel() 
{

    JPanel p2 = new JPanel();
    p2.setBorder(BorderFactory.createTitledBorder(
    	JCChartBeanBundle.string(JCChartBeanBundle.key235)));
	p2.setLayout(new GridLayout(1,2));

    JPanel p3 = new JPanel();
    p3.setBorder(BorderFactory.createTitledBorder(
    	JCChartBeanBundle.string(JCChartBeanBundle.key236)));
	p3.setLayout(new GridBagLayout());
	GridBagConstraints gbc3  = new GridBagConstraints();
	gbc3.gridwidth = 1;
	gbc3.gridx = GridBagConstraints.RELATIVE;
	gbc3.gridy = 0;
	gbc3.anchor = GridBagConstraints.WEST;
	gbc3.insets = new Insets(4,4,4,4);

    JPanel p4 = new JPanel();
    p4.setBorder(BorderFactory.createTitledBorder(
    	JCChartBeanBundle.string(JCChartBeanBundle.key237)));
	p4.setLayout(new GridBagLayout());
	GridBagConstraints gbc4  = new GridBagConstraints();
	gbc4.gridwidth = 1;
	gbc4.gridx = GridBagConstraints.RELATIVE;
	gbc4.gridy = 1;
	gbc4.anchor = GridBagConstraints.WEST;
	gbc4.insets = new Insets(4,4,4,4);

	JLabel min_label = new JLabel(JCChartBeanBundle.string(JCChartBeanBundle.key238));
	JLabel max_label = new JLabel(JCChartBeanBundle.string(JCChartBeanBundle.key239));
	JLabel numsp_label = new JLabel(JCChartBeanBundle.string(JCChartBeanBundle.key240));
	JLabel ticksp_label = new JLabel(JCChartBeanBundle.string(JCChartBeanBundle.key241));
	JLabel prec_label = new JLabel(JCChartBeanBundle.string(JCChartBeanBundle.key242));
	min_tf = new JTextField(5);
	max_tf = new JTextField(5);
	numsp_tf = new JTextField(5);
	ticksp_tf = new JTextField(5);
	prec_tf = new JTextField(5);
	p3.add(min_label, gbc3);
	p3.add(min_tf, gbc3);
	gbc3.gridy++;
	p3.add(max_label, gbc3);
	p3.add(max_tf, gbc3);

	p4.add(numsp_label, gbc4);
	p4.add(numsp_tf, gbc4);
	gbc4.gridy++;
	p4.add(ticksp_label, gbc4);
	p4.add(ticksp_tf, gbc4);
	gbc4.gridy++;
	p4.add(prec_label, gbc4);
	p4.add(prec_tf, gbc4);

    p2.add(p3);
    p2.add(p4);
	add("Center", p2);

	min_tf.addActionListener(this);
	min_tf.addFocusListener(this);
	max_tf.addActionListener(this);
	max_tf.addFocusListener(this);
	numsp_tf.addActionListener(this);
	numsp_tf.addFocusListener(this);
	ticksp_tf.addActionListener(this);
	ticksp_tf.addFocusListener(this);
	prec_tf.addActionListener(this);
	prec_tf.addFocusListener(this);

	return p2;
}


 

AxisScaleWrapper wrap = null;

public void setValue(Object value) {

    if (value != null) {
        try {
			wrap = (AxisScaleWrapper) value;
        } catch (ClassCastException e) {
        }
    }

	if (wrap == null)
		wrap = new AxisScaleWrapper(numOfRadios);

	switchValues(radioSel);
}

/**
 * Fills the property sheet with values associated with the newly selected
 * radio button.
 * @param sel the index of the newly selected radio button
 */
protected void switchValues(int sel)
{
	if (sel < 0 || wrap == null)
		return;

	if (wrap.min[sel] != Double.MAX_VALUE)
		min_tf.setText("" + wrap.min[sel]);
	else
		min_tf.setText("");

	if (wrap.max[sel] != Double.MAX_VALUE)
		max_tf.setText("" + wrap.max[sel]);
	else
		max_tf.setText("");

	if (wrap.numspacing[sel] != Double.MAX_VALUE)
		numsp_tf.setText("" + wrap.numspacing[sel]);
	else
		numsp_tf.setText("");

	if (wrap.tickspacing[sel] != Double.MAX_VALUE)
		ticksp_tf.setText("" + wrap.tickspacing[sel]);
	else
		ticksp_tf.setText("");

	if (wrap.precision[sel] != Double.MAX_VALUE)
		prec_tf.setText("" + wrap.precision[sel]);
	else
		prec_tf.setText("");
}

public Object getValue() {
	return (Object) wrap;
}

public void setAsText(String text) throws IllegalArgumentException {
    Vector paramVector = BeanTextParser.parse(text);
    if (paramVector.size() != 5) {
        throw new IllegalArgumentException();
    }
    AxisScaleWrapper setWrapper = null;
    try {
        setWrapper = new AxisScaleWrapper(
            (String) paramVector.elementAt(0),
            (String) paramVector.elementAt(1),
            (String) paramVector.elementAt(2),
            (String) paramVector.elementAt(3),
            (String) paramVector.elementAt(4)
            );
        setValue(setWrapper);
        support.firePropertyChange("", null, null);
    } catch (Exception e) {
        throw new IllegalArgumentException();
    }
}

public String getAsText() {
    if (wrap != null)
        return wrap.toString();
    else
        return null;
}

public String getJavaInitializationString() {
	return "new com.klg.jclass.chart.beans.AxisScaleWrapper(" + wrap + ")";
}

public Dimension getPreferredSize() {
    Dimension dim = super.getPreferredSize();
    dim.width = Math.max(dim.width, 400);
    dim.height += 250;
    return dim;
}

public void focusGained(FocusEvent ev) {}

// ActionListener method

public void focusLost(FocusEvent ev) 
{
	Object src;
    if( (src = ev.getSource()) instanceof JTextField ) {
		checkProperties(src);
	}
}

public void actionPerformed( ActionEvent ev ) 
{
	Object src;
    if( (src = ev.getSource()) instanceof JTextField ) {
		checkProperties(src);
	}
}

public void checkProperties(Object src)
{
	try {
	if (src	== min_tf) {
		setDoubleIsDefProperty(min_tf.getText(), 
			wrap.min, wrap.min_isdef, radioSel);
	} else if (src	== max_tf) {
		setDoubleIsDefProperty(max_tf.getText(), 
			wrap.max, wrap.max_isdef, radioSel);
	} else if (src	== numsp_tf) {
		setDoubleIsDefProperty(numsp_tf.getText(), 
			wrap.numspacing, wrap.numspacing_isdef, radioSel);
	} else if (src	== ticksp_tf) {

 
		setDoubleIsDefProperty(ticksp_tf.getText(), 
			wrap.tickspacing, wrap.tickspacing_isdef, radioSel);
	} else if (src	== prec_tf) {

 
		setIntIsDefProperty(prec_tf.getText(), 
			wrap.precision, wrap.precision_isdef, radioSel);
	}
	} catch (Exception ex) {
	}
	// refresh the onscreen values with new defaults.  Really only works in
	// the beanbox.
	switchValues(radioSel);
}

/* for testing purposes
public static void main( String args[] ) {
    JFrame frame;
    try {
    java.lang.Class newclass
        = java.lang.Class.forName( "com.klg.jclass.chart.customizer.JCustomizerCustomFrame" );
    frame = (JFrame) newclass.newInstance();
    } catch (Exception ex) {
        System.out.println(ex);
    frame = new JFrame();
    }

    AxisScaleEditor axisGenEditor = new AxisScaleEditor();
    axisGenEditor.setBackground( java.awt.Color.lightGray );
    //axisGenEditor.setValue( null);
	AxisScaleWrapper thiswrap = new AxisScaleWrapper("", "", "", "", "");
    axisGenEditor.setValue( thiswrap );
    frame.getContentPane().add( axisGenEditor );
    frame.pack();
    java.awt.Dimension bigness = axisGenEditor.getPreferredSize();
    frame.setSize( bigness.width + 100, bigness.height + 50 );
    frame.setVisible(true);
}
*/
}
