/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: BaseChartBI.java,v $ $Revision: 1.2 $
// $Date: 2006-03-17 21:12:48 $ $Locker:  $ Quest Software Inc.

package com.klg.jclass.chart.beans;

import com.klg.jclass.beans.JCPropertyDescriptor;
import com.klg.jclass.beans.JCEventSetDescriptor;

// Superclass for all BaseChart derived beans.  Contains common properties.
/**
 * Base <code>BeanInfo</code> class for most Chart Beans.  Exposes many useful chart
 * properties.  Subclassed by most <code>chart.beans.BeanInfo</code> classes, such as
 * <code>SimpleChartBeanInfo</code> and the databound Bean <code>BeanInfo</code> classes.
 */
public abstract class BaseChartBI extends ChartBeanInfo {

protected static final JCPropertyDescriptor base_properties[] = {

 
	new JCPropertyDescriptor(BeanKeys.CHART_TYPE,
				"com.klg.jclass.chart.beans.ChartTypeEditor"),
	new JCPropertyDescriptor(BeanKeys.AXIS_ORIENTATION,
				"com.klg.jclass.chart.beans.AxesOrientationEditor"),
	new JCPropertyDescriptor(BeanKeys.VIEW_3D,
				"com.klg.jclass.chart.beans.View3DEditor"),
	new JCPropertyDescriptor(BeanKeys.X_AXIS_LOGARITHMIC, null),
	new JCPropertyDescriptor(BeanKeys.X_AXIS_VISIBLE, null),
	new JCPropertyDescriptor(BeanKeys.X_AXIS_ANNOTATION_METHOD,
				"com.klg.jclass.chart.beans.AnnotationMethodEditor"),
	new JCPropertyDescriptor(BeanKeys.X_AXIS_NUM_SPACING, null),
	new JCPropertyDescriptor(BeanKeys.X_AXIS_GRID_VISIBLE, null),
	new JCPropertyDescriptor(BeanKeys.X_AXIS_MIN_MAX, null),
	new JCPropertyDescriptor(BeanKeys.X_AXIS_TITLE_TEXT, null),

	new JCPropertyDescriptor(BeanKeys.Y_AXIS_LOGARITHMIC, null),
	new JCPropertyDescriptor(BeanKeys.Y_AXIS_VISIBLE, null),
	new JCPropertyDescriptor(BeanKeys.Y_AXIS_ANNOTATION_METHOD,
				"com.klg.jclass.chart.beans.AnnotationMethodEditor"),
	new JCPropertyDescriptor(BeanKeys.Y_AXIS_NUM_SPACING, null),
	new JCPropertyDescriptor(BeanKeys.Y_AXIS_GRID_VISIBLE, null),
	new JCPropertyDescriptor(BeanKeys.Y_AXIS_MIN_MAX, null),
	new JCPropertyDescriptor(BeanKeys.Y_AXIS_TITLE_TEXT, null),

	new JCPropertyDescriptor(BeanKeys.HEADER_TEXT, null),
	new JCPropertyDescriptor(BeanKeys.FOOTER_TEXT, null),
	new JCPropertyDescriptor(BeanKeys.HEADER_FONT, "com.klg.jclass.beans.FontChooserEditor"),
	new JCPropertyDescriptor(BeanKeys.FOOTER_FONT, "com.klg.jclass.beans.FontChooserEditor"),
	new JCPropertyDescriptor(BeanKeys.LEGEND_VISIBLE, null),
	new JCPropertyDescriptor(BeanKeys.LEGEND_ANCHOR,
				"com.klg.jclass.chart.beans.AnchorEditor"),
	new JCPropertyDescriptor(BeanKeys.LEGEND_ORIENTATION,
				"com.klg.jclass.chart.beans.OrientationEditor"),
};

public BaseChartBI(JCPropertyDescriptor properties[],
                     JCEventSetDescriptor events[],
                     String resource_bundle, String icons[])
{
    super(mergeProperties(properties, base_properties), events,
											resource_bundle, icons);
}

}
