/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: ChartBeanInfo.java,v $ $Revision: 1.2 $
// $Date: 2006-03-17 21:12:48 $ $Locker:  $ Quest Software Inc. 

package com.klg.jclass.chart.beans;

import java.beans.PropertyDescriptor;

import com.klg.jclass.beans.ComponentBeanInfo;
import com.klg.jclass.beans.JCPropertyDescriptor;
import com.klg.jclass.beans.JCEventSetDescriptor;
import com.klg.jclass.util.JCEnvironment;

 



import java.util.Vector;


/** 
 * Superclass for all Chart Beans.  Contains common events plus methods
 * for merging property and event lists and for filtering property
 * descriptors.
 */
public abstract class ChartBeanInfo extends ComponentBeanInfo {

protected String tableModelClassString =
                    new String("javax.swing.table.TableModel");

public static final String[] chart_listeners = {
    "changeChart", "paintChart"
};

public static final String[] pick_listeners = {
    "pick"
};

public static final JCEventSetDescriptor chart_events[] = {
    new JCEventSetDescriptor(BeanKeys.CHART_EVENT,
            BeanKeys.CHART_EVENT,
            "com.klg.jclass.chart",
            "JCChartListener",
            "Chart",
            chart_listeners),
    new JCEventSetDescriptor(BeanKeys.PICK_EVENT,
            BeanKeys.PICK_EVENT,
            "com.klg.jclass.chart",
            "JCPickListener",
            "Pick",
            pick_listeners)
};


 

/*
 * This method returns the chart properties if a valid license is 
 * available.
 */
protected static JCPropertyDescriptor[] getProperties(JCPropertyDescriptor[] 
													  properties) {


 

	// return the regular properties
	return properties;
}

/*
 * This method returns the chart events if a valid license is available.
 */
protected static JCEventSetDescriptor[] getEvents(JCEventSetDescriptor[] 
												  events) {


 

	return mergeEvents(events, chart_events);
}

public ChartBeanInfo(JCPropertyDescriptor properties[],
					 JCEventSetDescriptor events[],
					 String resource_bundle, String icons[])
{
	super(getProperties(properties), getEvents(events), 
		  resource_bundle, icons);
}

protected Vector filterPropertyDescriptors(PropertyDescriptor descriptors[]) {
//FIXOBSOLETE
/*

	for (int i = 0; i < descriptors.length; i++) {
		PropertyDescriptor desc = descriptors[i];
    	if (desc == null) continue;

		// Modify descriptor for TableModel properties in Cafe
    	if (JCEnvironment.isVisualCafe() &&
            desc.getPropertyType().getName().equals(tableModelClassString)) {
        	try {
            	Class cafeClass =
                	Class.forName("com.symantec.itools.vcafe.beans.ObjectReferenceAttributes");
            	String fieldval = (String) cafeClass.getDeclaredField(
                	"OBJECTREFERENCE_SHOW_POSSIBLE_COMPONENT_REFERENCES_ATTRIBUTE"
                	).get(cafeClass.newInstance());
            	desc.setValue(fieldval, Boolean.TRUE);
        	} catch (Exception e) {
        	}
    	}
	}
*/
	return super.filterPropertyDescriptors(descriptors);
}

}
