/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: MultiChartBeanInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:48 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.beans;

import java.beans.*;




import java.util.Vector;


import com.klg.jclass.beans.JCPropertyDescriptor;
import com.klg.jclass.beans.JCEventSetDescriptor;
import com.klg.jclass.beans.ComponentBeanInfo;

/**
 * <code>BeanInfo</code> class for MultiChart Bean.  Exposes all properties and events
 * specific to MultiChart, building on the existing definitions in
 * <code>ChartBeanInfo</code>.
 */
public class MultiChartBeanInfo extends ChartBeanInfo {

protected static final JCPropertyDescriptor multi_properties[] = {

 
	new JCPropertyDescriptor(BeanKeys.AXIS_ANNOTATIONS,
			"com.klg.jclass.chart.beans.AxisAnnoEditor"),
	new JCPropertyDescriptor(BeanKeys.AXIS_GRID,
			"com.klg.jclass.chart.beans.AxisGridEditor"),
	new JCPropertyDescriptor(BeanKeys.AXIS_MISC,
			"com.klg.jclass.chart.beans.AxisMiscEditor"),
	new JCPropertyDescriptor(BeanKeys.AXIS_ORIENTATION,
			"com.klg.jclass.chart.beans.AxisOrientationEditor"),
	new JCPropertyDescriptor(BeanKeys.AXIS_ORIGIN,
			"com.klg.jclass.chart.beans.AxisOriginEditor"),
	new JCPropertyDescriptor(BeanKeys.AXIS_PLACEMENT,
			"com.klg.jclass.chart.beans.AxisPlacementEditor"),
	new JCPropertyDescriptor(BeanKeys.AXIS_POINT_LABELS,
			"com.klg.jclass.chart.beans.AxisPointLabelEditor"),
	new JCPropertyDescriptor(BeanKeys.AXIS_RELATIONSHIP,
			"com.klg.jclass.chart.beans.AxisRelationshipEditor"),
	new JCPropertyDescriptor(BeanKeys.AXIS_SCALE,
			"com.klg.jclass.chart.beans.AxisScaleEditor"),
	new JCPropertyDescriptor(BeanKeys.AXIS_TIME_LABELS,
			"com.klg.jclass.chart.beans.AxisTimeLabelEditor"),
	new JCPropertyDescriptor(BeanKeys.AXIS_TITLE,
			"com.klg.jclass.chart.beans.AxisTitleEditor"),
	new JCPropertyDescriptor(BeanKeys.AXIS_VALUE_LABELS,
			"com.klg.jclass.chart.beans.AxisValueLabelEditor"),
	new JCPropertyDescriptor(BeanKeys.CHART_APPEARANCE,
			"com.klg.jclass.chart.beans.AppearanceEditor"),
	new JCPropertyDescriptor(BeanKeys.CHART_AREA_APPEARANCE,
			"com.klg.jclass.chart.beans.AppearanceEditor"),
	new JCPropertyDescriptor(BeanKeys.DATA_CHART,
			"com.klg.jclass.chart.beans.MultiDataChartEditor"),
	new JCPropertyDescriptor(BeanKeys.DATA_MISC,
			"com.klg.jclass.chart.beans.MultiDataMiscEditor"),
	new JCPropertyDescriptor(BeanKeys.DATA_SOURCE,
			"com.klg.jclass.chart.beans.MultiDataSourceEditor"),
	new JCPropertyDescriptor(BeanKeys.FONT, null),
	new JCPropertyDescriptor(BeanKeys.FOOTER_APPEARANCE,
			"com.klg.jclass.chart.beans.AppearanceEditor"),
	new JCPropertyDescriptor(BeanKeys.FOOTER_TEXT,
			"com.klg.jclass.chart.beans.TitleEditor"),
	new JCPropertyDescriptor(BeanKeys.HEADER_APPEARANCE,
			"com.klg.jclass.chart.beans.AppearanceEditor"),
	new JCPropertyDescriptor(BeanKeys.HEADER_TEXT,
			"com.klg.jclass.chart.beans.TitleEditor"),
	new JCPropertyDescriptor(BeanKeys.LEGEND_APPEARANCE,
			"com.klg.jclass.chart.beans.AppearanceEditor"),
	new JCPropertyDescriptor(BeanKeys.LEGEND_LAYOUT,
			"com.klg.jclass.chart.beans.LegendEditor"),
	new JCPropertyDescriptor(BeanKeys.OUTLINE_STYLE,
			"com.klg.jclass.chart.beans.OutlineStyleEditor"),
	new JCPropertyDescriptor(BeanKeys.PLOT_AREA_APPEARANCE,
			"com.klg.jclass.chart.beans.AppearanceEditor"),
	new JCPropertyDescriptor(BeanKeys.POLAR_RADAR,
			"com.klg.jclass.chart.beans.PolarRadarEditor"),
	new JCPropertyDescriptor(BeanKeys.SWING_DATA_MODEL_1, null),
	new JCPropertyDescriptor(BeanKeys.SWING_DATA_MODEL_2, null),
	new JCPropertyDescriptor(BeanKeys.TRIGGER_LIST,
			"com.klg.jclass.chart.beans.TriggerEditor"),
	new JCPropertyDescriptor(BeanKeys.VIEW_3D,
			"com.klg.jclass.chart.beans.View3DEditor"),
};

protected static final String[] omit_properties = {
	ComponentBeanInfo.ENABLED,
	ComponentBeanInfo.OPAQUE,
	ComponentBeanInfo.BACKGROUND,
	ComponentBeanInfo.FOREGROUND
};

protected static final String[] multi_icons = {
	    "MultiChart16.gif",
	    "MultiChart16.gif",
	    "MultiChart32.gif",
	    "MultiChart32.gif"
};

public MultiChartBeanInfo() {
	super(multi_properties, null,
		":com.klg.jclass.chart.beans.resources.LocaleBeanInfo", multi_icons);
}

/**
 * Filters out the descriptors for the properties that are superfluous when
 * it comes to MultiChart.  For example, <code>Opaque</code>, <code>Foreground</code>,
 * <code>Background</code>, and <code>Font</code> are already covered by some of MultiChart's
 * custom editors.  To have these properties in two places only causes a lot of confusion
 * in the IDEs as to which editor takes precedence.
 * @param descriptors
 * @return
 */
protected Vector filterPropertyDescriptors(PropertyDescriptor descriptors[])
{

	for (int i = 0; i < descriptors.length; i++) {
		PropertyDescriptor desc = descriptors[i];
		if (desc != null) {
			String name = desc.getName();
			for (int j = 0; j < omit_properties.length; j++) {
				if (name != null && name.equalsIgnoreCase(omit_properties[j])) {
					descriptors[i] = null;
					break;
				}
			}
		}
	}

	return super.filterPropertyDescriptors(descriptors);
}

}
