/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: OutlineStyleEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:48 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.beans;

import com.klg.jclass.chart.ChartRegion;
import com.klg.jclass.chart.JCChartEnumMappings;
//import com.klg.jclass.chart.JCLineStyle;   // for testing only
import com.klg.jclass.beans.JCBeanInfo;
import com.klg.jclass.beans.BorderEditorPanel;
import com.klg.jclass.beans.ColorEditorPanel;
import com.klg.jclass.util.swing.JCSwingTypeConverter;
import com.klg.jclass.util.swing.JCColumnLayout;
import com.klg.jclass.util.swing.JCSpinNumberBox;
import com.klg.jclass.util.value.JCValueListener;
import com.klg.jclass.util.value.JCValueEvent;

import java.awt.Insets;
import java.awt.Color;
import java.awt.GridLayout;
import java.awt.GridBagLayout;
import java.awt.GridBagConstraints;
import java.awt.Dimension;
//import java.awt.BasicStroke;   // for testing only
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import java.awt.event.FocusListener;
import java.awt.event.FocusEvent;
import java.beans.PropertyChangeListener;
import java.beans.PropertyChangeEvent;

import java.awt.Component;
import java.awt.Frame;

import javax.swing.JComponent;
import javax.swing.JComboBox;
import javax.swing.JFrame;
import javax.swing.JTextField;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.SwingConstants;
import javax.swing.BorderFactory;
import javax.swing.border.TitledBorder;
import javax.swing.border.Border;




import java.util.Vector;


/**
 * Editor for <code>OutlineStyle</code> Properties.
 */
public class OutlineStyleEditor extends BaseEditor
					  implements ActionListener, FocusListener,
								 PropertyChangeListener, JCValueListener {

protected JCSpinNumberBox sbWidth;
protected ColorEditorPanel colorEditor;
protected JComboBox comboPattern;
protected JComboBox comboJoin;
protected JComboBox comboCap;

protected int[] patternValues = JCChartEnumMappings.linePattern_values;
protected int[] joinValues = JCChartEnumMappings.lineJoin_values;
protected int[] capValues = JCChartEnumMappings.lineCap_values;

OutlineStyleWrapper wrap = null;

public OutlineStyleEditor() {
	super();
}

protected void setEnumArrays()
{
}

/**
 * Creates a panel containing the GUI elements for the <code>OutlineStyle</code>
 * properties.
 * @return the panel
 */
protected JPanel makePropertyPanel()
{
    JPanel panel = new JPanel();
    panel.setBorder(BorderFactory.createTitledBorder(
						JCChartBeanBundle.string(JCChartBeanBundle.key164)));
						//  "Outline Style"
	panel.setLayout(new JCColumnLayout(SwingConstants.CENTER));

	GridBagLayout gridBag = new GridBagLayout();
	GridBagConstraints gbc  = new GridBagConstraints();
	gbc.gridwidth = GridBagConstraints.REMAINDER;
	gbc.weightx = 1.0;
	gbc.anchor = GridBagConstraints.WEST;
	gbc.insets = new Insets(10, 15, 5, 10);

	JPanel p1 = new JPanel();
	p1.setLayout(gridBag);
	p1.add(new JLabel("Width: "));
	sbWidth = new JCSpinNumberBox();
	sbWidth.setValueRange(new Integer(0), new Integer(10000));
	sbWidth.addValueListener(this);
	gridBag.setConstraints( sbWidth, gbc );
	p1.add(sbWidth);
	panel.add(p1);

	JPanel p2 = new JPanel();
	p2.setLayout(gridBag);
    p2.add( new JLabel(JCChartBeanBundle.string(JCChartBeanBundle.key206)
    												+ ": ") ); //  "Color"
	colorEditor = new ColorEditorPanel();
	colorEditor.addPropertyChangeListener(this);
	gridBag.setConstraints( colorEditor, gbc );
	p2.add(colorEditor);
	panel.add(p2);

	JPanel p3 = new JPanel();
	p3.setLayout(gridBag);
	comboPattern = new JComboBox(
						JCChartEnumMappings.linePattern_i18n_strings);
	comboPattern.addActionListener(this);
	p3.add(new JLabel(JCChartBeanBundle.string(JCChartBeanBundle.key207)
    												+ ": "));  //  "Pattern: "
	gridBag.setConstraints(comboPattern, gbc);
	p3.add(comboPattern);
	panel.add(p3);

	JPanel p4 = new JPanel();
	p4.setLayout(gridBag);
	comboJoin = new JComboBox(
						JCChartEnumMappings.lineJoin_i18n_strings);
	comboJoin.addActionListener(this);
	p4.add(new JLabel(JCChartBeanBundle.string(JCChartBeanBundle.key297)
    												+ ": "));  //  "Join: "
	gridBag.setConstraints(comboJoin, gbc);
	p4.add(comboJoin);
	panel.add(p4);

	JPanel p5 = new JPanel();
	p5.setLayout(gridBag);
	comboCap = new JComboBox(
						JCChartEnumMappings.lineCap_i18n_strings);
	comboCap.addActionListener(this);
	p5.add(new JLabel(JCChartBeanBundle.string(JCChartBeanBundle.key298)
    												+ ": "));  //  "Cap: "
	gridBag.setConstraints(comboCap, gbc);
	p5.add(comboCap);
	panel.add(p5);

	add("Center", panel);

	return panel;
}

public void setValue(Object value) {
    if (value != null) {
        try {
            wrap = (OutlineStyleWrapper) value;
        } catch (ClassCastException e) {
        }
    }

	if (wrap == null)
		wrap = new OutlineStyleWrapper();

	switchValues();
}

/**
 * Fills the property sheet with values.
 */
protected void switchValues()
{
	if (wrap == null)
		return;

	if (sbWidth != null) {
		sbWidth.setValue(new Integer(wrap.width));
	}
	if (colorEditor != null) {
    	colorEditor.setValue(wrap.color);
	}
	int index = -1;
	if (comboPattern != null) {
		index = indexOf(patternValues, wrap.pattern);
		if (index >= 0) {
			comboPattern.setSelectedIndex(index);
		}
	}
	if (comboJoin != null) {
		index = indexOf(joinValues, wrap.join);
		if (index >= 0) {
			comboJoin.setSelectedIndex(index);
		}
	}
	if (comboCap != null) {
		index = indexOf(capValues, wrap.cap);
		if (index >= 0) {
			comboCap.setSelectedIndex(index);
		}
	}
}

/**
 * Returns the index of the <code>valueArray</code> element that matches
 * the value parameter.
 * @param valueArray
 * @param value
 * @return the index of the <code>valueArray</code> element that matches
 * the value parameter
 */
protected int indexOf(int[] valueArray, int value) {
	for (int i=0; i < valueArray.length; i++) {
		if (value == valueArray[i]) {
			return i;
		}
	}
	return -1;
}

/**
 * Returns an <code>OutlineStyleWrapper</code> object containing values
 * of width, color, pattern, join, and cap for the outline style.
 * @return <code>OutlineStyleWrapper</code> object containing values
 * of width, color, pattern, join, and cap for the outline style
 */
public Object getValue() {
	return (Object) wrap;
}

/**
 * This method initializes internal variables for the outline style
 * property using values of width, color, pattern, join, and cap parsed
 * from the input String.
 * @param text a String containing width, color, pattern, join, and
 * cap values
 * @throws IllegalArgumentException
 */
public void setAsText(String text) throws IllegalArgumentException {
    Vector paramVector = BeanTextParser.parse(text);
    if (paramVector.size() != 5) {
        throw new IllegalArgumentException();
    }
    OutlineStyleWrapper setWrapper = null;
    try {
        setWrapper = new OutlineStyleWrapper(
            Integer.parseInt((String)paramVector.elementAt(0)),
            JCSwingTypeConverter.toColor((String)paramVector.elementAt(1)),
            Integer.parseInt((String)paramVector.elementAt(2)),
            Integer.parseInt((String)paramVector.elementAt(3)),
            Integer.parseInt((String)paramVector.elementAt(4))
            );
        setValue(setWrapper);
        support.firePropertyChange("", null, null);
    } catch (Exception e) {
        throw new IllegalArgumentException();
    }
}

/**
 * This method returns a String containing the current values of width,
 * color, pattern, join, and cap for the outline style.
 * @return String containing the current values of width,
 * color, pattern, join, and cap for the outline style
 */
public String getAsText() {
    if (wrap != null)
        return wrap.toString();
    else
        return null;
}

public String getJavaInitializationString() {
	return "new com.klg.jclass.chart.beans.OutlineStyleWrapper(" + wrap + ")";
}

public Dimension getPreferredSize() {
	Dimension dim = super.getPreferredSize();
	dim.width = Math.max(dim.width, 400);
	dim.height += 450;
	return dim;
}

/**
 * <code>JCValueListener</CODE> method.
 * @param ev
 */
public void valueChanging(JCValueEvent ev) {
}

/**
 * <code>JCValueListener</code> method.
 * @param ev
 */
public void valueChanged(JCValueEvent ev) {
	Object src = ev.getSource();
	if (src instanceof JCSpinNumberBox) {
		checkProperties(src);
	}
}

/**
 * <code>FocusListener</code> method.
 * @param ev
 */
public void focusGained(FocusEvent ev) {}

/**
 * <code>FocusListener</code> method.
 * @param ev
 */
public void focusLost(FocusEvent ev)
{
	Object src = ev.getSource();
	if (src instanceof JCSpinNumberBox) {
		checkProperties(src);
	}
}

/**
 * <code>ActionListener</code> method.
 * @param ev
 */
public void actionPerformed( ActionEvent ev )
{
	Object src = ev.getSource();
	if (src instanceof JComboBox) {
		checkProperties(src);
	}
}

/**
 * <code>PropertyChangeListener</code> method.
 * @param ev
 */
public void propertyChange(PropertyChangeEvent ev)
{
	Object src = ev.getSource();
	if (src instanceof ColorEditorPanel) {
		checkProperties(src);
	}
}

public void checkProperties(Object src)
{

	try {
	if (src == sbWidth) {
		int width = sbWidth.getValue().intValue();
		if (width < 0) {
			width = 0;
			sbWidth.setValue(new Integer(width));
		}
		if (wrap.width != width) {
			wrap.width = width;
			support.firePropertyChange("", null, null);
		}
	} else if (src	== comboPattern) {
		int index = comboPattern.getSelectedIndex();
		if (index >= 0) {
			int selectedPattern = patternValues[index];
			if (wrap.pattern != selectedPattern) {
				wrap.pattern = selectedPattern;
				support.firePropertyChange("", null, null);
			}
		}

	} else if (src == comboJoin) {

		int index = comboJoin.getSelectedIndex();
		if (index >= 0) {
			int selectedJoin = joinValues[index];
			if (wrap.join != selectedJoin) {
				wrap.join = selectedJoin;
				support.firePropertyChange("", null, null);
			}
		}

	} else if (src == comboCap) {

		int index = comboCap.getSelectedIndex();
		if (index >= 0) {
			int selectedCap = capValues[index];
			if (wrap.cap != selectedCap) {
				wrap.cap = selectedCap;
				support.firePropertyChange("", null, null);
			}
		}

	} else if (src == colorEditor) {
		Color newColor = (Color) colorEditor.getValue();
		if (!newColor.equals(wrap.color)) {
			wrap.color = newColor;
			support.firePropertyChange("", null, null);
		}
	}
	} catch (Exception ex) {
		ex.printStackTrace();
	}
}

/* for testing only
public static void main( String args[] ) {
    JFrame frame;
    try {
    java.lang.Class newclass
        = java.lang.Class.forName(
			"com.klg.jclass.chart.customizer.JCustomizerCustomFrame" );
    frame = (JFrame) newclass.newInstance();
    } catch (Exception ex) {
        System.out.println(ex);
    frame = new JFrame();
    }

    OutlineStyleEditor outlineEditor = new OutlineStyleEditor();
	OutlineStyleWrapper thiswrap =
				new OutlineStyleWrapper(1, new Color(30,108,92),
		JCLineStyle.SOLID, BasicStroke.JOIN_MITER, BasicStroke.CAP_BUTT);
    outlineEditor.setValue( thiswrap );
    frame.getContentPane().add( outlineEditor );
    frame.pack();
    java.awt.Dimension bigness = outlineEditor.getPreferredSize();
    frame.setSize( bigness.width + 100, bigness.height + 50 );
    frame.setVisible(true);
}
*/

}
