/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: TitleEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:49 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.beans;

import com.klg.jclass.chart.JCChart;
import com.klg.jclass.chart.JCChartEnumMappings;

import java.awt.Font;



import java.awt.GraphicsEnvironment;

import java.awt.Insets;
import java.awt.Color;
import java.awt.BorderLayout;
import java.awt.GridLayout;
import java.awt.GridBagLayout;
import java.awt.GridBagConstraints;
import java.awt.Dimension;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import java.awt.event.FocusListener;
import java.awt.event.FocusEvent;
import java.awt.event.ItemListener;
import java.awt.event.ItemEvent;

import java.awt.Frame;
import java.awt.Component;

import javax.swing.JButton;
import javax.swing.JComponent;
import javax.swing.JCheckBox;
import javax.swing.JComboBox;
import javax.swing.JFrame;
import javax.swing.JTextField;
import javax.swing.JLabel;
import javax.swing.JRadioButton;
import javax.swing.JPanel;
import javax.swing.BorderFactory;
import javax.swing.border.Border;
import javax.swing.border.TitledBorder;




import java.util.Vector;


/**
 * Editor for Title Properties.
 */

public class TitleEditor extends BaseEditor
					  implements ItemListener, ActionListener, FocusListener {

protected JPanel this_pn;

protected JTextField text_tf;
protected JComboBox fname_ch;
protected JComboBox fstyle_ch;
protected JComboBox fsize_ch;

private String fname_vals[];

static final private String[] fstyle_names = {"plain", "bold", "italic", "bold+ialic"};
static final private int[] fstyle_vals = {Font.PLAIN, Font.BOLD, Font.ITALIC, Font.BOLD+Font.ITALIC };
static final private int[] fsize_vals = {3, 5, 8, 10, 12, 14, 18, 24, 28, 30, 32, 36, 48 };

public TitleEditor() {
	super();
}

protected void setEnumArrays()
{
}

/**
 * Creates a panel containing the GUI elements for the properties
 * associated with the radio buttons.
 * @return the panel
 */
protected JPanel makePropertyPanel() 
{

    JPanel p2 = new JPanel();
    p2.setBorder(BorderFactory.createTitledBorder(
    	JCChartBeanBundle.string(JCChartBeanBundle.key270)));
	p2.setLayout(new GridLayout(2, 1));

    JPanel p3 = new JPanel();
    p3.setBorder(BorderFactory.createTitledBorder(
    	JCChartBeanBundle.string(JCChartBeanBundle.key196)));
    p3.setLayout(new GridBagLayout());
    GridBagConstraints gbc3  = new GridBagConstraints();
    gbc3.gridwidth = 6;
    gbc3.gridx = GridBagConstraints.RELATIVE;
    gbc3.gridy = 0;
    gbc3.anchor = GridBagConstraints.WEST;
    gbc3.insets = new Insets(4,4,4,4);

    fname_ch = new JComboBox();
    fstyle_ch = new JComboBox();
    fsize_ch = new JComboBox();




	// Root through list of valid font names removing the sub-family names
	String tmp_fnames[] = GraphicsEnvironment.getLocalGraphicsEnvironment().
                                        		getAvailableFontFamilyNames();
	int num_fnames = 0;
	for (int i = 0; i < tmp_fnames.length; i++) {
		if (tmp_fnames[i].indexOf('.') < 0)
			num_fnames++;
	}
	fname_vals = new String[num_fnames];
	int fname_ind = 0;
	for (int i = 0; i < tmp_fnames.length; i++) {
		if (tmp_fnames[i].indexOf('.') < 0) {
			fname_vals[fname_ind] = new String(tmp_fnames[i]);
			fname_ind++;
		}
	}


	setEnumArrays();

    for (int i = 0; i < fname_vals.length; i++)
        fname_ch.addItem(fname_vals[i]);
    for (int i = 0; i < fstyle_names.length; i++)
        fstyle_ch.addItem(fstyle_names[i]);
    for (int i = 0; i < fsize_vals.length; i++)
        fsize_ch.addItem("" + fsize_vals[i]);

    JLabel name_label = new JLabel(JCChartBeanBundle.string(JCChartBeanBundle.key197));
    JLabel style_label = new JLabel(JCChartBeanBundle.string(JCChartBeanBundle.key198));
    JLabel size_label = new JLabel(JCChartBeanBundle.string(JCChartBeanBundle.key199));
    JLabel text_label = new JLabel(JCChartBeanBundle.string(JCChartBeanBundle.key250));
    text_tf = new JTextField(30);
    p3.add(name_label, gbc3);
    p3.add(fname_ch, gbc3);
    p3.add(style_label, gbc3);
    p3.add(fstyle_ch, gbc3);
    p3.add(size_label, gbc3);
    p3.add(fsize_ch, gbc3);

    JPanel p4 = new JPanel();
	p4.setLayout(new GridBagLayout());
	GridBagConstraints gbc4  = new GridBagConstraints();
	gbc4.gridwidth = 2;
	gbc4.gridx = GridBagConstraints.RELATIVE;
	gbc4.gridy = 0;
	gbc4.anchor = GridBagConstraints.WEST;
	gbc4.insets = new Insets(4,4,4,4);
    p4.add(text_label, gbc4);
    p4.add(text_tf, gbc4);

	p2.add(p4);
	p2.add(p3);

	add("Center", p2);

	text_tf.addActionListener(this);
	text_tf.addFocusListener(this);
	fname_ch.addItemListener(this);
	fstyle_ch.addItemListener(this);
	fsize_ch.addItemListener(this);

	this_pn = p2;

	return p2;
}

TitleWrapper wrap = null;

public void setValue(Object value) {

    if (value != null) {
        try {
			wrap = (TitleWrapper) value;
        } catch (ClassCastException e) {
        }
    }

	if (wrap == null)
		wrap = new TitleWrapper();

	switchValues();
}

/**
 * Fills the property sheet with values associated with the newly selected
 * radio button.
 */
protected void switchValues()
{
	if (wrap == null)
		return;

	Border border = this_pn.getBorder();
	if (border instanceof TitledBorder) {
		((TitledBorder)border).setTitle(wrap.prefix + " " +
			 JCChartBeanBundle.string(JCChartBeanBundle.key272));
	}
	text_tf.setText(wrap.text);

    Font tmpFont = wrap.font;
    if (tmpFont != null) {
        for (int i = 0; i < fname_vals.length; i++) {
            String cmpName = tmpFont.getName();
            if (cmpName.equalsIgnoreCase(fname_vals[i])) {
                if (fname_ch.getSelectedIndex() != i)
                	fname_ch.setSelectedIndex(i);
                break;
            }
        }
        for (int i = 0; i < fstyle_vals.length; i++) {
            int cmpStyle = tmpFont.getStyle();
            if (cmpStyle == fstyle_vals[i]) {
                if (fstyle_ch.getSelectedIndex() != i)
                	fstyle_ch.setSelectedIndex(i);
                break;
            }
        }
        for (int i = 0; i < fsize_vals.length; i++) {
            int cmpSize = tmpFont.getSize();
            if (cmpSize == fsize_vals[i]) {
                if (fsize_ch.getSelectedIndex() != i)
                	fsize_ch.setSelectedIndex(i);
                break;
            }
        }
    }
}

public Object getValue() {
	return (Object) wrap;
}

public void setAsText(String text) throws IllegalArgumentException {
    Vector paramVector = BeanTextParser.parse(text);
    if (paramVector.size() != 2) {
        throw new IllegalArgumentException();
    }
    TitleWrapper setWrapper = null;
    try {
        setWrapper = new TitleWrapper(
            (String) paramVector.elementAt(0),
            (String) paramVector.elementAt(1)
            );
        setValue(setWrapper);
        support.firePropertyChange("", null, null);
    } catch (Exception e) {
        throw new IllegalArgumentException();
    }
}

public String getAsText() {
    if (wrap != null)
        return wrap.toString();
    else
        return null;
}

public String getJavaInitializationString() {
	return "new com.klg.jclass.chart.beans.TitleWrapper(" + wrap + ")";
}

public Dimension getPreferredSize() {
    Dimension dim = super.getPreferredSize();
    dim.width = Math.max(dim.width, 500);
    dim.height += 200;
    return dim;
}

public void itemStateChanged( ItemEvent ev ) {
    Object src = ev.getSource();
    if( src instanceof JComboBox &&
            ev.getStateChange() == ItemEvent.DESELECTED)
        return;
	checkProperties(src);
}

public void focusGained(FocusEvent ev) {}

public void focusLost(FocusEvent ev) 
{
	Object src = ev.getSource();
	checkProperties(src);
}

public void actionPerformed( ActionEvent ev ) 
{
	Object src = ev.getSource();
	checkProperties(src);
}

public void checkProperties(Object src)
{
	try {
	if (src	== text_tf) {
		wrap.text = text_tf.getText();
		support.firePropertyChange("", null, null);
    } else if (src  == fname_ch || src == fstyle_ch || src == fsize_ch) {
        wrap.font = new Font(
            fname_vals[fname_ch.getSelectedIndex()],
            fstyle_vals[fstyle_ch.getSelectedIndex()],
            fsize_vals[fsize_ch.getSelectedIndex()] );
        support.firePropertyChange("", null, null);
	}
	} catch (Exception ex) {
	}
}

/* for testing purposes
public static void main( String args[] ) {
    JFrame frame;
    try {
    java.lang.Class newclass
        = java.lang.Class.forName( "com.klg.jclass.chart.customizer.JCustomizerCustomFrame" );
    frame = (JFrame) newclass.newInstance();
    } catch (Exception ex) {
        System.out.println(ex);
    frame = new JFrame();
    }

    TitleEditor axisGridEditor = new TitleEditor();
    axisGridEditor.setBackground( java.awt.Color.lightGray );
	TitleWrapper thiswrap = new TitleWrapper("", "", "", "");
    axisGridEditor.setValue( thiswrap );
    frame.getContentPane().add( axisGridEditor );
    frame.pack();
    java.awt.Dimension bigness = axisGridEditor.getPreferredSize();
    frame.setSize( bigness.width + 100, bigness.height + 50 );
    frame.setVisible(true);
}
*/

}
