/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: TriggerEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:49 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.beans;

import com.klg.jclass.chart.EventTrigger;
import com.klg.jclass.chart.JCChartEnumMappings;

import java.awt.Insets;
import java.awt.Color;
import java.awt.BorderLayout;
import java.awt.GridLayout;
import java.awt.GridBagLayout;
import java.awt.GridBagConstraints;
import java.awt.Dimension;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import java.awt.event.FocusListener;
import java.awt.event.FocusEvent;
import java.awt.event.ItemListener;
import java.awt.event.ItemEvent;

import java.awt.Frame;
import java.awt.Component;

import javax.swing.JCheckBox;
import javax.swing.JComboBox;
import javax.swing.JComponent;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JRadioButton;
import javax.swing.BorderFactory;




import java.util.Vector;


/**
 * Editor for Trigger Properties.
 */

public class TriggerEditor extends BaseEditor
					  implements ItemListener, ActionListener, FocusListener {

protected JComboBox norm_ch;
protected JComboBox shift_ch;
protected JComboBox ctrl_ch;
protected JComboBox alt_ch;
protected JComboBox meta_ch;
protected JCheckBox allow_cb;

protected String[] action_names;
protected int[] action_vals;

//Position of 'NONE' choice inside action checkboxes
protected int nonePosition = 0;

public TriggerEditor() {
	super();
}

protected void setEnumArrays()
{
	action_names = new String[JCChartEnumMappings.trigger_values.length - 1];
	action_vals = new int[JCChartEnumMappings.trigger_values.length - 1];

	int counter = 0;
	for (int i = 0; i < JCChartEnumMappings.trigger_values.length; i++) {
		if (JCChartEnumMappings.trigger_values[i] != EventTrigger.EDIT) {
			action_names[counter] = JCChartEnumMappings.trigger_i18n_strings[i];
			action_vals[counter] = JCChartEnumMappings.trigger_values[i];
			counter++;
		}
	}
}

/**
 * Creates a panel containing the GUI elements for the properties
 * associated with the radio buttons.
 * @return the panel
 */
protected JPanel makePropertyPanel() 
{

    JPanel p2 = new JPanel();
    p2.setBorder(BorderFactory.createTitledBorder(
    	JCChartBeanBundle.string(JCChartBeanBundle.key273)));
    p2.setLayout(new BorderLayout());

    JPanel p3 = new JPanel();
    p3.setLayout(new GridBagLayout());
    GridBagConstraints gbc3  = new GridBagConstraints();
    gbc3.gridwidth = 2;
    gbc3.gridx = GridBagConstraints.RELATIVE;
    gbc3.gridy = 0;
    gbc3.anchor = GridBagConstraints.CENTER;
    gbc3.insets = new Insets(4,4,4,4);

    norm_ch = new JComboBox();
    shift_ch = new JComboBox();
    ctrl_ch = new JComboBox();
	alt_ch = new JComboBox();
	meta_ch = new JComboBox();

	setEnumArrays();

    for (int i = 0; i < action_names.length; i++) {
		if (action_vals[i] == EventTrigger.NONE)
			nonePosition = i;
        norm_ch.addItem(action_names[i]);
        shift_ch.addItem(action_names[i]);
        ctrl_ch.addItem(action_names[i]);
        alt_ch.addItem(action_names[i]);
        meta_ch.addItem(action_names[i]);
	}

	String ctrl_string = JCChartBeanBundle.string(JCChartBeanBundle.key277);
	String alt_string = JCChartBeanBundle.string(JCChartBeanBundle.key278);
	String meta_string = JCChartBeanBundle.string(JCChartBeanBundle.key279);

 

    JLabel modifier_label = new JLabel(JCChartBeanBundle.string(JCChartBeanBundle.key274));
    JLabel action_label = new JLabel(JCChartBeanBundle.string(JCChartBeanBundle.key275));
    JLabel none_label = new JLabel(JCChartBeanBundle.string(JCChartBeanBundle.key215));
    JLabel shift_label = new JLabel(JCChartBeanBundle.string(JCChartBeanBundle.key276));
    JLabel ctrl_label = new JLabel(ctrl_string);
    JLabel alt_label = new JLabel(alt_string);
    JLabel meta_label = new JLabel(meta_string);
    JPanel p4 = new JPanel();
	allow_cb = new JCheckBox(JCChartBeanBundle.string(JCChartBeanBundle.key280));

    p3.add(modifier_label, gbc3);
    p3.add(action_label, gbc3);
	gbc3.gridy++;
    p3.add(none_label, gbc3);
    p3.add(norm_ch, gbc3);
	gbc3.gridy++;
    p3.add(shift_label, gbc3);
    p3.add(shift_ch, gbc3);
	gbc3.gridy++;
    p3.add(ctrl_label, gbc3);
    p3.add(ctrl_ch, gbc3);
	gbc3.gridy++;
    p3.add(alt_label, gbc3);
    p3.add(alt_ch, gbc3);
	gbc3.gridy++;
    p3.add(meta_label, gbc3);
    p3.add(meta_ch, gbc3);

	p2.add("Center", p3);

    p4.setLayout(new GridBagLayout());
    GridBagConstraints gbc4  = new GridBagConstraints();
    gbc4.gridwidth = 1;
    gbc4.gridx = GridBagConstraints.RELATIVE;
    gbc4.gridy = 0;
    gbc4.anchor = GridBagConstraints.CENTER;
    gbc4.insets = new Insets(4,4,4,4);

	p4.add(allow_cb, gbc4);

	p2.add("South", p4);

	add("Center", p2);

	norm_ch.addItemListener(this);
	shift_ch.addItemListener(this);
	ctrl_ch.addItemListener(this);
	alt_ch.addItemListener(this);
	meta_ch.addItemListener(this);
	allow_cb.addItemListener(this);


	return p2;
}


 

TriggerWrapper wrap = null;

public void setValue(Object value) {

    if (value != null) {
        try {
			wrap = (TriggerWrapper) value;
        } catch (ClassCastException e) {
        }
    }

	if (wrap == null)
		wrap = new TriggerWrapper();

	switchValues();
}

/**
 * Fills the property sheet with values associated with the newly selected
 * radio button.
 */
protected void switchValues()
{
	if (wrap == null)
		return;

	for (int i = 0; i < action_vals.length; i++) {
		if (wrap.norm_action == action_vals[i]) {
			if (norm_ch.getSelectedIndex() != i)
				norm_ch.setSelectedIndex(i);
		}
		if (wrap.shift_action == action_vals[i]) {
			if (shift_ch.getSelectedIndex() != i)
				shift_ch.setSelectedIndex(i);
		}
		if (wrap.ctrl_action == action_vals[i]) {
			if (ctrl_ch.getSelectedIndex() != i)
				ctrl_ch.setSelectedIndex(i);
		}
		if (wrap.alt_action == action_vals[i]) {
			if (alt_ch.getSelectedIndex() != i)
				alt_ch.setSelectedIndex(i);
		}
		if (wrap.meta_action == action_vals[i]) {
			if (meta_ch.getSelectedIndex() != i)
				meta_ch.setSelectedIndex(i);
		}
	}

	if (allow_cb.isSelected() != wrap.allow)
		allow_cb.setSelected(wrap.allow);
}

public Object getValue() {
	return (Object) wrap;
}

public void setAsText(String text) throws IllegalArgumentException {
    Vector paramVector = BeanTextParser.parse(text);
    if (paramVector.size() != 6) {
        throw new IllegalArgumentException();
    }
    TriggerWrapper setWrapper = null;
    try {
        setWrapper = new TriggerWrapper(
            (String) paramVector.elementAt(0),
            (String) paramVector.elementAt(1),
            (String) paramVector.elementAt(2),
            (String) paramVector.elementAt(3),
            (String) paramVector.elementAt(4),
            Boolean.valueOf((String) paramVector.elementAt(5)).booleanValue()
            );
        setValue(setWrapper);
        support.firePropertyChange("", null, null);
    } catch (Exception e) {
        throw new IllegalArgumentException();
    }
}

public String getAsText() {
    if (wrap != null)
        return wrap.toString();
    else
        return null;
}

public String getJavaInitializationString() {
	return "new com.klg.jclass.chart.beans.TriggerWrapper(" + wrap + ")";
}

public Dimension getPreferredSize() {
    Dimension dim = super.getPreferredSize();
    dim.width = Math.max(dim.width, 300);

 
    dim.height += 350;
    return dim;
}

public void itemStateChanged( ItemEvent ev ) {
    Object src = ev.getSource();
    if( src instanceof JComboBox &&
            ev.getStateChange() == ItemEvent.DESELECTED)
        return;
	checkProperties(src);
}

public void focusGained(FocusEvent ev) {}

public void focusLost(FocusEvent ev) 
{
	Object src = ev.getSource();
	checkProperties(src);
}

public void actionPerformed( ActionEvent ev ) 
{
	Object src = ev.getSource();
	checkProperties(src);
}

public void checkProperties(Object src)
{
	try {

 
	if (src == norm_ch) {
		wrap.norm_action = action_vals[norm_ch.getSelectedIndex()];
		support.firePropertyChange("", null, null);
	} else if (src == shift_ch) {
		wrap.shift_action = action_vals[shift_ch.getSelectedIndex()];
		support.firePropertyChange("", null, null);
	} else if (src == ctrl_ch) {
		wrap.ctrl_action = action_vals[ctrl_ch.getSelectedIndex()];

 
		support.firePropertyChange("", null, null);
	} else if (src == alt_ch) {
		wrap.alt_action = action_vals[alt_ch.getSelectedIndex()];

 
		support.firePropertyChange("", null, null);
	} else if (src == meta_ch) {
		wrap.meta_action = action_vals[meta_ch.getSelectedIndex()];

 
		support.firePropertyChange("", null, null);
	} else if (src == allow_cb) {
		wrap.allow = allow_cb.isSelected();
		support.firePropertyChange("", null, null);
	}
	} catch (Exception ex) {
	}
}

/* for testing purposes
public static void main( String args[] ) {
    JFrame frame;
    try {
    java.lang.Class newclass
        = java.lang.Class.forName( "com.klg.jclass.chart.customizer.JCustomizerCustomFrame" );
    frame = (JFrame) newclass.newInstance();
    } catch (Exception ex) {
        System.out.println(ex);
    frame = new JFrame();
    }

    TriggerEditor axisTrigEditor = new TriggerEditor();
    axisTrigEditor.setBackground( java.awt.Color.lightGray );
	TriggerWrapper thiswrap = new TriggerWrapper("", "", "", "", "", false);
    axisTrigEditor.setValue( thiswrap );
    frame.getContentPane().add( axisTrigEditor );
    frame.pack();
    java.awt.Dimension bigness = axisTrigEditor.getPreferredSize();
    frame.setSize( bigness.width + 100, bigness.height + 50 );
    frame.setVisible(true);
}
*/

}
