/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LocaleBeanInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:49 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.beans.resources;

import com.klg.jclass.beans.*;
import com.klg.jclass.chart.beans.BeanKeys;

/**
 *  Locale class for BeanInfo description strings.
 */
public class LocaleBeanInfo extends AbstractBeanLocaleInfo {

protected Item items[] = {
	// Items in both Multi and SimpleChart

 
	new Item(BeanKeys.AXIS_ORIENTATION,
			BeanKeys.AXIS_ORIENTATION,
			"X-Y axis orientation"),
	new Item(BeanKeys.VIEW_3D,
			BeanKeys.VIEW_3D,
			"Specify 3D viewpoint"),
	new Item(BeanKeys.HEADER_TEXT,
			BeanKeys.HEADER_TEXT,
			"Title of chart"),
	new Item(BeanKeys.FOOTER_TEXT,
			BeanKeys.FOOTER_TEXT,
			"Text to place below chart"),

	// MultiChart items
	new Item(BeanKeys.AXIS_ANNOTATIONS,
			BeanKeys.AXIS_ANNOTATIONS,
			"Axis annotation specifications"),
	new Item(BeanKeys.AXIS_GRID,
			BeanKeys.AXIS_GRID,
			"Axis grid line values"),
	new Item(BeanKeys.AXIS_MISC,
			BeanKeys.AXIS_MISC,
			"Miscellaneous axis info"),
	new Item(BeanKeys.AXIS_ORIGIN,
			BeanKeys.AXIS_ORIGIN,
			"Axis origin values"),
	new Item(BeanKeys.AXIS_PLACEMENT,
			BeanKeys.AXIS_PLACEMENT,
			"Axis placement values"),
	new Item(BeanKeys.AXIS_POINT_LABELS,
			BeanKeys.AXIS_POINT_LABELS,
			"Axis point label annotations"),
	new Item(BeanKeys.AXIS_RELATIONSHIP,
			BeanKeys.AXIS_RELATIONSHIP,
			"Axis relationships"),
	new Item(BeanKeys.AXIS_SCALE,
			BeanKeys.AXIS_SCALE,
			"Axis scale information"),
	new Item(BeanKeys.AXIS_TIME_LABELS,
			BeanKeys.AXIS_TIME_LABELS,
			"Axis time label annotations"),
	new Item(BeanKeys.AXIS_TITLE,
			BeanKeys.AXIS_TITLE,
			"Axis title values"),
	new Item(BeanKeys.AXIS_VALUE_LABELS,
			BeanKeys.AXIS_VALUE_LABELS,
			"Axis value label annotations"),
	new Item(BeanKeys.CHART_APPEARANCE,
			BeanKeys.CHART_APPEARANCE,
			"Chart appearance"),
	new Item(BeanKeys.CHART_AREA_APPEARANCE,
			BeanKeys.CHART_AREA_APPEARANCE,
			"ChartArea appearance"),
	new Item(BeanKeys.DATA_CHART,
			BeanKeys.DATA_CHART,
			"Chart type and axis specifications for DataView"),
	new Item(BeanKeys.DATA_MISC,
			BeanKeys.DATA_MISC,
			"Miscellaneous Data properties"),
	new Item(BeanKeys.DATA_SOURCE,
			BeanKeys.DATA_SOURCE,
			"Data Source"),
	new Item(BeanKeys.FOOTER_APPEARANCE,
			BeanKeys.FOOTER_APPEARANCE,
			"Footer appearance"),
	new Item(BeanKeys.HEADER_APPEARANCE,
			BeanKeys.HEADER_APPEARANCE,
			"Header appearance"),
	new Item(BeanKeys.LEGEND_APPEARANCE,
			BeanKeys.LEGEND_APPEARANCE,
			"Legend appearance Properties"),
	new Item(BeanKeys.LEGEND_LAYOUT,
			BeanKeys.LEGEND_LAYOUT,
			"Layout of legend"),
	new Item(BeanKeys.OUTLINE_STYLE,
			BeanKeys.OUTLINE_STYLE,
			"Outline style"),
	new Item(BeanKeys.PLOT_AREA_APPEARANCE,
			BeanKeys.PLOT_AREA_APPEARANCE,
			"PlotArea appearance"),
	new Item(BeanKeys.POLAR_RADAR,
			BeanKeys.POLAR_RADAR,
			"Polar/Radar chart properties"),
	new Item(BeanKeys.SWING_DATA_MODEL_1,
			BeanKeys.SWING_DATA_MODEL_1,
			"Swing TableModel for first data view"),
	new Item(BeanKeys.SWING_DATA_MODEL_2,
			BeanKeys.SWING_DATA_MODEL_2,
			"Swing TableModel for second data view"),
	new Item(BeanKeys.TRIGGER_LIST,
			BeanKeys.TRIGGER_LIST,
			"Event trigger list"),

	// BaseChart items
	new Item(BeanKeys.CHART_TYPE,
			BeanKeys.CHART_TYPE,
			"Chart type" ),
	new Item(BeanKeys.X_AXIS_LOGARITHMIC,
			BeanKeys.X_AXIS_LOGARITHMIC,
			"Linear/logarithmic x axis"),
	new Item(BeanKeys.X_AXIS_VISIBLE,
			BeanKeys.X_AXIS_VISIBLE,
			"Determine whether x axis is visible"),
	new Item(BeanKeys.X_AXIS_ANNOTATION_METHOD,
			BeanKeys.X_AXIS_ANNOTATION_METHOD,
			"Labelling technique for x axis"),
	new Item(BeanKeys.X_AXIS_NUM_SPACING,
			BeanKeys.X_AXIS_NUM_SPACING,
			"Label increment for x axis"),
	new Item(BeanKeys.X_AXIS_GRID_VISIBLE,
			BeanKeys.X_AXIS_GRID_VISIBLE,
			"Show/hide x axis grid"),
	new Item(BeanKeys.X_AXIS_MIN_MAX,
			BeanKeys.X_AXIS_MIN_MAX,
			"Specify x axis start and end points"),
	new Item(BeanKeys.X_AXIS_TITLE_TEXT,
			BeanKeys.X_AXIS_TITLE_TEXT,
			"Specify x axis title"),
	new Item(BeanKeys.Y_AXIS_LOGARITHMIC,
			BeanKeys.Y_AXIS_LOGARITHMIC,
			"Linear/logarithmic y axis"),
	new Item(BeanKeys.Y_AXIS_VISIBLE,
			BeanKeys.Y_AXIS_VISIBLE,
			"Determine whether y axis is visible"),
	new Item(BeanKeys.Y_AXIS_ANNOTATION_METHOD,
			BeanKeys.Y_AXIS_ANNOTATION_METHOD,
			"Labelling technique for y axis"),
	new Item(BeanKeys.Y_AXIS_NUM_SPACING,
			BeanKeys.Y_AXIS_NUM_SPACING,
			"Label increment for y axis"),
	new Item(BeanKeys.Y_AXIS_GRID_VISIBLE,
			BeanKeys.Y_AXIS_GRID_VISIBLE,
			"Show/hide y axis grid"),
	new Item(BeanKeys.Y_AXIS_MIN_MAX,
			BeanKeys.Y_AXIS_MIN_MAX,
			"Specify y axis start and end points"),
	new Item(BeanKeys.Y_AXIS_TITLE_TEXT,
			BeanKeys.Y_AXIS_TITLE_TEXT,
			"Specify y axis title"),
	new Item(BeanKeys.LEGEND_VISIBLE,
			BeanKeys.LEGEND_VISIBLE,
			"Show/hide graph legend"),
	new Item(BeanKeys.LEGEND_ANCHOR,
			BeanKeys.LEGEND_ANCHOR,
			"Position of legend"),
	new Item(BeanKeys.LEGEND_ORIENTATION,
			BeanKeys.LEGEND_ORIENTATION,
			"Controls legend layout"),

	// SimpleChart items
	new Item(BeanKeys.DATA,
			BeanKeys.DATA,
			"Load/enter data into chart"),
	new Item(BeanKeys.SWING_DATA_MODEL,
			BeanKeys.SWING_DATA_MODEL,
			"Swing TableModel for data"),

	// DataBean Chart Items
	new Item(BeanKeys.DATA_BINDING,
			BeanKeys.DATA_BINDING,
			"Specifies table data source"),
	new Item(BeanKeys.DATA_BINDING_CONFIG,
			BeanKeys.DATA_BINDING_CONFIG,
			"DB data source elements"),
	new Item(BeanKeys.DATA_SET,
			BeanKeys.DATA_SET,
			"Data Set"),

};

protected Item[] getItems() {
	return items;
}

}

