/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: AxisAttachTabs.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:49 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.customizer;

import javax.swing.JFrame;
import javax.swing.event.ChangeListener;

import com.klg.jclass.chart.ChartDataView;
import com.klg.jclass.chart.JCAxis;
import com.klg.jclass.chart.JCChart;

/**
 *  Axis Attachment pages
 */
public class AxisAttachTabs extends AxisTabs
                                 implements ChangeListener {


protected JCChart chart;

/**
 * return a list of (Tab Label, TabPage Class) pairs
 */
public String[][] getPages() {
    return axisAttachPages;
}


/**
 * Method called to populate the dialog with the source's properties
 */
public void setObject(Object source) {
    super.setObject(source);
    if (target != null) {
	if (target.getFormula().getOriginator() != null) {
	    tabManager.setSelectedIndex( tabManager.indexOfTab( getPages()[1][0] ) );
	}
	else if (target.getPlacementAxis() != null) {
	    tabManager.setSelectedIndex( tabManager.indexOfTab( getPages()[2][0] ) );
	}
	else {
	    tabManager.setSelectedIndex( tabManager.indexOfTab( getPages()[0][0] ) );
	}
    }
}

/**
 * Static main method that allows this class to be run independently
 * in the interpreter with the command:
 * java AxisAttachTabs
 */
public static void main( String args[] ) {
    JFrame frame;
    try {
	java.lang.Class newclass 
	    = java.lang.Class.forName( "com.klg.jclass.chart.customizer.JCustomizerCustomFrame" );
	frame = (JFrame) newclass.newInstance();
    } catch (Exception ex) {
		System.out.println(ex);
	frame = new JFrame();
    }
    frame.setTitle( JCustomizerBundle.string( JCustomizerBundle.key51) );

    AxisAttachTabs axisAttachTabs = new AxisAttachTabs();
    axisAttachTabs.setBackground(java.awt.Color.lightGray);
    axisAttachTabs.init();
    frame.getContentPane().add( axisAttachTabs );
    frame.pack();
    java.awt.Dimension bigness = axisAttachTabs.getPreferredSize();
    frame.setSize(bigness.width + 200, bigness.height + 100 );
    frame.show();
}

public static String getPageTitle() {
    return JCustomizerBundle.string( JCustomizerBundle.key52 );
}

public static String getPageName() {
    return "AxisAttachTabs";
}

}

