/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: AxisTabs.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:49 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.customizer;

import javax.swing.JFrame;
import javax.swing.event.ChangeListener;

import com.klg.jclass.chart.JCChart;
import com.klg.jclass.chart.JCAxis;

/**
 *  Base class for Tabbed Property Pages for a JCAxis
 */
public class AxisTabs extends TabbedPropertyPage
                                 implements ChangeListener {

protected JCAxis target = null;

/**
 * Method called to initialize the page
 */
public void init() {
    super.init();
}

/**
 * Method called to populate the dialog with the source's properties
 */
public void setObject( Object source ) {
    if (source instanceof JCChart) {
	target = ((JCChart) source).getChartArea().getXAxis(0);
    }
    else if (source instanceof JCAxis) {
	target = (JCAxis) source;
    }
    if (target != null) {
	this.updateCurrentPage();
    }
}

/**
 * Return the Object that this Property Page is showing
 */
public Object getObject() {
    return (Object) target;
}

/**
 * Static main method that allows this class to be run independently
 * in the interpreter with the command:
 * java AxisTabs
 */
public static void main( String args[] ) {
    JFrame frame;
    try {
	java.lang.Class newclass 
	    = java.lang.Class.forName( "com.klg.jclass.chart.customizer.JCustomizerCustomFrame" );
	frame = (JFrame) newclass.newInstance();
    } catch (Exception ex) {
		System.out.println(ex);
	frame = new JFrame();
    }
    frame.setTitle( JCustomizerBundle.string( JCustomizerBundle.key43 ) );

    AxisTabs axisTabs = new AxisTabs();
    axisTabs.setBackground(java.awt.Color.lightGray);
    axisTabs.init();
    frame.getContentPane().add( axisTabs );
    frame.pack();
    java.awt.Dimension bigness = axisTabs.getPreferredSize();
    frame.setSize(bigness.width + 200, bigness.height + 100 );
    frame.show();
}
}

