/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: ChartAboutPage.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:49 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.customizer;

import javax.swing.*;
import java.awt.*;
import java.io.File;
import java.io.FileInputStream;

/**
 *  About Chart Page
 */
public class ChartAboutPage extends JPropertyPage {

/**
 * Method called to initialize the page
 */
public void init()
{
    super.init();
    setToolTipText(getPageTitle());
    setLayout(new BorderLayout());

    File f = null;
    FileInputStream stream = null;
    ImageIcon klgIcon = null;
    JLabel label = new JLabel();

    try {
        klgIcon = new ImageIcon(
            "/com/klg/jclass/chart/customizer/klglogo.gif");
        label = new JLabel("", klgIcon, SwingConstants.CENTER);
    }
    catch (SecurityException ex) {
        System.out.println(JCustomizerBundle.string(JCustomizerBundle.key18));
        return;
    }

    label.setIconTextGap(12);
    label.setText("http://www.quest.com");
    label.setToolTipText(JCustomizerBundle.string(JCustomizerBundle.key19));

    label.setHorizontalTextPosition(SwingConstants.CENTER);
    label.setVerticalTextPosition(SwingConstants.BOTTOM);
    label.setForeground(Color.blue);
    add("Center", label);
}

/**
 * Static main method that allows this class to be run independently
 * in the interpreter with the command:
 * java ChartAboutPage
 */
public static void main(String args[])
{
    JFrame frame;
    try {
        String s = "com.klg.jclass.chart.customizer.JCustomizerCustomFrame";
        Class newclass = Class.forName(s);
        frame = (JFrame)newclass.newInstance();
    }
    catch (Exception ex) {
        System.out.println(ex);
        frame = new JFrame();
    }
    frame.setTitle(getPageTitle());

    ChartAboutPage chartAboutPage = new ChartAboutPage();
    chartAboutPage.setBackground(java.awt.Color.lightGray);
    chartAboutPage.init();
    frame.getContentPane().add(chartAboutPage);
    frame.pack();
    java.awt.Dimension bigness = chartAboutPage.getPreferredSize();
    frame.setSize(bigness.width + 200, bigness.height + 100);
    frame.show();
}

public static String getPageTitle()
{
    return JCustomizerBundle.string(JCustomizerBundle.key301);
}

public static String getPageName()
{
    return "ChartAboutPage";
}

}
