/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: ChartDataList.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:50 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.customizer;

import java.awt.Insets;

import com.klg.jclass.chart.JCChart;
import com.klg.jclass.chart.ChartDataView;
import com.klg.jclass.chart.ChartDataViewSeries;

import javax.swing.JFrame;

 /**
 *  ChartDataView Data Property Page
 */
public class ChartDataList extends OutlinedPropertyPage {

private ChartDataView view = null;

/**
 * return a list of (Outline item label , item Class) pairs
 */
public String[] getOutlineDesc() {
    return seriesOutline;
}

/**
 * Return the Object that this Property Page is showing
 */
public Object getObject() {
    return (Object) view;
}

/**
 * Method called to populate the dialog with the source's properties
 */
public void setObject(Object source) {
    //System.out.println("DVGP setObject: "+source);
    if (source instanceof JCChart) {
		this.setObject(((JCChart) source).getDataView(0));
    }
    else {
		if (source instanceof ChartDataView) {
			view = (ChartDataView) source;
			if (view != null) {
				Double value;
				int numSets = view.getNumSeries();
				String label = "" + numSets + " " + JCustomizerBundle.string( JCustomizerBundle.key138 ) + ":";
				title.setText( label );

				int i;
			    for( i = 0; i < numSets; i++ ) {
					ChartDataViewSeries series = view.getSeries(i);
					label = series.getName();
					if (label == null || label.equals("") ) {
						label = JCustomizerBundle.string( JCustomizerBundle.key138 ) + i;
					}
					setNode( tree.getRoot(), label, i, (Object)series);
				}
				setNode( tree.getRoot(), null, i, null); // Clear the rest of the children
			}
		}
		else {
			if (source instanceof ChartDataViewSeries) {
			// search the outliner looking for a match?
			}
			else { 
				if (source instanceof Integer) {
				// select the item corresponding to the value?
				//outliner.select(((Integer) source).intValue());
				}
				if( view != null && editor != null) {
					editor.setObject( view );

					Object ud = getSelectedData();

					if( ud != null )
						editor.setObject(ud);
				}
			}
		}
	initSelection( true );
	}
}

/**
 * Static main method that allows this class to be run independently
 * in the interpreter with the command:
 * java ChartDataList
 */
public static void main( String args[] ) {
    JFrame frame;
    try {
	java.lang.Class newclass 
	    = java.lang.Class.forName( "com.klg.jclass.chart.customizer.JCustomizerCustomFrame" );
	frame = (JFrame) newclass.newInstance();
    } catch (Exception ex) {
		System.out.println(ex);
	frame = new JFrame();
    }
    frame.setTitle( getPageTitle() );

    ChartDataList chartDataList = new ChartDataList();
    chartDataList.setBackground( java.awt.Color.lightGray );
    chartDataList.init();
	chartDataList.setObject( new com.klg.jclass.chart.JCChart() );
    frame.getContentPane().add( chartDataList );
    frame.pack();
    java.awt.Dimension bigness = chartDataList.getPreferredSize();
    frame.setSize( bigness.width + 200, bigness.height + 100 );
    frame.show();
}

public static String getPageTitle() {
    return JCustomizerBundle.string( JCustomizerBundle.key176 );
}

public static String getPageName() {
    return "ChartDataList";
}

}
