/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: ChartDataViewDialog.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:50 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.customizer;

import javax.swing.JFrame;

import com.klg.jclass.chart.ChartDataView;
import com.klg.jclass.chart.JCChart;

/**
 *  Chart Data View Dialog
 */
public class ChartDataViewDialog extends JAddRemoveDialog {

private JCChart preview = null;
private JCChart chart = null;
private ChartDataView view = null;

/**
 * Method called to populate the dialog with the source's properties
 */
public void setObject( Object source ) {
    //System.out.println("Add DataView setObject: " + source );
    if (source == null) return;
    else 
		if (source instanceof ChartDataView) {
			view = (ChartDataView)source;
			editor.setObject( source );
			if( preview != null ) {
				preview.setDataView(0, view);
		}
    }
}

/**
 * Method called to provide this dialog with a model object
 * to emulate, particularly in the preview
 */
public void setModel( Object source ) {
    //System.out.println("ChartDataViewDialog setModel: "+source);
    if( source instanceof JCChart ) {
		chart = (JCChart) source;
    }
}

/**
 * @return The value of the property.  Builtin types such as "int" will
 * be wrapped as the corresponding object type such as "java.lang.Integer".
 */
public Object getValue() {
    return view;
}

/**
 * Determine if this Dialog has a Preview
 * Subclasses will override this
 */
public boolean hasPreview() {
    return true;
}

/**
 * Show the current object in some kind of preview
 * Override to show the current view above the controls
 */
public void showPreview() {
    if (preview == null) {
	preview = new JCChart();
	if (chart != null) {
	    preview.getChartArea().setDepth(
			chart.getChartArea().getDepth());
	    preview.getChartArea().setRotation(
			chart.getChartArea().getRotation());
	    preview.getChartArea().setElevation(
			chart.getChartArea().getElevation());
	}
	add("South", preview);
	resizeFrame(this);
    }
    preview.setDataView(0, view);
}


/**
 * Static main method that allows this class to be run independently
 * in the interpreter with the command:
 * java ChartDataViewDialog
 */
public static void main( String args[] ) {
    JFrame frame;
    try {
	java.lang.Class newclass 
	    = java.lang.Class.forName( "com.klg.jclass.chart.customizer.JCustomizerCustomFrame" );
	frame = (JFrame) newclass.newInstance();
    } catch (Exception ex) {
		System.out.println(ex);
	frame = new JFrame();
    }
    frame.setTitle( getPageTitle() );

    ChartDataViewDialog chartDataViewDialog = new ChartDataViewDialog();
    chartDataViewDialog.setBackground( java.awt.Color.lightGray );
    chartDataViewDialog.init();
    frame.getContentPane().add( chartDataViewDialog );
    frame.pack();
    java.awt.Dimension bigness = chartDataViewDialog.getPreferredSize();
    frame.setSize(bigness.width + 200, bigness.height + 100 );
    frame.show();
}

public static String getPageTitle() {
    return JCustomizerBundle.string( JCustomizerBundle.key300 );
}

public static String getPageName() {
    return "ChartDataViewDialog";
}

}
