/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: ChartLabelAttachPage.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:50 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.customizer;

import java.awt.FlowLayout;
import java.awt.Insets;
import java.awt.Point;
import java.awt.GridBagLayout;
import java.awt.GridBagConstraints;

import javax.swing.JPanel;
import javax.swing.JLabel;
import javax.swing.JFrame;
import javax.swing.ButtonGroup;
import javax.swing.BorderFactory;

import com.klg.jclass.chart.ChartDataView;
import com.klg.jclass.chart.ChartDataViewSeries;
import com.klg.jclass.chart.JCChartLabel;
import com.klg.jclass.chart.JCDataCoord;
import com.klg.jclass.chart.JCDataIndex;

/**
 *  Chart Label Attach and Size Customizing Page
 */
public class ChartLabelAttachPage extends JPropertyPage {

private JBooleanEditor coordCheck, dataCoordCheck, indexCheck;
private JIntegerEditor pixelX, pixelY;
private JIntegerEditor series, point;
private JDoubleEditor attachXDouble;
private JDoubleEditor attachYDouble;

private JCChartLabel target;
/**
 * Method called to initialize the page
 */
public void init() {
	super.init();
	setToolTipText( getPageTitle() );
    setLayout( new FlowLayout( FlowLayout.LEFT, 2, 3 ) );
	setBorder( BorderFactory.createTitledBorder( JCustomizerBundle.string( JCustomizerBundle.key257 ) ) );
    
	ButtonGroup attachToGroup = new ButtonGroup();
	JPanel attachTo = new JPanel();
	GridBagConstraints constraints = new GridBagConstraints();
	GridBagLayout gridbag = new GridBagLayout();

	constraints.anchor = GridBagConstraints.WEST;
	constraints.gridwidth = GridBagConstraints.REMAINDER;
	constraints.insets = new Insets( 5, 10, 5, 10 );
	constraints.weightx = 1.0;
	attachTo = new JPanel();
    attachTo.setLayout( gridbag );

    coordCheck = new JBooleanEditor( JCustomizerBundle.string( JCustomizerBundle.key258 ) );
    coordCheck.addPropertyChangeListener( this );
	attachToGroup.add( coordCheck );
    attachTo.add( coordCheck );
    attachTo.add( new JLabel( JCustomizerBundle.string( JCustomizerBundle.key255 )+ " X:" ) );
    pixelX = new JIntegerEditor( 4 );
    pixelX.setMinimum( -9999 );
    pixelX.addPropertyChangeListener( this );
    attachTo.add( pixelX );
    indexCheck = new JBooleanEditor( JCustomizerBundle.string( JCustomizerBundle.key259 ) );
    indexCheck.addPropertyChangeListener( this );
	indexCheck.setBorder( BorderFactory.createEmptyBorder( 0, 5, 0, 0 ) );
	attachToGroup.add( indexCheck );
    attachTo.add( indexCheck );

    attachTo.add( new JLabel( JCustomizerBundle.string( JCustomizerBundle.key138 ) + ":" ) );
    series = new JIntegerEditor( 4 );
    series.addPropertyChangeListener( this );
	gridbag.setConstraints( series, constraints );
    attachTo.add( series );

    attachTo.add( new JLabel("") );
    attachTo.add( new JLabel( JCustomizerBundle.string( JCustomizerBundle.key255 )+ " Y:" ) );
    pixelY = new JIntegerEditor( 4 );
    pixelY.setMinimum( -9999 );
    pixelY.addPropertyChangeListener( this );
    attachTo.add( pixelY );
    attachTo.add( new JLabel("") );
    attachTo.add( new JLabel( JCustomizerBundle.string( JCustomizerBundle.key150 ) + ":" ) );
    point = new JIntegerEditor( 4 );
    point.addPropertyChangeListener( this );
	gridbag.setConstraints( point, constraints );
    attachTo.add( point );
    dataCoordCheck = new JBooleanEditor( JCustomizerBundle.string( JCustomizerBundle.key260 ) );
    dataCoordCheck.addPropertyChangeListener( this );
	attachToGroup.add( dataCoordCheck );
    attachTo.add( dataCoordCheck );

	attachTo.add( new JLabel( "X " + JCustomizerBundle.string( JCustomizerBundle.key97 ) + ":") );
    attachXDouble = new JDoubleEditor( 6 );
    attachXDouble.addPropertyChangeListener( this );
	gridbag.setConstraints( attachXDouble, constraints );
    attachTo.add( attachXDouble );
    attachTo.add( new JLabel("") );

    attachTo.add( new JLabel( "Y " + JCustomizerBundle.string( JCustomizerBundle.key97 ) + ":") );
    attachYDouble = new JDoubleEditor( 6 );
    attachYDouble.addPropertyChangeListener( this );
	gridbag.setConstraints( attachYDouble, constraints );
    attachTo.add( attachYDouble );
    attachTo.add( new JLabel("") );
    attachTo.add( new JLabel("") );
    attachTo.add( new JLabel("") );
    add( attachTo );
}

/**
 * Return the object being edited
 */
public Object getObject() {
    return target;
}

/**
 * Method called to update the page with values from the supplied source
 */
public void setObject(Object source) {
    //System.out.println("CLabelAP setObject: "+source);
    if (source instanceof JCChartLabel) {
	target = (JCChartLabel) source;
	int method = target.getAttachMethod();
	if (method == JCChartLabel.ATTACH_COORD) {
	    //attachTo.setCurrent(coordCheck);
		coordCheck.setSelected( true );
	    Point attach = target.getCoord();
	    pixelX.setValue(new Integer(attach.x));
	    pixelY.setValue(new Integer(attach.y));

	    pixelX.setEnabled( true );
	    pixelY.setEnabled( true );
	    attachXDouble.setEnabled( false );
	    attachYDouble.setEnabled( false );
	    series.setEnabled( false );
	    point.setEnabled( false );
	}
	else if (method == JCChartLabel.ATTACH_DATACOORD) {
	    //attachTo.setCurrent(dataCoordCheck);
		dataCoordCheck.setSelected( true );
	    JCDataCoord coord = target.getDataCoord();
	    attachXDouble.setValue(new Double(coord.getX()));
	    attachYDouble.setValue(new Double(coord.getY()));

	    pixelX.setEnabled( false );
	    pixelY.setEnabled( false );
	    attachXDouble.setEnabled( true );
	    attachYDouble.setEnabled( true );
	    series.setEnabled( false );
	    point.setEnabled( false );
	}
	else if (method == JCChartLabel.ATTACH_DATAINDEX) {
	    //attachTo.setCurrent(indexCheck);
		indexCheck.setSelected( true );
	    JCDataIndex coord = target.getDataIndex();
	    if (coord == null) {		
			series.setValue(new Integer(0));
			point.setValue(new Integer(0));
	    } else {
			series.setValue(new Integer(coord.getSeriesIndex()));
			point.setValue(new Integer(coord.getPoint()));
			ChartDataView view = coord.getDataView();
			series.setMaximum(view.getNumSeries()-1);
			ChartDataViewSeries dataSeries = coord.getSeries();
			point.setMaximum(dataSeries.getLastPoint());
	    }
	    pixelX.setEnabled( false );
	    pixelY.setEnabled( false );
	    attachXDouble.setEnabled( false );
	    attachYDouble.setEnabled( false );
	    series.setEnabled( true );
	    point.setEnabled( true );
	}
	}
    
}

/**
 *  Property Change listener
 *  Called when a property editor is updated
 */
public void propertyChanged(Object source, Object value) {
    if (target == null) return;

    if (source == pixelX || source == pixelY) {
		int val1;
		int val2;
		if (source == pixelX) {
	    	val1 = ((Integer)value).intValue();
	    	val2 = ((Integer)pixelY.getValue()).intValue();
		} else {
	    	val1 = ((Integer)pixelX.getValue()).intValue();
	    	val2 = ((Integer)value).intValue();
		}
		try {
	    	Point attach = new Point(val1, val2);
	    	target.setCoord(attach);
		} catch (Exception e) {}
   	} else if (source == attachXDouble || source == attachYDouble) {
		double val1;
		double val2;
		if (source == attachXDouble) {
			if (value != null)
	    		val1 = ((Double)value).doubleValue();
			else
				val1 = 0.0;
			if (attachYDouble.getValue() != null)
	    		val2 = ((Double)attachYDouble.getValue()).doubleValue();
			else
				val2 = 0.0;
		} else {
			if (attachXDouble.getValue() != null)
	    		val1 = ((Double)attachXDouble.getValue()).doubleValue();
			else
				val1 = 0.0;
			if (value != null)
	    		val2 = ((Double)value).doubleValue();
			else
				val2 = 0.0;
		}
		try {
	    	JCDataCoord attach = new JCDataCoord(val1, val2);
	    	target.setDataCoord(attach);
		} catch (Exception e) {
		}
    } else if (source == series || source == point) {
		int val1;
		int val2;
		try {
	    	JCDataIndex coord = target.getDataIndex();
			if (coord == null)
	    		coord = new JCDataIndex();
			if (source == series) {
	    		val1 = ((Integer)value).intValue();
				coord.setSeriesIndex(val1);
			} else {
	    		val2 = ((Integer)value).intValue();
				coord.setPoint(val2);
			}
	    	target.setDataIndex(coord);
		} catch (Exception e) {
		}
    } else if (value instanceof Boolean) {
		boolean toggle = ((Boolean)value).booleanValue();
		if (source == coordCheck) {
	    	if (toggle) {
				target.setAttachMethod(JCChartLabel.ATTACH_COORD);
				pixelX.setEnabled( true );
				pixelY.setEnabled( true );
	    	} else {
				pixelX.setEnabled( false );
				pixelY.setEnabled( false );
	    	}
		} else if (source == dataCoordCheck) {
	    	if (toggle) {
				target.setAttachMethod(JCChartLabel.ATTACH_DATACOORD);
				attachXDouble.setEnabled( true );
				attachYDouble.setEnabled( true );
	    	} else {
				attachXDouble.setEnabled( false );
				attachYDouble.setEnabled( false );
	    	}
		} else if (source == indexCheck) {
	    	if (toggle) {
				target.setAttachMethod(JCChartLabel.ATTACH_DATAINDEX);
				series.setEnabled( true );
				point.setEnabled( true );
	    	} else {
				series.setEnabled( false );
				point.setEnabled( false );
	   		}
		}
    }
    //this.setObject();
}

/**
 * Static main method that allows this class to be run independently
 * in the interpreter with the command:
 * java ChartLabelAttachPage
 */
public static void main( String args[] ) {
    JFrame frame;
    try {
	java.lang.Class newclass 
	    = java.lang.Class.forName( "com.klg.jclass.chart.customizer.JCustomizerCustomFrame" );
	frame = (JFrame) newclass.newInstance();
    } catch (Exception ex) {
		System.out.println(ex);
	frame = new JFrame();
    }
    frame.setTitle( getPageTitle() );

    ChartLabelAttachPage chartLabelAttachPage = new ChartLabelAttachPage();
    chartLabelAttachPage.setBackground( java.awt.Color.lightGray );
    chartLabelAttachPage.init();
    frame.getContentPane().add( chartLabelAttachPage );
    frame.pack();
    java.awt.Dimension bigness = chartLabelAttachPage.getPreferredSize();
    frame.setSize(bigness.width + 200, bigness.height + 100 );
    frame.show();
}

public static String getPageTitle() {
    return JCustomizerBundle.string( JCustomizerBundle.key261 );
}

public static String getPageName() {
    return "ChartLabelAttachPage";
}

}

