/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: ChartLabelGeneralPage.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:50 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.customizer;

import java.awt.BorderLayout;
import java.awt.FlowLayout;

import javax.swing.JComponent;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JFrame;
import javax.swing.BorderFactory;

import com.klg.jclass.chart.JCChartLabel;

/**
 *  Chart Label General Property Page
 */
public class ChartLabelGeneralPage extends JPropertyPage {

private JBooleanEditor dwellLabelCheck = null;
private JBooleanEditor connectedCheck = null;
private TitleGeneralPage titlePage = null;

private JCChartLabel label = null;

/**
 * Method called to initialize the page
 */
public void init() {
	super.init();
	setToolTipText( getPageTitle() );
    setLayout( new BorderLayout() );
	JPanel panel = new JPanel();

	panel.setLayout( new FlowLayout( FlowLayout.LEFT, 5, 1 ) );
	panel.setBorder( BorderFactory.createEmptyBorder( 10, 0, 1, 1 ) );
	panel.add( new JLabel(JCustomizerBundle.string( JCustomizerBundle.key240 )) );
    dwellLabelCheck = new JBooleanEditor("");
    dwellLabelCheck.addPropertyChangeListener( this );
    panel.add( dwellLabelCheck );
	panel.add( new JLabel( JCustomizerBundle.string( JCustomizerBundle.key304 ) ) );
    connectedCheck = new JBooleanEditor("");
    connectedCheck.addPropertyChangeListener( this );
    panel.add( connectedCheck );
    add( panel, BorderLayout.NORTH );
    titlePage = new TitleGeneralPage();
    titlePage.init();
    add( titlePage, BorderLayout.CENTER );
}

/**
 * Return the object being edited
 */
public Object getObject() {
    return label;
}

/**
 * Method called to populate the dialog with the source's properties
 */
public void setObject( Object source ) {
    //System.out.println("CLabelGP: setObject: "+source);
    if (source instanceof JCChartLabel) {
		label = (JCChartLabel) source;
		dwellLabelCheck.setValue( new Boolean( label.isDwellLabel() ) );
		connectedCheck.setValue( new Boolean( label.isConnected() ) );
    }
    titlePage.setObject( source );
}

/**
 * This method is called when a specialized property editor's 
 * value is changed.
 */
public void propertyChanged( Object source, Object value ) {
    if (label == null || value == null) return;
	boolean toggle = ((Boolean)value).booleanValue();
    if (source == dwellLabelCheck) {
		label.setDwellLabel( toggle );
    } else if( source == connectedCheck) {
		label.setConnected( toggle );
	}
}

/**
 * Static main method that allows this class to be run independently
 * in the interpreter with the command:
 * java ChartLabelGeneralPage
 */
public static void main( String args[] ) {
    JFrame frame;
    try {
	java.lang.Class newclass 
	    = java.lang.Class.forName( "com.klg.jclass.chart.customizer.JCustomizerCustomFrame" );
	frame = (JFrame) newclass.newInstance();
    } catch (Exception ex) {
		System.out.println(ex);
	frame = new JFrame();
    }
    frame.setTitle( getPageTitle() );

    ChartLabelGeneralPage chartLabelGeneralPage = new ChartLabelGeneralPage();
    chartLabelGeneralPage.setBackground( java.awt.Color.lightGray );
    chartLabelGeneralPage.init();
	chartLabelGeneralPage.setObject( new com.klg.jclass.chart.JCChartLabel() );
    frame.getContentPane().add( chartLabelGeneralPage );
    frame.pack();
    java.awt.Dimension bigness = chartLabelGeneralPage.getPreferredSize();
    frame.setSize( bigness.width + 200, bigness.height + 100 );
    frame.show();
}

public static String getPageTitle() {
    return JCustomizerBundle.string( JCustomizerBundle.key241 );
}

public static String getPageName() {
    return "ChartLabelGeneralPage";
}

}

