/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: ChartLabelList.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:50 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.customizer;

import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JComponent;

import com.klg.jclass.chart.JCChart;
import com.klg.jclass.chart.JCChartLabel;




import java.util.Iterator;
import java.util.List;


/**
 *  Chart Labels Customizer Property Page
 */
public class ChartLabelList extends OutlinedPropertyPage {

	
private JCChart target = null;

/**
 * return a list of (Outline item label , item Class) pairs
 */
public String[] getOutlineDesc() {
    return labelOutline;
}

/**
 * Return the Object that this Property Page is showing
 */
public Object getObject() {
    return (Object) target;
}

/**
 * populate the outliner given the target source
 */
public void setObject(Object source) {
    //System.out.println("CLList: setObject: "+source);
    if (source instanceof JCChart) {
		target = (JCChart) source;

		List kids = target.getChartLabelManager().getChartLabels();
		int i = 0;
		
		if (kids != null) {
			Iterator iter = kids.iterator();
			for( i = 0; iter.hasNext(); i++ ) {
				JCChartLabel thisLabel = (JCChartLabel) iter.next();
				JComponent label = thisLabel.getComponent(); 

				if (label != null && label instanceof JLabel) {
					String text = reduceText(((JLabel)label).getText());
					setNode( tree.getRoot(), "" + i + ": " + text, i, thisLabel );
				}
			}
		}
		setNode( tree.getRoot(), null, i, null ); // Clear the rest of the children
		if( i == 0 ) {
			title.setText( JCustomizerBundle.string( JCustomizerBundle.key242 ) );
		} 
		else {
			String label = null;
			if( i == 1 )
				label = "" + i + " " + JCustomizerBundle.string( JCustomizerBundle.key243 ) + ":";
			else
				label = "" + i + " " + JCustomizerBundle.string( JCustomizerBundle.key245 ) + ":";
			title.setText( label );
		}
		initSelection( false );
   	}
    if( editor.getObject() == null ) {
		// Need to have a placeholder label, so that the Add Label
		// dialog knows what kind of thing to create
		JCChartLabel dummy = new JCChartLabel();
		dummy.setText("");
		dummy.getComponent().setVisible(false);
		editor.setObject(dummy);
    }
}

/**
 * This method is called when a specialized property editor's 
 * value is changed.
 */
public void propertyChanged(Object source, Object value) {
    if (target == null || value == null) return;
    if (source == dialog) {
	JCChartLabel label = (JCChartLabel) value;
	if (dialog.getMode() == JAddRemoveDialog.MODE_ADD) {
	    // add value to current Object
	    target.getChartLabelManager().addChartLabel( label );
	    JPropertyPage.getFrame(dialog).setVisible( false );
	}
	else if( dialog.getMode() == JAddRemoveDialog.MODE_REMOVE ) {
	    // remove value from current Object
	    target.getChartLabelManager().removeChartLabel(label);
	    JPropertyPage.getFrame( dialog ).setVisible( false );
	}
	// Update
	setObject();
    }	
}

/**
 * Static main method that allows this class to be run independently
 * in the interpreter with the command:
 * java ChartLabelList
 */
public static void main(String args[]) {
    JFrame frame;
    try {
	java.lang.Class newclass 
	    = java.lang.Class.forName( "com.klg.jclass.chart.customizer.JCustomizerCustomFrame" );
	frame = (JFrame) newclass.newInstance();
    } catch (Exception ex) {
		System.out.println(ex);
	frame = new JFrame();
    }
    frame.setTitle( getPageTitle() );

    ChartLabelList chartLabelList = new ChartLabelList();
    chartLabelList.setBackground(java.awt.Color.lightGray);
    chartLabelList.init();
    frame.getContentPane().add( chartLabelList );
    frame.pack();
    java.awt.Dimension bigness = chartLabelList.getPreferredSize();
    frame.setSize(bigness.width + 200, bigness.height + 100 );
    frame.show();
}

public static String getPageTitle() {
    return JCustomizerBundle.string( JCustomizerBundle.key244 );
}

public static String getPageName() {
    return "TitleGeneralPage";
}

}

