/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: ChartTypeTabs.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:50 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.customizer;

import javax.swing.JFrame;
import javax.swing.event.ChangeListener;

import com.klg.jclass.chart.JCChart;

/**
 *  ChartDataView Chart Type-specific Tabbed Property Pages
 */
public class ChartTypeTabs extends DataViewTabs
                                 implements ChangeListener {

/**
 * return a list of (Tab Label, TabPage Class) pairs
 */
public String[][] getPages() {
    return typeSpecificPages;
}


/**
 * Method called to populate the dialog with the source's properties
 */
public void setObject( Object source ) {
    super.setObject(source);
    if (view != null) {
	int type = view.getChartType();
	if (type == JCChart.BAR || type == JCChart.STACKING_BAR) {
	    tabManager.setSelectedIndex( tabManager.indexOfTab( getPages()[1][0] ) );
	} else 	if (type == JCChart.PIE) {
	    tabManager.setSelectedIndex( tabManager.indexOfTab( getPages()[2][0] ) );
	} else 	if (type == JCChart.CANDLE) {
	    tabManager.setSelectedIndex( tabManager.indexOfTab( getPages()[3][0] ) );
	} else 	if (type == JCChart.HILO_OPEN_CLOSE) {
	    tabManager.setSelectedIndex( tabManager.indexOfTab( getPages()[4][0] ) );
	} else if (type == JCChart.AREA || type == JCChart.STACKING_AREA) {
	    tabManager.setSelectedIndex( tabManager.indexOfTab( getPages()[5][0] ) );
	} else 	if (type == JCChart.POLAR ||
				type == JCChart.RADAR ||
				type == JCChart.AREA_RADAR) {
	    tabManager.setSelectedIndex( tabManager.indexOfTab( getPages()[6][0] ) );
	}
    }
}

/**
 * Static main method that allows this class to be run independently
 * in the interpreter with the command:
 * java ChartTypeTabs
 */
public static void main(String args[]) {
    JFrame frame;
    try {
	java.lang.Class newclass
	    = java.lang.Class.forName( "com.klg.jclass.chart.customizer.JCustomizerCustomFrame" );
	frame = (JFrame) newclass.newInstance();
    } catch (Exception ex) {
		System.out.println(ex);
	frame = new JFrame();
    }
    frame.setTitle( getPageTitle() );

    ChartTypeTabs chartTypeTabs = new ChartTypeTabs();
    chartTypeTabs.setBackground(java.awt.Color.lightGray);
    chartTypeTabs.init();
    frame.getContentPane().add( chartTypeTabs );
    frame.pack();
    java.awt.Dimension bigness = chartTypeTabs.getPreferredSize();
    frame.setSize(bigness.width + 200, bigness.height + 100 );
    frame.show();
}

public static String getPageTitle() {
    return JCustomizerBundle.string( JCustomizerBundle.key41 );
}

public static String getPageName() {
    return "ChartTypeTabs";
}

}

