/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: DataStyleList.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:50 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.customizer;


import java.util.Enumeration;
import java.awt.Rectangle;
import java.awt.event.ActionListener;

import javax.swing.JFrame;
import javax.swing.event.TreeSelectionListener;

import com.klg.jclass.chart.ChartDataView;
import com.klg.jclass.chart.ChartDataViewSeries;
import com.klg.jclass.chart.JCChart;
import com.klg.jclass.chart.JCPieChartFormat;
import com.klg.jclass.chart.JCChartStyle;




import java.util.Iterator;
import java.util.List;


/**
 *  Data Styles Property Page
 */
public class DataStyleList extends OutlinedPropertyPage {

private ChartDataView view = null;

/**
 * return a list of (Outline item label , item Class) pairs
 */
public String[] getOutlineDesc() {
    return dataStyleOutline;
}

/**
 * return a subject of this dialog
 */
public Object getObject() {
    return view;
}


/**
 * Method called to populate the dialog with the source's properties
 */
public void setObject( Object source ) {
    if( source instanceof JCChart ) {
		setObject( ((JCChart)source).getDataView( 0 ) );
    } 
	else if (source instanceof ChartDataView) {
		view = (ChartDataView) source;
		List series = view.getSeries();
		String label = "" + series.size() + " " + ( (series.size() == 1) ? 
			JCustomizerBundle.string( JCustomizerBundle.key117 ) :
			JCustomizerBundle.string( JCustomizerBundle.key142 ) ) + ":";
		title.setText( label );
		int i = 0;
		for( Iterator iter = series.iterator(); iter.hasNext(); i++ ) {
			ChartDataViewSeries thisSeries = (ChartDataViewSeries) iter.next();
			JCChartStyle style = thisSeries.getStyle();
			String seriesLabel = thisSeries.getLabel();
			if (seriesLabel != null) {
				this.setNode( tree.getRoot(), 
						reduceText(seriesLabel), i, style );
			} else {
				this.setNode( tree.getRoot(), 
					JCustomizerBundle.string( JCustomizerBundle.key117 ) +
														 " " + i, i, style );
			}
		}
		if( view.getChartType() == JCChart.PIE ) {
			JCPieChartFormat format =
				(JCPieChartFormat)view.getChartFormat();
			String seriesLabel = format.getOtherLabel();
			if (seriesLabel != null) {
				this.setNode( tree.getRoot(), 
					reduceText(seriesLabel), i, format.getOtherStyle() );
			} else {
				this.setNode( tree.getRoot(), 
					JCustomizerBundle.string( JCustomizerBundle.key143 ), i, 
						format.getOtherStyle() );
			}
			this.setNode( tree.getRoot(), null, i + 1, null ); // Clear the rest of the children
		}
		else {
			this.setNode( tree.getRoot(), null, i, null ); // Clear the rest of the children
		}
		this.initSelection( true );
		// Set the style page according to chart type
		editor.setObject( source );
    }
}

/**
 * Static main method that allows this class to be run independently
 * in the interpreter with the command:
 * java DataViewGeneralPage
 */
public static void main( String args[] ) {
    JFrame frame;
    try {
	java.lang.Class newclass 
	    = java.lang.Class.forName( "com.klg.jclass.chart.customizer.JCustomizerCustomFrame" );
	frame = (JFrame) newclass.newInstance();
    } catch (Exception ex) {
		System.out.println(ex);
	frame = new JFrame();
    }
    frame.setTitle( getPageTitle() );

    DataStyleList dataStyleList = new DataStyleList();
    dataStyleList.setBackground( java.awt.Color.lightGray );
    dataStyleList.init();
	dataStyleList.setObject( new com.klg.jclass.chart.JCChart() );
    frame.getContentPane().add( dataStyleList );
    frame.pack();
    java.awt.Dimension bigness = dataStyleList.getPreferredSize();
    frame.setSize( bigness.width + 200, bigness.height + 100 );
    frame.show();
}

public static String getPageTitle() {
    return JCustomizerBundle.string( JCustomizerBundle.key144 );
}

public static String getPageName() {
    return "DataStyleList";
}

}

