/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: DataStyleTabs.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:50 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.customizer;

import javax.swing.event.ChangeListener;
import javax.swing.JFrame;

import com.klg.jclass.chart.ChartDataView;
import com.klg.jclass.chart.ChartDataViewSeries;
import com.klg.jclass.chart.JCChart;
import com.klg.jclass.chart.JCChartStyle;

/**
 *  ChartDataView Tabbed Property Pages
 */
public class DataStyleTabs extends DataViewTabs
                                 implements ChangeListener {

protected JCChartStyle style = null;

/**
 * return a list of (Tab Label, TabPage Class) pairs
 */
public String[][] getPages() {
    return dataStylePages;
}

/**
 * return a subject of this dialog
 */
public Object getObject() {
    return (Object) style;
}

/**
 * Method called to populate the dialog with the source's properties
 */
public void setObject(Object source) {
    if (source instanceof ChartDataViewSeries) {
	style = ((ChartDataViewSeries)source).getStyle();
	this.updateCurrentPage();
    } else if (source instanceof JCChartStyle) {
	style = (JCChartStyle) source;
	this.updateCurrentPage();
    } else if (source instanceof ChartDataView) {
	view = (ChartDataView) source;
	int type = view.getChartType();
	switch (type) {
	case (JCChart.SCATTER_PLOT):
	    tabManager.setSelectedIndex( tabManager.indexOfTab( getPages()[2][0] ) );
	    break;
	case (JCChart.PLOT):
	case (JCChart.POLAR):
	case (JCChart.RADAR):
	case (JCChart.HILO):
	case (JCChart.HILO_OPEN_CLOSE):
	    tabManager.setSelectedIndex( tabManager.indexOfTab( getPages()[1][0] ) );
	    break;
	default:
	    tabManager.setSelectedIndex( tabManager.indexOfTab( getPages()[0][0] ) );
	}
    }
}    

/**
 * Static main method that allows this class to be run independently
 * in the interpreter with the command:
 * java DataStyleTabs
 */
public static void main( String args[] ) {
    JFrame frame;
    try {
	java.lang.Class newclass 
	    = java.lang.Class.forName( "com.klg.jclass.chart.customizer.JCustomizerCustomFrame" );
	frame = (JFrame) newclass.newInstance();
    } catch (Exception ex) {
		System.out.println(ex);
	frame = new JFrame();
    }
    frame.setTitle( getPageTitle() );

    DataStyleTabs dataStyleTabs = new DataStyleTabs();
    dataStyleTabs.setBackground( java.awt.Color.lightGray );
    dataStyleTabs.init();
    frame.getContentPane().add( dataStyleTabs );
    frame.pack();
    java.awt.Dimension bigness = dataStyleTabs.getPreferredSize();
    frame.setSize(bigness.width + 200, bigness.height + 100 );
    frame.show();
}

public static String getPageTitle() {
    return JCustomizerBundle.string( JCustomizerBundle.key48 );
}

public static String getPageName() {
    return "DataStyleTabs";
}

}

