/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: DataViewDataPage.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:50 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.customizer;

import java.awt.GridBagLayout;
import java.awt.GridBagConstraints;
import java.awt.BorderLayout;
import java.awt.FlowLayout;
import java.awt.GridLayout;
import java.awt.Color;
import java.awt.Insets;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import java.awt.event.AdjustmentListener;
import java.awt.event.AdjustmentEvent;

import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JTextField;
import javax.swing.JFrame;
import javax.swing.BorderFactory;

import com.klg.jclass.chart.JCChart;
import com.klg.jclass.chart.ChartDataView;
import com.klg.jclass.chart.ChartDataViewSeries;

/**
 *  ChartDataView Data Property Page
 */
public class DataViewDataPage extends JPropertyPage implements AdjustmentListener {

private JFieldEditor seriesNameField;
private JFieldEditor seriesLabelField;
private JDoubleEditor firstPointField;
private JDoubleEditor lastPointField;
private JDoubleEditor dataHoleField;
private JSpinBox numPointsSpin;
private JBooleanEditor includedCheck;
private JBooleanEditor visibleCheck;
private JBooleanEditor visibleLegendCheck;
private JDoubleEditor xValueField;
private JDoubleEditor yValueField;

private ChartDataView view = null;
private ChartDataViewSeries series = null;
private int currentSeries = 0;
private int currentPoint = 0;

/**
 * Method called to initialize the page
 */
public void init() {
	super.init();
	setToolTipText( getPageTitle() );
	setLayout( new BorderLayout() );

    JPanel nameView = new JPanel();
    JPanel point_seriesFields = new JPanel();
	GridBagConstraints constraints = new GridBagConstraints();
	GridBagLayout gridbag = new GridBagLayout();

	constraints.anchor = GridBagConstraints.WEST;
	constraints.gridwidth = GridBagConstraints.REMAINDER;
	constraints.insets = new Insets( 3, 3, 3, 3 );
	constraints.weightx = 1.0;

	nameView.setLayout( new FlowLayout( FlowLayout.CENTER, 3, 3 ) );
    nameView.add( new JLabel( JCustomizerBundle.string( JCustomizerBundle.key145 ) + ":" ) );
    seriesNameField = new JFieldEditor( "", 12 );
    seriesNameField.addPropertyChangeListener( this );
    nameView.add( seriesNameField );
	nameView.add( new JLabel( JCustomizerBundle.string( JCustomizerBundle.key267 ) + ":" ) );
	seriesLabelField = new JFieldEditor( "", 12 );
	seriesLabelField.addPropertyChangeListener( this );
    nameView.add( seriesLabelField );
    add( nameView, BorderLayout.NORTH );

	point_seriesFields.setLayout( gridbag );
	point_seriesFields.setBorder( BorderFactory.createEmptyBorder( 10, 10, 10, 10 ) );
    point_seriesFields.add( new JLabel( JCustomizerBundle.string( JCustomizerBundle.key146 ) + ":" ) );
    firstPointField = new JDoubleEditor( 4 );
    firstPointField.addPropertyChangeListener( this );
	gridbag.setConstraints( firstPointField, constraints );
    point_seriesFields.add( firstPointField );
    point_seriesFields.add( new JLabel( JCustomizerBundle.string( JCustomizerBundle.key147 ) + ":" ) );
    lastPointField = new JDoubleEditor( 4 );
    lastPointField.addPropertyChangeListener( this );
	gridbag.setConstraints( lastPointField, constraints );
    point_seriesFields.add( lastPointField );
    point_seriesFields.add( new JLabel( JCustomizerBundle.string( JCustomizerBundle.key148 ) + ":" ) );
    dataHoleField = new JDoubleEditor( 8 );
    dataHoleField.addPropertyChangeListener( this );
    gridbag.setConstraints( dataHoleField, constraints );
    point_seriesFields.add( dataHoleField );
	point_seriesFields.add( new JLabel( JCustomizerBundle.string( JCustomizerBundle.key150 ) + ":" ) );
    numPointsSpin = new JSpinBox();
	numPointsSpin.getScrollBar().addAdjustmentListener( this );
	gridbag.setConstraints( numPointsSpin, constraints );
	point_seriesFields.add( numPointsSpin );
	point_seriesFields.add( new JLabel( "X " + JCustomizerBundle.string( JCustomizerBundle.key97 ) + ":" ) );
    xValueField = new JDoubleEditor( 8 );
	xValueField.addPropertyChangeListener( this );
    xValueField.textField.setEditable( false );
	gridbag.setConstraints( xValueField, constraints );
	point_seriesFields.add( xValueField );
	point_seriesFields.add( new JLabel( "Y " + JCustomizerBundle.string( JCustomizerBundle.key97 ) + ":" ) );
    yValueField = new JDoubleEditor( 8 );
    yValueField.addPropertyChangeListener(this);
	gridbag.setConstraints( yValueField, constraints );
	point_seriesFields.add( yValueField );
	add( point_seriesFields, BorderLayout.CENTER );

    JPanel seriesToggles = new JPanel();

    seriesToggles.setLayout( gridbag );
    includedCheck = new JBooleanEditor( JCustomizerBundle.string( JCustomizerBundle.key149 ) );
    includedCheck.addPropertyChangeListener( this );
	gridbag.setConstraints( includedCheck, constraints );
    seriesToggles.add( includedCheck );
    visibleCheck = new JBooleanEditor( JCustomizerBundle.string( JCustomizerBundle.key27 ) );
    visibleCheck.addPropertyChangeListener(this);
	gridbag.setConstraints( visibleCheck, constraints );
    seriesToggles.add( visibleCheck );
    visibleLegendCheck = new JBooleanEditor( JCustomizerBundle.string( JCustomizerBundle.key28 ) );
    visibleLegendCheck.addPropertyChangeListener( this );
	gridbag.setConstraints( visibleLegendCheck, constraints );
    seriesToggles.add( visibleLegendCheck );
    add( seriesToggles, BorderLayout.WEST );

}

/**
 * Method called to populate the dialog with the source's properties
 */
public void setObject(Object source) {
    //System.out.println("DVGP setObject: "+source);
    if( source instanceof JCChart ) {
		view = ((JCChart) source).getDataView(0);
		this.setObject(view);
	}
    else if( source instanceof ChartDataView) {
		view = (ChartDataView) source;
	} 
	else if ( source instanceof ChartDataViewSeries ) {
		series = (ChartDataViewSeries) source;
		view = series.getParent();
		seriesNameField.setValue( series.getName() );
		seriesLabelField.setValue( series.getLabel() );

		int firstPoint = series.getFirstPoint();
		int lastPoint = series.getLastPoint();

		firstPointField.textField.setText( "" + firstPoint );
		lastPointField.textField.setText( "" + lastPoint );
		includedCheck.setValue( new Boolean( series.isIncluded() ) );
		visibleCheck.setValue( new Boolean( series.isVisible() ) );
		visibleLegendCheck.setValue( new Boolean( series.isVisibleInLegend() ) );
		numPointsSpin.setIntValue( currentPoint );
		numPointsSpin.setMinimum( series.getFirstPoint() );
		numPointsSpin.setMaximum( series.getLastPoint() );
		try {
			double xval = series.getX( currentPoint );
			xValueField.setValue( new Double(xval) );
		} 
		catch (Exception e) {
			xValueField.textField.setText("");
		}
		try {
			double yval = series.getY(currentPoint);

			yValueField.setValue( new Double(yval) );
		} 
		catch (Exception e) {
			yValueField.textField.setText("");
		}
	}
	if( view != null ) {
		Double value = new Double( view.getHoleValue() );
		dataHoleField.setValue( value );
	}
}

/**
 * This method is called when a specialized property editor's 
 * value is changed.
 */

public void propertyChanged( Object source, Object value ) {
    if (series == null || value == null) return;
    if( source == includedCheck ) {
		series.setIncluded(((Boolean)value).booleanValue());
    }
    else if (source == visibleCheck) {
		series.setVisible(((Boolean)value).booleanValue());
    }
    else if (source == visibleLegendCheck) {
		series.setVisibleInLegend(((Boolean)value).booleanValue());
    }
    else if( source == seriesNameField ) {
		series.setName( (String)value );
	// Update the Outliner view parent to reflect the new name
		if( getParent() instanceof JPropertyPage ) {
			JPropertyPage parent = (JPropertyPage) getParent();
			parent.setObject();
			parent.repaint();
			}
		}
	else if( source == seriesLabelField ) {
		series.setLabel( (String)value );
	}
    else if (source == yValueField) {
		int index = numPointsSpin.getIntValue();
		series.editPoint(index, ( (Double)value).doubleValue() );
    }
	else if( source == dataHoleField) {
		if (view != null ) {
			double useDouble = ((Double)value).doubleValue();
			view.setHoleValue( useDouble );
		}
	}
	else if( source == firstPointField ) {
		Double val = (Double)value;

		try {
			series.setFirstPoint( val.intValue() );
		}
		catch( IllegalArgumentException e ) {
			showError( e.getMessage() );
		}
	}
	else if( source == lastPointField ) {
		Double val = (Double)value;

		try {
			series.setLastPoint( val.intValue() );
		}
		catch( IllegalArgumentException e ) {
			showError( e.getMessage() );
		}
	}
}

public void adjustmentValueChanged( AdjustmentEvent e ) {
	if( e != null && e.getSource() == numPointsSpin.getScrollBar() ) {
		numPointsSpin.setIntValue( e.getValue() );
		currentPoint = numPointsSpin.getIntValue();
		this.setObject( series );
	}
}

/**
 * Static main method that allows this class to be run independently
 * in the interpreter with the command:
 * java DataViewDataPage
 */
public static void main( String args[] ) {
    JFrame frame;
    try {
	java.lang.Class newclass 
	    = java.lang.Class.forName( "com.klg.jclass.chart.customizer.JCustomizerCustomFrame" );
	frame = (JFrame) newclass.newInstance();
    } catch (Exception ex) {
		System.out.println(ex);
	frame = new JFrame();
    }
    frame.setTitle( getPageTitle() );

    DataViewDataPage dataViewDataPage = new DataViewDataPage();
    dataViewDataPage.setBackground( java.awt.Color.lightGray );
    dataViewDataPage.init();
	dataViewDataPage.setObject( new com.klg.jclass.chart.JCChart() );
    frame.getContentPane().add( dataViewDataPage );
    frame.pack();
    java.awt.Dimension bigness = dataViewDataPage.getPreferredSize();
    frame.setSize(bigness.width + 200, bigness.height + 100 );
    frame.show();
}

public static String getPageTitle() {
    return JCustomizerBundle.string( JCustomizerBundle.key151 );
}

public static String getPageName() {
    return "DataViewDataPage";
}

}
