/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: DataViewLabelPage.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:50 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.customizer;

import java.awt.BorderLayout;
import java.awt.GridLayout;
import java.awt.GridBagLayout;
import java.awt.GridBagConstraints;
import java.awt.FlowLayout;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;
import java.awt.Insets;
import java.awt.Dimension;

import javax.swing.JLabel;
import javax.swing.JTextArea;
import javax.swing.JScrollPane;
import javax.swing.JFrame;
import javax.swing.JButton;
import javax.swing.JPanel;
import javax.swing.BorderFactory;

import com.klg.jclass.chart.ChartDataView;
import com.klg.jclass.chart.ChartDataViewSeries;
import com.klg.jclass.chart.JCChart;
import com.klg.jclass.chart.JCPieChartFormat;




import java.util.List;
import java.util.Vector;


/**
 *  DataView Point and Set Label Property Page
 */
public class DataViewLabelPage extends JPropertyPage 
                               implements ActionListener {

private JTextArea pointLabelArea = null;
private JButton applyPointLabels = null;
private JTextArea setLabelArea = null ;
private JButton applySetLabels = null;
private JBooleanEditor autoLabelCheck = null;
private JFieldEditor otherSliceLabel = null; 
private JLabel otherSliceLabelLabel = null;

private ChartDataView view = null;

/**
 * Method called to initialize the page
 */
public void init() {
	super.init();
	setToolTipText( getPageTitle() );
    setLayout( new GridLayout( 1, 3 ) );

    JScrollPane sScrollPane = new JScrollPane();

	sScrollPane.setBorder( BorderFactory.createLoweredBevelBorder() );
    setLabelArea = new JTextArea( null, 6, 20 );
	sScrollPane.setPreferredSize( new Dimension( setLabelArea.getPreferredScrollableViewportSize() ) );
    sScrollPane.getViewport().add( setLabelArea );
    
	JPanel sLabels = new JPanel();

	sLabels.setLayout( new BorderLayout( 2, 2 ) );
    sLabels.add( new JLabel( JCustomizerBundle.string( JCustomizerBundle.key246 ) + ":" ), BorderLayout.NORTH );
    sLabels.add( sScrollPane, BorderLayout.CENTER  );

    applySetLabels = new JButton( JCustomizerBundle.string( JCustomizerBundle.key247 ) );
    applySetLabels.addActionListener( this );
    sLabels.add( applySetLabels, BorderLayout.SOUTH );
	add( sLabels );

    JScrollPane pScrollPane = new JScrollPane();

	pScrollPane.setBorder( BorderFactory.createLoweredBevelBorder() );
    pointLabelArea = new JTextArea( null, 6, 20 );
	pScrollPane.setPreferredSize( new Dimension( pointLabelArea.getPreferredScrollableViewportSize() ) );
    pScrollPane.getViewport().add( pointLabelArea );

    JPanel pLabels = new JPanel();

    pLabels.setLayout( new BorderLayout( 2, 2 ) );
    pLabels.add( new JLabel( JCustomizerBundle.string( JCustomizerBundle.key248 ) + ":" ) , BorderLayout.NORTH );
    pLabels.add( pScrollPane, BorderLayout.CENTER );
    applyPointLabels = new JButton( JCustomizerBundle.string( JCustomizerBundle.key247 ) );
    applyPointLabels.addActionListener( this );
    pLabels.add( applyPointLabels, BorderLayout.SOUTH );
	add( pLabels );

    JPanel other = new JPanel();
	GridBagLayout l = new GridBagLayout();
	GridBagConstraints c = new GridBagConstraints();
	other.setLayout( l );
	autoLabelCheck = new JBooleanEditor( JCustomizerBundle.string( JCustomizerBundle.key249 ) );
    autoLabelCheck.setBorder( BorderFactory.createEmptyBorder( 10, 2, 0, 0 ) );
    autoLabelCheck.addPropertyChangeListener(this);
	c.fill  =  GridBagConstraints.HORIZONTAL;
   	c.gridwidth = GridBagConstraints.REMAINDER;
	c.weightx = 1.0;
	c.weighty = 1.0;
	c.anchor = GridBagConstraints.NORTHEAST;
	l.setConstraints( autoLabelCheck, c );
    other.add( autoLabelCheck );
	otherSliceLabelLabel = new JLabel( JCustomizerBundle.string( JCustomizerBundle.key250 ) + ":" );
	otherSliceLabelLabel.setEnabled( false );
	c.anchor = GridBagConstraints.SOUTHWEST;
	c.fill = GridBagConstraints.NONE;
	l.setConstraints( otherSliceLabelLabel, c );
	other.add( otherSliceLabelLabel );
	otherSliceLabel = new JFieldEditor( "", 10 );
	c.fill = GridBagConstraints.HORIZONTAL;
	c.anchor = GridBagConstraints.NORTHEAST;
	l.setConstraints( otherSliceLabel, c );
	otherSliceLabel.addPropertyChangeListener( this );
	other.add( otherSliceLabel );
	add( other );
	
}

private String arrayToText(String labels[]) {
    StringBuffer out = new StringBuffer();
    if (labels == null || labels.length == 0) {
		return null;
    }
    for (int i=0; i<labels.length; i++) {
		out.append(labels[i]);
		out.append("\n");
    }
    return out.toString();
}

private String listToText(List labels) {
    StringBuffer out = new StringBuffer();
    if (labels == null || labels.size() == 0) {
		return null;
    }
    for (int i=0; i < labels.size(); i++) {
		out.append(labels.get(i));
		out.append("\n");
    }
    return out.toString();
}

/**
 * Method called to populate the dialog with the source's properties
 */
public void setObject(Object source) {
    //System.out.println("DVLP setObject: "+source);
    if (source instanceof ChartDataView) {
	view = (ChartDataView) source;
    }
    if (view != null) {
	List series = view.getSeries();
	String setLabels[] = new String[view.getNumSeries()];
	for (int i = 0; i < view.getNumSeries(); i++) {
	    setLabels[i] = ((ChartDataViewSeries)series.get(i)).getLabel();
	}
	setLabelArea.setText(arrayToText(setLabels));

	String text = listToText(view.getPointLabels());
	pointLabelArea.setText( text );
	autoLabelCheck.setValue(new Boolean(view.getAutoLabel()));
	if( view.getChartType() == JCChart.PIE ) {
		otherSliceLabel.setEnabled( true );
		otherSliceLabelLabel.setEnabled( true );
		otherSliceLabel.setValue( 
			((JCPieChartFormat)view.getChartFormat()).getOtherLabel() );
	}
	else {
		otherSliceLabel.setValue( "" );
		otherSliceLabel.setEnabled( false );
		otherSliceLabelLabel.setEnabled( false );
	}
    }
}

/**
 * This method is called when a specialized property editor's 
 * value is changed.
 */
public void propertyChanged(Object source, Object value) {
    if (view == null || value == null) return;
    if (source == autoLabelCheck) {
	//System.out.println("setAutoLabel: "+value);
	view.setAutoLabel(((Boolean)value).booleanValue());
    }
	if( source instanceof JFieldEditor ) {
		JFieldEditor fieldEditor = (JFieldEditor)source;
		if( view.getChartType() == JCChart.PIE )
			((JCPieChartFormat)view.getChartFormat()).
				setOtherLabel( fieldEditor.textField.getText() );
		setObject();
	}

}

// ActionListener method
public void actionPerformed( ActionEvent ev ) {
    if (view == null) return;
    if (ev.getSource() instanceof JButton) {
	JButton button = (JButton) ev.getSource();
	if (button == applyPointLabels) {
	    String labels = pointLabelArea.getText();
	    //System.out.println("DVLP using:\n"+labels);
	    int start = 0;
	    int marker;
	    Vector pointLabels = new Vector();
	    while ((marker = labels.indexOf('\n', start)) >= 0) {
		if (marker <= start) {
		    start++;
		}
		else {
		    pointLabels.addElement(labels.substring(start, marker));
		    //System.out.println("DVLP adding: "+start+" "+marker +" '"+labels.substring(start, marker)+"'");
		    start = marker;
		}
	    }
	    view.setPointLabels(pointLabels);
	    setObject();	// Re-extract the values
	}
	else if (button == applySetLabels) {
	    String labels = setLabelArea.getText();
	    //System.out.println("DVLP SetLabels:\n"+labels);
	    int start = 0;
	    int count = 0;
	    int marker;
	    while ((marker = labels.indexOf('\n', start)) >= 0) {
		if (marker <= start) {
		    start++;
		}
		else {
		    view.getSeries(count).setLabel(labels.substring(start, 
								   marker));
		    //System.out.println("DVLP adding: "+start+" "+marker +" '"+labels.substring(start, marker)+"'");
		    start = marker;
		    count++;
		}
	    }
	    // Should actually broadcast this to the parent outliner
	    setObject();
	}
    }
}

/**
 * Static main method that allows this class to be run independently
 * in the interpreter with the command:
 * java TitleGeneralPage
 */
public static void main( String args[] ) {
    JFrame frame;
    try {
	java.lang.Class newclass 
	    = java.lang.Class.forName( "com.klg.jclass.chart.customizer.JCustomizerCustomFrame" );
	frame = (JFrame) newclass.newInstance();
    } catch (Exception ex) {
		System.out.println(ex);
	frame = new JFrame();
    }
    frame.setTitle( getPageTitle() );

    DataViewLabelPage dataViewLabelPage = new DataViewLabelPage();
    dataViewLabelPage.setBackground( java.awt.Color.lightGray );
    dataViewLabelPage.init();
    frame.getContentPane().add( dataViewLabelPage );
    frame.pack();
    java.awt.Dimension bigness = dataViewLabelPage.getPreferredSize();
    frame.setSize(bigness.width + 200, bigness.height + 100 );
    frame.show();
}

public static String getPageTitle() {
    return JCustomizerBundle.string( JCustomizerBundle.key251 );
}

public static String getPageName() {
    return "DataViewLabelPage";
}

}
