/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: HeaderTabs.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:50 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.customizer;

import javax.swing.JComponent;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.event.ChangeListener;

import com.klg.jclass.chart.JCChart;

/**
 *  Top level Tab Manager for Header Property Pages
 */
public class HeaderTabs extends JCTitleTabs
                                 implements ChangeListener {

/**
 * return a list of (Tab Label, TabPage Class) pairs
 */
public String[][] getPages() {
    return headerPages;
}

/**
 * Method called to populate the dialog with the source's properties
 */
public void setObject(Object source) {
    if (source instanceof JLabel) {
		title = source;
		this.updateCurrentPage();
    }
    else if (source instanceof JCChart) {
		JComponent hdr = ((JCChart)source).getHeader();
		if (hdr instanceof JLabel) {
			title = hdr;
			this.updateCurrentPage();
		}
    }
}

/**
 * Static main method that allows this class to be run independently
 * in the interpreter with the command:
 * java HeaderTabs
 */
public static void main( String args[] ) {
    JFrame frame;
    try {
	java.lang.Class newclass 
	    = java.lang.Class.forName( "com.klg.jclass.chart.customizer.JCustomizerCustomFrame" );
	frame = (JFrame) newclass.newInstance();
    } catch (Exception ex) {
		System.out.println(ex);
	frame = new JFrame();
    }
    frame.setTitle( JCustomizerBundle.string( JCustomizerBundle.key46 ) );

    HeaderTabs headerTabs = new HeaderTabs();
    headerTabs.setBackground(java.awt.Color.lightGray);
    headerTabs.init();
    frame.getContentPane().add( headerTabs );
    frame.pack();
    java.awt.Dimension bigness = headerTabs.getPreferredSize();
    frame.setSize(bigness.width + 200, bigness.height + 100 );
    frame.show();
}

}

