/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCAxisDialog.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:50 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.customizer;

import java.awt.BorderLayout;

import javax.swing.JFrame;

import com.klg.jclass.chart.JCAxis;

/**
 *  Add or remove an class from a JClass Component
 */
public class JCAxisDialog extends JAddRemoveDialog {

private AxisAttachPage attach = null;
private JCAxis axis = null;

/**
 * Method called to initialize the page
 */
public void init() {
    super.init();
	setToolTipText( getPageTitle() );
    attach = new AxisAttachPage();
    attach.init();
    controls.add( attach, BorderLayout.NORTH );
}

/**
 * Method called to populate the dialog with the source's properties
 */
public void setObject( Object source ) {
    //System.out.println("Add DataView setObject: "+source);
    if (source == null) return;
    if( source instanceof JCAxis ) {
		axis = (JCAxis) source;
		attach.setObject(source);
		editor.setObject(source);
    }
}

/**
 * Method called to provide this dialog with a model object
 * to emulate, particularly in the preview
 */
public void setModel( Object source ) {
    //System.out.println("Add/Remove setModel: "+source);
    if (source == null) return;
	model = source;
    attach.setModel( source );
}

/**
 * @return The value of the property.  Builtin types such as "int" will
 * be wrapped as the corresponding object type such as "java.lang.Integer".
 */
public Object getValue() {
    return axis;
}

public void addAction() {
    JCAxis attached = attach.attachAxis();
    //System.out.println("Add JCAxis:"+attached);
    if (attached != null && listeners != null) {
		listeners.firePropertyChange("", null, getValue());
    }
}

/**
 * Static main method that allows this class to be run independently
 * in the interpreter with the command:
 * java JCAxisDialog
 */
public static void main( String args[] ) {
    JFrame frame;
    try {
	java.lang.Class newclass 
	    = java.lang.Class.forName( "com.klg.jclass.chart.customizer.JCustomizerCustomFrame" );
	frame = (JFrame) newclass.newInstance();
    } catch (Exception ex) {
		System.out.println(ex);
	frame = new JFrame();
    }
    frame.setTitle( getPageTitle() );

    JCAxisDialog jCAxisDialog= new JCAxisDialog();
    jCAxisDialog.setBackground( java.awt.Color.lightGray );
    jCAxisDialog.init();
	jCAxisDialog.setObject( new com.klg.jclass.chart.JCAxis() );
    frame.getContentPane().add( jCAxisDialog );
    frame.pack();
    java.awt.Dimension bigness = jCAxisDialog.getPreferredSize();
    frame.setSize(bigness.width + 200, bigness.height + 100 );
    frame.show();
}

public static String getPageTitle() {
    return JCustomizerBundle.string( JCustomizerBundle.key291 );
}

public static String getPageName() {
    return "JCAxisDialog";
}

}
