/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCChartTabs.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:50 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.customizer;

import javax.swing.JFrame;
import javax.swing.event.ChangeListener;

import com.klg.jclass.chart.JCChart;

/**
 *  Top level Tab Manager for JCChart Property Pages
 */
public class JCChartTabs extends TabbedPropertyPage implements ChangeListener {

private JCChart chart = null;

/**
 * Method called to populate the dialog with the source's properties
 */
public void setObject( Object source ) {
    //System.out.println("JCCT setObject "+source+" to "+this );
    if( source instanceof JCChart ) {
		chart = (JCChart) source;
		this.updateCurrentPage();
    }
}

/**
 * Return the Object that this Property Page is showing
 */
public Object getObject() {
    return (Object)chart;
}

/**
 * Static main method that allows this class to be run independently
 * in the interpreter with the command:
 * java DataViewGeneralPage
 */
public static void main( String args[] ) {
    JFrame frame;
    try {
	java.lang.Class newclass 
	    = java.lang.Class.forName( "com.klg.jclass.chart.customizer.JCustomizerCustomFrame" );
	frame = (JFrame) newclass.newInstance();
    } catch (Exception ex) {
	frame = new JFrame();
    }
    frame.setTitle( JCustomizerBundle.string( JCustomizerBundle.key9 ) );

    JCChartTabs chartTabs = new JCChartTabs();
    chartTabs.setBackground(java.awt.Color.lightGray);
    chartTabs.init();
    frame.getContentPane().add(chartTabs);
    frame.pack();
    java.awt.Dimension bigness = chartTabs.getPreferredSize();
    frame.setSize( bigness.width + 10, bigness.height +30 );
    frame.show();
}

}

