/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: OutlineStylePage.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:51 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.customizer;

import java.awt.Color;
import javax.swing.JFrame;
import com.klg.jclass.chart.ChartDataView;
import com.klg.jclass.chart.JCLineStyle;

/**
 *  Outline Style Property Page
 *  exposes Outline style properties
 */
public class OutlineStylePage extends LineStylePage {

private ChartDataView view = null;

/**
 * Method called to populate the dialog with the source's properties
 */
public void setObject(Object source) {
    if (source != null && source instanceof ChartDataView) {
		view = (ChartDataView)source;
		lineColor.setValue(view.getOutlineColor());
		lineWidth.setValue(new Integer(view.getOutlineWidth()));
		linePattern.setValue(new Integer(view.getOutlinePattern()));

		lineJoin.setValue(new Integer(view.getOutlineJoin()));
		lineCap.setValue(new Integer(view.getOutlineCap()));

    }
}

/**
 * Return the Object that this Property Page is editing
 */
public Object getObject() {
    return (Object)view;
}

/**
 * This method is called when a specialized property editor's
 * value is changed.
 */
public void propertyChanged(Object source, Object value) {
    if (value == null) {
		return;
	}
	if (view != null) {
	    if (source == lineColor) {
		    view.setOutlineColor((Color)value);
	    }
	    else if (source == lineWidth) {
		    view.setOutlineWidth(((Integer)value).intValue());
	    }
	    else if (source == linePattern) {
		    view.setOutlinePattern(((Integer)value).intValue());
	    }

	    else if (source == lineJoin) {
		    view.setOutlineJoin(((Integer)value).intValue());
	    }
	    else if (source == lineCap) {
		    view.setOutlineCap(((Integer)value).intValue());
	    }
	}

}

/**
 * Static main method that allows this class to be run independently
 * in the interpreter with the command:
 * java OutlineStylePage
 */
public static void main(String args[]) {
    JFrame frame;
    try {
	java.lang.Class newclass
	    = java.lang.Class.forName( "com.klg.jclass.chart.customizer.JCustomizerCustomFrame" );
	frame = (JFrame) newclass.newInstance();
    } catch (Exception ex) {
		System.out.println(ex);
	frame = new JFrame();
    }
    frame.setTitle( getPageTitle() );

    OutlineStylePage outlineStylePage = new OutlineStylePage();
    outlineStylePage.setBackground( java.awt.Color.lightGray );
    outlineStylePage.init();
    frame.getContentPane().add( outlineStylePage );
    frame.pack();
    java.awt.Dimension bigness = outlineStylePage.getPreferredSize();
    frame.setSize(bigness.width + 200, bigness.height + 100 );
    frame.show();
}

public static String getPageTitle() {
    return JCustomizerBundle.string( JCustomizerBundle.key154 );
}

public static String getPageName() {
    return "OutlineStylePage";
}

}

