/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: PlotAreaTabs.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:51 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.customizer;

import javax.swing.event.ChangeListener;
import javax.swing.JFrame;

import com.klg.jclass.chart.JCChart;
import com.klg.jclass.chart.JCChartArea;
import com.klg.jclass.chart.PlotArea;

/**
 *  Plot Area Tab Manager for JCChart Property Pages
 */
public class PlotAreaTabs extends JCChartTabs
                                 implements ChangeListener {

protected PlotArea plotArea = null;

/**
 * return a list of (Tab Label, TabPage Class) pairs
 */
public String[][] getPages() {
    return plotAreaPages;
}

/**
 * Method called to populate the dialog with the source's properties
 */
public void setObject(Object source) {
    if (source instanceof JCChart) {
	plotArea = ((JCChart) source).getChartArea().getPlotArea();
    }
    else if (source instanceof JCChartArea) {
	plotArea = ((JCChartArea) source).getPlotArea();
    }
    else if (source instanceof PlotArea) {
	plotArea = (PlotArea) source;
    }
    if (plotArea != null) {
	this.updateCurrentPage();
    }
}

/**
 * Return the Object that this Property Page is showing
 */
public Object getObject() {
    return (Object) plotArea;
}

/**
 * Static main method that allows this class to be run independently
 * in the interpreter with the command:
 * java PlotAreaTabs
 */
public static void main( String args[] ) {
    JFrame frame;
    try {
	java.lang.Class newclass 
	    = java.lang.Class.forName( "com.klg.jclass.chart.customizer.JCustomizerCustomFrame" );
	frame = (JFrame) newclass.newInstance();
    } catch (Exception ex) {
		System.out.println(ex);
	frame = new JFrame();
    }
    frame.setTitle( JCustomizerBundle.string( JCustomizerBundle.key49 ) );

    PlotAreaTabs plotAreaTabs = new PlotAreaTabs();
    plotAreaTabs.setBackground(java.awt.Color.lightGray);
    plotAreaTabs.init();
    frame.getContentPane().add( plotAreaTabs );
    frame.pack();
    java.awt.Dimension bigness = plotAreaTabs.getPreferredSize();
    frame.setSize(bigness.width + 200, bigness.height + 100 );
    frame.show();
}

}

