/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: TabbedPropertyPage.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:51 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.customizer;

import java.awt.Font;
import java.awt.Cursor;

import javax.swing.event.ChangeEvent;
import javax.swing.event.ChangeListener;
import javax.swing.JTabbedPane;
import javax.swing.JFrame;
import javax.swing.JComponent;

/**
 *  Base class for Tabbed Property Pages
 */
public class TabbedPropertyPage extends JPropertyPage
                                 implements ChangeListener {
protected String pages[][] = {
    // Label for tab, Class of Tab Page instance
    { JCustomizerBundle.string( JCustomizerBundle.key67 ), "PropertyPage" },
};

protected String bigChartPages[][] = {
    // Label for tab, Class of Tab Page instance
    { JCustomizerBundle.string( JCustomizerBundle.key68 ), "ChartTabs"},
    { JCustomizerBundle.string( JCustomizerBundle.key69 ), "DataViewList"},
    { JCustomizerBundle.string( JCustomizerBundle.key70 ), "ChartAxisList"},
    { JCustomizerBundle.string( JCustomizerBundle.key71 ), "ChartAreaTabs"},
    { JCustomizerBundle.string( JCustomizerBundle.key72 ), "LegendTabs"},
    { JCustomizerBundle.string( JCustomizerBundle.key73 ), "TitleTabs"},
};

protected String chartPages[][] = {
    // Label for tab, Class of Tab Page instance
    { JCustomizerBundle.string( JCustomizerBundle.key74 ), "ChartGeneralPage" },
    { JCustomizerBundle.string( JCustomizerBundle.key76 ), "ChartColorPage"},
    { JCustomizerBundle.string( JCustomizerBundle.key77 ), "ChartBorderPage"},
    { JCustomizerBundle.string( JCustomizerBundle.key78 ), "ChartTriggerPage"},
    //{ "About",   "ChartAboutPage" },
};

protected String typeSpecificPages[][] = {
    // Label for tab, Class of Tab Page instance
    { JCustomizerBundle.string( JCustomizerBundle.key153 ),"OutlineStylePage" },
    { JCustomizerBundle.string( JCustomizerBundle.key79 ), "BarChartPage" },
    { JCustomizerBundle.string( JCustomizerBundle.key80 ), "PieChartPage" },
    { JCustomizerBundle.string( JCustomizerBundle.key81 ), "CandleChartPage" },
    { JCustomizerBundle.string( JCustomizerBundle.key82 ), "HiLoChartPage"  },
    { JCustomizerBundle.string( JCustomizerBundle.key344 ), "AreaChartPage" },
    { JCustomizerBundle.string( JCustomizerBundle.key56 ), "PolarRadarChartPage" },
};

protected String axisAttachPages[][] = {
    // Label for tab, Class of Tab Page instance
    { JCustomizerBundle.string( JCustomizerBundle.key83 ), "ViewAxisPage" },
    { JCustomizerBundle.string( JCustomizerBundle.key84 ), "AxisRelationPage" },
    { JCustomizerBundle.string( JCustomizerBundle.key85 ), "AxisPlacementPage" },
};

protected String dataViewPages[][] = {
    // Label for tab, Class of Tab Page instance
    { JCustomizerBundle.string( JCustomizerBundle.key74 ), "DataViewGeneralPage" },
    { JCustomizerBundle.string( JCustomizerBundle.key86 ), "ChartDataList" },
    { JCustomizerBundle.string( JCustomizerBundle.key87 ), "AxisOrientPage" },
    { JCustomizerBundle.string( JCustomizerBundle.key88 ), "DataStyleList" },
    { JCustomizerBundle.string( JCustomizerBundle.key89 ), "DataViewLabelPage" },
    //{ JCustomizerBundle.string( JCustomizerBundle.key317 ), "DataBindingTabs"},
};

protected String chartAreaPages[][] = {
    // Label for tab, Class of Tab Page instance
    { JCustomizerBundle.string( JCustomizerBundle.key74 ), "ChartAreaGeneralPage"},
    { JCustomizerBundle.string( JCustomizerBundle.key90 ), "AreaLocationPage"},
    { JCustomizerBundle.string( JCustomizerBundle.key91 ), "View3DPage"},
    { JCustomizerBundle.string( JCustomizerBundle.key76 ), "ChartColorPage"},
    { JCustomizerBundle.string( JCustomizerBundle.key77 ), "ChartBorderPage"},
    { JCustomizerBundle.string( JCustomizerBundle.key92 ), "PlotAreaTabs"},
};

protected String plotAreaPages[][] = {
    // Label for tab, Class of Tab Page instance
    { JCustomizerBundle.string( JCustomizerBundle.key75 ), "PlotAreaMarginPage"},
    { JCustomizerBundle.string( JCustomizerBundle.key76 ), "ChartColorPage"},
    { JCustomizerBundle.string( JCustomizerBundle.key77 ), "PlotAreaBorderPage"},
};

protected String axisPages[][] = {
    // Label for tab, Class of Tab Page instance
    //    { "Attach",    "AxisAttachPage"},
    { JCustomizerBundle.string( JCustomizerBundle.key74 ), "AxisGeneralPage"},
    { JCustomizerBundle.string( JCustomizerBundle.key93 ), "AxisAnnoPage"},
    { JCustomizerBundle.string( JCustomizerBundle.key94 ), "AxisScalePage"},
    { JCustomizerBundle.string( JCustomizerBundle.key95 ), "AxisTitlePage"},
    { JCustomizerBundle.string( JCustomizerBundle.key89 ), "AxisLabelTabs"},
    { JCustomizerBundle.string( JCustomizerBundle.key96 ), "AxisGridPage"},
};

protected static String axisLabelPages[][] = {
    { JCustomizerBundle.string( JCustomizerBundle.key97 ), "LabelValuePage" },
    { JCustomizerBundle.string( JCustomizerBundle.key98 ), "TimeLabelPage" },
    { JCustomizerBundle.string( JCustomizerBundle.key99 ), "ValueLabelPage" },
};

protected String dataStylePages[][] = {
    // Label for tab, Class of Tab Page instance
    { JCustomizerBundle.string( JCustomizerBundle.key100 ), "FillStylePage" },
    { JCustomizerBundle.string( JCustomizerBundle.key101 ), "LineStylePage" },
    { JCustomizerBundle.string( JCustomizerBundle.key102 ), "SymbolStylePage" },
};

protected String titlePages[][] = {
    // Label for tab, Class of Tab Page instance
    { JCustomizerBundle.string( JCustomizerBundle.key103 ), "HeaderTabs"},
    { JCustomizerBundle.string( JCustomizerBundle.key104 ), "FooterTabs"},
    { JCustomizerBundle.string( JCustomizerBundle.key105 ), "ChartLabelList"},
};

protected String legendPages[][] = {
    // Label for tab, Class of Tab Page instance
    { JCustomizerBundle.string( JCustomizerBundle.key74 ), "LegendGeneralPage"},
    //    { "Strings",  "LegendStringsPage"},
    { JCustomizerBundle.string( JCustomizerBundle.key90 ), "AreaLocationPage"},
    { JCustomizerBundle.string( JCustomizerBundle.key76 ), "ChartColorPage"},
    { JCustomizerBundle.string( JCustomizerBundle.key77 ), "ChartBorderPage"},
};

protected String headerPages[][] = {
    // Label for tab, Class of Tab Page instance
    { JCustomizerBundle.string( JCustomizerBundle.key74 ), "TitleGeneralPage"},
    { JCustomizerBundle.string( JCustomizerBundle.key90 ), "AreaLocationPage"},
    { JCustomizerBundle.string( JCustomizerBundle.key76 ), "ChartColorPage"},
    { JCustomizerBundle.string( JCustomizerBundle.key77 ), "ChartBorderPage"},
};


protected String chartLabelPages[][] = {
    // Label for tab, Class of Tab Page instance
    { JCustomizerBundle.string( JCustomizerBundle.key74 ),"ChartLabelGeneralPage"},
    { JCustomizerBundle.string( JCustomizerBundle.key114 ), "ChartLabelAttachPage"},
    { JCustomizerBundle.string( JCustomizerBundle.key90 ), "ChartLabelLocationPage"},
    { JCustomizerBundle.string( JCustomizerBundle.key76 ), "ChartColorPage"},
    { JCustomizerBundle.string( JCustomizerBundle.key77 ), "ChartBorderPage"},
};

protected String dataBindingPages[][] = {
    // Label for tab, Class of Tab Page instance
    //{ JCustomizerBundle.string( JCustomizerBundle.key318 ), "ConnectionPage" },
    //{ JCustomizerBundle.string( JCustomizerBundle.key319 ), "DataBoundSourcePage" },
};

protected JTabbedPane tabManager;
private boolean new_page = false;

Object target = null;

/**
 * return a list of (Tab Label, TabPage Class) pairs
 */
public String[][] getPages() {
    return pages;
}

/**
 * Method called to initialize the page
 */
public void init() {
    super.init();
    setToolTipText( getPageTitle() );
    tabManager = makeTabs( getPages() );
    add( tabManager );
}

/*
 *  Create a Tab Manager with a given set of labelled tabs
 */
public JTabbedPane makeTabs( String tabs[][] ) {
    JTabbedPane tabm = new JTabbedPane();

    tabm.addChangeListener( this );
    for ( int i = 0; i < tabs.length; i++ ) {
        tabm.addTab( tabs[i][0], getTabComponent( tabs[i][1] ) );
    }
    return tabm;
}

/**
 * Method called to populate the dialog with the source's properties
 */
public void setObject( Object source ) {
    target = source;
    this.updateCurrentPage();
}

/**
 * Return the Object that this Property Page is showing
 */
public Object getObject() {
    return target;
}


/**
 * Determine the currently visible page and re-setObject Axis values
 * shown on this page.
 */
public JPropertyPage getCurrentPage() {
    if (tabManager == null) this.init();
    try {
    JPropertyPage page = (JPropertyPage) tabManager.getSelectedComponent();
    if (page != null) {
        return page;
    }
    } catch (Exception ex) {
    }
    return null;
}

/**
 * Determine the currently visible page and re-setObject Axis values
 * shown on this page.
 */
public void updateCurrentPage() {
    JPropertyPage page = getCurrentPage();
    if (page != null) {
    //System.out.println("TPP update "+page+" with "+this.getObject());
    page.setObject( this.getObject() );
    }
}
private static boolean start_up = true;

protected JComponent getTabComponent( String shortClassName ) {
    JPropertyPage pp = null;

    try {
        if( start_up && ( shortClassName.compareTo("ChartTabs") == 0 ||
                          shortClassName.compareTo("ChartGeneralPage") == 0 ) ) {
            String className = "com.klg.jclass.chart.customizer." + (String)shortClassName;
            java.lang.Class newclass = java.lang.Class.forName( className );
            pp = (JPropertyPage) newclass.newInstance();
            pp.init();
            new_page = true;
        }
        else {
            String className = "com.klg.jclass.chart.customizer." + (String)shortClassName;
            java.lang.Class newclass = java.lang.Class.forName( className );
            pp = (JPropertyPage) newclass.newInstance();
            if( !start_up )
                pp.init();
            new_page = true;
        }
    }
    catch (Exception ex) {
        // if failed with our package, try on it's own
        try {
            java.lang.Class newclass = java.lang.Class.forName( shortClassName );
            pp = (JPropertyPage) newclass.newInstance();
            if( !start_up )
                pp.init();
            new_page = true;
        } catch (Exception ex2) {
            //System.out.println("TabbedPropertyPage: can't create "+ud);
            pp = (JPropertyPage) new DefaultPropertyPage();
            pp.init();
            pp.setObject(shortClassName);
        }
    }
    return pp;
}

public void stateChanged( ChangeEvent ev ) {
    if( ev.getSource() instanceof JTabbedPane ) {
        JTabbedPane tab = (JTabbedPane)ev.getSource();
        if( tab != null ) {
        try {
            JPropertyPage pp = (JPropertyPage)tab.getSelectedComponent();

            if( pp == null ) {
                String tabTitle = getSelectedTabTitle();
                String pageName = null;
                String[][] currentPages = this.getPages();
                int size = currentPages.length;
                int index = -1;

                for( int i = 0; i < size; i++ )
                    if( tabTitle.compareTo( currentPages[ i ][ 0 ] ) == 0 ) {
                        pageName = currentPages[ i ][ 1 ];
                        index = i;
                        break;
                    }
                if( start_up )
                    start_up = false;
                pp = (JPropertyPage)getTabComponent( pageName );
                if( pp != null && index >= 0 )
                    tabManager.setComponentAt( index, pp );
            }
            if (pp != null) {
                //System.out.println("tmCE TPP: "+this);
                if( !pp.init )
                    pp.init();
                pp.setObject( this.getObject() );
                pp.doLayout();
                if( new_page ) {
                    this.doLayout();
                    new_page = false;
                }
            }
        }
        catch( Exception e ) {
            }
        }
    }
}

private String getSelectedTabTitle() {
    String title = null;
    int index = tabManager.getSelectedIndex();

    if( index >= 0 )
        title = tabManager.getTitleAt( index );
    return title;
}
/**
 * Static main method that allows this class to be run independently
 * in the interpreter with the command:
 * java TabbedPropertyPage
 */
public static void main( String args[] ) {
    JFrame frame;
    try {
    java.lang.Class newclass
        = java.lang.Class.forName( "com.klg.jclass.chart.customizer.JCustomizerCustomFrame" );
    frame = (JFrame) newclass.newInstance();
    } catch (Exception ex) {
        System.out.println(ex);
    frame = new JFrame();
    }
    frame.setTitle( getPageTitle() );

    TabbedPropertyPage tabbedPropertyPage = new TabbedPropertyPage();
    tabbedPropertyPage.setBackground( java.awt.Color.lightGray );
    tabbedPropertyPage.init();
    frame.getContentPane().add( tabbedPropertyPage );
    frame.pack();
    java.awt.Dimension bigness = tabbedPropertyPage.getPreferredSize();
    frame.setSize(bigness.width + 200, bigness.height + 100 );
    frame.show();
}

public static String getPageTitle() {
    return JCustomizerBundle.string( JCustomizerBundle.key7 );
}

public static String getPageName() {
    return "TabbedPropertyPage";
}
// end of TabbedPropertyPage class
}

