/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: View3DPage.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:51 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.customizer;

import java.awt.Insets;
import java.awt.GridBagLayout;
import java.awt.GridBagConstraints;

import javax.swing.JLabel;
import javax.swing.JFrame;
import javax.swing.BorderFactory;

import com.klg.jclass.chart.JCChartArea;

/**
 *  Chart 3D View Property Page
 */

public class View3DPage extends JPropertyPage {

private JIntegerEditor depthField;
private JIntegerEditor elevationField;
private JIntegerEditor rotationField;

private JCChartArea target;

/**
 * Method called to initialize the page
 */
public void init() {
	super.init();
	setToolTipText( getPageTitle() );
	GridBagConstraints constraints = new GridBagConstraints();
	GridBagLayout gridbag = new GridBagLayout();

	setLayout( gridbag );
	setBorder( BorderFactory.createEmptyBorder( 3, 3, 3, 3 ) );
	constraints.anchor = GridBagConstraints.WEST;
	constraints.gridwidth = GridBagConstraints.REMAINDER;
	constraints.insets = new Insets( 10, 10, 5, 10 );
	constraints.weightx = 1.0;
    add( new JLabel( JCustomizerBundle.string( JCustomizerBundle.key173 ) + ":" ) );
    depthField = new JIntegerEditor();
    depthField.addPropertyChangeListener( this );
	gridbag.setConstraints( depthField, constraints );
    add( depthField );

    add( new JLabel( JCustomizerBundle.string( JCustomizerBundle.key174 ) + ":"  ) );
    elevationField = new JIntegerEditor();
    elevationField.setMinimum( -45 );
    elevationField.setMaximum( 45 );
    elevationField.addPropertyChangeListener( this );
	gridbag.setConstraints( elevationField, constraints );
    add( elevationField );

    add( new JLabel( JCustomizerBundle.string( JCustomizerBundle.key175 ) + ":"  ) );
    rotationField = new JIntegerEditor();
    rotationField.setMinimum( -45 );
    rotationField.setMaximum( 45 );
    rotationField.addPropertyChangeListener( this );
	gridbag.setConstraints( rotationField, constraints );
    add( rotationField );
}

/**
 * Method called to initialize the page
 */
public void setObject(Object source) {
    Integer value;
    if (source instanceof JCChartArea) {
	target = (JCChartArea) source;
	value = new Integer(target.getDepth());
	depthField.setValue(value);
	value = new Integer(target.getElevation());
	elevationField.setValue(value);
	value = new Integer(target.getRotation());
	rotationField.setValue(value);
    }
}


public void propertyChanged(Object source, Object value) {
    if (target == null) return;
    if (source == depthField) {
	target.setDepth(((Integer) depthField.getValue()).intValue());
    }
    else if (source == elevationField) {
	target.setElevation(((Integer) elevationField.getValue()).intValue());
    }
    else if (source == rotationField) {
	target.setRotation(((Integer) rotationField.getValue()).intValue());
    }
}

/**
 * Static main method that allows this class to be run independently
 * in the interpreter with the command:
 * java View3DPage
 */
public static void main(String args[]) {
    JFrame frame;
    try {
	java.lang.Class newclass 
	    = java.lang.Class.forName( "com.klg.jclass.chart.customizer.JCustomizerCustomFrame" );
	frame = (JFrame) newclass.newInstance();
    } catch (Exception ex) {
		System.out.println(ex);
	frame = new JFrame();
    }
    frame.setTitle( getPageTitle() );

    View3DPage view3DPage = new View3DPage();
    view3DPage.setBackground( java.awt.Color.lightGray );
    view3DPage.init();
    frame.getContentPane().add( view3DPage );
    frame.pack();
    java.awt.Dimension bigness = view3DPage.getPreferredSize();
    frame.setSize(bigness.width + 200, bigness.height + 100 );
    frame.show();
}

public static String getPageTitle() {
    return JCustomizerBundle.string( JCustomizerBundle.key172 );
}

public static String getPageName() {
    return "View3DPage";
}

}

