/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: ViewOutlinePage.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:51 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.customizer;

import java.awt.Color;
import java.awt.FlowLayout;
import java.awt.GridLayout;

import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JFrame;
import javax.swing.BorderFactory;

import com.klg.jclass.chart.ChartDataView;

/**
 *  DataView Outline Color Page
 */
public class ViewOutlinePage extends JPropertyPage  {

private JColorEditor outlineColor;
private ChartDataView view = null;

/**
 * Method called to initialize the page
 */
public void init() {
	super.init();
    setToolTipText( getPageTitle() );
    setLayout(new GridLayout( 1, 1 ) );

    JPanel outlinePanel = new JPanel();

    outlinePanel.setBorder( BorderFactory.createTitledBorder( JCustomizerBundle.string( JCustomizerBundle.key83 ) + " " ) );
    outlinePanel.setLayout( new FlowLayout( FlowLayout.LEFT, 2, 3 ) ); 
    outlinePanel.add( new JLabel( JCustomizerBundle.string( JCustomizerBundle.key153 ) + ":" ) );
    outlineColor = new JColorEditor();
    outlineColor.addPropertyChangeListener( this );
    outlinePanel.add( outlineColor );
    add( outlinePanel );
}

/**
 * Method called to populate the dialog with the source's properties
 */
public void setObject( Object source ) {
    //System.out.println("DVLP setObject: "+source);
    if (source instanceof ChartDataView) {
	view = (ChartDataView) source;
    }
    if (view != null) {
	outlineColor.setValue( view.getOutlineColor() );
    }
}

/**
 * This method is called when a specialized property editor's 
 * value is changed.
 */
public void propertyChanged(Object source, Object value) {
    if (view == null) return;
    if (source == outlineColor) {
	view.setOutlineColor((Color)value);
    }
}

/**
 * Static main method that allows this class to be run independently
 * in the interpreter with the command:
 * java ViewOutlinePage
 */
public static void main(String args[]) {
    JFrame frame;
    try {
	java.lang.Class newclass 
	    = java.lang.Class.forName( "com.klg.jclass.chart.customizer.JCustomizerCustomFrame" );
	frame = (JFrame) newclass.newInstance();
    } catch (Exception ex) {
		System.out.println(ex);
	frame = new JFrame();
    }
    frame.setTitle( getPageTitle() );

    ViewOutlinePage viewOutlinePage = new ViewOutlinePage();
    viewOutlinePage.setBackground( java.awt.Color.lightGray );
    viewOutlinePage.init();
    frame.getContentPane().add( viewOutlinePage );
    frame.pack();
    java.awt.Dimension bigness = viewOutlinePage.getPreferredSize();
    frame.setSize(bigness.width + 200, bigness.height + 100 );
    frame.show();
}

public static String getPageTitle() {
    return JCustomizerBundle.string( JCustomizerBundle.key154 );
}

public static String getPageName() {
    return "ViewOutlinePage";
}
}

