/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCStringDataSource.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:52 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.data;

import java.io.StringReader;
import java.io.IOException;

/**
 * Data source that reads data from the provided String.
 */
public class JCStringDataSource extends JCInputStreamDataSource {

/**
 * Pulls the data from the String source according to the default
 * interpreter.
 *
 * @param source String containing data to interpret
 * @exception IOException An <code>IOException</code> will be thrown if
 * there's a null String passed as data source.
 **/
public JCStringDataSource(String source) throws IOException
{
	this(source, null);
}

/**
 * Pulls the data from the String source according to the specified
 * interpreter.
 *
 * @param source String containing data to interpret
 * @param ipr parse used to interpret data
 * @exception IOException An <code>IOException</code> will be thrown if
 * there's a null String passed as data source
 **/
public JCStringDataSource(String source, JCDataInterpreter ipr)
    throws IOException
{
	if (source == null) {
		throw new IOException("Null string for this data source");
	}

	StringReader sr = new StringReader(source);
	interpreter = ipr;
	ctor(sr);
}

}
