/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCStringAccessor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:54 $  $Locker:  $  Quest Software Inc.

/* JCStringAccessor */
package com.klg.jclass.chart.property;

import com.klg.jclass.util.io.LoadProperties;

import java.awt.*;

/**
 * A property accessor class that gets properties from a String.
 *
 * @see com.klg.jclass.chart.property.PropertyAccessModel
 * @see com.klg.jclass.chart.property.JCBaseAccessor
 */
public abstract class JCStringAccessor extends JCBaseAccessor {

/**
 * Default constructor - this constructor does nothing.
 */
public JCStringAccessor() {}

/**
 * Constructor that specifies the component (whose name may be used in the
 * property names).
 * @param c the component
 */
public JCStringAccessor(Component c)
{
    this.component = c;
    this.loadProperties = new LoadProperties();
}

/**
 * Constructor that specifies the component (whose name may be used in the
 * property names) and an instance of LoadProperties.
 * @param loadProperties instance of LoadProperties, which contains
 *                       properties that will be used during the 
 *                       load of the component properties
 * @param c the component
 */
public JCStringAccessor(Component c, LoadProperties loadProperties)
{
    this.component = c;
    this.loadProperties = loadProperties;
}

}
