/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JLabelPropertyLoad.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:55 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.property;

import com.klg.jclass.util.io.JCIOException;
import com.klg.jclass.util.JCTypeConverter;
import com.klg.jclass.util.swing.JCSwingTypeConverter;
import com.klg.jclass.util.swing.TextRenderer;



import javax.swing.*;

/**
 * Responsible for loading properties of <code>JLabel</code>
 * objects using a specified <code>PropertyAcessModel</code>. Not
 * intended for public use.
 *
 * @see javax.swing.JLabel
 * @see com.klg.jclass.chart.property.JLabelPropertySave
 */
public class JLabelPropertyLoad extends ComponentPropertyLoad {

/**
 * Loads properties using the given property accessor object.
 *
 * @param prop property access object.
 * @param name name of object to be loaded.
 * @throws JCIOException
 */
public void loadProperties(PropertyAccessModel prop, String name)
    throws JCIOException
{
	super.loadProperties(prop, name);

    JLabel label = (JLabel)component;

	String pval = prop.getProperty(name + "text");
	if (pval != null) {



        	label.setText(pval);




	}

    String s         = "horizontalAlignment";
    String[] strings = JCSwingTypeConverter.horizontalAlignmentStrings;
    int[] values     = JCSwingTypeConverter.horizontalAlignmentValues;
    pval             = prop.getProperty(name + s);
    if (pval != null) {
        int horizAlignment = label.getHorizontalAlignment();
        label.setHorizontalAlignment(JCTypeConverter.toEnum(pval, s,
                                                            strings, values,
                                                            horizAlignment));
    }

    s       = "verticalAlignment";
    strings = JCSwingTypeConverter.verticalAlignmentStrings;
    values  = JCSwingTypeConverter.verticalAlignmentValues;
    pval    = prop.getProperty(name + s);
    if (pval != null) {
        int vertAlignment = label.getVerticalAlignment();
        label.setVerticalAlignment(JCTypeConverter.toEnum(pval, s,
                                                          strings, values,
                                                          vertAlignment));
    }
}

}
