/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: ChartDataViewHTMLPropertySave.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:55 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.property.html;

import com.klg.jclass.chart.ChartDataModel;
import com.klg.jclass.chart.data.ChartDataSourceUtil;
import com.klg.jclass.chart.property.ChartDataViewPropertySave;
import com.klg.jclass.chart.property.PropertyPersistorModel;
import com.klg.jclass.util.io.JCIOException;
import com.klg.jclass.util.io.OutputDataProperties;
import com.klg.jclass.util.io.Properties;

/**
 * Responsible for saving properties of ChartDataView
 * objects to a destiation specified by PropertyPersistorModel.
 * Not really intended for public consumption.
 *
 * @see com.klg.jclass.chart.ChartDataView
 * @see com.klg.jclass.chart.property.ChartDataViewPropertyLoad
 */
public class ChartDataViewHTMLPropertySave extends ChartDataViewPropertySave {

protected void saveEmbededData(PropertyPersistorModel prop,
                               OutputDataProperties outProps, String name,
                               int tab, ChartDataModel data)
    throws JCIOException
{
    String textDS = ChartDataSourceUtil.buildDataSourceString(data);
	String dataName = name.substring(0, name.lastIndexOf("."));
	prop.writeProperty(dataName, "", tab, textDS);
}

protected void saveDataFileProperties(PropertyPersistorModel prop, String name,
                                      int tab, OutputDataProperties outProps)
{
    String propertyName = prop.expandText(outProps.getPropertyName());
    if (propertyName != null) {
        String dataName = name.substring(0, name.lastIndexOf("."));
        prop.writeProperty(dataName + "File", "", tab, propertyName);
        prop.writeProperty(dataName + "FileType", "", tab,
                           outProps.getSaveType());
        String fileAccess =
            outProps.getFileAccessStringFromEnum(outProps.getFileAccess(),
                                                 false);
        prop.writeProperty(dataName + "FileAccess", "", tab, fileAccess);
        String charset = outProps.getFileCharset();
        if (!charset.equals(Properties.DEFAULT_CHARSET_NAME)) {
            prop.writeProperty(dataName + "FileCharset", "", tab, charset);
        }
    }
}

}
