/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCChartApplet.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:55 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.property.html;

import com.klg.jclass.chart.JCChart;
import com.klg.jclass.util.io.JCIOException;

import javax.swing.*;
import java.awt.*;

/**
 * Wrapper class for <code>JCChart</code> that allows developers to
 * create an entire chart application using only HTML
 * parameters.
 */
public class JCChartApplet extends JApplet {

/**
 * Init method for <code>JCChartApplet</code>, creates and names
 * the <code>JCChart</code> instance.
 */
public void init()
{
    getContentPane().setLayout(new GridLayout(1,1));

    JCChart chart = null;
    try {
        chart = JCChartAppletFactory.makeChartApplet(this, "chart");
    }
    catch (JCIOException e) {
        e.printStackTrace();
    }
    if (chart != null) {
        getContentPane().add(chart);
    }
}

/**
 * Must be implemented.
 */
public void destroy() {}

/**
 * String describing <code>JCChartApplet</code>.
 * @return the applet info String
 */
public String getAppletInfo()
{
    return("Quest Software JClass Chart Applet");
}

}
