/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCChartAppletFactory.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:55 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.property.html;

import com.klg.jclass.chart.JCChart;
import com.klg.jclass.chart.property.PropertyAccessModel;
import com.klg.jclass.chart.property.PropertyLoadFactory;
import com.klg.jclass.chart.property.PropertyLoadModel;
import com.klg.jclass.util.io.JCIOException;

import java.applet.Applet;

/**
 * Factory class for creating and configuring chart instances from applets.
 */
public class JCChartAppletFactory {

/**
 * Creates a <code>JCChart</code> instance given an applet and the name
 * of the chart.  Uses the applet and name information to
 * load all chart parameters.
 *
 * @param applet applet in which the chart is to appear
 * @param name name of the chart instance as it appears inside
 * the applet <code>param</code> tags
 * @return <code>JCChart</code> instance fully configured and ready to be
 * added to a container
 * @throws JCIOException
 *
 * @see com.klg.jclass.chart.property.html.JCChartApplet
 */
public static JCChart makeChartApplet(Applet applet, String name)
    throws JCIOException
{
	JCChart chart = new JCChart();

	if (applet == null || applet.getAppletContext() == null) {
		return(chart);
	}

	chart.setName(name);
	PropertyAccessModel pam = new JCAppletAccessor(applet, chart);
	PropertyLoadModel loader = PropertyLoadFactory.makeLoader(chart);
	loader.loadProperties(pam, null);
	return(chart);
}

}
