/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCChartHTMLPropertyLoad.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:55 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.property.html;

import com.klg.jclass.chart.property.JCChartPropertyLoad;
import com.klg.jclass.chart.property.PropertyAccessModel;
import com.klg.jclass.util.io.JCIOException;

/**
 * Responsible for loading properties of <code>JCChart</code>
 * objects using a specified <code>PropertyAcessModel</code>. Not
 * intended for public use.
 *
 * @see com.klg.jclass.chart.JCChart
 * @see com.klg.jclass.chart.property.JCChartPropertySave
 */
public class JCChartHTMLPropertyLoad extends JCChartPropertyLoad {

/**
 * Loads the properties from a file.
 *
 * @param prop property access object
 * @param name name of object to be loaded
 * @throws JCIOException
 */
protected void loadPropertiesFromFile(PropertyAccessModel prop, String name)
    throws JCIOException
{
	// Try loading from param file. Don't check for the FilePropertyAccessModel
	// here -- this is a top level file
	String fileName = prop.getProperty("paramFile");
	if (fileName != null) {
	    PropertyAccessModel pam = null;
		pam = new JCHTMLFileAccessor(chart);
        try {
            pam.getProperties(fileName);
        }
        catch (Exception e) {
            throw new JCIOException(e.getMessage(), e);
        }
	    this.loadProperties(pam, name);
	}
}

}
