/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCHTMLStringAccessor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:55 $  $Locker:  $  Quest Software Inc.

/* JCStringAccessor */
package com.klg.jclass.chart.property.html;

import com.klg.jclass.util.io.LoadProperties;
import com.klg.jclass.util.io.JCParseException;
import com.klg.jclass.chart.property.JCStringAccessor;

import java.awt.*;
import java.io.IOException;

/**
 * A property accessor class that gets properties from a String.
 *
 * @see com.klg.jclass.chart.property.PropertyAccessModel
 * @see com.klg.jclass.chart.property.JCBaseAccessor
 */
public class JCHTMLStringAccessor extends JCStringAccessor {

/**
 * Default constructor - does nothing.
 */
public JCHTMLStringAccessor() {}

/**
 * Constructor that specifies the component whose name may be used in the
 * property names.
 * @param c the component
 */
public JCHTMLStringAccessor(Component c)
{
	super(c);
}

/**
 * Constructor that specifies the component whose name may be used in the
 * property names and an instance of LoadProperties containing properties that
 * will be used during the load
 * @param c the component
 * @param loadProperties instance of LoadProperties containing the
 *                       properties that will be used during the
 *                       load of the component's properties.
 */
public JCHTMLStringAccessor(Component c, LoadProperties loadProperties)
{
	super(c, loadProperties);
}

/**
 * Get the properties from the passed in String, parse them, and store them.
 * Later a loader, actually loads the parsed properties into the chart in the
 * order it needs.
 * @param o The object from which to get the properties (must be a String for
 * anything to happen)
 * @throws IOException
 * @throws com.klg.jclass.util.io.JCParseException
 */
public void getProperties(Object o) throws IOException, JCParseException
{
    if (o == null) {
        throw new JCParseException("Cannot parse null object");
    }
    source = null;
    if (o instanceof String) {
        source = findProperties((String)o);
    }
}

/**
 * Gets the accessor type String.
 * @return the accessor type String
 */
public String getType()
{
	return("HTML");
}

/**
 * Gets the accessor subDirectory (if any).
 * @return the accessor subDirectory (null if no subDirectory)
 */
public String getSubDirectory()
{
	return("html");
}

}
