/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCPieChartFormatHTMLPropertySave.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:55 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.property.html;

import java.awt.Point;

import com.klg.jclass.util.JCTypeConverter;
import com.klg.jclass.util.ImageMapInfo;
import com.klg.jclass.util.io.JCIOException;
import com.klg.jclass.chart.JCPieChartFormat;
import com.klg.jclass.chart.JCChartEnumMappings;
import com.klg.jclass.chart.property.JCPieChartFormatPropertySave;
import com.klg.jclass.chart.property.PropertyPersistorModel;
import com.klg.jclass.chart.property.PropertySaveFactory;

/**
 * Responsible for saving properties of <code>JCPieChartFormat</code>
 * objects to a destination specified by <code>PropertyPersistorModel</code>.
 * Not intended for public use.
 *
 * @see com.klg.jclass.chart.JCPieChartFormat
 * @see com.klg.jclass.chart.property.JCPieChartFormatPropertyLoad
 */
public class JCPieChartFormatHTMLPropertySave
    extends JCPieChartFormatPropertySave
{

public void saveOtherProperties(PropertyPersistorModel prop, String name,
                                int tab, int newTab)
    throws JCIOException
{
    // Set other.label
    if (format.getOtherLabel() != defaultFormat.getOtherLabel()) {
        prop.writeProperty(name, "other.label", tab,
                           prop.expandText(format.getOtherLabel()));
    }

    // Save other style as a JCChartStyle
    PropertySaveFactory.save(prop, format.getOtherStyle(),
                             defaultFormat.getOtherStyle(),
                             name + "other.", tab);

    ImageMapInfo defaultInfo = new ImageMapInfo();
    ImageMapInfo[] infoArray = format.getOtherImageMapInfo();
    if (!ImageMapInfo.isEmpty(infoArray)) {
        for (int i = 0; i < infoArray.length; i++) {
            String s = (i == 0) ? "" : "" + i;
            PropertySaveFactory.save(prop, infoArray[i], defaultInfo,
                                     name + "otherSliceImageMapInfo" + s + ".",
                                     tab);
        }
        prop.writeProperty(name, "otherSliceImageMapInfoCount", tab,
                           "" + infoArray.length);
    }

    ImageMapInfo legendInfo = format.getOtherLegendImageMapInfo();
    if (legendInfo != null && !legendInfo.isEmpty()) {
        PropertySaveFactory.save(prop, legendInfo, defaultInfo,
                                 name + "otherSliceImageMapInfoLegend.", tab);
    }
}

public void saveExplodedSliceProperties(PropertyPersistorModel prop,
                                        String name, int tab)
{
   Point[] explodeList = format.getExplodeList();
    if (explodeList != null && explodeList.length > 0) {
        JCChartHTMLPropertySave.savePointList(prop, explodeList, name,
                                              "explodeList", tab);
    }
}

}
