/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LocaleBundle.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:55 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.resources;

import java.util.Hashtable;
import java.util.Locale;
import java.util.ResourceBundle;

import com.klg.jclass.util.ServerLocaleBundleBase;

public class LocaleBundle extends ServerLocaleBundleBase {

private static final String BUNDLE_PATH = 
			"com.klg.jclass.chart.resources.LocaleInfo";

// Locale bundle cache for this bundle path, keyed by Locale.
// This hashtable is itself cached in the cacheCache Hashtable.
private static Hashtable bundleCache = getCache(BUNDLE_PATH);

/**
 * Static function that localizes a String based on its key,
 * language, and country.
 * @param language desired language
 * @param country desired country
 * @param key the key of the String that is to be retrived
 * @return the localized string
 */
public static String string(String language, String country, String key) {
	return ResourceBundle.getBundle(BUNDLE_PATH, 
							new Locale(language, country)).getString(key);
}

/**
 * Static function that localizes a String based on its key and locale.
 * @param key the key of the String that is to be retrived
 * @param locale desired locale
 * @return the localized string
 */
public static String string(String key, Locale locale)
{
    return(getBundle(bundleCache, locale, BUNDLE_PATH).getString(key));
}

/**
 * Static function that retrives a String based on its key using
 * the default locale.  This method should not be called by server-side
 * products, which should use the method that specified a locale.
 * @param key the key of the String that is to be retrieved
 * @return the localized string from the default locale
 */
public static String string(String key) {
    return(getBundle(bundleCache, Locale.getDefault(), BUNDLE_PATH).
                                                            getString(key));
}

public static final String NOT_VALID_LICENSE        = "Invalid License";
public static final String EXPIRED_EVAL_COPY        = "Expired evaluation copy";
public static final String COMPANY_URL              = "http://www.quest.com";

public static final String NULL_PARAMETER  =
                        "Null parameter passed to validation call";
public static final String HOST_NOT_FOUND = 
                        "Could not find the host property";
public static final String NO_LOCALHOST_NAME =
                        "Could not get the name of the local host";
public static final String CHART_IO_EXCEPTION =
                        "Unable to handle Chart license file";
public static final String CHART_INVALID_LICENSE_EXCEPTION =
                        "Corrupted Chart license file";
public static final String CHART_INVALID_LOCAL_HOST =
                        "Chart not licensed for local host: ";
public static final String CHART_INVALID_LICENSE_VERSION =
                        "Invalid Chart license version";
public static final String CHART_INVALID_PRODUCT =
						"License file does not contain Chart license";
public static final String CHART_SERIAL_NUMBER_INFO =
                        "The serial number is: ";
public static final String CHART_WITHIN_SERVERCHART1 =
                        "Invalid use of JCChart within JCServerChart!";
public static final String CHART_WITHIN_SERVERCHART2 =
                        "It is not recommended that JCServerChart and";
public static final String CHART_WITHIN_SERVERCHART3 =
                        "JCChart jars be on the same classpath, but if";
public static final String CHART_WITHIN_SERVERCHART4 =
                        "they must, the JCServerChart jar must be first.";

public static final String CPUS = " CPUs";
public static final String WITH = " with ";

}
