/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LocaleInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:55 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart.resources;

import com.klg.jclass.chart.JCChartBundle;

import java.util.ListResourceBundle;

/**
 *  Default Resource LocaleInfo class for JCChart.
 */
public class LocaleInfo extends ListResourceBundle {

// Note : When adding new keys, please fill in the holes left by removing old
// strings.  Currently, the following keys are open and available :
//    keys  0
//    keys  8-19
//    keys  21-25
//    key   30
//    keys  32-43
//    keys  46-86
//    keys  91-99
//    keys  101-103
//    keys  107-117
//    keys  119-120
//    key   122
//    keys  124
//    key   131
//    keys  133-140
//    keys  144-145
//    keys  148-162
//    key   164
//    keys  171-172
//    keys  293-297
//    key   299

static final Object[][] strings = {
//LOCALIZE THIS
{ JCChartBundle.key1, "OK" },
{ JCChartBundle.key2, "Generated by an evaluation version of JClass Chart" },
{ JCChartBundle.key3, "Other" },
{ JCChartBundle.key4, "About LiveChart" },
{ JCChartBundle.key5, "JClass Chart" },
{ JCChartBundle.key6, "Axis" },
{ JCChartBundle.key7, "Axis range is to small." },
{ JCChartBundle.key20, "Could not initialize Customizer" },
{ JCChartBundle.key26, "DataView #" },
{ JCChartBundle.key27, "DataViewSeries #" },
{ JCChartBundle.key28, "Default X" },
{ JCChartBundle.key29, "Default Y" },
{ JCChartBundle.key31, "Error" },
{ JCChartBundle.key44, "Horizontal" },
{ JCChartBundle.key45, "Horizontal and vertical action axes are in the same direction" },
{ JCChartBundle.key87, "JCCustomizerPage launch():" },
{ JCChartBundle.key88, "JClass Chart by Quest Software (http://www.quest.com)" },
{ JCChartBundle.key89, "JClass Chart Error" },
{ JCChartBundle.key90, "JClass Chart Properties" },
{ JCChartBundle.key100, "labels" },
{ JCChartBundle.key104, "Max must be positive for log axis." },
{ JCChartBundle.key105, "Min must be less than Max." },
{ JCChartBundle.key106, "Min must be positive for log axis." },
{ JCChartBundle.key118, "One or more time labels was out of the range of Java time" },
{ JCChartBundle.key121, "points" },
{ JCChartBundle.key123, "Provided grid spacing is too small to show up" },
{ JCChartBundle.key125, "RotateFilter needs one of DEG_90, DEG_180 or DEG_270" },
{ JCChartBundle.key127, "Series" },
{ JCChartBundle.key128, "Series Name" },
{ JCChartBundle.key129, "Set" },
{ JCChartBundle.key130, "Setting MaxIsDefault to true" },
{ JCChartBundle.key132, "Setting MinIsDefault to true." },
{ JCChartBundle.key141, "Unnamed " },
{ JCChartBundle.key142, "Unnamed DataView" },
{ JCChartBundle.key143, "Unnamed DataViewSeries" },
{ JCChartBundle.key146, "values" },
{ JCChartBundle.key147, "Vertical" },
{ JCChartBundle.key163, "Click to edit..."},
{ JCChartBundle.key165, "Sample JCChart" },
{ JCChartBundle.key166, "Point Label" },
{ JCChartBundle.key167, "The data is in array format" },
{ JCChartBundle.key168, "It has one set of x-axis data, multiple sets of y-axis data" },
{ JCChartBundle.key169, "It can have names for the data view and for the x and y series" },
{ JCChartBundle.key170, "Each x point can have a point label" },

{ JCChartBundle.key173, "Start point" },
{ JCChartBundle.key174, "End point" },
{ JCChartBundle.key175, "Series columns" },
{ JCChartBundle.key176, "Point labels column" },
{ JCChartBundle.key177, "Data Range" },
{ JCChartBundle.key178, "Potential series columns" },
{ JCChartBundle.key179, "Potential point labels column" },

//DAM new stuff from Enum mappings
{ JCChartBundle.key180, "None" },
{ JCChartBundle.key181, "Rotate" },
{ JCChartBundle.key182, "Zoom" },
{ JCChartBundle.key183, "Translate" },
{ JCChartBundle.key184, "Edit" },
{ JCChartBundle.key185, "Pick" },
{ JCChartBundle.key186, "Depth" },
{ JCChartBundle.key187, "Customize" },

{ JCChartBundle.key188, "PLOT" },
{ JCChartBundle.key189, "SCATTER PLOT" },
{ JCChartBundle.key190, "AREA" },
{ JCChartBundle.key191, "STACKING AREA" },
{ JCChartBundle.key192, "BAR" },
{ JCChartBundle.key193, "STACKING BAR" },
{ JCChartBundle.key194, "PIE" },
{ JCChartBundle.key195, "HI-LO" },
{ JCChartBundle.key196, "HI-LO-OPEN-CLOSE" },
{ JCChartBundle.key197, "CANDLE" },
{ JCChartBundle.key198, "POLAR" },
{ JCChartBundle.key199, "RADAR" },
{ JCChartBundle.key200, "AREA RADAR" },


{ JCChartBundle.key201, "Left" },
{ JCChartBundle.key202, "Center" },
{ JCChartBundle.key203, "Right" },

{ JCChartBundle.key204, "0" },
{ JCChartBundle.key205, "90" },
{ JCChartBundle.key206, "180" },
{ JCChartBundle.key207, "270" },

{ JCChartBundle.key208, "Automatic" },
{ JCChartBundle.key209, "Origin" },
{ JCChartBundle.key210, "Min" },
{ JCChartBundle.key211, "Max" },
{ JCChartBundle.key212, "Value Anchored" },

{ JCChartBundle.key213, "Value" },
{ JCChartBundle.key214, "Value Labels" },
{ JCChartBundle.key215, "Time Labels" },
{ JCChartBundle.key216, "Point Labels" },

{ JCChartBundle.key217, "Seconds" },
{ JCChartBundle.key218, "Minutes" },
{ JCChartBundle.key219, "Hours" },
{ JCChartBundle.key220, "Days" },
{ JCChartBundle.key221, "Weeks" },
{ JCChartBundle.key222, "Months" },
{ JCChartBundle.key223, "Years" },

{ JCChartBundle.key224, "Zero" },

{ JCChartBundle.key225, "Northeast" },
{ JCChartBundle.key226, "North" },
{ JCChartBundle.key227, "Northwest" },
{ JCChartBundle.key228, "East" },
{ JCChartBundle.key229, "West" },
{ JCChartBundle.key230, "Southeast" },
{ JCChartBundle.key231, "South" },
{ JCChartBundle.key232, "Southwest" },

{ JCChartBundle.key233, "Ctrl" },
{ JCChartBundle.key234, "Shift" },
{ JCChartBundle.key235, "Alt" },
{ JCChartBundle.key236, "Meta" },

{ JCChartBundle.key237, "Leading" },
{ JCChartBundle.key238, "Trailing" },

{ JCChartBundle.key239, "Top" },
{ JCChartBundle.key240, "Bottom" },

{ JCChartBundle.key241, "Degrees" },
{ JCChartBundle.key242, "Radians" },
{ JCChartBundle.key243, "Grads" },

{ JCChartBundle.key244, "No Attachment" },
{ JCChartBundle.key245, "Attach To Coordinate" },
{ JCChartBundle.key246, "Attach To Data Coordinate" },
{ JCChartBundle.key247, "Attach To Data Index" },

{ JCChartBundle.key248, "Auto" },

{ JCChartBundle.key249, "Solid" },
{ JCChartBundle.key250, "25 Percent" },
{ JCChartBundle.key251, "50 Percent" },
{ JCChartBundle.key252, "75 Percent" },
{ JCChartBundle.key253, "Horizontal Stripe" },
{ JCChartBundle.key254, "Vertical Stripe" },
{ JCChartBundle.key255, "45 Degree Stripe" },
{ JCChartBundle.key256, "135 Degree Stripe" },
{ JCChartBundle.key257, "Diagonal Hatched" },
{ JCChartBundle.key258, "Cross Hatched" },
{ JCChartBundle.key259, "Custom Fill" },
{ JCChartBundle.key260, "Custom Stack" },

{ JCChartBundle.key261, "Long Dash" },
{ JCChartBundle.key262, "Short Dash" },
{ JCChartBundle.key263, "LSL Dash" },
{ JCChartBundle.key264, "Dash-Dot" },

{ JCChartBundle.key265, "Miter" },
{ JCChartBundle.key266, "Bevel" },
{ JCChartBundle.key267, "Round" },

{ JCChartBundle.key268, "Butt" },
{ JCChartBundle.key269, "Square" },

{ JCChartBundle.key270, "Slice Cutoff" },
{ JCChartBundle.key271, "Percentile" },

{ JCChartBundle.key272, "Data Order" },
{ JCChartBundle.key273, "Ascending" },
{ JCChartBundle.key274, "Descending" },

{ JCChartBundle.key275, "Dot" },
{ JCChartBundle.key276, "Box" },
{ JCChartBundle.key277, "Triangle" },
{ JCChartBundle.key278, "Diamond" },
{ JCChartBundle.key279, "Star" },
{ JCChartBundle.key280, "Vertical Line" },
{ JCChartBundle.key281, "Horizontal Line" },
{ JCChartBundle.key282, "Cross" },
{ JCChartBundle.key283, "Circle" },
{ JCChartBundle.key284, "Square" },

{ JCChartBundle.key285, "Default" },
{ JCChartBundle.key286, "On" },
{ JCChartBundle.key287, "Off" },

{ JCChartBundle.key288, "Default Labels" },
{ JCChartBundle.key289, "Default Ticks" },
{ JCChartBundle.key290, "User Defined" },

{ JCChartBundle.key291, "All" },
{ JCChartBundle.key292, "Other Slice" },

{ JCChartBundle.key298, "All rows" },

// Licensing Constants
{ LocaleBundle.NOT_VALID_LICENSE, "Invalid License" },
{ LocaleBundle.EXPIRED_EVAL_COPY, "Expired evaluation copy" },
{ LocaleBundle.COMPANY_URL, "http://www.quest.com" },
{ LocaleBundle.NULL_PARAMETER, "Null parameter passed to validation call"},
{ LocaleBundle.HOST_NOT_FOUND, "Could not find the host property" },
{ LocaleBundle.NO_LOCALHOST_NAME, "Could not get the name of the local host" },
{ LocaleBundle.CHART_IO_EXCEPTION, "Unable to handle Chart license file" },
{ LocaleBundle.CHART_INVALID_LICENSE_EXCEPTION, "No license file found in CLASSPATH" },
{ LocaleBundle.CHART_INVALID_LOCAL_HOST, "Chart not licensed for local host: "},
{ LocaleBundle.CHART_INVALID_LICENSE_VERSION, "License is not valid for Chart " },
{ LocaleBundle.CHART_INVALID_PRODUCT, "License file does not contain Chart license" },
{ LocaleBundle.CHART_SERIAL_NUMBER_INFO, "The serial number is: " },
{ LocaleBundle.CPUS, " CPUs" },
{ LocaleBundle.WITH, " with " },
{ LocaleBundle.CHART_WITHIN_SERVERCHART1, "Invalid use of JCChart within JCServerChart!" },
{ LocaleBundle.CHART_WITHIN_SERVERCHART2, "It is not recommended that JCServerChart and" },
{ LocaleBundle.CHART_WITHIN_SERVERCHART3, "JCChart jars be on the same classpath, but if" },
{ LocaleBundle.CHART_WITHIN_SERVERCHART4, "they must, the JCServerChart jar must be first." },

//END OF MATERIAL TO LOCALIZE
};

public Object[][] getContents()
{
    return(strings);
}

}

