/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: ActionInitiator.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:55 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d;

import java.awt.AWTEvent;

/**
 * <CODE>ActionInitiator</CODE>s are used by {@link JCActionTable} to
 * associate a keystroke, mouse press or other type of event to a
 * specific action on a JClass Chart 3D.
 */
public abstract class ActionInitiator {

/** Action must be invoked without a modifier. */
public static final int NO_MODIFIER_MASK = 0;

/** Action may be invoked with any modifier. */
public static final int ANY_MODIFIER_MASK = -1;

/**
 * Returns true if the given event matches the <code>ActionInitiator</code>
 * settings.
 */
public abstract boolean isMatch(AWTEvent e);

}
