/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: CellSide.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:55 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d;

/** 
 * Data structure internal to JCChart3d.  Represents a list of points that
 * define the line segments of a contour line.
 * 
 */
public class CellSide implements java.io.Serializable {

/**  */
protected byte[]      used = null;

/**  */
CellSide()
{
}

/**  */
CellSide(int size)
{
	used = new byte[(size + 7)/8];
}

/** 
 * Is the bit for the given level set for this CellSide?
 * 
 * @param level 
 */
protected boolean isUsed(int level)
{
	byte curByte = used[level/8];
	int  curBit  = 1 << (level % 8);
	return((curByte & (byte)curBit) != 0);
}

/** 
 * Sets the bit for the given level for this CellSide.
 * 
 * @param level 
 */
protected void setUsed(int level)
{
	int curBit = 1 << (level % 8);
	used[level/8] |= (byte)curBit;
}

}
