/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: Chart3dGridDataModel.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:56 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d;

/**
 * The core grid data model interface for JClass Chart 3D.
 *
 * <P>In JClass Chart3d, grid data is specified in terms of an <i>x</i> array
 * of grid values, a <i>y</i> array of grid values and doubly subscripted
 * array of <i>z</i> data values.
 *
 */
public interface Chart3dGridDataModel extends Chart3dDataModel {

/**
 * Retrieves the <i>x</i> grid values array.
 *
 * @return array of double values representing <i>x</i> grid points
 */
public double[] getXGrid();

/**
 * Retrieves the <i>y</i> grid values array.
 *
 * @return array of double values representing <i>y</i> grid points
 */
public double[] getYGrid();

/**
 * Retrieves the <i>z</i> values -- one for each (<i>x</i>,<i>y</i>) grid point.
 *
 * @return doubly subscripted array of double values representing the <i>z</i>
 *     values
 */
public double[][] getZValues();

}


