/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: ContourLine.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:56 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d;

import java.util.LinkedList;

/** 
 * Data structure internal to JClass Chart 3D.  This structure represents a contour
 * line made up of possibly many <code>ContourSegments</code>.
 * 
 */
public class ContourLine implements java.io.Serializable{

/** The list of contour segements for this contour line.
 * 
 */
protected LinkedList     segments = null;

/** The contour level that this line represents.
 * 
 */
protected int               level = 0;

/**  */
ContourLine()
{
}

/**  */
ContourLine(int level)
{
	this.level = level;
}

/** 
 * Sets the level for this contour line.
 * 
 * @param level 
 */
protected void setLevel(int level)
{
	this.level = level;
}

/** 
 * Retrieves the level for this contour line.
 * 
 */
protected int getLevel()
{
	return(level);
}

/** 
 * Adds a contour segment on to the end of the list;
 * 
 * @param segment 
 */
protected void addContourSegment(ContourSegment segment)
{
	if (segments == null) {
	   segments = new LinkedList();
	}
	segments.addLast(segment);
}

/**  * 
 */
public LinkedList getSegments()
{
	return(segments);
}

}
