/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: ContourSegment.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:56 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d;

import javax.vecmath.Point3d;

/** 
 * Data structure internal to JClass Chart 3D.  Represents a list of points that
 * define the line segments of a contour line.
 * 
 */
public class ContourSegment implements java.io.Serializable {

/** The data point that this segment represents.
 * 
 */
protected Point3d           point = null;

/** Transformed X pixel value.
 * 
 */
protected int xPixel = 0;

/** Transformed Y pixel value.
 * 
 */
protected int yPixel = 0;

/**  */
ContourSegment()
{
	point = new Point3d(0.0, 0.0, 0.0);
}

/**  */
ContourSegment(double x, double y, double z)
{
	point = new Point3d(x, y, z);
}

/** 
 * Sets the point for this contour segment.
 * 
 * @param point 
 */
protected void setPoint(Point3d point)
{
	this.point = point;
}

/** 
 * Returns the point for this contour segment.
 * 
 */
public Point3d getPoint()
{
	return(point);
}

/** 
 * Sets the <i>x</i> pixel value for this point.
 * 
 * @param xPixel 
 */
protected void setXPixel(int xPixel)
{
	this.xPixel = xPixel;
}

/** 
 * Retrieves the <i>x</i> pixel value for this point.
 * 
 */
protected int getXPixel()
{
	return(xPixel);
}

/** 
 * Sets the <i>x</i> pixel value for this point.
 * 
 * @param yPixel 
 */
protected void setYPixel(int yPixel)
{
	this.yPixel = yPixel;
}

/** 
 * Retrieves the <i>y</i> pixel value for this point.
 * 
 */
protected int getYPixel()
{
	return(yPixel);
}

}
