/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: DefaultColors.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:56 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d;

import java.awt.Color;



/**
 * A class that stores the default colors array for the contour styles
 */
public class DefaultColors implements java.io.Serializable {

/** Index that gives the RED component of given color in the color array */
public final static int RED   = 0;

/** Index that gives the GREEN component of given color in the color array */
public final static int GREEN = 1;

/** Index that gives the BLUE component of given color in the color array */
public final static int BLUE  = 2;

/** The default color array */
protected final static int colors[][] = {
    { 0, 0, 255 },
    { 0, 8, 255 },
    { 0, 17, 255 },
    { 0, 26, 255 },
    { 0, 34, 255 },
    { 0, 43, 255 },
    { 0, 52, 255 },
    { 0, 61, 255 },
    { 0, 69, 255 },
    { 0, 78, 255 },
    { 0, 87, 255 },
    { 0, 95, 255 },
    { 0, 104, 255 },
    { 0, 113, 255 },
    { 0, 122, 255 },
    { 0, 130, 255 },
    { 0, 139, 255 },
    { 0, 148, 255 },
    { 0, 156, 255 },
    { 0, 165, 255 },
    { 0, 174, 255 },
    { 0, 183, 255 },
    { 0, 191, 255 },
    { 0, 200, 255 },
    { 0, 209, 255 },
    { 0, 217, 255 },
    { 0, 226, 255 },
    { 0, 235, 255 },
    { 0, 244, 255 },
    { 0, 252, 255 },
    { 0, 255, 255 },
    { 0, 255, 233 },
    { 0, 255, 210 },
    { 0, 255, 188 },
    { 0, 255, 166 },
    { 0, 255, 143 },
    { 0, 255, 121 },
    { 0, 255, 98 },
    { 0, 255, 76 },
    { 0, 255, 53 },
    { 0, 255, 31 },
    { 0, 255, 9 },
    { 8, 255, 9 },
    { 17, 255, 9 },
    { 25, 255, 9 },
    { 34, 255, 9 },
    { 42, 255, 9 },
    { 51, 255, 9 },
    { 59, 255, 9 },
    { 68, 255, 9 },
    { 77, 255, 9 },
    { 85, 255, 9 },
    { 94, 255, 9 },
    { 102, 255, 9 },
    { 111, 255, 9 },
    { 119, 255, 9 },
    { 128, 255, 9 },
    { 136, 255, 9 },
    { 145, 255, 9 },
    { 154, 255, 9 },
    { 162, 255, 9 },
    { 171, 255, 9 },
    { 179, 255, 9 },
    { 188, 255, 9 },
    { 196, 255, 9 },
    { 205, 255, 9 },
    { 213, 255, 9 },
    { 222, 255, 9 },
    { 230, 255, 9 },
    { 239, 255, 9 },
    { 248, 255, 9 },
    { 255, 255, 9 },
    { 255, 247, 9 },
    { 255, 238, 9 },
    { 255, 229, 9 },
    { 255, 221, 9 },
    { 255, 212, 9 },
    { 255, 203, 9 },
    { 255, 194, 9 },
    { 255, 186, 9 },
    { 255, 177, 9 },
    { 255, 168, 9 },
    { 255, 159, 9 },
    { 255, 151, 9 },
    { 255, 142, 9 },
    { 255, 133, 9 },
    { 255, 125, 9 },
    { 255, 116, 9 },
    { 255, 107, 9 },
    { 255, 98, 9 },
    { 255, 90, 9 },
    { 255, 81, 9 },
    { 255, 72, 9 },
    { 255, 64, 9 },
    { 255, 55, 9 },
    { 255, 46, 9 },
    { 255, 37, 9 },
    { 255, 29, 9 },
    { 255, 20, 9 },
    { 255, 11, 9 }
};

/** The number of colors in the default color array */
protected int numColors = colors.length;

/**
 * Default constructor.
 */
DefaultColors()
{
}

/**
 * Retrieve the number of colors in the default color array
 *
 * @return The number of colors in the default color array
 */
public int getNumColors()
{
    return(numColors);
}

/**
 * Get the color pertaining to the given index
 *
 * @param colorNum The index of the color requested
 * @return The color pertaining to the given index
 */
protected Color getColor(int colorNum)
{
    if (colorNum < 0 || colorNum > numColors - 1) {
        return(null);
    }
    return(new Color(colors[colorNum][RED],
                     colors[colorNum][GREEN],
                     colors[colorNum][BLUE]));
}

}
