/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: EditableChart3dDataModel.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:57 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d;

/**
 * Empty marker interface to indicate to interested classes that this datamodel
 * is  editable.  Subclasses will have specific methods to implement.
 */
public interface EditableChart3dDataModel  {

/**
 * Changes the specified <i>z</i> data value of the point referred to by the
 * index.  If the index is an object of type JCData3dGridIndex, the
 * corresponding zValue pertaining to the x and y index fields of the data
 * index object will be changed.  If the index is an object of type
 * JCData3dPointIndex, the corresponding zValue of the point referenced by the
 * series and point index fields of the data index object will be changed.
 *
 * @param index The data index object which refers to either data value of type
 *   grid or point.
 * @param newValue The new <i>z</i> value for the specified point
 * @return Whether the edit was accepted
 */
public boolean setZValue(JCData3dIndex index, double newValue);

}
