/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: HoleValueChart3dDataModel.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:58 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d;

/**
 * An interface used to specify hole values for a JClass Chart 3D data model.
 *
 * <P>Note that the <code>HoleValueChartDataModel</code> interface
 * is only used in conjunction with the <code>Chart3dDataModel</code>
 * interface, that is, in order for an object to be recognized as a chart
 * data source, it needs to implement the appropriate
 * <code>Chart3dDataModel</code> interface.
 *
 * @see com.klg.jclass.chart.ChartDataModel
 */
public interface HoleValueChart3dDataModel {

/**
 * Default hole value which is defined as <code>Double.MAX_VALUE</code>.  Data
 * models which implement this interface but do not have their hole values
 * explicitly set should return this default value.
 */
public static final double DEFAULT_HOLE_VALUE = Double.MAX_VALUE;

/**
 * Retrieves the hole value for this data source.
 */
public double getHoleValue();

}
