/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: JCBox.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:12:58 $ $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d;

/**
 * A class that describes a 3D box (normally in data space).
 */
public class JCBox implements java.io.Serializable {

/** The <I>x</I> data position of the box. */
public double x;

/** The <I>y</I> data position of the box. */
public double y;

/** The <I>z</I> data position of the box. */
public double z;

/** The width of the box (in the <I>x</I> direction). */
public double width;

/** The height of the box (in the <I>y</I> direction). */
public double height;

/** The depth of the box (in the <I>z</I> direction). */
public double depth;

/**
 * Default constructor.  All values at zero.
 */
public JCBox()
{
    x      = 0.0;
    y      = 0.0;
    z      = 0.0;
    width  = 0.0;
    height = 0.0;
    depth  = 0.0;
}

/**
 * Constructor that provides all necessary value for a 3D box.
 *
 * @param x the <I>x</I> position of the box
 * @param y the <I>y</I> position of the box
 * @param z the <I>z</I> position of the box
 * @param width the width of the box (in the <I>x</I> direction)
 * @param height the height of the box (in the <I>y</I> direction)
 * @param depth the depth of the box (in the <I>z</I> direction)
 */
public JCBox(double x, double y, double z, double width, double height, double depth)
{
    this.x      = x;
    this.y      = y;
    this.z      = z;
    this.width  = width;
    this.height = height;
    this.depth  = depth;
}

/**
 * Constructor that provides all necessary value for a 2D rectangle.
 *
 * @param x the <I>x</I> position of the box
 * @param y the <I>y</I> position of the box
 * @param width the width of the box (in the <I>x</I> direction)
 * @param height the height of the box (in the <I>y</I> direction)
 */
public JCBox(double x, double y, double width, double height)
{
    this.x      = x;
    this.y      = y;
    this.z      = 0.0;
    this.width  = width;
    this.height = height;
    this.depth  = 0.0;
}

}
