/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCChart3dCustomizer.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:58 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d;

import java.awt.Point;
import java.awt.Component;

/**
 * Base class for the chart 3d customizer.  This class is used internally by
 * JClass Chart 3D and should not be used by applications.
 */
public interface JCChart3dCustomizer
{

/**
 * Method called to return the target chart that this page is editing.
 */
public JCChart3d getTarget();

/**
 * Method called to update the page with values from the given source.
 *
 * @param chart The new target for editing
 */
public void setTarget(JCChart3d chart);

/**
 * Returns the component used to display the customizer.
 */
public Component getCustomizerComponent();

/**
 * Method used to display the customizer.
 *
 * @param p Point at which to launch the customizer
 */
public void showCustomizer(Point p);

/**
 * Method used to hide the customizer.
 */
public void hideCustomizer();

}


