/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCChart3dEnumMappings.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:58 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d;

import java.awt.event.InputEvent;
import java.awt.BasicStroke;
import javax.swing.SwingConstants;

import com.klg.jclass.chart3d.resources.LocaleBundle;

/**
 * Class consisting of static arrays that hold enum values and
 * their corresponding String representations (for things like HTML save and
 * loading) and, in turn, their corresponding internationalizable String
 * representations (for things like combo box choices in the customizer
 * and the Beans). All three arrays must match - enum value at position <i>n</i>
 * in the enum value array must correspond to the String description
 * at position <i>n</i> in the other two arrays.
 */
public class JCChart3dEnumMappings
{

// Chart Type values/strings
public final static int[] chartType_values = {
     JCChart3d.SURFACE, JCChart3d.BAR, JCChart3d.SCATTER
};
public final static String[] chartType_strings = {
    "SURFACE", "BAR", "SCATTER"
};
public final static String[] chartType_i18n_strings = {
	LocaleBundle.string(LocaleBundle.TYPE_SURFACE),
	LocaleBundle.string(LocaleBundle.TYPE_BAR),
	LocaleBundle.string(LocaleBundle.TYPE_SCATTER)
};

// JCAxis AxisPlacement values/strings
public final static int[] axis_id_values = {
    JCAxis.AXIS_NONE, JCAxis.AXIS_X, JCAxis.AXIS_Y, JCAxis.AXIS_Z,
    JCAxis.AXIS_EYE, JCAxis.NUM_AXES
};
public final static String[] axis_id_strings = {
    "AXIS_NONE", "AXIS_X", "AXIS_Y", "AXIS_Z", "AXIS_EYE", "NUM_AXES"
};
public final static String[] axis_id_i18n_strings = {
	LocaleBundle.string(LocaleBundle.NONE),
	LocaleBundle.string(LocaleBundle.X_AXIS_LABEL),
	LocaleBundle.string(LocaleBundle.Y_AXIS_LABEL),
	LocaleBundle.string(LocaleBundle.Z_AXIS_LABEL),
	LocaleBundle.string(LocaleBundle.AXIS_EYE),
	LocaleBundle.string(LocaleBundle.NUM_AXES)
};

// JCAxis AnnotationMethod values/strings
public final static int[] annotationMethod_values = {
    JCAxis.ANNOTATION_VALUES, JCAxis.ANNOTATION_DATA_LABELS,
    JCAxis.ANNOTATION_VALUE_LABELS
};
public final static String[] annotationMethod_strings = {
    "Values", "Data_Labels", "Value_Labels"
};
public final static String[] annotationMethod_i18n_strings = {
	LocaleBundle.string(LocaleBundle.VALUES_STRING),
	LocaleBundle.string(LocaleBundle.DATA_LABELS_STRING),
	LocaleBundle.string(LocaleBundle.VALUE_LABELS_STRING)
};



// JCChart 3D EventTrigger modifier values/strings
public final static int[] eventMod_values = {
    0,
    InputEvent.CTRL_MASK,
    InputEvent.SHIFT_MASK,
    InputEvent.ALT_MASK,
    InputEvent.META_MASK
};
public final static String[] eventMod_strings = {
    "None", "Ctrl", "Shift", "Alt", "Meta"
};
public final static String[] eventMod_i18n_strings = {
	LocaleBundle.string(LocaleBundle.NONE),
	LocaleBundle.string(LocaleBundle.CTRL),
	LocaleBundle.string(LocaleBundle.SHIFT),
	LocaleBundle.string(LocaleBundle.ALT),
	LocaleBundle.string(LocaleBundle.META)
};

// JCChart 3D header and footer Alignment values/strings for those that
// are JLabels
public final static int[] halign_values = {
    SwingConstants.LEFT, SwingConstants.CENTER, SwingConstants.RIGHT,
	SwingConstants.LEADING, SwingConstants.TRAILING
};
public final static String[] halign_strings = {
    "Left", "Center", "Right", "Leading", "Trailing"
};
public final static String[] halign_i18n_strings = {
	LocaleBundle.string(LocaleBundle.LEFT),
	LocaleBundle.string(LocaleBundle.CENTER),
	LocaleBundle.string(LocaleBundle.RIGHT),
	LocaleBundle.string(LocaleBundle.LEADING),
	LocaleBundle.string(LocaleBundle.TRAILING)
};
public final static int[] valign_values = {
    SwingConstants.TOP, SwingConstants.CENTER, SwingConstants.BOTTOM
};
public final static String[] valign_strings = {
    "Top", "Center", "Bottom"
};
public final static String[] valign_i18n_strings = {
	LocaleBundle.string(LocaleBundle.TOP),
	LocaleBundle.string(LocaleBundle.CENTER),
	LocaleBundle.string(LocaleBundle.BOTTOM)
};

// JCFillStyle FillPattern values/strings
public final static int[] fillPattern_values = {
    JCFillStyle.NONE, JCFillStyle.SOLID,
    JCFillStyle.PER_25, JCFillStyle.PER_50, JCFillStyle.PER_75,
    JCFillStyle.HORIZ_STRIPE, JCFillStyle.VERT_STRIPE,
    JCFillStyle.STRIPE_45, JCFillStyle.STRIPE_135,
    JCFillStyle.DIAG_HATCHED, JCFillStyle.CROSS_HATCHED,
    JCFillStyle.CUSTOM_FILL, JCFillStyle.CUSTOM_STACK
};
public final static String[] fillPattern_strings = {
    "None", "Solid",
    "Per_25", "Per_50", "Per_75",
    "Horiz_Stripe", "Vert_Stripe",
    "Stripe_45", "Stripe_135",
    "Diag_Hatched", "Cross_Hatched",
	"Custom_Fill", "Custom_Stack"
};
public final static String[] fillPattern_i18n_strings = {
	LocaleBundle.string(LocaleBundle.NONE),
	LocaleBundle.string(LocaleBundle.SOLID),
	LocaleBundle.string(LocaleBundle.PER_25),
	LocaleBundle.string(LocaleBundle.PER_50),
	LocaleBundle.string(LocaleBundle.PER_75),
	LocaleBundle.string(LocaleBundle.HORIZ_STRIPE),
	LocaleBundle.string(LocaleBundle.VERT_STRIPE),
	LocaleBundle.string(LocaleBundle.STRIPE_45),
	LocaleBundle.string(LocaleBundle.STRIPE_135),
	LocaleBundle.string(LocaleBundle.DIAG_HATCHED),
	LocaleBundle.string(LocaleBundle.CROSS_HATCHED),
	LocaleBundle.string(LocaleBundle.CUSTOM_FILL),
	LocaleBundle.string(LocaleBundle.CUSTOM_STACK)
};

// JCLineStyle LinePattern values/strings
public final static int[] linePattern_values = {
    JCLineStyle.NONE, JCLineStyle.SOLID,
    JCLineStyle.LONG_DASH, JCLineStyle.SHORT_DASH,
    JCLineStyle.LSL_DASH, JCLineStyle.DASH_DOT
};
public final static String[] linePattern_strings = {
    "None", "Solid",
    "Long_Dash", "Short_Dash",
    "LSL_Dash", "Dash_Dot"
};
public final static String[] linePattern_i18n_strings = {
	LocaleBundle.string(LocaleBundle.NONE),
	LocaleBundle.string(LocaleBundle.SOLID),
	LocaleBundle.string(LocaleBundle.LONG_DASH),
	LocaleBundle.string(LocaleBundle.SHORT_DASH),
	LocaleBundle.string(LocaleBundle.LSL_DASH),
	LocaleBundle.string(LocaleBundle.DASH_DOT)
};

// JCLineStyle Line Join values/strings

public final static int[] lineJoin_values = {
    BasicStroke.JOIN_MITER, BasicStroke.JOIN_BEVEL, BasicStroke.JOIN_ROUND
};
public final static String[] lineJoin_strings = {
    "Miter", "Bevel", "Round"
};
public final static String[] lineJoin_i18n_strings = {
	LocaleBundle.string(LocaleBundle.MITER),
	LocaleBundle.string(LocaleBundle.BEVEL),
	LocaleBundle.string(LocaleBundle.ROUND)
};


// JCLineStyle Line Cap values/strings

public final static int[] lineCap_values = {
    BasicStroke.CAP_BUTT, BasicStroke.CAP_ROUND, BasicStroke.CAP_SQUARE
};
public final static String[] lineCap_strings = {
    "Butt", "Round", "Square"
};
public final static String[] lineCap_i18n_strings = {
	LocaleBundle.string(LocaleBundle.BUTT),
	LocaleBundle.string(LocaleBundle.ROUND),
	LocaleBundle.string(LocaleBundle.SQUARE)
};


// JCSymbolStyle Shape values/strings
public final static String[] shape_values = {
    JCSymbolStyle.NONE, JCSymbolStyle.DOT, JCSymbolStyle.BOX,
    JCSymbolStyle.TRIANGLE, JCSymbolStyle.DIAMOND, JCSymbolStyle.STAR,
    JCSymbolStyle.VERT_LINE, JCSymbolStyle.HORIZ_LINE, JCSymbolStyle.CROSS,
    JCSymbolStyle.CIRCLE, JCSymbolStyle.SQUARE, JCSymbolStyle.RECTANGLE
};
public final static String[] shape_strings = {
    "None", "Dot", "Box",
    "Triangle", "Diamond", "Star",
    "Vert_Line", "Horiz_Line", "Cross",
    "Circle", "Square", "Rectangle"
};
public final static String[] shape_i18n_strings = {
	LocaleBundle.string(LocaleBundle.NONE),
	LocaleBundle.string(LocaleBundle.DOT),
	LocaleBundle.string(LocaleBundle.BOX),
	LocaleBundle.string(LocaleBundle.TRIANGLE),
	LocaleBundle.string(LocaleBundle.DIAMOND),
	LocaleBundle.string(LocaleBundle.STAR),
	LocaleBundle.string(LocaleBundle.VERT_LINE),
	LocaleBundle.string(LocaleBundle.HORIZ_LINE),
	LocaleBundle.string(LocaleBundle.CROSS),
	LocaleBundle.string(LocaleBundle.CIRCLE),
	LocaleBundle.string(LocaleBundle.SQUARE),
	LocaleBundle.string(LocaleBundle.RECTANGLE)
};

}
