/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCChart3dLegendLabelGenerator.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:58 $  $Locker:  $  Quest Software Inc.
package com.klg.jclass.chart3d;

/** 
 * To be implemented by a user-specific legend label generator.
 */
public interface JCChart3dLegendLabelGenerator
{

/** 
 * Generates a label for the given legend level.  This call is used for both
 * value and ranged legend labels.  Value labels are generated for an explicit
 * level value.  Ranged labels are generated from the previous level value
 * to the current level value.
 * 
 * @param chart3d an instance of the current <code>JCChart3D</code> object.
 * @param level the zero-indexed level this label is being generated for. If 
 *     the level is -1, the label is being generated for the minimum data value 
 *     before the first level.  If the level is equal to the number of levels, 
 *     the label is being generated for the maximum data value after the last 
 *     level.
 * @param zmin the minimum value of this level range.  In a non-ranged label  
 *     case, this will be equal to zmax.
 * @param zmax the maximum value of this level.
 * @param label the default label generated by the legend.  This may be an 
 *     instance of <code>String</code> or <code>JCMultiFieldString</code>.
 * @return the label to use for this contour level.  This may be an instance 
 *     of <code>String</code> or <code>JCMultiFieldString</code>.  If the return
 *      value is null, no legend item will be created for this level.
 */
public Object generateLegendLabel(JCChart3d chart3d, int level,
							      double zmin, double zmax, Object label);

}
