/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCContourMapping.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:58 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d;

/**
 * Interface that defines a contour mapping from contour levels to indices
 * within the contour styles list
 */
public interface JCContourMapping {

/**
 * Provides a mapping from contour levels to the contour styles list.  Given
 * a level (indexed from 0), returns the index of the contour style that JClass
 * Chart 3D should use for this level.  The default mapping evenly distributes
 * the styles through the number of levels.
 * <p>
 * Note that the returned index should be a number between 0 and (<i>n</i>-1)
 * where <i>n</i> is the current number of contour styles.  This is not checked
 * by the chart.
 *
 * @param level The level whose contour index is to be computed
 */
public int contourIndex(int level);

}


