/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCLabelGenerator.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:58 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d;

/**
 * An interface that can be used to generate labels for an axis.
 * It has one method -- <code>makeLabel()</code> -- which is called by
 * a JClass Chart 3D when a label is required at a particular value.
 */
public interface JCLabelGenerator {

/**
 * Callback called by a chart 3D whenever a label is required.
 * @param valueLabel This method is passed the internal value label that is
 *   generated for a given value.  The user can modify the label, drawLabel,
 *   drawTick, minorTick, background, and foreground properties of the value
 *   label if desired.  The value property is readonly and will be set back to
 *   the original value after the method returns.  The label can be changed to
 *   whatever the user desires for the given value (a null or string of length
 *   0 will cause no label to be drawn for this value).
 * @see com.klg.jclass.chart3d.JCValueLabel
 */
public void makeLabel(JCValueLabel valueLabel);

}
