/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: JCScatter.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:12:58 $ $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d;

/**
 * JClass Chart 3D class that contains properties that pertain to plots of
 * type scatter.
 */
public class JCScatter extends ParentTrackChange {

static final long serialVersionUID = -5542417106751358122L;

/** Asks if drop lines are drawn. */
protected boolean dropLines = false;

/**
 * Default constructor.
 */
public JCScatter()
{
}

/**
 * Constructor which specifies drop line value.
 *
 * @param dropLines Are drop lines drawn for this <code>JCScatter</code> object?
 */
public JCScatter(boolean dropLines)
{
	this.dropLines = dropLines;
}

/**
 * Sets flag which determines whether this scatter plot draws drop lines.
 *
 * @param dropLines Are drop lines drawn for this <code>JCScatter</code> object?
 */
public void setDropLines(boolean dropLines)
{
	if (this.dropLines == dropLines) {
		return;
	}
	this.dropLines = dropLines;
	callParentSetChanged(true, Changeable.RECALC);
}

/**
 * Returns whether this scatter plot draws drop lines.
 *
 * @return the value of the drop lines flag
 */
public boolean hasDropLines()
{
	return(dropLines);
}

}
