/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LabelledChart3dPointDataModel.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:58 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d;

/**
 * An interface used to specify the number of series and the series labels for
 * a JClass Chart 3D data model.  Series labels are displayed in the legend.
 *
 * <P>Note that the <code>LabelledChart3dPointDataModel</code> interface
 * is only used in conjunction with the <code>Chart3dDataModel</code>
 * interface, that is, in order for an object to be recognized as a chart
 * data source, it needs to implement the <code>Chart3dDataModel</code>
 * interface.
 *
 * @see Chart3dDataModel
 */
public interface LabelledChart3dPointDataModel extends LabelledChart3dDataModel
{

/**
 * Retrieves the number of data series.
 *
 * @return The number of data series for a data model implementing this
 *   interface.
 */
public int getNumSeries();

/**
 * Retrieves the labels to be used for each data series.  These labels are
 * shown in the legend.
 *
 * @return An array of series labels
 */
public String[] getSeriesLabels();
}


