/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: BaseEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:59 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d.beans;

import java.beans.PropertyEditor;
import java.beans.PropertyChangeSupport;
import java.beans.PropertyChangeListener;
import java.awt.Component;
import java.awt.GridLayout;
import java.awt.BorderLayout;
import java.awt.Graphics;
import java.awt.Rectangle;
import java.awt.FontMetrics;
import java.awt.Dimension;

import javax.swing.JPanel;

/**
 * This editor provides the base for detailed custom property editors.
 */

abstract public class BaseEditor extends JPanel
						  implements PropertyEditor {

protected PropertyChangeSupport support = new PropertyChangeSupport(this);

public BaseEditor() {
	init();
}

protected void init() {
	setLayout(new BorderLayout());

	JPanel p2 = makePropertyPanel();
	if (p2 != null)
		add("Center", p2);

}


/**
 * Creates a panel containing the gui elements for the properties
 * associated with the radio buttons.
 * @return the panel.
 */
abstract protected JPanel makePropertyPanel();

Object valueObj = null;

public void setValue(Object value) {

	valueObj = value;
}

public Object getValue() {
	return valueObj;
}

public void setAsText(String text) throws IllegalArgumentException {
}

public String getAsText() {
	return JCChart3dBeanBundle.CLICK_TO_EDIT;
}

public String[] getTags() { return null; }

public String getJavaInitializationString() {
	return "\"" + valueObj + "\"";
}

public Dimension getPreferredSize() {
    Dimension dim = new Dimension(200, 0);
    return dim;
}

public boolean isPaintable() {
	return true;
}

public void paintValue(Graphics gc, Rectangle box) {
	String s = JCChart3dBeanBundle.string(JCChart3dBeanBundle.CLICK_TO_EDIT);
	if (s == null) {
		s = new String("");
	}
	FontMetrics fm = gc.getFontMetrics();
	int vpad = (box.height - fm.getAscent())/2;
	gc.drawString(s, box.x, box.y+box.height-vpad);
}

public Component getCustomEditor() {
	return this;
}

public boolean supportsCustomEditor() {
	return true;
}

public void addPropertyChangeListener(PropertyChangeListener l) {
	support.addPropertyChangeListener(l);
}

public void removePropertyChangeListener(PropertyChangeListener l) {
	support.removePropertyChangeListener(l);
}

}
