/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: AbstractPropertyEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:59 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d.customizer;

import java.awt.Component;

public abstract class AbstractPropertyEditor implements PropertyEditor {

public static final String	NULL_PARENT_ERROR =
	"PropertyEditor requires a non-null parent.";

private PropertyEditor		parent;

public AbstractPropertyEditor() {
}

public AbstractPropertyEditor(PropertyEditor parent) {
	this.parent = parent;
}

public PropertyEditorRoot getRoot() {
	if (this instanceof PropertyEditorRoot) {
		return (PropertyEditorRoot)this;
	}

	if (parent != null) {
		return parent.getRoot();
	}

	return null;
}

public PropertyEditor getParent() {
	return parent;
}

public void setParent(PropertyEditor parent) {
	this.parent = parent;
}

public abstract Component getEditor();

public abstract void refreshEditor();

public abstract void refreshEditorTree();

public abstract void finalizeEditor();

public abstract void finalizeEditorTree();

public abstract int getChildCount();

public abstract PropertyEditor getChildAt(int index);

public abstract int getIndexOfChild(PropertyEditor aChild);

public abstract boolean isLeaf();

public abstract String getName();

}
