/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: AlignmentComboBox.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:59 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d.customizer;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JComboBox;
import javax.swing.SwingConstants;
import javax.swing.ComboBoxModel;
import javax.swing.DefaultComboBoxModel;

public class AlignmentComboBox extends JComboBox implements SwingConstants {

public static final int			HORIZONTAL = 0;
public static final int			VERTICAL = 1;

private static final int[]		constants = {
		TOP,
		CENTER,
		BOTTOM,
		LEFT,
		CENTER,
		RIGHT
};

private int						alignment;

public AlignmentComboBox(int alignment, ActionListener listener) {
	super();
	this.alignment = alignment;

	setModel(createAlignmentModel());
	addActionListener(listener);
}

private ComboBoxModel createAlignmentModel() {

	String[] model = new String[3];

	if (alignment == VERTICAL) {
		model[0] = Chart3dPropertyEditor.getLocalizedString(LocaleBundle.STRING_TOP);
		model[1] = Chart3dPropertyEditor.getLocalizedString(LocaleBundle.STRING_CENTER);
		model[2] = Chart3dPropertyEditor.getLocalizedString(LocaleBundle.STRING_BOTTOM);
	}
	else {
		model[0] = Chart3dPropertyEditor.getLocalizedString(LocaleBundle.STRING_LEFT);
		model[1] = Chart3dPropertyEditor.getLocalizedString(LocaleBundle.STRING_CENTER);
		model[2] = Chart3dPropertyEditor.getLocalizedString(LocaleBundle.STRING_RIGHT);
	}

	return new DefaultComboBoxModel(model);
}

public int getSelectedAlignment() {

	int selection  = getSelectedIndex();


	if (alignment == VERTICAL) {
		return constants[selection];
	}
	else {
		return constants[3 + selection];

	}
}

public void setSelectedAlignment(int alignment) {

	int selection  = getSelectedIndex();

	if (alignment == VERTICAL) {
		if (alignment == TOP) {
			setSelectedIndex(0);
		}
		else if (alignment == CENTER) {
			setSelectedIndex(1);
		}
		else if (alignment == BOTTOM) {
			setSelectedIndex(2);
		}
	}
	else {
		if (alignment == LEFT) {
			setSelectedIndex(0);
		}
		else if (alignment == CENTER) {
			setSelectedIndex(1);
		}
		else if (alignment == RIGHT) {
			setSelectedIndex(2);
		}
	}
}

}
