/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: AxesEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:59 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d.customizer;

import com.klg.jclass.chart3d.JCChart3dArea;
import com.klg.jclass.chart3d.JCAxis;

import java.awt.Component;
import java.awt.Container;
import java.awt.GridLayout;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JList;
import javax.swing.JPanel;
import javax.swing.JComponent;
import javax.swing.ButtonGroup;
import javax.swing.Box;
import javax.swing.BoxLayout;

import javax.swing.event.ListSelectionListener;
import javax.swing.event.ListSelectionEvent;

public class AxesEditor extends Chart3dPropertyEditor implements ListSelectionListener {

private static String[]		children = {
		"com.klg.jclass.chart3d.customizer.AxisGeneralEditor",
		"com.klg.jclass.chart3d.customizer.AxisLimitsEditor",
		"com.klg.jclass.chart3d.customizer.AxisGridLinesEditor",
		"com.klg.jclass.chart3d.customizer.AxisGridStyleEditor",
		"com.klg.jclass.chart3d.customizer.AxisValueLabelsEditor",
		"com.klg.jclass.chart3d.customizer.AxisTitleEditor",
		"com.klg.jclass.chart3d.customizer.AxisAnnoFontEditor"
};

private static final String		nameKey = LocaleBundle.STRING_AXES;

private Container				content;
private JList					axesList;

public AxesEditor() {
	super(nameKey, children);
}

public AxesEditor(PropertyEditor parent) {
	super(nameKey, parent, children);
}

public Component getEditor() {

	if (content == null) {

		String[] axesModel = {
			getLocalizedString(LocaleBundle.STRING_X_AXIS),
			getLocalizedString(LocaleBundle.STRING_Y_AXIS),
			getLocalizedString(LocaleBundle.STRING_Z_AXIS)
		};

		axesList = createList(axesModel, this);
		axesList.setPrototypeCellValue("XXXXXXXX");

		JPanel panel = createPreferredSizePanel();
		panel.setLayout(new GridLayout(0,1,5,5));
		panel.add(axesList);

		content = Box.createVerticalBox();
		content.add(panel);
	}
	return content;
}

public void valueChanged(ListSelectionEvent e) {
	refreshEditorTree();
}

/**
 * Returns the JCAxis which is currently being edited by this editor.
 * Children of this editor should always modify the JCAxis instance
 * returned by this method.
 */
public JCAxis getSelectedAxis() {

	if (content != null) {

		JCChart3dArea area = getChart().getChart3dArea();

		int selection = axesList.getSelectedIndex();

		switch (selection) {
			case 0:
				return area.getAxis(JCAxis.AXIS_X);
			case 1:
				return area.getAxis(JCAxis.AXIS_Y);
			case 2:
				return area.getAxis(JCAxis.AXIS_Z);
		}
	}

	return null;
}

public void finalizeEditor() {

	if (content != null) {

		axesList.removeListSelectionListener(this);
		axesList = null;

		content = null;
	}
}

}
