/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: BorderEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:59 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d.customizer;

import com.klg.jclass.chart3d.customizer.util.JCBorderChooser;

import java.awt.Component;
import java.awt.Container;
import java.awt.BorderLayout;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JComponent;
import javax.swing.JPanel;
import javax.swing.Box;
import javax.swing.BoxLayout;

public abstract class BorderEditor extends Chart3dPropertyEditor implements ActionListener {

private boolean					refreshing = false;
private Container				content;
private JCBorderChooser			borderChooser;

public BorderEditor(String nameKey) {
	super(nameKey);
}

public Component getEditor() {

	if (content == null) {

		borderChooser = getBorderChooser();
		borderChooser.addActionListener(this);

		JPanel panel = createPreferredSizePanel();
		panel.setLayout(new BoxLayout(panel, BoxLayout.Y_AXIS));
		panel.add(borderChooser);

		content = Box.createVerticalBox();
		content.add(panel);
	}
	return content;
}

public void finalizeEditor() {

	if (content != null) {

		// Destroy the border chooser.
		borderChooser.removeActionListener(this);
		borderChooser = null;

		// Destroy the content.
		content = null;
	}
}

public void refreshEditor() {
	if (content != null) {
		refreshing = true;
		borderChooser.setSelectedBorder(getBorderComponent().getBorder());
		refreshing = false;
	}
}

public void actionPerformed(ActionEvent e) {
	if (refreshing) {
		return;
	}

	if (content != null) {
		getBorderComponent().setBorder(borderChooser.getSelectedBorder());
	}
}

/**
 * Subclasses must implement this method and return the non-null target
 * component of this editor, ie the component whose border is being
 * edited.
 */
public abstract JComponent getBorderComponent();

}
