/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: ChartAreaScatterEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:59 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d.customizer;

import com.klg.jclass.chart3d.JCSurface;

import java.awt.Component;
import java.awt.Container;
import java.awt.GridLayout;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JCheckBox;
import javax.swing.BoxLayout;

public class ChartAreaScatterEditor extends Chart3dPropertyEditor
	implements ActionListener {

private static final String		nameKey = LocaleBundle.STRING_SCATTER;

private boolean					refreshing = false;
private Container				content;
private JCheckBox 				dropLinesCheckBox;

public ChartAreaScatterEditor() {
	super(nameKey);
}


public Component getEditor() {

	if (content == null) {

		String local;

		local = getLocalizedString(LocaleBundle.STRING_DROP_LINES);
		dropLinesCheckBox = createCheckBox(local, this);

		content = createBorderPanel();
		content.setLayout(new BoxLayout(content, BoxLayout.X_AXIS));
		content.add(dropLinesCheckBox);
	}
	return content;
}

public void finalizeEditor() {

	if (content != null) {

		dropLinesCheckBox.removeActionListener(this);
		dropLinesCheckBox = null;

		content = null;
	}
}

public void refreshEditor() {

	if (content != null) {

		refreshing = true;

		boolean selected = getChart().getChart3dArea().getScatter().hasDropLines();
		dropLinesCheckBox.setSelected(selected);

		refreshing = false;
	}
}

public void actionPerformed(ActionEvent e) {
	handleChange(e.getSource());
}

public void handleChange(Object source) {

	if (refreshing) {
		return;
	}

	if (content != null) {
		getChart().getChart3dArea().getScatter().setDropLines(dropLinesCheckBox.isSelected());
	}
}

}
