/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: ColorButton.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:59 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d.customizer;

import com.klg.jclass.chart3d.customizer.util.JCColorChooser;

import java.awt.Color;
import java.awt.AWTEvent;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JOptionPane;

public class ColorButton extends JButton {

private ActionListener		colorListener;
private Color				selectedColor;

public ColorButton() {
	super.enableEvents(AWTEvent.ACTION_EVENT_MASK);
}

public void setSelectedColor(Color color) {
	if (color != null) {
		this.selectedColor = selectedColor;
	}
}

public Color getSelectedColor() {
	return selectedColor;
}

protected void fireActionPerformed(ActionEvent e) {

	// Override this method to display a JCColorChooser.
	JCColorChooser colorChooser = new JCColorChooser();
	colorChooser.addActionListener(colorListener);

	if (selectedColor == null) {
		selectedColor = Color.black;
	}

	colorChooser.setColor(selectedColor);

	JOptionPane.showInputDialog(this, colorChooser, "Color Chooser", JOptionPane.PLAIN_MESSAGE);

	selectedColor = colorChooser.getColor();

	colorChooser.removeActionListener(colorListener);
	colorChooser = null;

	super.fireActionPerformed(e);
}

public void setColorListener(ActionListener listener) {
	colorListener = listener;
}

}
