/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: ControlGeneralEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:12:59 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d.customizer;

import java.awt.Component;
import java.awt.Container;
import java.awt.GridLayout;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JCheckBox;
import javax.swing.JPanel;
import javax.swing.Box;

public class ControlGeneralEditor extends Chart3dPropertyEditor implements ActionListener {

private static final String		nameKey  = LocaleBundle.STRING_GENERAL;

private boolean					refreshing = false;
private Container				content;
private JCheckBox				isBatchedCheckBox;
private JCheckBox				isBufferedCheckBox;

public ControlGeneralEditor() {
	super(nameKey);
}

public Component getEditor() {

	if (content == null) {

		String local;

		local = getLocalizedString(LocaleBundle.STRING_BATCHED);
		isBatchedCheckBox = createCheckBox(local, this);

		local = getLocalizedString(LocaleBundle.STRING_DOUBLE_BUFFERED);
		isBufferedCheckBox = createCheckBox(local, this);

		JPanel panel = createPreferredSizePanel();
		panel.setLayout(new GridLayout(0,1,5,5));
		panel.add(isBatchedCheckBox);
		panel.add(isBufferedCheckBox);

		content = Box.createVerticalBox();
		content.add(panel);
	}
	return content;
}

public void finalizeEditor() {

	if (content != null) {

		isBatchedCheckBox.removeActionListener(this);
		isBatchedCheckBox = null;

		isBufferedCheckBox.removeActionListener(this);
		isBufferedCheckBox = null;

		content = null;
	}
}

public void refreshEditor() {

	if (content != null) {

		refreshing = true;

		isBatchedCheckBox.setSelected(getChart().isBatched());
		isBufferedCheckBox.setSelected(getChart().isDoubleBuffered());

		refreshing = false;
	}
}

public void actionPerformed(ActionEvent e) {

	if (refreshing) {
		return;
	}

	if (content != null) {

		Object src = e.getSource();

		if (src == isBatchedCheckBox) {
			getChart().setBatched(isBatchedCheckBox.isSelected());
		}
		else if (src == isBufferedCheckBox) {
			getChart().setDoubleBuffered(isBufferedCheckBox.isSelected());
		}
	}
}

}
