/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: DataViewEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:00 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d.customizer;

import com.klg.jclass.chart3d.Chart3dDataView;

import java.awt.Component;
import java.awt.Container;
import java.awt.GridLayout;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import java.util.List;

import javax.swing.JList;
import javax.swing.JPanel;
import javax.swing.JComponent;
import javax.swing.ButtonGroup;
import javax.swing.Box;
import javax.swing.BoxLayout;

import javax.swing.event.ListSelectionListener;
import javax.swing.event.ListSelectionEvent;

public class DataViewEditor extends Chart3dPropertyEditor implements ListSelectionListener {

private static String[]		children = {
		"com.klg.jclass.chart3d.customizer.DataViewGeneralEditor",
		"com.klg.jclass.chart3d.customizer.DataViewTitleEditor",
		"com.klg.jclass.chart3d.customizer.DataViewContourLevelsEditor",
		"com.klg.jclass.chart3d.customizer.DataViewGridColorsEditor",
		"com.klg.jclass.chart3d.customizer.DataViewContourStylesEditor",
		"com.klg.jclass.chart3d.customizer.DataViewChartStyleEditor",
		"com.klg.jclass.chart3d.customizer.DataViewElevationEditor",
		"com.klg.jclass.chart3d.customizer.DataViewDataLabelsEditor"
};

private static final String		nameKey = LocaleBundle.STRING_DATA_VIEW;

private Container				content;
private JList					dataViewList;

public DataViewEditor() {
	super(nameKey, children);
}

public DataViewEditor(PropertyEditor parent) {
	super(nameKey, parent, children);
}

public Component getEditor() {

	if (content == null) {

		int dataViewCount = getChart().getDataView().size();

		String[] dataViewsAsStrings = new String[dataViewCount];

		String local = getLocalizedString(LocaleBundle.STRING_DATA_VIEW);

		for (int each = 0; each < dataViewCount; each++) {
			dataViewsAsStrings[each] = local + " " + each;
		}

		dataViewList = createList(dataViewsAsStrings, this);
		dataViewList.setPrototypeCellValue("XXXXXXXXXXXX");

		JPanel panel = createPreferredSizePanel();
		panel.setLayout(new GridLayout(0,1,5,5));
		panel.add(dataViewList);

		content = createPreferredSizePanel();
		content.setLayout(new BoxLayout(content, BoxLayout.Y_AXIS));
		content.add(dataViewList);
	}
	return content;
}

public void valueChanged(ListSelectionEvent e) {
	refreshEditorTree();
}

/**
 * Returns the JCAxis which is currently being edited by this editor.
 * Children of this editor should always modify the JCAxis instance
 * returned by this method.
 */
public Chart3dDataView getSelectedDataView() {

	if (content != null) {

		int selection = dataViewList.getSelectedIndex();

		return getChart().getDataView(selection);
	}

	return null;
}

public void finalizeEditor() {

	if (content != null) {

		dataViewList.removeListSelectionListener(this);
		dataViewList = null;

		content = null;
	}
}

}
