/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: FontEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:00 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d.customizer;

import com.klg.jclass.util.swing.JCFontChooserPane;
import com.klg.jclass.util.swing.JCFontListener;
import com.klg.jclass.util.swing.JCFontEvent;

import java.awt.Component;
import java.awt.Container;
import java.awt.BorderLayout;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JComponent;
import javax.swing.JPanel;
import javax.swing.Box;
import javax.swing.BoxLayout;

public abstract class FontEditor extends Chart3dPropertyEditor implements JCFontListener {

private boolean					refreshing = false;
private JComponent				content;
private JCFontChooserPane		fontChooser;

public FontEditor(String nameKey) {
	super(nameKey);
}

public Component getEditor() {

	if (content == null) {

		fontChooser = getFontChooser();
		fontChooser.addJCFontListener(this);

		content = new JPanel();
		content.setLayout(new BoxLayout(content, BoxLayout.Y_AXIS));
		content.add(fontChooser);
	}
	return content;
}

protected void addEditorComponent(JComponent c) {
	content.add(c, 0);
	content.add(Box.createVerticalStrut(5), 1);
}

public void finalizeEditor() {

	if (content != null) {

		// Destroy all components.
		fontChooser.removeJCFontListener(this);
		fontChooser = null;

		content = null;
	}
}

public void refreshEditor() {

	if (content != null) {

		refreshing = true;

		fontChooser.setSelectedFont(getFontComponent().getFont());

		refreshing = false;
	}
}

public void fontChanged(JCFontEvent e) {

	if (refreshing) {
		return;
	}

	if (content != null) {

		Object src = e.getSource();

		getFontComponent().setFont(e.getFont());
	}
}

public void fontChanging(JCFontEvent e) {
	// Do nothing!
}

/**
 * Subclasses must implement this method and return the non-null target
 * component of this editor, ie the component whose font is being
 * edited.
 */
public abstract JComponent getFontComponent();

}
