/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: TitlesEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:01 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d.customizer;

import java.awt.Component;
import java.awt.Container;
import java.awt.GridLayout;

import javax.swing.JPanel;
import javax.swing.JList;
import javax.swing.JComponent;
import javax.swing.ButtonGroup;
import javax.swing.Box;
import javax.swing.BoxLayout;

import javax.swing.event.ListSelectionListener;
import javax.swing.event.ListSelectionEvent;

public class TitlesEditor extends Chart3dPropertyEditor implements ListSelectionListener {

private static String[]		children = {
				"com.klg.jclass.chart3d.customizer.TitlesGeneralEditor",
				"com.klg.jclass.chart3d.customizer.TitlesLocationEditor",
				"com.klg.jclass.chart3d.customizer.TitlesInteriorEditor",
				"com.klg.jclass.chart3d.customizer.TitlesBorderEditor",
				"com.klg.jclass.chart3d.customizer.TitlesFontEditor"
};

private static final String		nameKey = LocaleBundle.STRING_TITLES;

private Container				content;
private JList					titlesList;

public TitlesEditor() {
	super(nameKey, children);
}

public TitlesEditor(PropertyEditor parent) {
	super(nameKey, parent, children);
}

public Component getEditor() {

	if (content == null) {

		String[] titlesModel = {
			getLocalizedString(LocaleBundle.STRING_HEADER),
			getLocalizedString(LocaleBundle.STRING_FOOTER)
		};

		titlesList = createList(titlesModel, this);
		titlesList.setPrototypeCellValue("XXXXXXXXXXXX");

		JPanel panel = createPreferredSizePanel();
		panel.setLayout(new GridLayout(0,1,5,5));
		panel.add(titlesList);

		content = Box.createVerticalBox();
		content.add(panel);
	}
	return content;
}

public void valueChanged(ListSelectionEvent e) {
	refreshEditorTree();
}

/**
 * Returns the JComponent which is currently being edited by this editor.
 * Children of this editor should always modify the JComponent instance
 * returned by this method.
 */
public JComponent getSelectedTitleComponent() {

	if (content != null) {

		int selection = titlesList.getSelectedIndex();
		switch (selection) {
			case 0:
				return getChart().getHeader();
			case 1:
				return getChart().getFooter();
		}
	}

	return getChart().getHeader();
}

public void finalizeEditor() {

	if (content != null) {

		titlesList.removeListSelectionListener(this);
		titlesList = null;

		content = null;
	}
}

}
