/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCChart3dListener.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:02 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d.event;

import com.klg.jclass.chart3d.JCChart3d;

/**
 * Event listener interface for chart 3D events.
 */
public interface JCChart3dListener extends java.util.EventListener {

/**
 * Method called whenever chart 3D has been modified in some way. Interested
 * listeners should implement this method and register the object with JClass
 * Chart 3D.
 *
 * @param e the event to which this method responds
 */
public void changeChart(JCChart3dEvent e);

/**
 * Method called whenever the paint method of the <code>JCChart3d</code> object is called.
 *
 * @param chart the chart that was painted
 */
public void paintChart(JCChart3d chart);

}
