/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LocaleBeanInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:04 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d.j2d.beans.resources;

import com.klg.jclass.beans.*;
import com.klg.jclass.chart3d.j2d.beans.BeanKeys;

/**
 *  Locale class for BeanInfo description strings.
 */
public class LocaleBeanInfo extends AbstractBeanLocaleInfo {

protected Item items[] = {

 
	new Item(BeanKeys.HEADER_TEXT,
			BeanKeys.HEADER_TEXT,
			"Title of chart"),
	new Item(BeanKeys.HEADER_FONT,
			BeanKeys.HEADER_FONT,
			"Font for chart title"),
	new Item(BeanKeys.FOOTER_TEXT,
			BeanKeys.FOOTER_TEXT,
			"Text to place below chart"),
	new Item(BeanKeys.FOOTER_FONT,
			BeanKeys.FOOTER_FONT,
			"Font for text under chart"),

	new Item(BeanKeys.ELEVATION_SWING_DATA_MODEL_1,
			BeanKeys.ELEVATION_SWING_DATA_MODEL_1,
			"Swing TableModel for Elevation Data"),
	new Item(BeanKeys.ZONE_SWING_DATA_MODEL_1,
			BeanKeys.ZONE_SWING_DATA_MODEL_1,
			"Swing TableModel for Zone data"),
				
	new Item(BeanKeys.ELEVATION_DATASOURCE_1,
			BeanKeys.ELEVATION_DATASOURCE_1,
			"Elevation data 1"),
	new Item(BeanKeys.ZONE_DATASOURCE_1,
			BeanKeys.ZONE_DATASOURCE_1,
			"Zone data 1"),
		
	new Item(BeanKeys.TRIGGER_LIST,
			BeanKeys.TRIGGER_LIST,
			"Event trigger list"),

	// Data items
	new Item(BeanKeys.DATA1_CHART_TYPE,
			BeanKeys.DATA1_CHART_TYPE,
			"Chart type" ),
	new Item(BeanKeys.DATA1_ELEVATION_MESHED,
			BeanKeys.DATA1_ELEVATION_MESHED,
			"Show/hide elevation mesh"),
	new Item(BeanKeys.DATA1_ELEVATION_SHADED,
			BeanKeys.DATA1_ELEVATION_SHADED,
			"Show/hide elevation shading"),
	new Item(BeanKeys.DATA1_ELEVATION_TRANSPARENT,
			BeanKeys.DATA1_ELEVATION_TRANSPARENT,
			"Make elevation transparent/opaque"),
	new Item(BeanKeys.DATA1_CONTOUR_ZONED,
			BeanKeys.DATA1_CONTOUR_ZONED,
			"Make contour zoned"),
	new Item(BeanKeys.DATA1_CONTOUR_CONTOURED,
			BeanKeys.DATA1_CONTOUR_CONTOURED,
			"Make contour contoured"),
	
	//Chart3dArea
	new Item(BeanKeys.AREA_OPAQUE,
			BeanKeys.AREA_OPAQUE,
			"Make chart area opaque/transparent"),
	new Item(BeanKeys.AREA_FOREGROUND,
			BeanKeys.AREA_FOREGROUND,
			"Choose chart area foreground colour"),
	new Item(BeanKeys.AREA_BACKGROUND,
			BeanKeys.AREA_BACKGROUND,
			"Choose chart area background colour"),
	

	//Surface
	new Item(BeanKeys.SURFACE_SOLID,
			BeanKeys.SURFACE_SOLID,
			"Make surface solid"),
	new Item(BeanKeys.SURFACE_XMESH_SHOWING,
			BeanKeys.SURFACE_XMESH_SHOWING,
			"Show/hide x mesh"),
	new Item(BeanKeys.SURFACE_YMESH_SHOWING,
			BeanKeys.SURFACE_YMESH_SHOWING,
			"Show/hide y mesh"),
	
	//PlotCube
	new Item(BeanKeys.PLOTCUBE_BACKGROUND,
			BeanKeys.PLOTCUBE_BACKGROUND,
			"Choose plot cube background colour"),
	new Item(BeanKeys.PLOTCUBE_FOREGROUND,
			BeanKeys.PLOTCUBE_FOREGROUND,
			"Choose plot cube foreground colour"),
	new Item(BeanKeys.FLOOR_CONTOURED,
			BeanKeys.FLOOR_CONTOURED,
			"Make floor contoured"),
	new Item(BeanKeys.FLOOR_ZONED,
			BeanKeys.FLOOR_ZONED,
			"Make floor zoned"),
	new Item(BeanKeys.CEILING_CONTOURED,
			BeanKeys.CEILING_CONTOURED,
			"Make ceiling contoured"),
	new Item(BeanKeys.CEILING_ZONED,
			BeanKeys.CEILING_ZONED,
			"Make ceiling  zoned"),
				
	//View3d
	new Item(BeanKeys.X_ROTATION,
			BeanKeys.X_ROTATION,
			"Choose degrees of x axis rotation"),
	new Item(BeanKeys.Y_ROTATION,
			BeanKeys.Y_ROTATION,
			"Choose degrees of y axis rotation"),
	new Item(BeanKeys.Z_ROTATION,
			BeanKeys.Z_ROTATION,
			"Choose degrees of z axis rotation"),
				
				
				
	new Item(BeanKeys.X_AXIS_ANNOTATION_METHOD,
			BeanKeys.X_AXIS_ANNOTATION_METHOD,
			"Labelling technique for x axis"),
	new Item(BeanKeys.X_AXIS_MIN,
			BeanKeys.X_AXIS_MIN,
			"Specify x axis start point"),
	new Item(BeanKeys.X_AXIS_MAX, 
			BeanKeys.X_AXIS_MAX,
			"Specify x axis end point"),
				
	new Item(BeanKeys.X_AXIS_TITLE_TEXT,
			BeanKeys.X_AXIS_TITLE_TEXT,
			"Specify x axis title"),
	new Item(BeanKeys.Y_AXIS_ANNOTATION_METHOD,
			BeanKeys.Y_AXIS_ANNOTATION_METHOD,
			"Labelling technique for y axis"),
	new Item(BeanKeys.Y_AXIS_MIN,
			BeanKeys.Y_AXIS_MIN,
			"Specify y axis start point"),
	new Item(BeanKeys.Y_AXIS_MAX,
			BeanKeys.Y_AXIS_MAX,
			"Specify y axis end point"),
				
	new Item(BeanKeys.Y_AXIS_TITLE_TEXT,
			BeanKeys.Y_AXIS_TITLE_TEXT,
			"Specify y axis title"),
				
	new Item(BeanKeys.Z_AXIS_ANNOTATION_METHOD,
			BeanKeys.Z_AXIS_ANNOTATION_METHOD,
			"Labelling technique for z axis"),
	new Item(BeanKeys.Z_AXIS_MIN,
			BeanKeys.Z_AXIS_MIN,
			"Specify z axis start point"),
	new Item(BeanKeys.Z_AXIS_MAX,
			BeanKeys.Z_AXIS_MAX,
			"Specify z axis end point"),
				
	new Item(BeanKeys.Z_AXIS_TITLE_TEXT,
			BeanKeys.Z_AXIS_TITLE_TEXT,
			"Specify z axis title"),

	new Item(BeanKeys.LEGEND_VISIBLE,
			BeanKeys.LEGEND_VISIBLE,
			"Show/hide graph legend"),
	new Item(BeanKeys.LEGEND_ANCHOR,
			BeanKeys.LEGEND_ANCHOR,
			"Position of legend"),
	new Item(BeanKeys.LEGEND_ORIENTATION,
			BeanKeys.LEGEND_ORIENTATION,
			"Controls legend layout"),


};
					
protected Item[] getItems() {
	return items;
}

}

