/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: ActionHandlerParams.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:04 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d.j3d;

import com.sun.j3d.utils.universe.*;
import javax.media.j3d.*;
import javax.vecmath.*;

public class ActionHandlerParams {

protected JCChart3dAreaJava3d chart3dArea = null;
protected Canvas3D canvas3D = null;
protected BranchGroup objRoot = null;
protected Bounds bounds = null;
protected TransformGroup viewPlatformTG = null;

public ActionHandlerParams(JCChart3dAreaJava3d chart3dArea)
{
	this.chart3dArea = chart3dArea;
	JC3DUniverse virtualUniverse =
			chart3dArea.getChart3dUniverse().getVirtualUniverse();
	canvas3D = virtualUniverse.getCanvas3D();
	objRoot = virtualUniverse.getSceneBranchGroup();
	bounds = virtualUniverse.getBoundingSphere();
	viewPlatformTG = virtualUniverse.getViewPlatformTransformGroup();
}

public Canvas3D getCanvas3D()
{
	return canvas3D;
}

public BranchGroup getObjectRoot()
{
	return objRoot;
}

public Bounds getBoundingSphere()
{
	return bounds;
}

public TransformGroup getViewPlatformTransformGroup()
{
	return viewPlatformTG;
}

public JCChart3dAreaJava3d getChart3dAreaJava3d()
{
	return chart3dArea;
}

}
