/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: ActionTable.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:04 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d.j3d;

import java.awt.*;
import java.awt.event.*;
import java.io.Serializable;
import java.util.Collection;
import java.util.TreeMap;

import com.klg.jclass.chart3d.JCAction;
import com.klg.jclass.chart3d.JCActionTable;
import com.klg.jclass.chart3d.JCChart3dArea;
/**
 */
public class ActionTable extends JCActionTable {

public ActionTable() {
    super();
}

public JCAction getActionHandlerInstance(InputEvent event, Object object) {
    String actionHandler = getAction(event);
    if (actionHandler == null) {
        return null;
    }
    Object actionHandlerInstance = handlerInstances.get(actionHandler);
    if (actionHandlerInstance == null) {
        try {
            actionHandlerInstance = Class.forName(actionHandler).newInstance();
        }
        // unable to create new instance, for various reasons
        catch (ClassNotFoundException e) {
            // e.printStackTrace();
        }
        catch (InstantiationException e1) {
        }
        catch (IllegalAccessException e1) {
        }
        if (actionHandlerInstance instanceof JCAction) {
            ((JCAction)actionHandlerInstance).initialize(object);
            handlerInstances.put(actionHandler, actionHandlerInstance);
        }
    }
    if (actionHandlerInstance instanceof JCAction) {
        return (JCAction)actionHandlerInstance;
    }
    return null;
}

public String getDefaultCancelActionClass() {
    return "com.klg.jclass.chart3d.j2d.actions.CancelAction";
}

public String getDefaultCustomizeActionClass() {
    return "com.klg.jclass.chart3d.j3d.actions.CustomizeAction";
}

public String getDefaultEditActionClass() {
    return "com.klg.jclass.chart3d.j3d.actions.EditAction";
}

public String getDefaultPickActionClass() {
    return "com.klg.jclass.chart3d.j3d.actions.PickAction";
}

public String getDefaultResetActionClass() {
    return "com.klg.jclass.chart3d.j2d.actions.ResetAction";
}

public String getDefaultRotateActionClass() {
    return "com.klg.jclass.chart3d.j3d.actions.RotateAction";
}

public String getDefaultRotateEyeActionClass() {
    return "com.klg.jclass.chart3d.j3d.actions.RotateEyeAction";
}

public String getDefaultRotateXActionClass() {
    return "com.klg.jclass.chart3d.j3d.actions.RotateXAction";
}

public String getDefaultRotateYActionClass() {
    return "com.klg.jclass.chart3d.j3d.actions.RotateYAction";
}

public String getDefaultRotateZActionClass() {
    return "com.klg.jclass.chart3d.j3d.actions.RotateZAction";
}

public String getDefaultScaleActionClass() {
    return "com.klg.jclass.chart3d.j3d.actions.ScaleAction";
}

public String getDefaultSwitchRotateAnyActionClass() {
    return "com.klg.jclass.chart3d.j2d.actions.SwitchRotateAnyAction";
}

public String getDefaultSwitchRotateEyeActionClass() {
    return "com.klg.jclass.chart3d.j2d.actions.SwitchRotateEyeAction";
}

public String getDefaultSwitchRotateXActionClass() {
    return "com.klg.jclass.chart3d.j2d.actions.SwitchRotateXAction";
}

public String getDefaultSwitchRotateYActionClass() {
    return "com.klg.jclass.chart3d.j2d.actions.SwitchRotateYAction";
}

public String getDefaultSwitchRotateZActionClass() {
    return "com.klg.jclass.chart3d.j2d.actions.SwitchRotateZAction";
}

public String getDefaultTranslateActionClass() {
    return "com.klg.jclass.chart3d.j3d.actions.TranslateAction";
}

public String getDefaultZoomActionClass() {
    return "com.klg.jclass.chart3d.j3d.actions.ZoomAction";
}

}
