/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: ContourDataBarsQA.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:04 $  $Locker:  $  Quest Software Inc.

//  ContourDataBarsQA.java

package com.klg.jclass.chart3d.j3d;

import java.awt.Color;
import com.sun.j3d.utils.picking.behaviors.*;
import com.sun.j3d.utils.picking.*;
import com.sun.j3d.utils.universe.*;
import com.sun.j3d.utils.geometry.*;
import javax.media.j3d.*;
import javax.vecmath.*;
import java.util.ArrayList;
import com.klg.jclass.chart3d.*;
import com.klg.jclass.chart3d.JCGridColor;

public class ContourDataBarsQA extends JCDataBars {

public ContourDataBarsQA(JCBar barFormat, Matrix4d absolute,
						 Chart3dGridData data, boolean fUseForegroundColor,
						 Color3f foregroundColor, boolean fSolid)
{
	super(barFormat, data);
	createDataBars(barFormat, absolute, data, fUseForegroundColor,
					foregroundColor, fSolid);
}

private void addContourLine(Matrix4d absolute, ArrayList contourArrayList,
						    ArrayList contourStyles,
						    JCContour contour, double[] contourValue,
							int contourIndex, double x, double y,
							double xWidth, double yWidth)
{
	Color3f clr3f = getZoneColor(contourIndex);
	Point3d origin = new Point3d(x, y, contourValue[contourIndex]);
	absolute.transform(origin);
	DataBarContourQA dataBarContourQA =
						new DataBarContourQA(origin, xWidth, yWidth, clr3f);
	contourArrayList.add(dataBarContourQA);
}

//  Creates contour lines, not bars.
protected JCShape3D createDataBar(Matrix4d absolute,
								  double x, double y, double zValue,
								  double zOrigin,
								  Color3f barColor,
								  double xWidth, double yWidth,
								  Color3f foregroundColor,
								  boolean fSolid, int index)
{
	DataBarContourQA dataBarContourQA = null;
	ArrayList dataBarContourArrayList = new ArrayList();
	JCShape3D dataBarContour = null;
	Point3d barOrigin = null;
	Color3f clr3f = null;
	double zHeight = 0.0;

	JCContourLevels contourLevels = contour.getContourLevels();
	int numLevels = contourLevels.getNumLevelsInternal();
	double[] contourValue = contourLevels.getLevels();
	ArrayList contourStyles = contour.getContourStyles();

	if (zValue >= zOrigin) {
		for (int i=0; i<numLevels; i++) {
	    	if (contourValue[i] < zOrigin) {
		    	continue;
			}
			if (contourValue[i] >= zValue) {
				break;
			}
			addContourLine(absolute, dataBarContourArrayList, contourStyles,
						   contour, contourValue, i, x, y, xWidth, yWidth);
		}
	}
	else {
		for (int i=numLevels-1; i>=0; i--) {
			if (contourValue[i] > zOrigin) {
				continue;
			}
			if (contourValue[i] <= zValue) {
				break;
			}
			addContourLine(absolute, dataBarContourArrayList, contourStyles,
						   contour, contourValue, i, x, y, xWidth, yWidth);
		}
	}

	if (dataBarContourArrayList.size() == 0) {
		return null;
	}
	//  Create a JCShape3D object from all of the QuadArrays:
	dataBarContour = new JCShape3D( (DataBarContourQA)dataBarContourArrayList.get(0) );
	int listLength = dataBarContourArrayList.size();
	for (int i=1; i < listLength; i++) {
		dataBarContour.addGeometry( (DataBarContourQA)dataBarContourArrayList.get(i) );
	}
	dataBarContour.setUserData( new Integer(index) );

	JCAppearance appearance = new JCAppearance();
	JCPolygonAttributes pa = new JCPolygonAttributes();
	pa.setPolygonMode(PolygonAttributes.POLYGON_LINE);
	appearance.setPolygonAttributes(pa);

	JCRenderingAttributes renderAttrib = new JCRenderingAttributes();
	renderAttrib.setVisible(true);  //  default
	appearance.setRenderingAttributes(renderAttrib);

	JCMaterial material = new JCMaterial(foregroundColor, DEFAULT_SHININESS);
	material.setLightingEnable(false) ;  // default

	JCColoringAttributes colorAttrib = new JCColoringAttributes();
	colorAttrib.setColor(foregroundColor);
	colorAttrib.setShadeModel(ColoringAttributes.SHADE_FLAT);

	appearance.setMaterial(material) ;
	appearance.setColoringAttributes(colorAttrib);

	dataBarContour.setAppearance(appearance);

	return dataBarContour;
}

}
