/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: Corner.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:04 $  $Locker:  $  Quest Software Inc.

//  Corner.java

package com.klg.jclass.chart3d.j3d;

import javax.vecmath.*;

class Corner {

protected boolean fIntersected = false;
protected Point3d point1 = null;
protected Point3d point2 = null;

//  If corner does not contain a contour segment, point1 will be
//  the unscaled coordinate of the corner.
protected Corner(Point3d cornerPoint) {
	point1 = cornerPoint;
}

//  Note:  parameters pnt1 and pnt2 must be unscaled
protected void setEndPoints( int side1, int side2,
						     Point3d pnt1, Point3d pnt2 ) {
	if ( (3 == side1) && (0 == side2) ) {
		point1 = pnt1;
		point2 = pnt2;
	}
	else if ( (0 == side1) && (3 == side2) ) {
		point1 = pnt2;
		point2 = pnt1;
	}
	else if (side1 < side2) {
	    point1 = pnt1;
	    point2 = pnt2;
	}
	else {
		point1 = pnt2;
		point2 = pnt1;
	}
	fIntersected = true;
}

}

