/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: DataBarContourQA.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:05 $  $Locker:  $  Quest Software Inc.

//  DataBarContourQA.java

package com.klg.jclass.chart3d.j3d;

import javax.media.j3d.*;
import javax.vecmath.*;
import com.sun.j3d.utils.geometry.*;

class DataBarContourQA extends QuadArray {

protected DataBarContourQA(Point3d contourOrigin,
						   double xWidth, double yWidth,
						   Color3f color)
{
	super(4, GeometryArray.COORDINATES | GeometryArray.COLOR_3);

	//  Define the vertices of the Quadrilateral:
	Point3d verts[] = new Point3d[4];
	//  Define the bottom face of the bar:
	verts[0] = new Point3d(contourOrigin.x, contourOrigin.y, contourOrigin.z);
	verts[1] = new Point3d(contourOrigin.x + xWidth, contourOrigin.y, contourOrigin.z);
	verts[2] = new Point3d(contourOrigin.x + xWidth, contourOrigin.y - yWidth, contourOrigin.z);
	verts[3] = new Point3d(contourOrigin.x, contourOrigin.y - yWidth, contourOrigin.z);

	Color3f[] clrs = new Color3f[4];
	for (int i=0; i<4; i++) {
		clrs[i] = new Color3f(color);
	}

	setCoordinates(0, verts);
	setColors(0, clrs);
}

}
