/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: DataPoint.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:05 $  $Locker:  $  Quest Software Inc.

//  DataPoint.java

package com.klg.jclass.chart3d.j3d;

import java.awt.Color;
import com.sun.j3d.utils.picking.behaviors.*;
import com.sun.j3d.utils.picking.*;
import com.sun.j3d.utils.universe.*;
import com.sun.j3d.utils.geometry.*;
import javax.media.j3d.*;
import javax.vecmath.*;

class DataPoint extends JCTransformGroup {

//  Constructor to create a sphere
public DataPoint( double radius, Point3d Pt, Color3f color, Object index )
{
	super();
	Appearance appearance = new Appearance();

	JCMaterial material = new JCMaterial(color, 64.0f);
	appearance.setMaterial(material) ;

	JCRenderingAttributes renderAttrib = new JCRenderingAttributes();
	renderAttrib.setIgnoreVertexColors(true);
	renderAttrib.setVisible(true);  //  default
	appearance.setRenderingAttributes(renderAttrib);

	JCColoringAttributes colorAttrib = new JCColoringAttributes();
	colorAttrib.setColor(color);
	colorAttrib.setShadeModel(ColoringAttributes.NICEST);
	appearance.setColoringAttributes(colorAttrib);

	Sphere sphere = new Sphere((float)radius, Sphere.GENERATE_NORMALS,
                                appearance);
    sphere.getShape().setUserData(index);
    sphere.getShape().setCapability(Shape3D.ENABLE_PICK_REPORTING);
    PickTool.setCapabilities(sphere.getShape(), PickTool.INTERSECT_FULL);

	Transform3D sphereXform = new Transform3D();
	sphereXform.set(new Vector3d(Pt));
	this.setTransform(sphereXform);
	this.addChild(sphere);
}

public DataPoint( Primitive dataPointObject, double size, Point3d pt,
                  Color3f color, Object index )
{
	super();
	Appearance appearance = new Appearance();

    JCColoringAttributes colorAttrib = new JCColoringAttributes();
    colorAttrib.setColor(color);
	colorAttrib.setShadeModel(ColoringAttributes.NICEST);
    appearance.setColoringAttributes(colorAttrib);

	JCMaterial material = new JCMaterial(color, 64.0f);
	appearance.setMaterial(material) ;

	dataPointObject.setAppearance(appearance);
    dataPointObject.getShape(0).setUserData(index);
    dataPointObject.getShape(0).setCapability(Shape3D.ENABLE_PICK_REPORTING);
    PickTool.setCapabilities(dataPointObject.getShape(0), PickTool.INTERSECT_FULL);
	applyTransform(size, pt);
	this.addChild(dataPointObject);
}

public DataPoint( Shape3D dataPointObject, double scale, Point3d pt, Object index )
{
	super();
    dataPointObject.setUserData(index);
    dataPointObject.setCapability(Shape3D.ENABLE_PICK_REPORTING);
    PickTool.setCapabilities(dataPointObject, PickTool.INTERSECT_FULL);
	applyTransform(scale, pt);
	this.addChild(dataPointObject);
}

protected void applyTransform(double scale, Point3d pt) {
	//  Set the size and coordinates of this data point object.
	Transform3D t3d = new Transform3D();
	t3d.set(new Vector3d(pt));
	//  If object is a cone or cylinder, we want it aligned along the Z-axis:
	t3d.setRotation( new AxisAngle4d(1.0, 0.0, 0.0, Math.PI/2.0 ) );
	t3d.setScale(scale);
	this.setTransform(t3d);
}

}

