/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: DrawPointJava3d.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:05 $  $Locker:  $  Quest Software Inc.

//  DrawPointJava3d.java

package com.klg.jclass.chart3d.j3d;

import java.awt.Graphics;
import javax.vecmath.*;
import com.klg.jclass.chart3d.*;

/**
 *
 */
public class DrawPointJava3d extends DrawPoint {

/**
 * Basic constructor.
 */
DrawPointJava3d()
{
	super();
}

/**
 * Internal constructor specifying parent data view.
 */
DrawPointJava3d(Chart3dDataView dataView)
{
	super(dataView);
}

/**
 *  Create Java3D scene graph objects based on the point data.
 */
public void draw()
{
	Chart3dPointData data = getPointData();
	if (!data.isDataOK()) {
		return;
	}

	JCChart3dAreaJava3d area =
		    (JCChart3dAreaJava3d)dataView.getChart3d().getChart3dArea();
	if ((JCPlotCubeJava3d)area.getPlotCube() != null) {
	    ((JCPlotCubeJava3d)area.getPlotCube()).removeAllDataGroups();
	}
	createScatterPoints(area);
}

private void createScatterPoints(JCChart3dAreaJava3d area)
{
	Matrix4d absolute = area.getTransform().getAbsolute();

    JCDataPoints dataPoints = new JCDataPoints(absolute,
										       getPointData(),
                                               new Color3f(area.getForeground()));
    ((JCPlotCubeJava3d)area.getPlotCube()).addDataGroup(dataPoints);
}

}


