/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: GridDataAdjust.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:05 $  $Locker:  $  Quest Software Inc.

//  GridDataAdjust.java

package com.klg.jclass.chart3d.j3d;

import com.klg.jclass.chart3d.*;

class GridDataAdjust {

private double xValue;
private double yValue;
private double radiusOfInfluence;
private double[] xGrid = null;
private double[] yGrid = null;
private double[][] zValues = null;

protected GridDataAdjust(Chart3dGridData gridData, double xVal, double yVal,
						 double radius) {
	this.xValue = xVal;
	this.yValue = yVal;
	this.radiusOfInfluence = radius;
	xGrid = gridData.getXGrid();
	yGrid = gridData.getYGrid();
	zValues = gridData.getZValues();
}

protected void adjustGridData(double deltaZ) {
	double deltaX, deltaY, distance;
	double deltaXSquared, zFunction;

	for (int i = 0; i < xGrid.length; i++) {
		deltaX = Math.abs(xGrid[i] - xValue);
		deltaXSquared = deltaX * deltaX;
		for (int j = 0; j < yGrid.length; j++) {
			deltaY = Math.abs(yGrid[j] - yValue);
		    distance = Math.sqrt( deltaXSquared + (deltaY * deltaY) );
			zFunction = deltaZ * Math.exp(-distance/radiusOfInfluence);
			zValues[i][j] += zFunction;
		}
	}
}

}
