/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: ImageUtility.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:05 $  $Locker:  $  Quest Software Inc.

//  ImageUtility.java

package  com.klg.jclass.chart3d.j3d;

import java.awt.Image;
import java.io.FileInputStream;
import javax.swing.*;
import javax.media.j3d.*;
import com.sun.j3d.utils.image.*;   //  TextureLoader

class ImageObserver extends JComponent {

protected ImageObserver() {
	super();
}

}

public class ImageUtility {

/**
 * Loads a 2D texture from a file.
 *
 * @param filename Name of file containing the 2D texture
 * @return A Texture2D object.
 */
public static Texture2D loadTexture2D(String filename) {
	Texture2D t2d = null;

	ImageObserver imageObserver = new ImageObserver();
	try
	{
	    TextureLoader t = new TextureLoader(filename, imageObserver);
	    ImageComponent2D image = t.getImage();
	    t2d = new Texture2D( Texture.BASE_LEVEL, Texture.RGBA,
							 image.getWidth(), image.getHeight() );
	    t2d.setImage(0, image);   //  the base level mipmap = 0
	}
	catch(Exception e)
	{
		System.out.println("loadTexture2D() failed for image file " + filename);
	}

	return t2d;
}

}
