/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: J3DText.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:05 $  $Locker:  $  Quest Software Inc.

//  J3DText.java

package com.klg.jclass.chart3d.j3d;

import java.awt.Font;
import com.sun.j3d.utils.universe.*;
import com.sun.j3d.utils.geometry.*;
import javax.media.j3d.*;
import javax.vecmath.*;

public class J3DText extends JCBranchGroup {

public J3DText(String text, String fontName, int fontSize, Color3f textColor,
		       Vector3f translation, Vector3d orientation, double scale)
{
	super();

	//  How to change the thickness of 3D text?  The default extrusion
	//  shape is a straight line from 0.0 to 0.2
	//  For now, choose a large font size (large relative to the thickness),
	//  and use a small scaling factor.
	Font3D f3d = new Font3D(new Font(fontName, Font.BOLD, fontSize),
						    new FontExtrusion());
	Text3D txt = new Text3D(f3d, text,
						    new Point3f( 0.0f, 0.0f, 0.0f ));
	JCShape3D sh = new JCShape3D();
	JCAppearance app = new JCAppearance();
	Material mm = new Material();
	mm.setLightingEnable(false);
	app.setMaterial(mm);
	JCColoringAttributes colorAttrib = new JCColoringAttributes();
	colorAttrib.setColor(textColor);
	app.setColoringAttributes(colorAttrib);
	sh.setGeometry(txt);
	sh.setAppearance(app);

	Transform3D textTransform = new Transform3D();
	textTransform.setEuler(orientation);
	textTransform.setTranslation(translation);
	textTransform.setScale(scale);
	JCTransformGroup textTransformGroup = new JCTransformGroup(textTransform);
	textTransformGroup.addChild(sh);
	addChild(textTransformGroup);
}

}
