/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCBarLA.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:05 $  $Locker:  $  Quest Software Inc.

//  JCBarLA.java

package com.klg.jclass.chart3d.j3d;

import java.util.ArrayList;
import javax.media.j3d.*;
import javax.vecmath.*;
import com.sun.j3d.utils.geometry.*;

class JCBarLA {

private LineArray lineArray = null;

protected JCBarLA(Point3d barOrigin,
				  double xWidth, double yWidth, double zHeight,
				  Color3f color, boolean fTop, boolean fBottom)
{
	//  Define the vertices of the bar:
	Point3d verts[] = new Point3d[8];
	//  Define the bottom face of the bar:
	verts[0] = new Point3d(barOrigin.x, barOrigin.y, barOrigin.z);
	verts[1] = new Point3d(barOrigin.x + xWidth, barOrigin.y, barOrigin.z);
	verts[2] = new Point3d(barOrigin.x + xWidth, barOrigin.y - yWidth, barOrigin.z);
	verts[3] = new Point3d(barOrigin.x, barOrigin.y - yWidth, barOrigin.z);

	//  Define the top face of the bar:
	Point3d ptHeight = new Point3d(0.0, 0.0, zHeight);
	verts[4] = new Point3d(verts[0]);
	verts[5] = new Point3d(verts[1]);
	verts[6] = new Point3d(verts[2]);
	verts[7] = new Point3d(verts[3]);
	for (int i=4; i<8; i++) {
		verts[i].add(ptHeight);
	}

	//  Create arrays of points and colors needed to define the line array:
	ArrayList pntList = new ArrayList();

	pntList.add(verts[1]);
	pntList.add(verts[5]);

	pntList.add(verts[2]);
	pntList.add(verts[6]);

	pntList.add(verts[3]);
	pntList.add(verts[7]);

	pntList.add(verts[0]);
	pntList.add(verts[4]);

	if (fTop) {
		pntList.add(verts[4]);
		pntList.add(verts[5]);

		pntList.add(verts[5]);
		pntList.add(verts[6]);

		pntList.add(verts[6]);
		pntList.add(verts[7]);

		pntList.add(verts[7]);
		pntList.add(verts[4]);
	}

	if (fBottom) {
		pntList.add(verts[0]);
		pntList.add(verts[1]);

		pntList.add(verts[1]);
		pntList.add(verts[2]);

		pntList.add(verts[2]);
		pntList.add(verts[3]);

		pntList.add(verts[3]);
		pntList.add(verts[0]);
	}

	int size = pntList.size();
	Point3d pnts[] = new Point3d[size];
	pntList.toArray(pnts);

	Color3f clrs[] = new Color3f[size];
	for (int i=0; i < size; i++) {
		clrs[i] = color;
	}

	lineArray =
		new LineArray(size,
					GeometryArray.COORDINATES |
					GeometryArray.COLOR_3);
	lineArray.setCoordinates(0, pnts);
	lineArray.setColors(0, clrs);
}

protected LineArray getGeometryArray() {
	return lineArray;
}

}
