/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCBarQA.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:05 $  $Locker:  $  Quest Software Inc.

//  JCBarQA.java

package com.klg.jclass.chart3d.j3d;

import javax.media.j3d.*;
import javax.vecmath.*;
import com.sun.j3d.utils.geometry.*;

class JCBarQA {

private QuadArray quadArray = null;

protected JCBarQA(Point3d barOrigin,
				  double xWidth, double yWidth, double zHeight,
				  Color3f color)
{
	//  Define the vertices of the bar:
	Point3d verts[] = new Point3d[8];
	//  Define the bottom face of the bar:
	verts[0] = new Point3d(barOrigin.x, barOrigin.y, barOrigin.z);
	verts[1] = new Point3d(barOrigin.x + xWidth, barOrigin.y, barOrigin.z);
	verts[2] = new Point3d(barOrigin.x + xWidth, barOrigin.y - yWidth, barOrigin.z);
	verts[3] = new Point3d(barOrigin.x, barOrigin.y - yWidth, barOrigin.z);
	//  Define the top face of the bar:
	Point3d ptHeight = new Point3d(0.0, 0.0, zHeight);
	verts[4] = new Point3d(verts[0]);
	verts[5] = new Point3d(verts[1]);
	verts[6] = new Point3d(verts[2]);
	verts[7] = new Point3d(verts[3]);
	for (int i=4; i<8; i++) {
		verts[i].add(ptHeight);
	}

	//  Create arrays of points and colors needed to define the quad array:
	Point3d pnts[] = new Point3d[24];
	Color3f clrs[] = new Color3f[24];

	pnts[0] = verts[1];
	pnts[1] = verts[5];
	pnts[2] = verts[6];
	pnts[3] = verts[2];

	pnts[4] = verts[7];
	pnts[5] = verts[6];
	pnts[6] = verts[5];
	pnts[7] = verts[4];

	pnts[8] = verts[0];
	pnts[9] = verts[3];
	pnts[10] = verts[7];
	pnts[11] = verts[4];

	pnts[12] = verts[0];
	pnts[13] = verts[1];
	pnts[14] = verts[2];
	pnts[15] = verts[3];

	pnts[16] = verts[0];
	pnts[17] = verts[4];
	pnts[18] = verts[5];
	pnts[19] = verts[1];

	pnts[20] = verts[6];
	pnts[21] = verts[7];
	pnts[22] = verts[3];
	pnts[23] = verts[2];

	for (int i=0; i<24; i++) {
		clrs[i] = color;
	}

	GeometryInfo gi = new GeometryInfo(GeometryInfo.QUAD_ARRAY);
	gi.setCoordinates(pnts);
	gi.setColors(clrs);
	NormalGenerator ng = new NormalGenerator();
	ng.generateNormals(gi);

	quadArray = (QuadArray)gi.getGeometryArray();
}

protected QuadArray getGeometryArray() {
	return quadArray;
}

}
