/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCBranchGroup.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:05 $  $Locker:  $  Quest Software Inc.

// JCBranchGroup.java

package com.klg.jclass.chart3d.j3d;

import javax.media.j3d.*;

public class JCBranchGroup extends BranchGroup {

/**
 * This constructor sets capability bits
 * <code>ALLOW_CHILDREN_READ</code>, <code>ALLOW_CHILDREN_WRITE</code>,
 * <code>ALLOW_CHILDREN_EXTEND</code>, and <code>ALLOW_DETACH</code>.
 */
public JCBranchGroup() {
	super();
	init();
}

private void init() {
	setCapability(BranchGroup.ALLOW_CHILDREN_READ);
	setCapability(BranchGroup.ALLOW_CHILDREN_WRITE);
	setCapability(BranchGroup.ALLOW_CHILDREN_EXTEND);
	setCapability(BranchGroup.ALLOW_DETACH);
}

/**
 * Removes all child nodes from this <code>BranchGroup</code>.  <br><b>Note:</b>
 * If the <code>BranchGroup</code> is part of a live or compiled scene graph,
 * only <code>BranchGroup</code> nodes may be removed.
 */
public void removeAllChildren() {
	int nChildren = numChildren();
	for (int i = 0; i < nChildren; i++) {
		removeChild(0);
        //  The next element now has index 0.
	}
}

}
