/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCColoringAttributes.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:05 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d.j3d;

import javax.media.j3d.*;
import javax.vecmath.*;

class JCColoringAttributes extends ColoringAttributes {

/**
 * No args constructor.  Sets capability bits to allow reading/writing
 * of color attributes.
 */
public JCColoringAttributes() {
	super();
	init();
}

/**
 * Applies the specified color and shade model.  Sets capability bits to
 * allow reading/writing of color attributes.
 */
public JCColoringAttributes(Color3f color, int shadeModel) {
	super(color, shadeModel);
	init();
}

/**
 * Applies the specified R,G,B values and shade model.  Sets capability bits to
 * allow reading/writing of color attributes.
 */
public JCColoringAttributes(float red, float green, float blue, int shadeModel) {
	super(red, green, blue, shadeModel);
	init();
}

private void init() {
	setCapability(ColoringAttributes.ALLOW_COLOR_READ);
	setCapability(ColoringAttributes.ALLOW_COLOR_WRITE);
	setCapability(ColoringAttributes.ALLOW_SHADE_MODEL_READ);
	setCapability(ColoringAttributes.ALLOW_SHADE_MODEL_WRITE);
}

}
