/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCCubeQA.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:05 $  $Locker:  $  Quest Software Inc.

//  Java 3D QuadArray definition for a cube.

package com.klg.jclass.chart3d.j3d;

import javax.media.j3d.*;
import javax.vecmath.*;

class JCCubeQA extends QuadArray {

public JCCubeQA() {
	super(24, GeometryArray.COORDINATES);  //  No backfaces defined

	Point3f verts[] = new Point3f[8];

	verts[0] = new Point3f( 1.0f, 1.0f, 1.0f);
	verts[1] = new Point3f(-1.0f, 1.0f, 1.0f);
	verts[2] = new Point3f(-1.0f,-1.0f, 1.0f);
	verts[3] = new Point3f( 1.0f,-1.0f, 1.0f);
	verts[4] = new Point3f( 1.0f,-1.0f,-1.0f);
	verts[5] = new Point3f(-1.0f,-1.0f,-1.0f);
	verts[6] = new Point3f(-1.0f, 1.0f,-1.0f);
	verts[7] = new Point3f( 1.0f, 1.0f,-1.0f);

	Point3f pnts[] = new Point3f[24];

	pnts[0] = verts[1];
	pnts[1] = verts[2];
	pnts[2] = verts[5];
	pnts[3] = verts[6];

	pnts[4] = verts[6];
	pnts[5] = verts[5];
	pnts[6] = verts[4];
	pnts[7] = verts[7];

	pnts[8] = verts[5];
	pnts[9] = verts[2];
	pnts[10] = verts[3];
	pnts[11] = verts[4];

	pnts[12] = verts[4];
	pnts[13] = verts[3];
	pnts[14] = verts[0];
	pnts[15] = verts[7];

	pnts[16] = verts[0];
	pnts[17] = verts[3];
	pnts[18] = verts[2];
	pnts[19] = verts[1];

	pnts[20] = verts[0];
	pnts[21] = verts[1];
	pnts[22] = verts[6];
	pnts[23] = verts[7];

	setCoordinates(0, pnts);
}

}
