/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCGridLinesJava3d.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:06 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d.j3d;

import java.awt.Color;
import java.util.ArrayList;
import javax.vecmath.*;
import com.klg.jclass.chart3d.*;

public class JCGridLinesJava3d extends JCGridLines {

public JCGridLinesJava3d(JCAxis axis, int planeMask)
{
	super(axis, planeMask);
}

protected void drawGridFace(JCCubeSquareArray csaPlotCubeWalls, Color color)
{
	// Are we drawing anything?
	if (lineStyle == null         ||
		lineStyle.getWidth() <= 0 ||
		lineStyle.getPattern() == JCLineStyle.NONE) {
		return;
	}

	// Dataport min & max too close together?
	double min = axis.getDataportMin();
	double max = axis.getDataportMax();
	if (1.0 + (max - min) == 1.0) {
		return;
	}

    ArrayList valueLabels = axis.getAnnoHandler().getValueLabels();
    if (valueLabels == null || valueLabels.size() == 0) {
        return;
    }
    for (int i = 0; i < valueLabels.size(); i++) {
        JCValueLabel vLabel = (JCValueLabel)valueLabels.get(i);
        double value = vLabel.getValue();

		// Don't draw grid lines for minor ticks and on the plot cube
		if ( (vLabel.isMinorTick() && !vLabel.isLabelDrawn()) ||
		     value <= min                                     ||
		     value >= max                                     ||
		     value < axis.getAnnoMin()                        ||
			 value > axis.getAnnoMax() ) {
			continue;
		}
		double newValue = 2.0 * (value - min) / (max - min) - 1.0;
		csaPlotCubeWalls.addGridLine(axis, newValue, new Color3f(color));
	}
}

}
