/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCLineAttributes.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:06 $  $Locker:  $  Quest Software Inc.

//  JCLineAttributes.java

package com.klg.jclass.chart3d.j3d;

import javax.media.j3d.*;
import javax.vecmath.*;

class JCLineAttributes extends LineAttributes {

/**
 * No args constructor.  Sets capability bits to allow reading/writing
 * of width, pattern, and antialiasing.
 */
public JCLineAttributes() {
	super();
	init();
}

/**
 * Applies the specified line width and pattern.  Enables or disables
 * line antialiasing.  Sets capability bits to allow reading/writing
 * of line attributes.
 */
public JCLineAttributes(float lineWidth, int linePattern,
						boolean lineAntialiasing) {
	super(lineWidth, linePattern, lineAntialiasing);
	init();
}

private void init() {
	setCapability(LineAttributes.ALLOW_WIDTH_READ);
	setCapability(LineAttributes.ALLOW_WIDTH_WRITE);
	setCapability(LineAttributes.ALLOW_PATTERN_READ);
	setCapability(LineAttributes.ALLOW_PATTERN_WRITE);
	setCapability(LineAttributes.ALLOW_ANTIALIASING_READ);
	setCapability(LineAttributes.ALLOW_ANTIALIASING_WRITE);
}

}
