/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCMaterial.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:06 $  $Locker:  $  Quest Software Inc.

//  JCMaterial.java

package com.klg.jclass.chart3d.j3d;

import javax.media.j3d.*;
import javax.vecmath.*;

class JCMaterial extends Material {
/**
 * No args constructor.  Sets capability bits to allow reading/writing
 * of material properties.
 */
public JCMaterial() {
	super();
	init();
}

/**
 * Sets color and shininess for this material.  Capability bits
 * to read/write material properties are set.
 */
public JCMaterial(Color3f ambientColor, Color3f emissiveColor,
				  Color3f diffuseColor, Color3f specularColor,
				  float shininess) {
	super(ambientColor, emissiveColor, diffuseColor,
		  specularColor, shininess);
	init();
}

/**
 * Sets the ambient and diffuse colors, as well as shininess.
 * Emissive and specular colors are set to dark and light gray,
 * respectively.  Capability bits to read/write material
 * properties are set.
 *
 * @param color Desired ambient and diffuse color.
 * @param shininess Desired shininess for this material.
 */
public JCMaterial(Color3f color, float shininess)
{
	super();
	init();
	setEmissiveColor(new Color3f(0.15f, 0.15f, 0.15f));
	setSpecularColor(new Color3f(0.5f, 0.5f, 0.5f));
	setAmbientColor(color);
	setDiffuseColor(color);
	setShininess(shininess);
}

private void init() {
	setCapability(Material.ALLOW_COMPONENT_READ);
	setCapability(Material.ALLOW_COMPONENT_WRITE);
}

}
