/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCMeshDataBars.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:06 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d.j3d;

import java.awt.Color;
import com.sun.j3d.utils.picking.behaviors.*;
import com.sun.j3d.utils.picking.*;
import com.sun.j3d.utils.universe.*;
import com.sun.j3d.utils.geometry.*;
import javax.media.j3d.*;
import javax.vecmath.*;
import java.util.ArrayList;
import com.klg.jclass.chart3d.*;
import com.klg.jclass.chart3d.JCGridColor;

public class JCMeshDataBars extends JCDataBars {

public JCMeshDataBars(JCBar barFormat, Matrix4d absolute,
					  Chart3dGridData data,
					  boolean fUseForegroundColor,
					  Color3f foregroundColor,
					  boolean fSolid)
{
	super(barFormat, data);
	createDataBars(barFormat, absolute, data, fUseForegroundColor,
					foregroundColor, fSolid);
}

protected JCShape3D createDataBar(Matrix4d absolute,
								  double x, double y, double zValue,
								  double zOrigin,
								  Color3f barColor,
								  double xWidth, double yWidth,
								  Color3f foregroundColor,
								  boolean fSolid, int index)
{
	JCBarQA dataBarQA = null;
	JCShape3D dataBar = null;
	Point3d barOrigin = null;
	Point3d barTopCorner = null;
	Color3f clr3f = null;
	double zHeight = 0.0;

	barOrigin = new Point3d(x, y, zOrigin);
	absolute.transform(barOrigin);

	barTopCorner = new Point3d(x, y, zValue);
	absolute.transform(barTopCorner);

	zHeight = barTopCorner.z - barOrigin.z;

	if (zHeight >= 0.0) {
		if (barColor == null) {
			barColor = new Color3f(dataView.getElevation().getShadedTopColor());
		}
	    dataBarQA = new JCBarQA(barOrigin, xWidth, yWidth, zHeight, barColor);
	}
	else {
		if (barColor == null) {
			barColor = new Color3f(dataView.getElevation().getShadedBottomColor());
		}
	    dataBarQA = new JCBarQA(barTopCorner, xWidth, yWidth, -zHeight, barColor);
	}
	dataBar = new JCShape3D( dataBarQA.getGeometryArray() );
	dataBar.setUserData( new Integer(index) );

	JCAppearance appearance = new JCAppearance();
	JCPolygonAttributes pa = new JCPolygonAttributes();
	if (fSolid) {
		pa.setPolygonMode(PolygonAttributes.POLYGON_FILL);
		pa.setBackFaceNormalFlip(true);
		pa.setPolygonOffsetFactor(polygonOffsetFactor);
		pa.setPolygonOffset(polygonOffset);
	}
	else {
		pa.setPolygonMode(PolygonAttributes.POLYGON_LINE);
	}
	appearance.setPolygonAttributes(pa);

	JCRenderingAttributes renderAttrib = new JCRenderingAttributes();
	renderAttrib.setVisible(true);  //  default
	appearance.setRenderingAttributes(renderAttrib);

	JCMaterial material = new JCMaterial(barColor, DEFAULT_SHININESS);
	material.setLightingEnable(false) ;  // default

	JCColoringAttributes colorAttrib = new JCColoringAttributes();
	colorAttrib.setColor(barColor);
	colorAttrib.setShadeModel(ColoringAttributes.SHADE_FLAT);

	appearance.setMaterial(material) ;
	appearance.setColoringAttributes(colorAttrib);

	dataBar.setAppearance(appearance);

	return dataBar;
}

}
