/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCRenderingAttributes.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:06 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d.j3d;

import javax.media.j3d.*;
import javax.vecmath.*;

class JCRenderingAttributes extends RenderingAttributes {

/**
 * No args constructor.  Sets the following capability bits:
 * ALLOW_IGNORE_VERTEX_COLORS_READ, ALLOW_IGNORE_VERTEX_COLORS_WRITE,
 * ALLOW_VISIBLE_READ, ALLOW_VISIBLE_WRITE.
 */
public JCRenderingAttributes() {
	super();
	init();
}

/**
 * Sets the following capability bits:
 * ALLOW_IGNORE_VERTEX_COLORS_READ, ALLOW_IGNORE_VERTEX_COLORS_WRITE,
 * ALLOW_VISIBLE_READ, ALLOW_VISIBLE_WRITE.
 */
public JCRenderingAttributes(boolean depthBufferEnable,
						     boolean depthBufferWriteEnable,
							 float alphaTestValue,
							 int alphaTestFunction) {
	super(depthBufferEnable, depthBufferWriteEnable,
		  alphaTestValue, alphaTestFunction);
	init();
}

/**
 * Sets the following capability bits:
 * ALLOW_IGNORE_VERTEX_COLORS_READ, ALLOW_IGNORE_VERTEX_COLORS_WRITE,
 * ALLOW_VISIBLE_READ, ALLOW_VISIBLE_WRITE.
 */
public JCRenderingAttributes(boolean depthBufferEnable,
						     boolean depthBufferWriteEnable,
							 float alphaTestValue,
							 int alphaTestFunction,
							 boolean visible,
							 boolean ignoreVertexColors,
							 boolean rasterOpEnable,
							 int rasterOp) {
	super(depthBufferEnable, depthBufferWriteEnable,
		  alphaTestValue, alphaTestFunction, visible,
		  ignoreVertexColors, rasterOpEnable, rasterOp);
	init();
}

private void init() {
	setCapability(RenderingAttributes.ALLOW_IGNORE_VERTEX_COLORS_READ);
	setCapability(RenderingAttributes.ALLOW_IGNORE_VERTEX_COLORS_WRITE);
	setCapability(RenderingAttributes.ALLOW_VISIBLE_READ);
	setCapability(RenderingAttributes.ALLOW_VISIBLE_WRITE);
}

}
