/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCShape3D.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:06 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d.j3d;

import javax.media.j3d.*;

class JCShape3D extends Shape3D {

private int objectType = -1;

/*
 * No args constructor.  Sets capability bits to allow reading/writing
 * of geometry, appearance, appearance override, and collision bounds.
 */
protected JCShape3D() {
	super();
	init(-1);
}

/*
 * Creates a Shape3D with the specified geometry.  Sets capability bits
 * to allow reading/writing of geometry, appearance, appearance override,
 * and collision bounds.
 */
protected JCShape3D(Geometry geom) {
    super(geom);
    init(-1);
}

/*
 * Creates a Shape3D with the specified geometry and appearance.
 * Sets capability bits to allow reading/writing of geometry, appearance,
 * appearance override, and collision bounds.
 */
protected JCShape3D(Geometry geom, Appearance app) {
	super(geom, app);
	init(-1);
}

protected JCShape3D(Geometry geom, Appearance app,
				    int objectType) {
	super(geom, app);
	init(objectType);
}

private void init(int objectType) {
	setCapability(Shape3D.ALLOW_GEOMETRY_READ);
	setCapability(Shape3D.ALLOW_GEOMETRY_WRITE);
	setCapability(Shape3D.ALLOW_APPEARANCE_READ);
	setCapability(Shape3D.ALLOW_APPEARANCE_WRITE);
	setCapability(Shape3D.ALLOW_APPEARANCE_OVERRIDE_READ);
	setCapability(Shape3D.ALLOW_APPEARANCE_OVERRIDE_WRITE);
	setCapability(Shape3D.ALLOW_COLLISION_BOUNDS_READ);
	setCapability(Shape3D.ALLOW_COLLISION_BOUNDS_WRITE);
	this.objectType = objectType;
}

protected int getObjectType() {
	return objectType;
}

}
