/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCSpotLight.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:06 $  $Locker:  $  Quest Software Inc.

//  JCSpotLight.java

package com.klg.jclass.chart3d.j3d;

import com.sun.j3d.utils.universe.*;
import com.sun.j3d.utils.geometry.*;
import javax.media.j3d.*;
import javax.vecmath.*;

class JCSpotLight extends SpotLight {

/**
 * This constructor sets capability bits to allow reading/writing of state,
 * color, direction, position, attenuation, spread angle, and concentration.
 */
public JCSpotLight(Color3f color, Point3f position, Point3f attenuation,
				   Vector3f direction, float spreadAngle,
				   float concentration)
{
	super(color, position, attenuation, direction, spreadAngle, concentration);

	setCapability(SpotLight.ALLOW_STATE_READ);
	setCapability(SpotLight.ALLOW_STATE_WRITE);
	setCapability(SpotLight.ALLOW_COLOR_READ);
	setCapability(SpotLight.ALLOW_COLOR_WRITE);

	setCapability(SpotLight.ALLOW_DIRECTION_READ);
	setCapability(SpotLight.ALLOW_DIRECTION_WRITE);

	setCapability(SpotLight.ALLOW_POSITION_READ);
	setCapability(SpotLight.ALLOW_POSITION_WRITE);
	setCapability(SpotLight.ALLOW_ATTENUATION_READ);
	setCapability(SpotLight.ALLOW_ATTENUATION_WRITE);

	setCapability(SpotLight.ALLOW_SPREAD_ANGLE_READ);
	setCapability(SpotLight.ALLOW_SPREAD_ANGLE_WRITE);
	setCapability(SpotLight.ALLOW_CONCENTRATION_READ);
	setCapability(SpotLight.ALLOW_CONCENTRATION_WRITE);
}

}
