/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCTransform.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:06 $  $Locker:  $  Quest Software Inc.

//  JCTransform.java

package com.klg.jclass.chart3d.j3d;

import javax.media.j3d.*;
import javax.vecmath.*;


public class JCTransform {

private double x_angle, y_angle, y_factor, x_factor;
private Transform3D currXform = null;
private TransformGroup ViewerTG = null;
private TransformGroup transformGroup = null;
private Transform3D transformX = null;
private Transform3D transformY = null;

public JCTransform(TransformGroup ViewerTG) {
	this.ViewerTG = ViewerTG;
	transformX = new Transform3D();
	transformY = new Transform3D();
	currXform = new Transform3D();
	x_factor = 0.1;
	y_factor = 0.1;
}

public void setTransformGroup(TransformGroup tg) {
	transformGroup = tg;
}

public void Rotate(double dx, double dy) {

	if (null == transformGroup) {
		System.out.println("transformGroup is null!!");
		return;
	}

				x_angle = dy * y_factor;
				y_angle = dx * x_factor;

				transformX.rotX(x_angle);
				transformY.rotY(y_angle);

				transformGroup.getTransform(currXform);

				Matrix4d mat = new Matrix4d();

				// Remember old matrix
				currXform.get(mat);

				// Translate to origin
				currXform.setTranslation(new Vector3d(0.0,0.0,0.0));

//  Fix for mouse behavior when the viewer's orientation is not normal to the XY plane:
				Transform3D VPTG_T3D = null;
				if (null != ViewerTG)   //  In case constructor without Viewer's TransformGroup was invoked.
				{
					// Use this Transform3D to hold Viewer's Transform Group data
					VPTG_T3D = new Transform3D();

					// Get the T3D of the Viewer's TG
					ViewerTG.getTransform(VPTG_T3D);

					// Set Translation to origin so multiplications don't impact it
					VPTG_T3D.setTranslation(new Vector3d(0.0,0.0,0.0));

					// Invert the Viewer's T3D so we can remove it from the objects Transform
					VPTG_T3D.invert();

					// Multiply the inverted Viewer T3D to factor it out of the objects Transform
					currXform.mul(VPTG_T3D, currXform);
				}

				// Perform rotations like we were looking normal to the XY plane
				currXform.mul(transformX, currXform);
				currXform.mul(transformY, currXform);

				if (null != ViewerTG)
				{
					// Now that the rotations are applied correctly we need to reapply Viewer's T3D
					// Invert the Viewer's T3D so we can add it back in to the objects Transform
					VPTG_T3D.invert();

					// Multiply the original Viewer T3D to factor it back in to the objects Transform
					currXform.mul(VPTG_T3D, currXform);
				}

				// Set old translation back
				Vector3d translation = new
				    Vector3d(mat.m03, mat.m13, mat.m23);
				currXform.setTranslation(translation);

				// Update xform
				transformGroup.setTransform(currXform);
}

}

