/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCZonedMeshDataBars.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:06 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d.j3d;

import java.awt.Color;
import com.sun.j3d.utils.picking.behaviors.*;
import com.sun.j3d.utils.picking.*;
import com.sun.j3d.utils.universe.*;
import com.sun.j3d.utils.geometry.*;
import javax.media.j3d.*;
import javax.vecmath.*;
import java.util.ArrayList;
import com.klg.jclass.chart3d.*;
import com.klg.jclass.chart3d.JCGridColor;

public class JCZonedMeshDataBars extends JCDataBars {

public JCZonedMeshDataBars(JCBar barFormat, Matrix4d absolute,
						   Chart3dGridData data,
						   boolean fUseForegroundColor,
						   Color3f foregroundColor)
{
	super(barFormat, data);
	createDataBars(barFormat, absolute, data, fUseForegroundColor,
					foregroundColor, false);
	//  fSolid = false
}

//  Creates a data bar composed of LineArrays.  The fSolid parameter
//  is ignored.
protected JCShape3D createDataBar(Matrix4d absolute,
								  double x, double y, double zValue,
								  double zOrigin,
								  Color3f barColor,
								  double xWidth, double yWidth,
								  Color3f foregroundColor,
								  boolean fSolid, int index)
{
	JCBarLA dataBarLA = null;
	ArrayList dataBarArrayList = new ArrayList();
	JCShape3D dataBar = null;
	Point3d barOrigin = null;
	Color3f clr3f = null;
	double zHeight = 0.0;

	JCContourLevels contourLevels = contour.getContourLevels();
	int numLevels = contourLevels.getNumLevelsInternal();
	double[] contourValue = contourLevels.getLevels();

	barOrigin = new Point3d(x, y, zOrigin);
	absolute.transform(barOrigin);
	boolean fTop;
	boolean fBottom;

	if (zValue >= zOrigin) {
		fTop = false;
		fBottom = true;
		Point3d barTopCorner = null;
		for (int i=0; i<numLevels; i++) {
			if (contourValue[i] < zOrigin) {
				continue;
			}
			clr3f = getZoneColor(i);
			//  Break out of loop AFTER the contour color has been set.
			if (contourValue[i] >= zValue) {
				if (dataBarArrayList.size() == 0) {
					dataBarLA = new JCBarLA(barOrigin, xWidth, yWidth,
											0.0, clr3f, false, true);
					dataBarArrayList.add(dataBarLA.getGeometryArray());
				}
	    		break;
	    	}
			barTopCorner = new Point3d(x, y, contourValue[i]);
			absolute.transform(barTopCorner);
			zHeight = barTopCorner.z - barOrigin.z;
			dataBarLA = new JCBarLA(barOrigin, xWidth, yWidth, zHeight,
									clr3f, fTop, fBottom);
	    	fBottom = false;
			dataBarArrayList.add(dataBarLA.getGeometryArray());
	    	barOrigin = barTopCorner;
	    }
	    if (clr3f == null) {
			// Get here only if all contourValue[i] < zOrigin.
			// Use the color of the highest zone.
			clr3f = getZoneColor(numLevels-1);
		}
		barTopCorner = new Point3d(x, y, zValue);
		absolute.transform(barTopCorner);
		zHeight = barTopCorner.z - barOrigin.z;
		dataBarLA = new JCBarLA(barOrigin, xWidth, yWidth, zHeight,
								clr3f, true, false);
		dataBarArrayList.add(dataBarLA.getGeometryArray());
	}
	else {
		//  Find the contour level at or immediately above the zOrigin:
		int k=0;
	    for (k=0; k < numLevels; k++) {
			if (contourValue[k] >= zOrigin) {
				break;
			}
		}

		if (k >= numLevels) {
			// Didn't find a contour level.  Start with the highest one.
			k=numLevels-1;
		}

		fTop = true;
		fBottom = false;
		Point3d barBottomCorner = null;
		if (k == 0) {
			clr3f = getZoneColor(0);
		    dataBarLA = new JCBarLA(barOrigin, xWidth, yWidth, 0.0, clr3f,
		    						fTop, fBottom);
		    dataBarArrayList.add(dataBarLA.getGeometryArray());
		}
		else {
			for (int i=k-1; i >= 0; i--) {
				clr3f = getZoneColor(i+1);
				//  Break out of loop AFTER the contour color has been set.
				if (contourValue[i] <= zValue) {
					if (dataBarArrayList.size() == 0) {
						dataBarLA = new JCBarLA(barOrigin, xWidth, yWidth,
												0.0, clr3f, true, false);
						dataBarArrayList.add(dataBarLA.getGeometryArray());
					}
					break;
				}
				if (contourValue[i] > zOrigin) {
					continue;
				}
				barBottomCorner = new Point3d(x, y, contourValue[i]);
				absolute.transform(barBottomCorner);
				zHeight = barOrigin.z - barBottomCorner.z;
				dataBarLA = new JCBarLA(barBottomCorner, xWidth, yWidth,
										zHeight, clr3f, fTop, fBottom);
				fTop = false;
				dataBarArrayList.add(dataBarLA.getGeometryArray());
				barOrigin = barBottomCorner;
			}
		}
	    barBottomCorner = new Point3d(x, y, zValue);
	    absolute.transform(barBottomCorner);
	    zHeight = barOrigin.z - barBottomCorner.z;
	    dataBarLA = new JCBarLA(barBottomCorner, xWidth, yWidth, zHeight,
	    						clr3f, false, true);
	    dataBarArrayList.add(dataBarLA.getGeometryArray());
	}

	//  Create a JCShape3D object from all of the LineArrays:
	dataBar = new JCShape3D( (LineArray)dataBarArrayList.get(0) );
	int listLength = dataBarArrayList.size();
	for (int i=1; i < listLength; i++) {
		dataBar.addGeometry( (LineArray)dataBarArrayList.get(i) );
	}
	dataBar.setUserData( new Integer(index) );

	JCAppearance appearance = new JCAppearance();
	JCPolygonAttributes pa = new JCPolygonAttributes();
	pa.setPolygonMode(PolygonAttributes.POLYGON_LINE);
	appearance.setPolygonAttributes(pa);

	JCRenderingAttributes renderAttrib = new JCRenderingAttributes();
	renderAttrib.setVisible(true);  //  default
	appearance.setRenderingAttributes(renderAttrib);

	JCMaterial material = new JCMaterial(foregroundColor, DEFAULT_SHININESS);
	material.setLightingEnable(false) ;  // default

	JCColoringAttributes colorAttrib = new JCColoringAttributes();
	colorAttrib.setColor(foregroundColor);
	colorAttrib.setShadeModel(ColoringAttributes.SHADE_FLAT);

	appearance.setMaterial(material) ;
	appearance.setColoringAttributes(colorAttrib);

	dataBar.setAppearance(appearance);

	return dataBar;
}

}
