/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: Chart3dJava3dBeanInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:07 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d.j3d.beans;

import com.klg.jclass.beans.*;
import com.klg.jclass.chart3d.*;

import java.beans.PropertyDescriptor;
import java.beans.BeanDescriptor;

import java.util.Vector;


/**
 * Info class for Chart3dY  bean.  Contains a list of properties
 * and their respective editors.  This class is used
 * internally by JClass Chart3dY and should not be used by applications.
 */
public class Chart3dJava3dBeanInfo extends ComponentBeanInfo {

protected static final JCPropertyDescriptor base_properties[] = {
	new JCPropertyDescriptor(BeanKeys.DATA1_CHART_TYPE,
		"com.klg.jclass.chart3d.beans.ChartTypeEditor"),
	new JCPropertyDescriptor(BeanKeys.DATA1_ELEVATION_MESHED, null, true),
	new JCPropertyDescriptor(BeanKeys.DATA1_ELEVATION_SHADED, null, true),
	new JCPropertyDescriptor(BeanKeys.DATA1_ELEVATION_TRANSPARENT, null, true),
	new JCPropertyDescriptor(BeanKeys.DATA1_CONTOUR_ZONED, null, true),
	new JCPropertyDescriptor(BeanKeys.DATA1_CONTOUR_CONTOURED, null, true),
	new JCPropertyDescriptor(BeanKeys.ELEVATION_SWING_DATA_MODEL_1, null),
	new JCPropertyDescriptor(BeanKeys.ZONE_SWING_DATA_MODEL_1, null),

	new JCPropertyDescriptor(BeanKeys.ELEVATION_DATASOURCE_1,
		"com.klg.jclass.chart3d.beans.DataSourceEditor"),
	new JCPropertyDescriptor(BeanKeys.ZONE_DATASOURCE_1,
		"com.klg.jclass.chart3d.beans.DataSourceEditor"),


	new JCPropertyDescriptor(BeanKeys.AREA_OPAQUE, null, true),
	new JCPropertyDescriptor(BeanKeys.AREA_BACKGROUND, null),
	new JCPropertyDescriptor(BeanKeys.AREA_FOREGROUND, null),

	new JCPropertyDescriptor(BeanKeys.SURFACE_SOLID, null, true),
	new JCPropertyDescriptor(BeanKeys.SURFACE_XMESH_SHOWING, null, true),
	new JCPropertyDescriptor(BeanKeys.SURFACE_YMESH_SHOWING, null, true),

	new JCPropertyDescriptor(BeanKeys.PLOTCUBE_BACKGROUND, null),
	new JCPropertyDescriptor(BeanKeys.PLOTCUBE_FOREGROUND, null),

	new JCPropertyDescriptor(BeanKeys.FLOOR_CONTOURED, null, true),
	new JCPropertyDescriptor(BeanKeys.FLOOR_ZONED, null, true),
	new JCPropertyDescriptor(BeanKeys.CEILING_CONTOURED, null, true),
	new JCPropertyDescriptor(BeanKeys.CEILING_ZONED, null, true),

	new JCPropertyDescriptor(BeanKeys.X_ROTATION, null),
	new JCPropertyDescriptor(BeanKeys.Y_ROTATION, null),
	new JCPropertyDescriptor(BeanKeys.Z_ROTATION, null),

	new JCPropertyDescriptor(BeanKeys.LEGEND_VISIBLE, null, true),
	new JCPropertyDescriptor(BeanKeys.LEGEND_ANCHOR,
		"com.klg.jclass.chart3d.beans.AnchorEditor"),
	new JCPropertyDescriptor(BeanKeys.LEGEND_ORIENTATION,
		"com.klg.jclass.chart3d.beans.OrientationEditor"),
	new JCPropertyDescriptor(BeanKeys.HEADER_TEXT, null),
	new JCPropertyDescriptor(BeanKeys.HEADER_FONT, null),

	new JCPropertyDescriptor(BeanKeys.FOOTER_TEXT, null),
	new JCPropertyDescriptor(BeanKeys.FOOTER_FONT, null),

	new JCPropertyDescriptor(BeanKeys.X_AXIS_ANNOTATION_METHOD,
		"com.klg.jclass.chart3d.beans.AnnotationMethodEditor"),
	new JCPropertyDescriptor(BeanKeys.X_AXIS_MIN, null),
	new JCPropertyDescriptor(BeanKeys.X_AXIS_MAX, null),
	new JCPropertyDescriptor(BeanKeys.X_AXIS_TITLE_TEXT, null),
	new JCPropertyDescriptor(BeanKeys.Y_AXIS_ANNOTATION_METHOD,
		"com.klg.jclass.chart3d.beans.AnnotationMethodEditor"),
	new JCPropertyDescriptor(BeanKeys.Y_AXIS_MIN, null),
	new JCPropertyDescriptor(BeanKeys.Y_AXIS_MAX, null),
	new JCPropertyDescriptor(BeanKeys.Y_AXIS_TITLE_TEXT, null),
	new JCPropertyDescriptor(BeanKeys.Z_AXIS_ANNOTATION_METHOD,
		"com.klg.jclass.chart3d.beans.AnnotationMethodEditor"),
	/*new JCPropertyDescriptor(BeanKeys.Z_AXIS_MIN, null),
	new JCPropertyDescriptor(BeanKeys.Z_AXIS_MAX, null),
	new JCPropertyDescriptor(BeanKeys.Z_AXIS_TITLE_TEXT, null),
	new JCPropertyDescriptor(BeanKeys.TRIGGER_LIST,
		"com.klg.jclass.chart3d.beans.TriggerEditor"),*/




};

protected static final String[] multi_icons = {
	    "Chart3dJava3d16.gif",
	    "Chart3dJava3d16.gif",
	    "Chart3dJava3d32.gif",
	    "Chart3dJava3d32.gif"
};

public BeanDescriptor getBeanDescriptor() {
	return new BeanDescriptor(com.klg.jclass.chart3d.j3d.beans.Chart3dJava3d.class, com.klg.jclass.chart3d.JCChart3dCustomizer.class);
}


public Chart3dJava3dBeanInfo(JCPropertyDescriptor properties[],
                     JCEventSetDescriptor events[],
                     String resource_bundle, String icons[])
{
    super(mergeProperties(properties, base_properties), events,
						":com.klg.jclass.chart3d.j3d.beans.resources.LocaleBeanInfo", icons);
}

public Chart3dJava3dBeanInfo() {
	super(base_properties, null, ":com.klg.jclass.chart3d.j3d.beans.resources.LocaleBeanInfo", multi_icons);
}




}

