/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LocaleInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:07 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d.j3d.beans.resources;

import com.klg.jclass.chart3d.j3d.beans.BeanKeys;

import java.util.ListResourceBundle;

/**
 *  Default Resource LocaleInfo class for JCChart beans.
 */
public class LocaleInfo extends ListResourceBundle {


static final Object[][] strings = {
//LOCALIZE THIS
	{BeanKeys.FONT, "font"},
	{BeanKeys.VIEW_3D, "view3D"},
	{BeanKeys.HEADER_TEXT, "headerText"},
	{BeanKeys.FOOTER_TEXT, "footerText"},
	
	{BeanKeys.CHART_EVENT, "Chart"},
	{BeanKeys.PICK_EVENT, "Pick"},
	
	
	{BeanKeys.FOREGROUND, "foreground"},
	{BeanKeys.BACKGROUND, "background"},
	//Data1
	{BeanKeys.DATA1_CHART_TYPE, "data1ChartType"},
	{BeanKeys.DATA1_ELEVATION_MESHED, "data1ElevationMeshed"},
	{BeanKeys.DATA1_ELEVATION_SHADED, "data1ElevationShaded"},
	{BeanKeys.DATA1_ELEVATION_TRANSPARENT, "data1ElevationTransparent"},
	{BeanKeys.DATA1_CONTOUR_ZONED, "data1ContourZoned"},
	{BeanKeys.DATA1_CONTOUR_CONTOURED, "data1ContourContoured"},
	
	
	//Chart3dArea	
	{BeanKeys.AREA_OPAQUE, "areaOpaque"},
	{BeanKeys.AREA_BACKGROUND, "areaBackground"},
	{BeanKeys.AREA_FOREGROUND, "areaForeground"},
	
	//Surface
	{BeanKeys.SURFACE_SOLID, "surfaceSolid"},
	{BeanKeys.SURFACE_XMESH_SHOWING, "surfaceXMeshShowing"},
	{BeanKeys.SURFACE_YMESH_SHOWING, "surfaceYMeshShowing"},
		
	//PlotCube
	{BeanKeys.PLOTCUBE_BACKGROUND, "plotCubeBackground"},
	{BeanKeys.PLOTCUBE_FOREGROUND, "plotCubeForeground"},
	
	{BeanKeys.FLOOR_CONTOURED, "floorContoured"},
	{BeanKeys.FLOOR_ZONED, "floorZoned"},
	{BeanKeys.CEILING_CONTOURED, "ceilingContoured"},
	{BeanKeys.CEILING_ZONED, "ceilingZoned"},
		
	//View3D
	{BeanKeys.X_ROTATION, "xRotation"},
	{BeanKeys.Y_ROTATION, "yRotation"},
	{BeanKeys.Z_ROTATION, "zRotation"},
			


	//X-axis
	{BeanKeys.X_AXIS_ANNOTATION_METHOD, "xAxisAnnotationMethod"},
	{BeanKeys.X_AXIS_MIN, "xAxisMin"},
	{BeanKeys.X_AXIS_MAX, "xAxisMax"},
	{BeanKeys.X_AXIS_TITLE_TEXT, "xAxisTitleText"},
	//Y-axis
	{BeanKeys.Y_AXIS_ANNOTATION_METHOD, "yAxisAnnotationMethod"},
	{BeanKeys.Y_AXIS_MIN, "yAxisMin"},
	{BeanKeys.Y_AXIS_MAX, "yAxisMax"},
	{BeanKeys.Y_AXIS_TITLE_TEXT, "yAxisTitleText"},
	//Z-axis
	{BeanKeys.Z_AXIS_ANNOTATION_METHOD, "zAxisAnnotationMethod"},
	{BeanKeys.Z_AXIS_MIN, "zAxisMin"},
	{BeanKeys.Z_AXIS_MAX, "zAxisMax"},
	{BeanKeys.Z_AXIS_TITLE_TEXT, "zAxisTitleText"},
	//Legends
	{BeanKeys.LEGEND_VISIBLE, "legendVisible"},
	{BeanKeys.LEGEND_ANCHOR, "legendAnchor"},
	{BeanKeys.LEGEND_ORIENTATION, "legendOrientation"},
	{BeanKeys.HEADER_FONT, "headerFont"},
	{BeanKeys.FOOTER_FONT, "footerFont"},
	
	{BeanKeys.ELEVATION_SWING_DATA_MODEL_1, "elevationSwingDataModel1"},
	{BeanKeys.ZONE_SWING_DATA_MODEL_1, "zoneSwingDataModel1"},
		
	{BeanKeys.TRIGGER_LIST, "triggerList"},
	
	
};

public Object[][] getContents() {
	return strings;
}

}

