/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LocaleInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:07 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d.resources;

import com.klg.jclass.chart3d.*;
import java.util.ListResourceBundle;

public class LocaleInfo extends ListResourceBundle {

protected Object[][] strings = {
	{LocaleBundle.INVALID_VALUE_ERROR, "Invalid value. "},

	{LocaleBundle.UNNAMED_DATA_OBJECT_ERROR,"Unnamed Data Object"},
	{LocaleBundle.UNRECOGNIZED_DATA_MODEL_ERROR,  LocaleBundle.INVALID_VALUE_ERROR +"Unrecognized data model."},
	{LocaleBundle.INVALID_CHART_TYPE_ERROR, LocaleBundle.INVALID_VALUE_ERROR +"It must be one of JCChart3d.SURFACE, JCChart3d.BAR, or JCChart3d.SCATTER."},
	{LocaleBundle.INVALID_X_OR_Y_INDEX_ERROR, "Invalid x or y index"},
	{LocaleBundle.INVALID_VALUE_NULL_ERROR,LocaleBundle.INVALID_VALUE_ERROR +"Cannot be null."},
	{LocaleBundle.BAD_DATA_OR_INDEX_ERROR,"Bad data or index"},
	{LocaleBundle.DATA_AND_INDEX_DONT_MATCH_ERROR , "Data and index do not match"},
	{LocaleBundle.BAD_SERIES_OR_POINT_ERROR , "Bad series or point value."},
	{LocaleBundle.ELEVATION_AND_ZONE_DATA_MISMATCH_ERROR, "Elevation data and Zone data do not match!"},
	{LocaleBundle.UNKNOWN_EVENT_ERROR, "Unknown event type: "},
	{LocaleBundle.SERIES_OUT_OF_RANGE_ERROR, "Series number out of range."},
	{LocaleBundle.INVALID_OUT_OF_THOUSAND_ERROR, LocaleBundle.INVALID_VALUE_ERROR +"Must be between 0 and 1000."},
	{LocaleBundle.INVALID_FIXED_OR_HISTOGRAM_ERROR, LocaleBundle.INVALID_VALUE_ERROR +"Should be one of FIXED or HISTOGRAM."},
	{LocaleBundle.AXIS_AND_ID_MISMATCH_ERROR, "AxisId does not match ID of Axis!"},
	{LocaleBundle.ARRAY_LENGTH_INCORRECT_ERROR, LocaleBundle.INVALID_VALUE_ERROR +"Array has incorrect length!"},
	{LocaleBundle.CUSTOMIZER_PAGE_LAUNCH_ERROR, "JCChart3dCustomizerPage Launch"},
	{LocaleBundle.INVALID_CONTINUOUS_OR_STEPPED_ERROR, LocaleBundle.INVALID_VALUE_ERROR +"Should be one of CONTINUOUS or STEPPED."},
	{LocaleBundle.INVALID_DATA_OR_ALL_ERROR, "Invalid value.  Should be one of RANGE_DATA or RANGE_ALL."},
	{LocaleBundle.INVALID_CONTOURS_OR_CELLS_ERROR, LocaleBundle.INVALID_VALUE_ERROR +"Should be one of ZONE_CONTOURS or ZONE_CELLS."},
	{LocaleBundle.INVALID_FILLSTYLE_ERROR, LocaleBundle.INVALID_VALUE_ERROR +"Must be one of NONE, SOLID, PER_25, PER_50, PER_75, HORIZ_STRIPE, VERT_STRIPE, STRIPE_45, STRIPE_135, DIAG_HATCHED, CROSS_HATCHED, CUSTOM_FILL, or CUSTOM_STACK."},
	{LocaleBundle.INVALID_LINESTYLE_ERROR, LocaleBundle.INVALID_VALUE_ERROR +"Must be one of NONE, SOLID, LONG_DASH, SHORT_DASH, LSL_DASH or DASH_DOT"},
	{LocaleBundle.INVALID_VALUE_NEGATIVE_ERROR, LocaleBundle.INVALID_VALUE_ERROR +"Must be positive."},
	{LocaleBundle.INVALID_CUBE_OR_FULL_ERROR, LocaleBundle.INVALID_VALUE_ERROR +"Should be one of PREVIEW_CUBE or PREVIEW_FULL."},
    {LocaleBundle.INVALID_NUM_LEVELS, LocaleBundle.INVALID_VALUE_ERROR +"NumLevels must be non-negative."},

	{LocaleBundle.OKAY_LABEL, "OK"},
	{LocaleBundle.CHART3D_PROPERTIES_LABEL, "JClass Chart3d Properties"},
	{LocaleBundle.X_AXIS_LABEL, "X axis"},
	{LocaleBundle.Y_AXIS_LABEL, "Y axis"},
	{LocaleBundle.Z_AXIS_LABEL, "Z axis"},
	{LocaleBundle.AXIS_EYE, "Axis eye"},
	{LocaleBundle.NUM_AXES, "Number of axes"},
	{LocaleBundle.MIN_LABEL, "minimum"},
	{LocaleBundle.MAX_LABEL, "maximum"},
	{LocaleBundle.LEVEL_LABEL, "level"},
	{LocaleBundle.PARENT_STYLE_LABEL, "parent style"},
	{LocaleBundle.DRAW_STYLE_LABEL, "draw style"},
	{LocaleBundle.SERIES_LABEL, "series"},
	{LocaleBundle.POINT_LABEL, "point"},

	{JCChart3d.ERRMSG_CUSTOMIZER_FAILURE, "Could not initialize Customizer."},

	{LocaleBundle.TYPE_SURFACE, "surface"},
	{LocaleBundle.TYPE_BAR, "bar"},
	{LocaleBundle.TYPE_SCATTER, "scatter"},
	{LocaleBundle.TYPE_LAST_PREDEFINED, "last predefined chart type"},

	{LocaleBundle.NONE, "None"},

	{LocaleBundle.ROTATE, "Rotate"},
	{LocaleBundle.ZOOM, "Zoom"},
	{LocaleBundle.TRANSLATE, "Translate"},
	{LocaleBundle.EDIT, "Edit"},
	{LocaleBundle.PICK, "Pick"},
	{LocaleBundle.SCALE, "Scale"},
	{LocaleBundle.CUSTOMIZE, "Customize"},

	{LocaleBundle.VALUES_STRING, "Values"},
	{LocaleBundle.DATA_LABELS_STRING, "Data Labels"},
	{LocaleBundle.VALUE_LABELS_STRING, "Value Labels"},

	{LocaleBundle.SHIFT, "Shift"},
	{LocaleBundle.CTRL, "Ctrl"},
	{LocaleBundle.ALT, "Alt"},
	{LocaleBundle.META, "Meta"},
	{LocaleBundle.MODIFIER, "Modifier"},

	{LocaleBundle.LEFT, "left"},
	{LocaleBundle.CENTER, "center"},
	{LocaleBundle.RIGHT, "right"},
	{LocaleBundle.LEADING, "leading"},
	{LocaleBundle.TRAILING, "trailing"},

	{LocaleBundle.TOP, "top"},
	{LocaleBundle.BOTTOM, "bottom"},

	{LocaleBundle.SOLID, "solid"},
	{LocaleBundle.PER_25, "25 percent"},
	{LocaleBundle.PER_50, "50 percent"},
	{LocaleBundle.PER_75, "75 percent"},
	{LocaleBundle.HORIZ_STRIPE, "horizontal stripe"},
	{LocaleBundle.VERT_STRIPE, "vertical stripe"},
	{LocaleBundle.STRIPE_45, "45 degree stripe"},
	{LocaleBundle.STRIPE_135, "135 degree stripe"},
	{LocaleBundle.DIAG_HATCHED, "diagonal hatched"},
	{LocaleBundle.CROSS_HATCHED, "cross hatched"},
	{LocaleBundle.CUSTOM_FILL, "custom fill"},
	{LocaleBundle.CUSTOM_STACK, "custom stack"},

	{LocaleBundle.LONG_DASH, "long dash"},
	{LocaleBundle.SHORT_DASH, "short dash"},
	{LocaleBundle.LSL_DASH, "long-short-long dash"},
	{LocaleBundle.DASH_DOT, "dash dot"},

	{LocaleBundle.MITER, "miter"},
	{LocaleBundle.BEVEL, "bevel"},
	{LocaleBundle.ROUND, "round"},

	{LocaleBundle.BUTT, "butt"},
	{LocaleBundle.SQUARE, "square"},

	{LocaleBundle.DOT, "dot"},
	{LocaleBundle.BOX, "box"},
	{LocaleBundle.TRIANGLE, "triangle"},
	{LocaleBundle.DIAMOND, "diamond"},
	{LocaleBundle.STAR, "star"},
	{LocaleBundle.VERT_LINE, "vertical line"},
	{LocaleBundle.HORIZ_LINE, "horizontal line"},
	{LocaleBundle.CROSS, "cross"},
	{LocaleBundle.CIRCLE, "circle"},
	{LocaleBundle.RECTANGLE, "rectangle"},
	{LocaleBundle.SPHERE, "sphere"},
	{LocaleBundle.CONE, "cone"},
	{LocaleBundle.CUBE, "cube"},
	{LocaleBundle.CYLINDER, "cylinder" },
	{LocaleBundle.POINT, "point"},
	{LocaleBundle.TETRAHEDRON, "tetrahedron"}
};

protected Object[][] getContents()
{
    return(strings);
}

}
