/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: Box.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:07 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d.shape;

import java.awt.Graphics;

import com.klg.jclass.chart3d.resources.LocaleBundle;

/**
 * The Box class is an extension of the BaseShape class
 * that draws a box for a point.  Used internally for
 * <code>com.klg.jclass.chart3d.JCSymbolStyle.BOX</code>.
 * @see com.klg.jclass.chart3d.shape.BaseShape
 * @see com.klg.jclass.chart3d.shape.JCSymbolShape
 * @see com.klg.jclass.chart3d.JCSymbolStyle
 */
public class Box extends BaseShape implements java.io.Serializable {

/**
 * Default constructor (required)
 */
public Box()
{
}

/**
 * Return a localized name for this shape
 * @return The name of this shape
 */
public String getName()
{
	return(LocaleBundle.string(LocaleBundle.BOX));
}

/**
 * Draws the Box symbol at the specified coordinates using the specified size
 * @param gc graphics context to use for drawing
 * @param xorg x origin point
 * @param yorg y origin point
 */
public void draw(Graphics gc, int xorg, int yorg)
{
    gc.drawRect(xorg - size/2, yorg - size/2, size, size);
}

}
