/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: Diamond.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:07 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d.shape;

import com.klg.jclass.chart3d.resources.LocaleBundle;

/**
 * An extension of the class that draws a diamond for a point. Used inside
 * JClass Chart3d for <code>com.klg.jclass.chart3d.JCSymbolStyle.DIAMOND</code>.
 * @see com.klg.jclass.chart3d.shape.BaseShape
 * @see com.klg.jclass.chart3d.shape.JCSymbolShape
 * @see com.klg.jclass.chart3d.JCSymbolStyle
 */
public class Diamond extends BaseShape implements java.io.Serializable {

/**
 * Default constructor (required).
 */
public Diamond()
{
}

/**
 * Return a localized name for this shape
 * @return The name of this shape
 */
public String getName()
{
	return(LocaleBundle.string(LocaleBundle.DIAMOND));
}

/**
 * Overrides <code>BaseShape.resize()</code>. Creates an array of points that
 * will draw a diamond.
 *
 * @param size The size of the diamond
 */
public void resize(int size)
{
	if (this.size == size) {
        return;
	}
	this.size = size;
	x = new int[4];
	y = new int[4];
	int base = (int)(this.size / 2);
	x[0] = -base;
	y[0] = 0;
	x[1] = 0;
	y[1] = -base;
	x[2] = base;
	y[2] = 0;
	x[3] = 0;
	y[3] = base;
}

}
