/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCSymbolShape.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:07 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.chart3d.shape;

import java.awt.Graphics;

/**
 * Interface for symbol shapes for JClass Chart 3D.
 */
public interface JCSymbolShape extends java.io.Serializable {

/**
 * Returns a localized name for this shape.
 * @return the name of this shape
 */
public String getName();

/**
 * Method used for resizing shape before drawing.
 * @param sz value to be assigned to size member variable
 */
public void resize(int sz);

/**
 * Draws the point at the specified coordinates.
 * @param gc graphics context to use for drawing
 * @param xorg x origin point
 * @param yorg y origin point
 */
public void draw(Graphics gc, int xorg, int yorg);

}
