/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: TetrahedralGeom.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:08 $  $Locker:  $  Quest Software Inc.

//  TetrahedralGeom.java

package com.klg.jclass.chart3d.shape3d;

import com.sun.j3d.utils.geometry.*;
import javax.media.j3d.*;
import javax.vecmath.*;

class TetrahedralGeom {

private TriangleArray triangleArray = null;

protected TetrahedralGeom()
{
    Point3f verts[] = new Point3f[4];
    Color3f colors[] = new Color3f[4];

    verts[0] = new Point3f(1.0f,1.0f,1.0f);
    verts[1] = new Point3f(1.0f,-1.0f,-1.0f);
    verts[2] = new Point3f(-1.0f,-1.0f,1.0f);
    verts[3] = new Point3f(-1.0f,1.0f,-1.0f);

    colors[0] = new Color3f(1.0f, 0.0f, 0.0f);
    colors[1] = new Color3f(0.0f, 1.0f, 0.0f);
    colors[2] = new Color3f(0.0f, 0.0f, 1.0f);
    colors[3] = new Color3f(1.0f, 1.0f, 0.0f);

    Point3f pnts[] = new Point3f[12];
    Color3f clrs[] = new Color3f[12];

    pnts[0] = verts[2];
    clrs[0] = colors[0];
    pnts[1] = verts[1];
    clrs[1] = colors[0];
    pnts[2] = verts[0];
    clrs[2] = colors[0];

    pnts[3] = verts[3];
    clrs[3] = colors[1];
    pnts[4] = verts[2];
    clrs[4] = colors[1];
    pnts[5] = verts[0];
    clrs[5] = colors[1];

    pnts[6] = verts[1];
    clrs[6] = colors[2];
    pnts[7] = verts[2];
    clrs[7] = colors[2];
    pnts[8] = verts[3];
    clrs[8] = colors[2];

    pnts[9] = verts[1];
    clrs[9] = colors[3];
    pnts[10] = verts[3];
    clrs[10] = colors[3];
    pnts[11] = verts[0];
    clrs[11] = colors[3];

	GeometryInfo gi = new GeometryInfo(GeometryInfo.TRIANGLE_ARRAY);
	gi.setCoordinates(pnts);
	gi.setColors(clrs);
	NormalGenerator ng = new NormalGenerator();
	ng.generateNormals(gi);

	triangleArray = (TriangleArray)gi.getGeometryArray();
}

protected TriangleArray getGeometryArray()
{
	return triangleArray;
}

}
