/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: DataSourceTreeModel.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:09 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.datasource;

import java.io.*;

import javax.swing.tree.*;

import com.klg.jclass.datasource.*;

/**
 * This class extends the swing DefaultTreeModel to provide methods
 * required by JClass DataSource.
 */
public class DataSourceTreeModel extends DefaultTreeModel implements
    Serializable {

static final long serialVersionUID = -975539598350089098L;

public static TreeNode NullRoot = new DataSourceTreeNode();

/**
  * Creates a tree in which any node can have children.
  *
  * @param root a TreeNode object that is the root of the tree
  * @see javax.swing.tree.DefaultTreeModel#DefaultTreeModel(TreeNode, boolean)
  */
public DataSourceTreeModel(TreeNode root) {
    super(root);
}

/**
  * Creates a tree specifying whether any node can have children,
  * or whether only certain nodes can have children.
  *
  * @param root a TreeNode object that is the root of the tree
  * @param askAllowsChildren a boolean, false if any node can
  *        have children, true if each node is asked to see if
  *        it can have children
  * @see javax.swing.tree.DefaultTreeModel#asksAllowsChildren
  */
public DataSourceTreeModel(TreeNode root, boolean asksAllowsChildren) {
    super(root, asksAllowsChildren);
}

public DataSourceTreeNode getRootNode() {
    return(DataSourceTreeNode) getRoot();
}

public void setRoot(TreeNode root) {
    if (root == null) {
        root = NullRoot;
    }
    super.setRoot(root);
}

public Object getRoot() {
    Object possibleRoot = super.getRoot();
    if (possibleRoot == NullRoot) {
        possibleRoot = null;
    }
    return possibleRoot;
}

// Serialization support.
private void writeObject(ObjectOutputStream s) throws IOException {
    s.defaultWriteObject();
//    super.writeObject(s);



}

private void readObject(ObjectInputStream s)
throws IOException, ClassNotFoundException {
    s.defaultReadObject();
//    super.readObject(s);


}

}
