/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: IdeDataTableModel.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:09 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.datasource;

/**
 * An interface which abstracts common IDE methods.
 */
public interface IdeDataTableModel extends DataTableModel {

/**
 * Get the current cell value from the IDE, not from cache.
 * @exception DataModelException If the get fails.
 */
public Object getCell2(long bookmark, String column) throws DataModelException;

/**
 * Calls <code>super.setValueAt</code> since <code>setValueAt</code> is overridden to call IDE update methods.
 * @exception DataModelException If set fails.
 */
public void setValueAt2(long bookmark, String column, Object newValue) throws DataModelException;

/**
 *
 */
public Object[] duplicateRow(int rowIndex) throws DataModelException;

/**
 *
 */
public void deleteRow2(long bookmark);

/**
 *
 */
public void commitRow2(long bookmark);

/**
 *
 * @exception DataModelException If row can't be added.
 */
public long addRow2(int newRowIndex) throws DataModelException;

/**
 *
 */
public void copyTable();

/**
 * Convert between an IDE index and our bookmark.
 */
public long getBookmarkFromIdeIndex(int ideIndex);

public void requeryFromIdeDataSource();

}
