/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: ProviderModel.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:09 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.datasource;

/**
 * Classes implementing this interface can
 * be specified as providers of data for
 * MetaData levels.
 */
public interface ProviderModel {

/**
 * This method will be called by the DataSource when
 * data is required for a particular meta data level.
 * <P>
 * @param originator the DataModelListener which initiated this action
 * @param bookmark a long which uniquely identifies a parent row
 * @param child the MetaDataModel the child level for which data is required
 * @return a two-dimensional Object array comprising rows and columns. 
 * <P>
 * @see com.klg.jclass.datasource.DataTableModel#createTable
 * @see com.klg.jclass.datasource.DataTableModel#getTable
 */
public Object[][] getData(DataModelListener originator, long bookmark, MetaDataModel metaData);

} 
