/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: ReverseTreeIterator.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:09 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.datasource;

import javax.swing.tree.*;

/**
 * Iterates over the siblings of a tree in the Reverse direction;
 * extends TreeIterator.
 */
public class ReverseTreeIterator extends TreeIterator {

static final long serialVersionUID = 167836412643147172L;

public ReverseTreeIterator(DataSourceTreeNode startNode) {
    super(startNode);
}

public boolean atEnd() {
    return currentNode < 0;
}

public void advance() {
    if (! atEnd()) {
        currentNode--;
    }
}

public Object clone() {
    DataSourceTreeNode startNode = (DataSourceTreeNode) children.elementAt(firstNode);
    ReverseTreeIterator iterator = new ReverseTreeIterator(startNode);
    return iterator;
}

}
