/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: TreeIterator.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:09 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.datasource;

import java.util.*;

import javax.swing.tree.*;

import com.klg.jclass.datasource.*;

/**
 * Iterates over the siblings of a tree; extends
 * TreeIteratorModel.
 */
public class TreeIterator implements TreeIteratorModel {

static final long serialVersionUID = 5111619483056735618L;

// Properties
protected int firstNode;
protected int currentNode;
protected Vector children;

// Methods
public TreeIterator(DataSourceTreeNode startNode) {
    DataSourceTreeNode parent;
    if (startNode == null) {
        parent = null;
    }
    else {
        parent = (DataSourceTreeNode) startNode.getParent();
    }
    if (parent == null) {
        // create an empty vector
        children = new Vector();
        firstNode = 0;
    }
    else {
        // get a copy of the current children vector
        children = parent.getChildren();
        firstNode = children.indexOf(startNode);
    }
    currentNode = firstNode;
}

public Object nextElement() {
    Object currentOne = get();
    advance();
    return currentOne;
}

public boolean hasMoreElements() {
    return ! atEnd();
}

public boolean atBegin() {
    return currentNode == firstNode;    

    //FIX??
    // a matter of interpretation when you start an
    // iteration in the middle of the Vector
    // should this be the following?
/*
if (isForward) {
    return currentNode == 0;
}
else {
    return currentNode == children.size();
}
*/
}

public Object get() {
    if (! atEnd()) {
        return children.elementAt(currentNode);
    }
    throw new NoSuchElementException("TreeIterator");
}

public void advance(int offset) {
    if ((offset >= firstNode) && (offset < children.size())) {
        currentNode = offset;
    }
}

public Object clone() {
    // should be overridden
    return null;
}

public boolean atEnd() {
    // should be overridden
    return true;
}

public void advance() {
    // should be overridden
}

} 
