/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: VirtualColumnModel.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:09 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.datasource;

/**
 * This is the interface for derived columns which can 
 * be added to DataSource. DataSource will call this 
 * interface's single method to determine what value
 * to show in this cell.
 */
public interface VirtualColumnModel extends ColumnModel {

/**
 * Return the value to be displayed in the cell
 * @param table the DataTableModel from which data is to be derived
 * @param bookmark a unique long representing a row
 * @param col_id a unique String representing a column
 * @return an Object which is the calculated value.
 * @exception DataModelException If getResultData fails.
 */
public Object getResultData(DataTableModel dtm, long bookmark) throws DataModelException;

}
