/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: IdeJCData.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:09 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.datasource.beans;

import com.klg.jclass.datasource.*;

/**
 *	A component that creates data connectivity with different data source
 *	objects.
 *	@see com.klg.jclass.datasource.beans.NodeProperties
 */
abstract public class IdeJCData extends JCData {

static final long serialVersionUID = -4909594156151129197L;

public IdeJCData(int type) {
    super(type);
}

/** Sets the data bean component using a serialized file and a data source object.
 * 	Data source object is specified for IDE data sources.  Supported IDE data
 *	source type are:
 *	<ul>
 *	<li>NodeProperties.JBUILDER</li>
 *	<li>NodeProperties.VCAFE</li>
 *	</ul>
 *	Data source object can be one of the following:
 *	<p><ul>
 *	<li>borland.jbcl.dataset.DataSet</li>
 *	<li>symantec.itools.db.beans.binding.QueryNavigator</li>
 *	</p>
 *	@param resource_name resource name relative to a class loader
 *						to the data bean component
 *	@param cl class loader used to get the resource.
 *	@param data_source data source object
 *	@see com.klg.jclass.datasource.beans.NodeProperties
 *	@exception DataModelException If meta data cannot be created.
 */
public void setNodeProperties(String resource_name, ClassLoader cl, Object data_source)
throws DataModelException {
    if (resource_name == null) return;

    setNodeProperties(new NodeProperties(resource_name, cl, data_source));
}

} // IdeJCData
