/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCDataBeanInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:09 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.datasource.beans;

import com.klg.jclass.datasource.*;

import java.beans.BeanDescriptor;

import com.klg.jclass.beans.*;

/**
 * <code>BeanInfo</code> class for <code>JCData</code> Bean.  Exposes all properties and events
 * specific to <code>JCData</code>, building on the existing definitions in
 * <code>JCBeanInfo</code>.
 */
public class JCDataBeanInfo extends JCBeanInfo {

public static final String ABOUT_PROP = "about";
public static final String JCData_COMPONENT_PROP = "nodeProperties";
public static final String VERSION_PROP = "version";
public static final String MODEL_NAME_PROP = "modelName";
public static final String DATA_MODEL_EVENT = "dataModel";

protected static final JCPropertyDescriptor properties[] = {
    new JCPropertyDescriptor(ABOUT_PROP, "com.klg.jclass.datasource.customizer.AboutEditor"),
    new JCPropertyDescriptor(JCData_COMPONENT_PROP, "com.klg.jclass.datasource.customizer.NodePropertiesEditor"),
    new JCPropertyDescriptor(VERSION_PROP, "com.klg.jclass.datasource.customizer.AboutEditor"),
    new JCPropertyDescriptor(MODEL_NAME_PROP, MODEL_NAME_PROP, MODEL_NAME_PROP,
                             false, HIDDEN, null),
};





protected static final JCEventSetDescriptor events[] = {
    new JCEventSetDescriptor(DATA_MODEL_EVENT, "com.klg.jclass.datasource",
                             new String[] { "beforeInsertRow", "beforeReset", "beforeRequery", "beforeEditCell",
                                 "beforeDeleteRow", "beforeCommitAll", "beforeCancelAll",
                                 "beforeCancelRowChanges", "beforeCommitConditional", "beforeCommitRow",
                                 "beforeMoveToCurrentRow", "beforeDeleteTable", "afterChangeOfRowData",
                                 "afterInsertRow", "afterDeleteRow", "afterReset", "afterMoveToCurrentRow",
                                 "afterRequeryRowAndDetails", "afterRequeryTable", "beginEvents",
                                 "endEvents", "originatorNavigateRow", "initialize"}),
};


protected static final String icons[] = {
    "resources/JCData_1616.gif",
    "resources/JCData_1616.gif",
    "resources/JCData_3232.gif",
    "resources/JCData_3232.gif",
};

public JCDataBeanInfo() {
    super(properties, events, ":com.klg.jclass.datasource.resources.LocaleInfo", icons);
}

}
