/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCDataEvent.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:09 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.datasource.beans;

import com.klg.jclass.datasource.*;

/**
 * <code>JCDataEvent</code> describes a Bean value change.
 */
public class JCDataEvent extends java.util.EventObject {

static final long serialVersionUID = 6939966897418962308L;

/** <code>NodeProperties</code> value change. */
public final static int DATASOURCE_BEAN_COMPONENT_VALUE = 1;

int value;
NodeProperties comp;

/**
 * Constructor for <code>JCDataEvent</code>.
 *
 * @param source the data Bean component
 */
public JCDataEvent(Object source) {
    this(source, DATASOURCE_BEAN_COMPONENT_VALUE, null);
}

/**
 * Constructor for <code>JCDataEvent</code>.
 *
 * @param source the data Bean component
 * @param value the component value
 */
public JCDataEvent(Object source, int value) {
    this(source, value, null);
}

/**
 * Constructor for <code>JCDataEvent</code>.
 *
 * @param source the data Bean component
 * @param comp the <code>NodeProperties</code>
 */
public JCDataEvent(Object source, NodeProperties comp) {
    this(source, DATASOURCE_BEAN_COMPONENT_VALUE, comp);
}

/**
 * Constructor for <code>JCDataEvent</code>.
 *
 * @param source the data Bean component
 * @param value the component value
 * @param comp the <code>NodeProperties</code>
 */
public JCDataEvent(Object source, int value, NodeProperties comp) {
    super(source);
    this.value = value;
    this.comp = comp;
}

/**
 * Returns the value.
 * @return the value
 */
public int getValue() {
    return value;
}

/**
 * Returns the <code>NodeProperties</code>.
 * @return the <code>NodeProperties</code>
 */
public NodeProperties getNodeProperties() {
    return comp;
}

}
