/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: ColumnDataBindingEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:10 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.datasource.customizer;

import javax.swing.tree.*;

import com.klg.jclass.datasource.*;

public class ColumnDataBindingEditor extends DataBindingEditor {

public ColumnDataBindingEditor() {
    super(false, true);
}

/**
 * This method overrides the super class and adds the existence of columns
 * to the "definition" of having children.
 */
protected boolean hasChildren(MetaDataModel metaDataModel) {
    try {
        return super.hasChildren(metaDataModel)
        || metaDataModel.getColumnCount() != 0;
    }
    catch (DataModelException e) {
        return super.hasChildren(metaDataModel);
    }
}

protected void addChildren(MutableTreeNode parent,
                           MetaDataModel metaDataModel) {
    // call the super class to add any meta-data level children
    super.addChildren(parent, metaDataModel);

    int num_columns = 0;
    try {
        num_columns = metaDataModel.getColumnCount();
    }
    catch (DataModelException e) {
        return;
    }

    // add columns ourselves as leaf nodes
    for (int i = 0; i < num_columns; i++) {
        String label;
        try {
            label = metaDataModel.getColumnIdentifier(i);
        }
        catch (DataModelException e) {
            continue;
        }
        EditorTreeNode newItem = new EditorTreeNode(label);
        parent.insert(newItem, parent.getChildCount());
    }
}

}

