/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: CustomizePage.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:10 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.datasource.customizer;

import java.awt.*;

import com.klg.jclass.beans.PanelEditor;

/** This is a page in a customizer.  It can be a property editor.  
 *	If it is a property editor and it is used in a customizer, 
 *	then the customizer listens to events fired for its property change.
 */
abstract public class CustomizePage extends PanelEditor {

//
//	Note: 	target in PanelEditor is the property which 
//			belongs to bean, which is the bean being customized.
//

/** page name */
protected String page_name;

/** bean object which is being customized. */
protected Object bean;


public CustomizePage() {
    this("");
}

public CustomizePage(String page_name) {
    super();
    this.page_name = page_name;
}

/** Sets the bean object which is customized. */
public void setBean(Object source) {
    bean = source;
}

/** Gets the page name. */
public String getPageName() {
    return page_name;
}

public Insets getInsets() {
    return new Insets(5, 5, 5, 5);
}

} 
