/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: DataModelPage.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:10 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.datasource.customizer;

import java.awt.*;

import javax.swing.JPanel;

import com.klg.jclass.datasource.beans.NodeProperties;

/** A page in NodePropertiesEditor. */
abstract public class DataModelPage extends JPanel {

protected String page_name;
private NodeProperties comp;
private boolean initializing = false;

public DataModelPage() {
    this("");
}

public DataModelPage(String page_name) {
    super();
    this.page_name = page_name;
}

/** Initializes a data model page. */
protected void init(NodeProperties comp) {
    this.comp = comp;
    initializing = true;
    setNodeProperties(comp);
    initializing = false;
}

/** Override to display values of the bean data comp in this page. */
abstract public void setNodeProperties(NodeProperties comp);

/** Gets a data bean component. */
public NodeProperties getNodeProperties() {
    return comp;
}

/** Indicates if data model page is initializing. */
public boolean isInitializing() {
    return initializing;
}

/** Gets the internationalized page name. */
public String getPageName() {
    return page_name;
}

public Insets getInsets() {
    return new Insets(5, 5, 5, 5);
}

} 
