/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: DescriptionDialog.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:10 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.datasource.customizer;

import java.awt.*;
import java.awt.event.*;

import javax.swing.*;

import com.klg.jclass.datasource.LocaleBundle;

/** A dialog to get a description. */
public class DescriptionDialog extends JDialog implements ActionListener {

JButton btnOk;
JTextField descriptionField;

String description;
boolean isCancelled = false;

public DescriptionDialog(Frame frame) {
    this(frame, LocaleBundle.string(LocaleBundle.description));
}

public DescriptionDialog(Frame frame, String title) {
    super(frame);
    setTitle(title);
    init();
}

public void init() {
    getContentPane().setLayout(new BorderLayout());

    descriptionField = new JTextField("", 30);
    btnOk = new JButton(LocaleBundle.string(LocaleBundle.ok));  
    JPanel panel = new JPanel();

    setModal(true);
    panel.add(btnOk);

    getContentPane().add(descriptionField, BorderLayout.CENTER);
    getContentPane().add(panel, BorderLayout.SOUTH);
    descriptionField.addActionListener(this);
    btnOk.addActionListener(this);

    addWindowListener(new java.awt.event.WindowAdapter() {
                          public void windowClosing(java.awt.event.WindowEvent e) {
                              isCancelled = true;
                              setVisible(false); 
                          }
                      });
}

public String getDescription() {
    return descriptionField.getText();
}

public void setDescription(String description) {
    descriptionField.setText(description);
    this.description = description;
}

public boolean isCancelled() {
    return isCancelled;
}

public void actionPerformed(ActionEvent e) {
    isCancelled = false;
    setVisible(false);
}

/** Centers the dialog relative to the parent frame. */
public void setVisible(boolean v) {
    if (v) {
        centerDialog();
    }
    super.setVisible(v);
}

/** 
 * Centers the dialog relative to the parent frame or screen.
 */
void centerDialog() {
    int x = 0;
    int y = 0;
    Dimension screenDim = Toolkit.getDefaultToolkit().getScreenSize();
    x = (screenDim.width - getSize().width) / 2;
    y = (screenDim.height - getSize().height) / 2;
    setLocation(x, y);
}

} // DescriptionDialog
