/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: DesignTimeMetaData.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:10 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.datasource.customizer;

import javax.swing.tree.*;

import com.klg.jclass.datasource.*;

/**
 * Interface to create meta data at design time. 
 */
public interface DesignTimeMetaData {

/** Gets a meta data tree. */
public TreeModel getMetaDataTree();

/** Get a meta data at the same level as the 
 *	find_data in a node in the start tree node.
 *	@param find_data in a node in the start tree node.
 *	@param start_node tree node to start the search.
 *	@param start_meta meta data tree node to start the search.
 */
public MetaDataModel getMetaData(Object find_data, DataSourceTreeNode start_node, 
                                 DataSourceTreeNode meta_start);

/** Gets the root of a tree model that is used to find data
 *	this the tree of this root.
 *	@see #foundData
 */
public DataSourceTreeNode getModelTreeRoot();

/** Data is in the tree node. 
 *	@param find_data in a node in the start tree node.
 *	@param node tree node to be tested if find_data is in it.
 */
public boolean foundData(Object find_data, DataSourceTreeNode node);

}
