/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCDataCustomizer.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:10 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.datasource.customizer;

import java.awt.*;
import java.beans.*;
import javax.swing.*;

import com.klg.jclass.datasource.*;
import com.klg.jclass.datasource.beans.*;

/** Customizer for JCData. */
public class JCDataCustomizer extends JPanel implements Customizer,
    PropertyChangeListener {

protected PropertyChangeSupport support = new PropertyChangeSupport(this);
protected JCData target = null;
protected NodePropertiesEditor nodePropertiesEditor;

public JCDataCustomizer() {
    super();
    init();
}

public void init() {
    // Build tab manager
    setLayout(new GridLayout(1, 1));
    setFont(new Font("Dialog", Font.PLAIN, 9));
    add(nodePropertiesEditor = new NodePropertiesEditor());
    com.klg.jclass.datasource.customizer.CustomizerLauncher.setDefaultFont((Component)this, new Font("Dialog", Font.PLAIN, 9));
}

public void setObject(Object source) {
    if (source instanceof JCData) {
    	target = (JCData) source;
    	nodePropertiesEditor.setBean(target);
    	nodePropertiesEditor.addPropertyChangeListener(this);
    }
}

/** When a property in a CustomizePage is changed. */
public void propertyChange(PropertyChangeEvent e) {
    if (e.getSource() instanceof PropertyEditor) {
        String property_name = null;
        PropertyEditor pe = (PropertyEditor) e.getSource();
        if (pe instanceof NodePropertiesEditor) {
            property_name = "NodeProperties";
            try {
                ((JCData)target).setNodeProperties(
                                                  (NodeProperties)pe.getValue());
            }
            catch (Exception ex) {
                ex.printStackTrace();
            }
        }
        if (property_name != null) {
            // Tell other editors like BeanBox property sheet that this bean 
            // is changed.
            support.firePropertyChange(property_name, null, null);
        }
    }
}

/** Adds listener for JCData change. */
public void addPropertyChangeListener(PropertyChangeListener l) {
    support.addPropertyChangeListener(l);
}

/** Removes listener from JCData change. */
public void removePropertyChangeListener(PropertyChangeListener l) {
    support.removePropertyChangeListener(l);
}

public static void main(String args[]) {
    java.beans.Beans.setDesignTime(true);
    com.klg.jclass.datasource.customizer.CustomizerLauncher launcher = 
    new com.klg.jclass.datasource.customizer.CustomizerLauncher(
                                                         LocaleBundle.string(LocaleBundle.JCData),
                                                         new JCDataCustomizer(),
                                                         new JCData(),
                                                         null);
    launcher.pack();
    launcher.show();
}

}
