/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JoinView.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:11 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.datasource.customizer;

import java.awt.*;

/** This is a representation of a model of a join between two database tables. */
class JoinView {

Join join;
TableView parent, child;

private static int lineOffset = 20;

JoinView(Join join, TableView parent, TableView child) {
    this.join = join;
    this.parent = parent;
    this.child = child;
}


/** Gets the from and to locations that join line will be drawn.
 */
public void getLocations(Point from, Point to) {
    if (from == null || to == null) return;
    Rectangle left = (parent.getBounds().x > child.getBounds().x) ?
                     child.getBounds() : parent.getBounds();
    Rectangle right = (parent.getBounds().x > child.getBounds().x) ?
                      parent.getBounds() : child.getBounds();

    from.x = left.x+left.width;
    from.y = left.y + lineOffset;
    to.x = right.x;
    to.y = right.y + lineOffset;
}

/** Gets the polygon defined the join line between two table views.
 *  The line width is 3 pixels.
 */
public Polygon getPolygon() {
    Point from = new Point(), 
                 to = new Point();
    getLocations(from, to);
    int y_delta = (from.y == to.y) ? 1 : 0;
    int x_delta = 1;
    int[] xs = { from.x-x_delta, from.x+x_delta, to.x+x_delta, to.x-x_delta};
    int[] ys = { from.y-y_delta, from.y+y_delta, to.y+y_delta, to.y-y_delta};
    return new Polygon(xs, ys, xs.length);
}


} 
