/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: TipsDialog.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:11 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.datasource.customizer;

import java.awt.*;
import java.awt.event.*;
import java.util.StringTokenizer;

import javax.swing.*;

import com.klg.jclass.datasource.LocaleBundle;

/** A dialog to show tips. */
public class TipsDialog extends JDialog implements ActionListener {

JButton btnOk;
JCheckBox showTipsAtStart;
JPanel messagePanel;

public TipsDialog(Frame frame, String title) {
    super(frame);
    // modal dialog makes VCafe 2.5 hang.
    //setModal(true);
    setTitle(title);
    init();
}

/** Initialize the layout of the dialog box. */
public void init() {
    getContentPane().setLayout(new GridLayout(1, 1));

    JPanel main_panel = new JPanel();
    messagePanel = new JPanel();
    showTipsAtStart = new JCheckBox(LocaleBundle.string(LocaleBundle.show_tips_at_start));
    btnOk = new JButton(LocaleBundle.string(LocaleBundle.ok));  
    main_panel.setLayout(new GridBagLayout());
    GridBagConstraints c = new GridBagConstraints();
    c.insets = new Insets(5, 5, 5, 5);
    c.gridx = 1;
    c.gridy = 1;
    c.anchor = GridBagConstraints.WEST;
    main_panel.add(messagePanel, c);
    c.gridy = GridBagConstraints.RELATIVE;
    c.anchor = GridBagConstraints.WEST;
    c.fill = GridBagConstraints.NONE;
    main_panel.add(showTipsAtStart, c);
    c.anchor = GridBagConstraints.CENTER;
    main_panel.add(btnOk, c);

    getContentPane().add(main_panel);

    btnOk.addActionListener(this);

    addWindowListener(new java.awt.event.WindowAdapter() {
                          public void windowClosing(java.awt.event.WindowEvent e) {
                              setVisible(false);
                          }
                      });
}

/** Sets the show tips at start flag for display. */
public void setShowTipsAtStart(boolean v) {
    showTipsAtStart.setSelected(v);
}

/** Gets the show tips at start flag that user may change. */
public boolean getShowTipsAtStart() {
    return showTipsAtStart.isSelected();
}

/** Sets the message to be displayed. */
public void setMessage(String s) {
    // Remove old messages
    messagePanel.removeAll();

    StringTokenizer token = new StringTokenizer(s, System.getProperty("line.separator"));
    StringBuffer sb = new StringBuffer();
    int counter = 0;
    while (token.hasMoreTokens()) {
        counter++;
        messagePanel.add(new JLabel(token.nextToken()));
    }
    messagePanel.setLayout(new GridLayout(counter, 1));
}

/** Hides the dialog box. */
public void actionPerformed(ActionEvent e) {
    setVisible(false);
}

/** Centers the dialog relative to the parent frame. */
public void setVisible(boolean visible) {
    if (visible) {
        centerDialog();
    }
    super.setVisible(visible);
}

/** 
 * Centers the dialog relative to the parent frame or screen.
 */
void centerDialog() {
    int x = 0;
    int y = 0;
    Dimension screenDim = Toolkit.getDefaultToolkit().getScreenSize();
    x = (screenDim.width - getSize().width) / 2;
    y = (screenDim.height - getSize().height) / 2;
    setLocation(x, y);
}

} // TipsDialog
