/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JBDataBeanInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:11 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.datasource.jbuilder;

import java.beans.BeanDescriptor;
import com.klg.jclass.beans.JCBeanInfo;
import com.klg.jclass.beans.JCEventSetDescriptor;
import com.klg.jclass.beans.JCPropertyDescriptor;

/**
 * This class provides additional information about this
 * bean to the introspection process.
 */
public class JBDataBeanInfo extends JCBeanInfo {

public static final String ABOUT_PROP = "about";
public static final String JCData_COMPONENT_PROP = "treeProperties";
//public static final String VERSION_PROP = "version";
public static final String MODEL_NAME_PROP = "modelName";
public static final String DATA_MODEL_EVENT = "dataModel";

protected static final JCPropertyDescriptor properties[] = {
    new JCPropertyDescriptor(ABOUT_PROP, "com.klg.jclass.datasource.bean.AboutEditor"),
    new JCPropertyDescriptor(JCData_COMPONENT_PROP, "com.klg.jclass.datasource.bean.NodePropertiesEditor"),
//    new JCPropertyDescriptor(VERSION_PROP, "com.klg.jclass.datasource.bean.AboutEditor"),
    new JCPropertyDescriptor(MODEL_NAME_PROP, MODEL_NAME_PROP, MODEL_NAME_PROP,
                             false, HIDDEN, null),
};
/*
static final String[][] names = {
	{ "about", 				"com.klg.jclass.datasource.bean.AboutEditor" },
	{ "dataBeanComponent", 	"com.klg.jclass.datasource.bean.DataBeanComponentEditor" },
	{ "version", 			"com.klg.jclass.datasource.bean.AboutEditor" },
};
*/

protected static final JCEventSetDescriptor events[] = {
    new JCEventSetDescriptor(DATA_MODEL_EVENT, "com.klg.jclass.datasource",
                             new String[] { "beforeInsertRow", "beforeReset", "beforeRequery", "beforeEditCell",
                                 "beforeDeleteRow", "beforeCommitAll", "beforeCancelAll",
                                 "beforeCancelRowChanges", "beforeCommitConditional", "beforeCommitRow",
                                 "beforeMoveToCurrentRow", "beforeDeleteTable", "afterChangeOfRowData",
                                 "afterInsertRow", "afterDeleteRow", "afterReset", "afterMoveToCurrentRow",
                                 "afterRequeryRowAndDetails", "afterRequeryTable", "beginEvents",
                                 "endEvents", "originatorNavigateRow", "initialize"}),
};
/*
static final String[][] events = {
	{ "dataModel", "DataModelListener", "addDataModelListener", "removeDataModelListener" },
};

static final String[][] listeners = {
	{ "dataModel", "dataModelChanged" },
	{ "dataModel", "dataModelCreated" },
};
*/

protected static final String icons[] = {
    "resources/JCData_1616.gif",
    "resources/JCData_3232.gif",
};

public JBDataBeanInfo() {
    super(properties, events, "resources.LocaleInfo", icons);
}

/**
 * Gets the specified icon image
 *
public java.awt.Image getIcon(int iconKind) {
	if (iconKind == ICON_MONO_16x16 || iconKind == ICON_COLOR_16x16)
	    return loadImage("/jclass/datasource/DataBean_1616.gif");
	if (iconKind == ICON_MONO_32x32 || iconKind == ICON_COLOR_32x32)
	    return loadImage("/jclass/datasource/DataBean_3232.gif");
	return null;
}

public BeanDescriptor getBeanDescriptor() {
	return new BeanDescriptor(beanClass, customizerClass);
}

private final static Class beanClass = com.klg.com.klg.jclass.datasource.jbuilder.JBDataBean.class;
private final static Class customizerClass = com.klg.jclass.datasource.IdeDataBeanCustomizer.class;
*/
} // JBDataBeanInfo

