/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JBuilderDataBinding.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:12 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.datasource.jbuilder;

import com.borland.dx.dataset.DataSet;

import com.klg.jclass.datasource.util.IDEDataBinding;
import com.klg.jclass.datasource.DataModelException;

/**
 * This class manages a static hashtable of JBuilderDataBinding
 * instances based on particular DataSet instances. This ensures
 * there will only ever be a one-to-one relationship between
 * JBuilderDataBinding instances and their corresponding
 * DataSet instances.
 */
public class JBuilderDataBinding extends IDEDataBinding {

private MetaData jbMetaData = null;
private DataSet ds = null;

protected JBuilderDataBinding( DataSet ds ) {
	// call the super class to add iteself to the hashtable and
	// create an instance of the data model
	super(ds);

	this.ds = ds;
	try {
		jbMetaData = new MetaData( dataModel, ds );
	}
	catch( DataModelException exc ) {
		System.out.println("Can't create a new JBuilder Meta Data." + exc.getMessage() );
	}
}

public static JBuilderDataBinding getBinding( DataSet ds ) {
	JBuilderDataBinding jbDataBinding = (JBuilderDataBinding)hashtable.get( ds );

	if ( jbDataBinding == null ) {
		jbDataBinding = new JBuilderDataBinding( ds );
	}
	return jbDataBinding;
}

}
