/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: MetaDataCreator.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:12 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.datasource.jbuilder;

import com.klg.jclass.datasource.beans.NodeProperties;
import com.klg.jclass.datasource.DataModel;
import com.klg.jclass.datasource.DataModelException;
import com.klg.jclass.datasource.MetaDataModel;

/** This class creates a VCafe MetaData.
 *	@see com.klg.jclass.datasource.beans.NodeProperties
 */
public class MetaDataCreator extends com.klg.jclass.datasource.beans.MetaDataCreator {

static final long serialVersionUID = 7235155874817483906L;

private static MetaDataCreator creator = new MetaDataCreator();

private final static boolean TRACE = false;

/**	Create a Visual Cafe meta data.
 * @exception DataModelException If the operation fails to create a meta data.
 */
protected MetaDataModel create(DataModel data_model,
MetaDataModel meta_parent, NodeProperties comp) throws DataModelException {
	// no native data source object.
	if (comp.getDataSource() == null) return null;

	MetaDataModel meta = null;
	if (meta_parent == null) {
		meta = new MetaData(data_model, comp.getDataSource());
	} else {
		meta = new MetaData(data_model, (MetaData) meta_parent, comp.getDataSource());
	}

	return meta;
}

/** Gets a JBuilder meta data creator. */
public static MetaDataCreator getCreator() {
	return creator;
}

}
