/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: PersistorModel.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:12 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.datasource.jdbc;

import com.klg.jclass.datasource.*;

/**
 * Implementations of this interface can be set on a com.klg.jclass.datasource.jdbc.MetaData
 * instance.  Any modifications to be written to the database are saved by
 * calling this interface's saveRow method.
 * <P>
 * The default implementation (com.klg.jclass.datasource.jdbc.Persistor) builds an
 * insert, update, or delete statement for this row depending upon its status.
 * <P>
 * You may wish to implement this interface to, say, call a stored procedure
 * instead of building sql statements.
 */
public interface PersistorModel {

/**
 * Persist the changes to the row to the originating data base and
 * tables.
 * @exception DataModelException If any exception occurs.
 */
public void saveRow(long bookmark, MetaData metaDataModel, DataTableModel dataTableModel) throws DataModelException;

}
