/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: ColumnMap.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:13 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.datasource.util;

import java.io.Serializable;

/**
 * A helper class which maps the name of a column in
 * a master table to its name in a detail table.
 * An ordered Vector of these objects is maintained
 * in MetaData.  The order is important.  These
 * objects must be added in the same order as the
 * parameters appear in the statement.
 */
public class ColumnMap implements Serializable {
	
static final long serialVersionUID = -3985703548053611049L;

private String parentColumn = "";
private String childColumn = "";

/** Constructs a column map. 
 *	@param parentColumn parent column name
 *	@param childColumn child column name
 */
public ColumnMap(String parentColumn, String childColumn) {
    this.parentColumn = parentColumn;
    this.childColumn = childColumn;
}

/** Gets the parent column */
public String getParentColumn() {
    return parentColumn;
}

/** Gets the child column */
public String getChildColumn() {
    return childColumn;
}

}
