/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: IDEDataBinding.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:13 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.datasource.util;

//jdk specific
import java.util.Hashtable;

//JClass DataSource specific
import com.klg.jclass.datasource.*;

/**
 * Super class for enabling binding through JClass DataSource to particular
 * IDE databases.  i.e. Symantec Visual Cafe and Borland JBuilder.<p>
 * The super class handles cahcing the objects. It is the responsibility
 * of sub class to create the specific meta-data to be used since this
 * is IDE specific.<p>
 * We has the values so that we don't need to create a new datasource and
 * new meta-data for each component we bind.
 */
public class IDEDataBinding implements java.io.Serializable {

protected static Hashtable hashtable = new Hashtable();
protected DataModel dataModel = null;
protected int consumerCount = 1;

protected IDEDataBinding(Object key) {
    hashtable.put( key, this );
    dataModel = new TreeData();
}

/**
 * Returns an instance of the data binding object if it exists.  On
 * successful return the reference count is incremented by one
 * <P>Call detach() in the finalize method of the object
 * <P>Sub-classes are responsible for creating the necessary meta-data
 */
static IDEDataBinding getDataBinding( Object key ) {
    IDEDataBinding db = (IDEDataBinding) hashtable.get( key );

    if (db != null) {
        db.consumerCount++;
    }
    return db;
}


public static void detach( Object key ) {
    IDEDataBinding db = (IDEDataBinding)hashtable.get( key );

    if (db == null) {
        System.out.println( "IDEDataBinding Error: An attempt to detach non-existing entry." );
    }
    else {
        db.consumerCount-- ;
    }

    if (db.consumerCount == 0) {
        hashtable.remove( key );
    }
}

public DataModel getDataModel() {
    return dataModel;
}

}
