/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LocaleBundle.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:13 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.datasource.util;

import java.util.*;

import com.klg.jclass.datasource.util.resources.LocaleInfo;

/**
 * Locale specific tag-message pairs used in DataSource
 * to provide internationalization.
 */
public class LocaleBundle {

private static final String BUNDLE_PATH = "com.klg.jclass.datasource.util.resources.LocaleInfo";
private static ResourceBundle bundle = ResourceBundle.getBundle(BUNDLE_PATH, Locale.getDefault());

synchronized static String string(String language, String country, String key) {
    return ResourceBundle.getBundle(BUNDLE_PATH, new Locale(language, country)).getString(key);
}

public synchronized static String string(String key) {
    return bundle.getString(key);
}

synchronized static void setBundleLocale(Locale loc) {
    bundle = ResourceBundle.getBundle(BUNDLE_PATH, loc);
}

// Key constants
public static final String defaultErrorDialogOkText     = "OK";
public static final String CANCEL_ALL                   = "Cancel All";
public static final String CANCEL_ROW                   = "Cancel Record";
public static final String COMMIT_ALL                   = "Save All";
public static final String COMMIT_ROW                   = "Save Record";
public static final String DELETE_ROW                   = "Delete Record";
public static final String DELETE_ROW_TIP               = "Delete current record";
public static final String FIRST_ROW                    = "Go to first record";
public static final String GO_TO                        = "Go To...";
public static final String INSERT_ROW                   = "Insert Record";
public static final String INSERT_ROW_TIP               = "Insert record";
public static final String INVALID_FORMAT               = "Invalid data format: ";
public static final String INVALID_IMAGE                = "The column data cannot be converted into an image.";
public static final String LAST_ROW_TIP                 = "Go to last record";
public static final String POPUP_MENU_TIP               = "Show pop-up menu";
public static final String PREVIOUS_ROW_TIP             = "Go to previous record";
public static final String NEXT_ROW_TIP                 = "Go to next record";
public static final String NO_RECORDS                   = "no records";
public static final String NOT_AVAILABLE                = "not available";
public static final String NOT_BOUND                    = "Not bound";
public static final String RECORD_OF_TOTAL              = "{0,number,integer} of {1,number,integer}";
public static final String RECORD_OF_TOTAL_STATUS       = "{0,number,integer}* of {1,number,integer}";
public static final String RECORDS                      = " records";
public static final String REQUERY_ALL                  = "Requery All";
public static final String REQUERY_ROW_AND              = "Requery Record and Details";

}

