/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: NavigatorPopupMenu.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:13 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.datasource.util;

import java.awt.event.ActionListener;

import com.klg.jclass.datasource.util.LocaleBundle;
import com.klg.jclass.util.swing.BasePopupMenu;

/**
 * BasePopupMenu is the popup menu to initiate data related
 * commands at runtime.
 */
public class NavigatorPopupMenu extends BasePopupMenu {

/**
 * List of strings for the popup menu.
 */
final static public String[] commands = new String[] {
    LocaleBundle.string(LocaleBundle.INSERT_ROW),
    LocaleBundle.string(LocaleBundle.DELETE_ROW),
    LocaleBundle.string(LocaleBundle.CANCEL_ROW),
    LocaleBundle.string(LocaleBundle.CANCEL_ALL),
    LocaleBundle.string(LocaleBundle.REQUERY_ROW_AND),
    LocaleBundle.string(LocaleBundle.REQUERY_ALL),
    LocaleBundle.string(LocaleBundle.COMMIT_ROW),
    LocaleBundle.string(LocaleBundle.COMMIT_ALL),
    LocaleBundle.string(LocaleBundle.GO_TO),
};

/**
 * NavigatorPopupMenu constructor.
 */
public NavigatorPopupMenu(ActionListener listener) {
    super(listener);
}

/**
 * Returns NavigatorPopupMenu's command set.
 */
protected String[] getCommands() {
    return commands;
}

/**
 * Enable or disable a menu item in the popup menu.
 *
 * @param command The key string.
 * @param enable True if enable else false.
 *
 * @return True if menu item is found and is enabled or is disabled.
 */
public boolean enableMenuItem(String key, boolean enable) {
    return super.enableMenuItem(LocaleBundle.string(key), enable);
}

}   // NavigatorPopupMenu
