/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: DataProperties.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:14 $ $Locker:  $ Quest Software Inc.

package com.klg.jclass.field;

import java.awt.Color;
import com.klg.jclass.util.value.JCValueModel;
import com.klg.jclass.field.validate.JCValidator;

/**
 * A Bean property which wraps the validator, data model, and
 *  Field objects properties into one property.
 */
public class DataProperties implements java.io.Serializable{

protected JCValidator validator;
protected JCValueModel value;
protected JCInvalidInfo invalidInfo;

/**
 * Constructs a DataProperties object with the validator, data model, and
 * Field properties specified.
 * @see com.klg.jclass.field.validate.JCValidator
 * @see com.klg.jclass.util.value.JCValueModel
 * @see com.klg.jclass.field.JCInvalidInfo
 */
public DataProperties(JCValidator validator, JCValueModel value,
					  JCInvalidInfo invalid_info) {
	this.validator = validator;
	this.value = value;
	this.invalidInfo = invalid_info;
}

/**
 * Returns the validator currently being used.
 * @see com.klg.jclass.field.validate.JCValidator
 */
public JCValidator getValidator() {
	return validator;
}

/**
 * Returns the data model currently being used.
 * @see com.klg.jclass.util.value.JCValueModel
 */
public JCValueModel getValueModel() {
	return value;
}

/**
 * Returns the invalid policy used.
 */
public JCInvalidInfo getInvalidInfo() {
	return invalidInfo;
}

}
