/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: FieldBeanInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:14 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.field;

import com.klg.jclass.beans.*;

/**
 * This is the base bean info class for Field.  It specifies the general
 * properties and events for Field.
 */
public class FieldBeanInfo extends ComponentBeanInfo {
    
public static final String DATA_PROPERTIES = "dataProperties";
public static final String REQUIRED = "required";
public static final String VALUE = "value";

protected static final JCPropertyDescriptor field_properties[] = {
	new JCPropertyDescriptor(DATA_PROPERTIES,"com.klg.jclass.field.beans.DataPropertiesEditor"),
	new JCPropertyDescriptor(REQUIRED, REQUIRED, REQUIRED, true, 
							 JCPropertyDescriptor.NORMAL,null),

};

protected static final JCEventSetDescriptor field_events[] = {
    new JCEventSetDescriptor(VALUE, VALUE, "com.klg.jclass.util.value",
                             "JCValueListener", VALUE,
	                         new String[] {"valueChanging",
	                                       "valueChanged"}),
};

public FieldBeanInfo(JCPropertyDescriptor properties[],
					 JCEventSetDescriptor events[],
					 String resource_bundle, String icons[]) {
	super(mergeProperties(field_properties, properties), 
		  mergeEvents(field_events, events), 
		  ":com.klg.jclass.field.beans.resources.LocaleInfo", icons);

}

}





