/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: AbstractValidatorEditor.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:14 $ $Locker:  $ Quest Software Inc. 

package com.klg.jclass.field.beans;

import javax.swing.JPanel;
import com.klg.jclass.util.swing.JCGridLayout;
import com.klg.jclass.field.validate.*;

abstract public class AbstractValidatorEditor extends JPanel {

protected String[] bool_vals = {"False", "True"};
protected AbstractValidator vp;
protected static int TEXTFIELD_SIZE = 16;

public AbstractValidatorEditor() {
}

/**
 * This method creates the new validator. Returns null. All subclasses
 * should return a validator.
 */
abstract protected ValidatorInfo getValidatorInfo();

abstract public void setProperties(JCValidator validator);

/**
 * Returns the init string for code generation in IDEs.
 */
public String getInitString() {
	ValidatorInfo vinfo = getValidatorInfo();
	return vinfo.init_string;
}

/**
 * This method returns a new validator interface object.
 */
public JCValidator getNewValidator() {
	ValidatorInfo vinfo = getValidatorInfo();
	return vinfo.validator;
}

// inner class to store validator and init string
protected class ValidatorInfo {

	protected JCValidator validator;
	protected String init_string;

	public ValidatorInfo(JCValidator validator, String init_string) {
		this.validator = validator;
		this.init_string = init_string;
	}
} // ValidatorInfo

}
