/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: FloatValidatorEditor.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:14 $ $Locker:  $ Quest Software Inc.

package com.klg.jclass.field.beans;

import com.klg.jclass.field.*;
import com.klg.jclass.field.validate.*;
import java.math.BigDecimal;

public class FloatValidatorEditor extends BigDecimalValidatorEditor {

/**
 * Returns a ValidatorInfo object which contains the code generation string
 * and a new instance of the validator.
 */
protected ValidatorInfo getInfo() {
	JCFloatValidator new_vp;

	// make sure the max and min are not greater/less than the int bounds
	BigDecimal float_max = new BigDecimal(Float.MAX_VALUE);
	BigDecimal float_min = new BigDecimal(-Float.MAX_VALUE);
	if (min.doubleValue() < float_min.doubleValue()) {
		min = float_min;
	}

	if (max.doubleValue() > float_max.doubleValue()) {
		max = float_max;
	}

	// create and set the new code generation string
	String init_string = ("new com.klg.jclass.field.validate.JCFloatValidator(" + 
	    "null, new Float((float)" + min.floatValue() + "), new Float((float)" + 
		max.floatValue() + ") , new Float((float)" + increment.floatValue() + 
        "), \"" + display_pattern + "\", " + allow_null + ", " + currency +
		", false, null, new Float((float)" + default_value.floatValue() + "))");

	// create new validator
	new_vp = new JCFloatValidator(null, min, max, increment, display_pattern,
								  allow_null, currency, false, null, 
								  default_value);

	// create new validator info object
	ValidatorInfo vi = new ValidatorInfo(new_vp, init_string);

	// return the new validator object
	return(vi);
}

}




