/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: IPAddressValidatorEditor.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:14 $ $Locker:  $ Quest Software Inc. 

package com.klg.jclass.field.beans;

import com.klg.jclass.field.*;
import com.klg.jclass.field.validate.*;
import com.klg.jclass.util.JCIPAddress;
import com.klg.jclass.util.swing.JCGridLayout;

import javax.swing.JLabel;
import javax.swing.JTextField;
import javax.swing.JComboBox;
import javax.swing.ListModel;
import javax.swing.JButton;
import javax.swing.JOptionPane;
import javax.swing.JDialog;
import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

public class IPAddressValidatorEditor extends AbstractValidatorEditor 
    implements ActionListener {

protected Number    max1;
protected Number    min1;
protected Number    max2;
protected Number    min2;
protected Number    max3;
protected Number    min3;
protected Number    max4;
protected Number    min4;
protected ListModel picklist;
protected boolean   match_picklist;
protected Integer    increment;
protected boolean   allow_null;
protected JCIPAddress default_value;
protected JTextField max_field1;
protected JTextField min_field1;
protected JTextField max_field2;
protected JTextField min_field2;
protected JTextField max_field3;
protected JTextField min_field3;
protected JTextField max_field4;
protected JTextField min_field4;
protected JButton picklist_button;
protected JDialog picklist_dialog;
protected ListModelEditor picklist_editor;
protected JComboBox match_picklist_field;
protected JTextField increment_field;
protected JComboBox allow_null_field;
protected JTextField default_value_field;

public IPAddressValidatorEditor() {

	setLayout(new JCGridLayout(13, 2, 5, 5));

	// setup Max property for subfield 1
	add(new JLabel("Max for subfield 1:"));
	add(max_field1 = new JTextField(TEXTFIELD_SIZE));

	// setup Min property for subfield 1
	add(new JLabel("Min for subfield 1:"));
	add(min_field1 = new JTextField());

	// setup Max property for subfield 2
	add(new JLabel("Max for subfield 2:"));
	add(max_field2 = new JTextField(TEXTFIELD_SIZE));

	// setup Min property for subfield 2
	add(new JLabel("Min for subfield 2:"));
	add(min_field2 = new JTextField());

	// setup Max property for subfield 3
	add(new JLabel("Max for subfield 3:"));
	add(max_field3 = new JTextField(TEXTFIELD_SIZE));

	// setup Min property for subfield 3
	add(new JLabel("Min for subfield 3:"));
	add(min_field3 = new JTextField());

	// setup Max property for subfield 4
	add(new JLabel("Max for subfield 4:"));
	add(max_field4 = new JTextField(TEXTFIELD_SIZE));

	// setup Min property for subfield 4
	add(new JLabel("Min for subfield 4:"));
	add(min_field4 = new JTextField());
	
	// setup picklist property
	add(new JLabel("PickList:"));
	add(picklist_button = new JButton("Click here to edit..."));
	picklist_button.addActionListener(this);
	createPickListDialog();

	// setup increment property
	add(new JLabel("Increment:"));
	add(increment_field = new JTextField());

	// setup match picklist property
	add(new JLabel("Match PickList:"));
	add(match_picklist_field = new JComboBox(bool_vals));

	// setup allow null property 
	add(new JLabel("Allow Null:"));
	add(allow_null_field = new JComboBox(bool_vals));

	// setup default value property
	add(new JLabel("Default Value:"));
	add(default_value_field = new JTextField());
}


/**
 * Sets the current Int validator values into the editors.
 */
public void setProperties(JCValidator vp) {
	JCIPAddressValidator ip_vp = (JCIPAddressValidator)vp;
	
	JCIntegerValidator[] validators = ip_vp.getValidators();

	// get the current values from the validator
	if (validators != null && validators[0] != null) {
		max1 = (Number)validators[0].getMax();
		min1 = (Number)validators[0].getMin();
	}
	else {
		max1 = new Integer(JCIPAddress.MAX_VALUE);
		min1 = new Integer(JCIPAddress.MIN_VALUE);
	}

	if (validators != null && validators[1] != null) {
		max2 = (Number)validators[1].getMax();
		min2 = (Number)validators[1].getMin();
	}
	else {
		max2 = new Integer(JCIPAddress.MAX_VALUE);
		min2 = new Integer(JCIPAddress.MIN_VALUE);
	}

	if (validators != null && validators[2] != null) {
		max3 = (Number)validators[2].getMax();
		min3 = (Number)validators[2].getMin();
	}
	else {
		max3 = new Integer(JCIPAddress.MAX_VALUE);
		min3 = new Integer(JCIPAddress.MIN_VALUE);
	}

	if (validators != null && validators[3] != null) {
		max4 = (Number)validators[3].getMax();
		min4 = (Number)validators[3].getMin();
	}
	else {
		max4 = new Integer(JCIPAddress.MAX_VALUE);
		min4 = new Integer(JCIPAddress.MIN_VALUE);
	}
	
	picklist = ip_vp.getPickList();
	match_picklist = ip_vp.getMatchPickList();
	increment = ip_vp.getIncrement();
	allow_null = ip_vp.getAllowNull();
	default_value = (JCIPAddress)ip_vp.getDefaultValue();

	// set the current values into the property editor textfields
	max_field1.setText(max1.toString());
	min_field1.setText(min1.toString());
	max_field2.setText(max2.toString());
	min_field2.setText(min2.toString());
	max_field3.setText(max3.toString());
	min_field3.setText(min3.toString());
	max_field4.setText(max4.toString());
	min_field4.setText(min4.toString());

	picklist_editor.setValue(picklist);
	increment_field.setText(increment.toString());

	if (match_picklist == true) {
		match_picklist_field.setSelectedIndex(1);
	}
	else {
		match_picklist_field.setSelectedIndex(0);
	}

	if (allow_null == true) {
		allow_null_field.setSelectedIndex(1);
	}
	else {
		allow_null_field.setSelectedIndex(0);
	}

	if (default_value != null) {
		default_value_field.setText(default_value.toString());
	}
}

/**
 * Creates a new validator from the fields set.
 */
protected ValidatorInfo getValidatorInfo() {

	String text;

	// get the values from the text fields

	// if min or max for subfield 1 is null, set them to the default values
	text = max_field1.getText();
	if (text.length() == 0) {
		max1 = new Integer(JCIPAddress.MAX_VALUE);
	}
	else {
		max1 = new Integer(text);
	}

	text = min_field1.getText();
	if (text.length() == 0) {
		min1 = new Integer(JCIPAddress.MIN_VALUE);
	}
	else {
		min1 = new Integer(text);
	}

	// if min or max for subfield 2 is null, set them to the default values
	text = max_field2.getText();
	if (text.length() == 0) {
		max2 = new Integer(JCIPAddress.MAX_VALUE);
	}
	else {
		max2 = new Integer(text);
	}

	text = min_field2.getText();
	if (text.length() == 0) {
		min2 = new Integer(JCIPAddress.MIN_VALUE);
	}
	else {
		min2 = new Integer(text);
	}

	// if min or max for subfield 3 is null, set them to the default values
	text = max_field3.getText();
	if (text.length() == 0) {
		max3 = new Integer(JCIPAddress.MAX_VALUE);
	}
	else {
		max3 = new Integer(text);
	}

	text = min_field3.getText();
	if (text.length() == 0) {
		min3 = new Integer(JCIPAddress.MIN_VALUE);
	}
	else {
		min3 = new Integer(text);
	}

	// if min or max for subfield 4 is null, set them to the default values
	text = max_field4.getText();
	if (text.length() == 0) {
		max4 = new Integer(JCIPAddress.MAX_VALUE);
	}
	else {
		max4 = new Integer(text);
	}

	text = min_field4.getText();
	if (text.length() == 0) {
		min4 = new Integer(JCIPAddress.MIN_VALUE);
	}
	else {
		min4 = new Integer(text);
	}

	picklist = (ListModel) picklist_editor.getValue();

	if (match_picklist_field.getSelectedIndex() == 0) {
		match_picklist = false;
	}
	else {
		match_picklist = true;
	}

	// if increment is null, set it to its default value
	text = increment_field.getText();
	if (text.length() == 0) {
		increment = new Integer(1);
	}
	else {
		increment = new Integer(text);
	}

	if (allow_null_field.getSelectedIndex() == 0) {
		allow_null = false;
	}
	else {
		allow_null = true;
	}

	text = default_value_field.getText();
	if (text.length() == 0) {
		default_value = new JCIPAddress("0.0.0.0");
	}
	else {
		default_value = new JCIPAddress(text);
	}
	return (getInfo());
}

/**
 * Returns a ValidatorInfo object which contains the code generation string
 * and a new instance of the validator.
 */
protected ValidatorInfo getInfo() {

	// create and set the new code generation string
	String init_string = ("new com.klg.jclass.field.validate.JCIPAddressValidator(" + 
	    "null, new Integer(\"" + min1.intValue() + 
        "\"), new Integer(\"" + max1.intValue() + 
		"\"), new Integer(\"" + min2.intValue() +
        "\"), new Integer(\"" + max2.intValue() +
		"\"), new Integer(\"" + min3.intValue() +
        "\"), new Integer(\"" + max3.intValue() +
        "\"), new Integer(\"" + min4.intValue() +
        "\"), new Integer(\"" + max4.intValue() +				  
        "\"), " + picklist_editor.getJavaInitializationString() + 
        ", " + match_picklist + ", new Integer(\"" +
 		increment.intValue() + "\"), " + allow_null + 
		", new com.klg.jclass.util.JCIPAddress(\"" +
        default_value.toString() + "\"))");

	// create new validator
	JCIPAddressValidator new_vp = new JCIPAddressValidator(null, min1, max1, 
		min2, max2, min3, max3, min4, max4, picklist, match_picklist, 
		increment, allow_null, default_value);

	// create new validator info object
	ValidatorInfo vi = new ValidatorInfo(new_vp, init_string);

	// return the new validator object
	return(vi);
}

/**
 * Shows the picklist/display list property editor when the button is pressed.
 */
public void actionPerformed(ActionEvent e) {
	picklist_dialog.show();
}

/**
 * Creates a dialog for the picklist editor.
 */
public void createPickListDialog() {

	// create a Modal dialog with the picklist editor
	picklist_dialog = new JDialog(JOptionPane.getFrameForComponent(
	                              this.getParent()), true);
	picklist_editor = new ListModelEditor(String.class);
	picklist_dialog.getContentPane().add(picklist_editor);
	picklist_dialog.pack();
}

}
