/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: IntegerValidatorEditor.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:14 $ $Locker:  $ Quest Software Inc. 

package com.klg.jclass.field.beans;

import com.klg.jclass.field.*;
import com.klg.jclass.field.validate.*;

public class IntegerValidatorEditor extends LongValidatorEditor {

/**
 * Returns a ValidatorInfo object which contains the code generation string
 * and a new instance of the validator.
 */
protected ValidatorInfo getInfo() {

	// make sure the max and min are not greater/less than the int bounds
	Long int_max = new Long(Integer.MAX_VALUE);
	Long int_min = new Long(Integer.MIN_VALUE);
	if (min.longValue() < int_min.longValue()) {
		min = int_min;
	}

	if (max.longValue() > int_max.longValue()) {
		max = int_max;
	}

	// create and set the new code generation string
	String init_string =("new com.klg.jclass.field.validate.JCIntegerValidator(null, new Integer(" + 
		min.intValue() + "), new Integer(" + max.intValue() + 
        "), " + picklist_editor.getJavaInitializationString() + 
        ", " + match_picklist + ", " + 
		display_list_editor.getJavaInitializationString() + ", new Integer(" + 
		increment.intValue() + "), \"" + display_pattern + "\", " + 
		allow_null + ", " + currency + 
		", false, null, new Integer(" + default_value.intValue() + "))");

	// create new validator
	JCIntegerValidator new_vp = new JCIntegerValidator(null, min, max, picklist, 
												 match_picklist, display_list, 
												 increment, display_pattern,
												 allow_null, currency,
												 false, null, default_value);

	// create new validator info object
	ValidatorInfo vi = new ValidatorInfo(new_vp, init_string);

	// return the new validator object
	return(vi);
}

}
