/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: ListModelEditor.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:14 $ $Locker:  $ Quest Software Inc.

package com.klg.jclass.field.beans;

import com.klg.jclass.beans.AbstractListEditor;
import com.klg.jclass.util.swing.JCGridLayout;
import javax.swing.*;
import java.awt.Component;
import java.awt.Dimension;
import java.awt.event.*;
import java.math.BigDecimal;

public class ListModelEditor extends AbstractListEditor {

public static final String LISTMODEL_HELP = "ListModel";
protected ListModel model;
protected Class classType;

public ListModelEditor(Class class_type) {
	super("com.klg.jclass.field.beans.resources.LocaleInfo", LISTMODEL_HELP,  
		  "ListModel Editor");
	setPreferredSize(new Dimension(300,200));
	classType = class_type;
}

/**
 * This method will convert the String value into an object.
 */
protected Object parse(String text) {
	
	// if text is empty, don't bother parsing so it won't be added to the
	// list
	if (text.equals("")) {
		return null;
	}
	else if (classType == Long.class) {
		return new Long(text);
	}
	
	return text;
}

/**
 * Determines if a custom list cell renderer is needed to display the list
 * values in the list.  If true, the getCellRenderer method must be 
 * overridden to return the ListCellRenderer.
 */
protected boolean hasListCellRenderer() {
	return false;
}

/**
 * Returns the code generation string.
 */
public String getJavaInitializationString() {
	String class_name = classType.getName();
	ListModel model = list.getModel();

	if (model == null || model.getSize() == 0 || class_name == null) {
		return null;
	}

	// build the string array

	String init_string = "new com.klg.jclass.util.swing.JCListModel(new " + class_name + "[] {";

    DefaultListModel listModel = (DefaultListModel)list.getModel();
    Object stringArray[] = listModel.toArray();

	for (int i = 0; i < model.getSize(); i++) {
		init_string += "new " + class_name + "(\"" + model.getElementAt(i) + "\")";
		if (i != model.getSize() - 1) {
			init_string += ",";
		}
	}
    init_string += "})";

	return init_string;
}

/**
 * Returns the value of the property.
 */
public Object getValue() {
    return list.getModel();
}

/**
 * Returns a text representation of the value.
 */
protected String getValueAsText() {
	return null;
}

/**
 * Sets the value of the property.
 */
public void setValue(Object o) {
	if (o != null) {
		list.setModel((ListModel)o);
	}
}

}
