/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: ShortValidatorEditor.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:14 $ $Locker:  $ Quest Software Inc. 

package com.klg.jclass.field.beans;

import com.klg.jclass.field.*;
import com.klg.jclass.field.validate.*;

public class ShortValidatorEditor extends LongValidatorEditor {

/**
 * Returns a ValidatorInfo object which contains the code generation string
 * and a new instance of the validator.
 */
protected ValidatorInfo getInfo() {

	// make sure the max and min are not greater/less than the short bounds
	Long short_max = new Long(Short.MAX_VALUE);
	Long short_min = new Long(Short.MIN_VALUE);
	if (min.longValue() < short_min.longValue()) {
		min = short_min;
	}

	if (max.longValue() > short_max.longValue()) {
		max = short_max;
	}

	// create and set the new code generation string
	String init_string = ("new com.klg.jclass.field.validate.JCShortValidator(null, new Short((short)" + 
        min.shortValue() + "), new Short((short)" + max.shortValue() +
        "), " +  picklist_editor.getJavaInitializationString() + 
        ", " + match_picklist + ", " + 
        display_list_editor.getJavaInitializationString() + ", new Short((short)" + 
		increment.shortValue() + "), \"" + display_pattern + "\", " + 
		allow_null + "," + currency + 
        ", false, null, new Short((short)" + default_value.shortValue() + "))");

	// create new validator
	JCShortValidator new_vp = new JCShortValidator(null, min, max, picklist, 
												   match_picklist, 
												   display_list, 
												   increment, display_pattern,
												   allow_null, currency, 
												   false, null, default_value);

	// create new validator info object
	ValidatorInfo vi = new ValidatorInfo(new_vp, init_string);

	// return the new validator object
	return(vi);
}


}
