/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: TabValuePage.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:15 $ $Locker:  $ Quest Software Inc.

package com.klg.jclass.field.beans;

import com.klg.jclass.field.JCPopupField;
import com.klg.jclass.field.validate.JCDateTimeValidator;
import com.klg.jclass.util.swing.JCGridLayout;
import com.klg.jclass.util.value.JCValueModel;
import javax.swing.JTextField;
import javax.swing.JComboBox;
import javax.swing.JLabel;
import javax.swing.JComponent;
import javax.swing.JPanel;
import java.util.Calendar;

public class TabValuePage extends JPanel {

protected String type;
protected JComponent value;
protected boolean isCalendar = false;

public TabValuePage(boolean is_calendar) {

	isCalendar = is_calendar;

	setLayout(new JCGridLayout(1, 2, 5, 5));

	add(new JLabel("Value"));
	if (is_calendar == false) {
		add(value = new JTextField(16));
	}
	else {
		JCPopupField popup = new JCPopupField(Calendar.class, 
											  new JCDateTimeValidator());
		add((value = popup));
	}

}

/**
 * Set the value model value into the editor
 */
public void setProperties(JCValueModel model) {
	if (model == null) {
		return;
	}

	if (isCalendar == false) {
		Object val = model.getValue();
		String text;

		// check to see if value is null
		if (val == null) {
			text = null;
		}
		else {
			text = val.toString();
		}

		// set the value
		((JTextField)value).setText(text);
	}
	else {

		// set the calendar value
		((JCPopupField)value).setValue(model.getValue());
	}
}

};

