/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCTextFieldCellRenderer.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:15 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.field.cell;

import com.klg.jclass.field.JCTextField;
import com.klg.jclass.field.validate.JCValidator;
import com.klg.jclass.cell.*;
import java.awt.Component;

/**
 * <CODE>JCTextFieldCellEditor</CODE> provides a renderer using a simple 
 * <code>JCTextField</code> component.
 *
 */
public class JCTextFieldCellRenderer extends JCTextField 
implements JCComponentCellRenderer {

/**
 * Creates a new <CODE>JCTextFieldCellRenderer</CODE> object.
 */
public JCTextFieldCellRenderer() {
	setDoubleBuffered(true);
	setBorder(null);
}

/**
 * Constructs an empty <code>JCTextFieldCellRenderer</code>, which expects an object
 * of the specified class, that uses the specified validator.
 * @param c
 * @param v
 */
public JCTextFieldCellRenderer(Class c, JCValidator v) {
	super(c, v);
	setDoubleBuffered(true);
	setBorder(null);
}

public Component getRendererComponent(JCCellInfo cellInfo, Object o,
									  boolean selected) {
	if (cellInfo.getDataType() != null) {
		field.setClass(cellInfo.getDataType());
	}
	setValue(o);
	setFont(cellInfo.getFont());
	setBackground(selected ? cellInfo.getSelectedBackground() : cellInfo.getBackground());
	setForeground(selected ? cellInfo.getSelectedForeground() : cellInfo.getForeground());

	return this;
}

}

