/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: AbstractBindingValueModel.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:15 $ $Locker:  $  Quest Software Inc.

package com.klg.jclass.field.db.datasource;

import com.klg.jclass.datasource.*;

import com.klg.jclass.field.JCFieldComponent;
import com.klg.jclass.util.value.*;

/**
 * Abstract binding value model.
 */
public class AbstractBindingValueModel extends AbstractValueModel {

protected DataBinding dataBinding;

/**
 * Constructs an AbstractBindingValueModel.
 */
public AbstractBindingValueModel(JCFieldComponent c) {
	dataBinding = new DataBinding(c, this);
	c.setValueModel(this);
}

/**
 * Tests to see if column stores currency values.
 */
public boolean isCurrency() {
	return dataBinding.isCurrency();
}

/**
  * Sets the value.
  */
public void setValue(Object item) {
	if (item == value) {
		return;
	}
	super.setValue(item);
	if (dataBinding.isDataSourceUpdating() == false && item == value) {
		// only update datasource if we are not being updated by it
		// and if the value actually changed
		dataBinding.saveItem(item);
	}
}

/**
 * Returns the type of the core value. It is necessary to store the
 * class of the value separate from the object since if the value object is
 * null then the class information is lost.
 */
public Class getValueClass() {
	return dataBinding.getValueClass();
}

}
