/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: JBuilderValueModel.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:16 $ $Locker:  $  Quest Software Inc.

package com.klg.jclass.field.db.jbuilder;

import com.borland.dx.dataset.DataSet;
import com.borland.dx.dataset.DataSetAware;

import com.klg.jclass.field.JCFieldComponent;
import com.klg.jclass.field.db.datasource.AbstractBindingValueModel;

import com.klg.jclass.util.value.*;

import java.awt.Component;

import com.klg.jclass.datasource.DataModel;
import com.klg.jclass.datasource.jbuilder.JBuilderDataBinding;

/**
 * JBuilder value model.
 */
public class JBuilderValueModel extends AbstractBindingValueModel {

protected DataSet dataSet;
protected String columnName;

/**
 * Constructs a JBuilder value model.
 * @param c a field component.
 */
public JBuilderValueModel(JCFieldComponent c) {
    super(c);
}

/**
 * Gets the data set.
 */
public DataSet getDataSet() {
    return dataSet;
}

/**
 * Sets the data set.
 * @param data_set  the data set.
 */
public void setDataSet(DataSet data_set) {
    this.dataSet = data_set;
    bind();
}

/**
 * Gets the column name.
 */
public String getColumnName() {
    return columnName;
}

/**
 * Sets the column name.
 * @param the column name to set.
 */
public void setColumnName(String column_name) {
    this.columnName = column_name;
    bind();
}

protected void finalize() throws Throwable {
    // make sure we release the dataset
    JBuilderDataBinding.detach(dataSet);
    super.finalize();
}

protected void bind() {
    if (dataSet == null || columnName == null) {
        return;
    }
    // invoke static method that creates an instance if one doesn't already
    // exist
    JBuilderDataBinding binding = JBuilderDataBinding.getBinding(dataSet);
    if (binding == null) {
        // ??? throw a popup up here ???
        System.out.println("binding == null");
        return;
    }
    dataBinding.setDataBinding(binding.getDataModel(), null, columnName);
}

}

