/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: MetalPopupFieldUI.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:17 $ $Locker:  $ Quest Software Inc.

package com.klg.jclass.field.plaf;

import com.klg.jclass.field.*;
import com.klg.jclass.field.validate.PopupFieldEditor;
import com.klg.jclass.util.JCEnvironment;

import javax.swing.plaf.metal.MetalComboBoxUI;
import javax.swing.plaf.basic.ComboPopup;
import javax.swing.ComboBoxModel;
import javax.swing.JComboBox;
import java.awt.Component;
import java.awt.event.ItemEvent;
import java.awt.event.ItemListener;

public class MetalPopupFieldUI extends MetalComboBoxUI
			                   implements java.io.Serializable {

transient PopupFieldEditor popupEditor = null;
transient FieldPopup       popup       = null;

protected ItemListener myItemListener = null;

public MetalPopupFieldUI(PopupFieldEditor popup_editor)
{
	this.popupEditor = popup_editor;
}

protected ComboPopup createPopup()
{
	popup = new FieldPopup(comboBox, popupEditor);
    return(popup);
}

public void setPopupFieldEditor(PopupFieldEditor popup_editor)
{
	this.popupEditor = popup_editor;
	popup.setPopupFieldEditor(popup_editor);
}

protected void installListeners()
{
	super.installListeners();
	if (JCEnvironment.getJavaVersion() >= 140) {
        if ((myItemListener = new MyItemHandler(comboBox)) != null) {
            comboBox.addItemListener(myItemListener);
        }
	}
}

protected void uninstallListeners()
{
	super.uninstallListeners();
    if (JCEnvironment.getJavaVersion() >= 140 && myItemListener != null) {
        comboBox.removeItemListener(myItemListener);
    }
	myItemListener = null;
}

protected Component getEditor()
{
	return(editor);
}

/**
 * This listener watches for changes to the selection in the combo box and
 * updates the display of the currently selected item.
 */
public class MyItemHandler implements ItemListener {
	protected JComboBox combo = null;
	public MyItemHandler(JComboBox combo) {
		this.combo = combo;
	}
    public void itemStateChanged(ItemEvent e) {
        ComboBoxModel model = combo.getModel();
        Object v = model.getSelectedItem();
        if (getEditor() != null) {
            combo.configureEditor(combo.getEditor(), v);
        }
        combo.repaint();
    }
}

}




