/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LocaleInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:17 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.field.resources;

import java.util.ListResourceBundle;
import java.io.Serializable;

public class LocaleInfo extends ListResourceBundle implements Serializable {

public static final String NUMBER_PATTERNS = "NumberPatterns";
public static final int DECIMAL_PATTERN = 0;
public static final int CURRENCY_PATTERN = 1;
public static final int PERCENT_PATTERN = 2;

public static final String NUMBER_ELEMENTS = "NumberElements";
public static final int DECIMAL_SEPARATOR = 0;
public static final int GROUP_SEPARATOR = 1;
public static final int LIST_SEPARATOR = 2;
public static final int PERCENT_SIGN = 3;
public static final int NATIVE_ZERO_DIGIT = 4;
public static final int PATTERN_DIGIT = 5;
public static final int MINUS_SIGN = 6;
public static final int EXPONENTIAL = 7;
public static final int PER_MILLE = 8;
public static final int INFINITY = 9;
public static final int NAN = 10;

public static final String DATE_TIME_PATTERNS = "DateTimePatterns";
public static final int FULL_TIME = 0;
public static final int LONG_TIME = 1;
public static final int MEDIUM_TIME = 2;
public static final int SHORT_TIME = 3;
public static final int FULL_DATE = 4;
public static final int LONG_DATE = 5;
public static final int MEDIUM_DATE = 6;
public static final int SHORT_DATE = 7;
public static final int DATE_TIME_ORDER = 8;

public Object[][] getContents() {
	return contents;
}

static final Object[][] contents = {
	{
		NUMBER_PATTERNS, new String[] {
			"#,##0.###;-#,##0.###",
			"#,##0.00;(#,##0.00)",
			"#,##0%"
		}
	},
	{
		NUMBER_ELEMENTS, new String[] {
		    ".",
            ",",
            ";",
            "%",
            "0",
            "#",
            "-",
            "E",
            "\u2030",
            "\u221e",
            "\ufffd",
		}
	},
	{
		DATE_TIME_PATTERNS, new String[] {
			"h:mm:ss a z",
			"h:mm:ss a z",
			"h:mm:ss a",
			"h:mm a",
			"EEEE, MMMM d, yyyy",
			"MMMM d, yyyy",
			"MMM d, yyyy",
			"M/d/yy",
			"{1} {0}",
		}
	}
};

};
