/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: JCDoubleValidator.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:17 $ $Locker:  $ Quest Software Inc.

package com.klg.jclass.field.validate;

import java.util.*;
import java.math.BigDecimal;

/**
 * This class validates objects of type double.
 */
public class JCDoubleValidator extends JCBigDecimalValidator {

/**
 * Constructs a <code>JCDoubleValidator</code>.
 */
public JCDoubleValidator()
{
    super();
    useFormatting = true;
    super.setMax(new BigDecimal(Double.MAX_VALUE));
    super.setMin(new BigDecimal(-Double.MAX_VALUE));
}

/**
 * Constructs a <code>JCDoubleValidator</code> with the values specified.
 * @param allow_null
 * @param currency
 * @param currency_locale
 * @param default_value
 * @param display_pattern
 * @param increment
 * @param locale
 * @param max
 * @param min
 * @param use_intl_currency_symbol
 */
public JCDoubleValidator(Locale locale, Number min, Number max,
                         Number increment, String display_pattern,
                         boolean allow_null, boolean currency,
                         boolean use_intl_currency_symbol,
                         Locale currency_locale, Object default_value)
{
    super(locale, min, max, increment, display_pattern, allow_null, currency,
          use_intl_currency_symbol, currency_locale, default_value);
    useFormatting = true;
}

/**
 * Sets the maximum valid value.
 * @param max
 */
public void setMax(double max)
{
    setMax(new BigDecimal(max));
}

/**
 * Sets the minimum valid value that the validator will accept.
 * @param min
 */
public void setMin(double min)
{
    setMin(new BigDecimal(min));
}

}
