/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: TextCursorEvent.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:18 $ $Locker:  $ Quest Software Inc. 

package com.klg.jclass.field.validate;

/**
 * TextCursorEvent is posted when the cursor moves in the text component.
 */
public class TextCursorEvent {

protected int      currentPos;
protected int      newPos;
protected boolean  doit = true;

/**
 * Gets the current cursor position.
 */
public int getCurrentPosition()
{
    return(currentPos);
}

/**
 * Gets the new cursor position.
 */
public int getNewPosition()
{
    return(newPos);
}

/**
 * Sets the new cursor position.
 */
public void setNewPosition(int new_position)
{
    newPos = new_position;
}

/**
 * Determines whether the cursor movement should be allowed.
 */
public boolean getAllowMovement()
{
    return(doit);
}

/**
 * Determines whether the cursor movement should be allowed (default: true).
 */
public void setAllowMovement(boolean doit)
{
    this.doit = doit;
}

public TextCursorEvent(int current_pos, int new_pos)
{
    currentPos = current_pos;
    newPos = new_pos;
}

}

