/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: Aggregate.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:18 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid;

/**
 * Interface for the built-in Aggregate types used to display summary information.
 * @see SummaryColumn 
 */

public interface Aggregate {

/**
 * Initialize the aggregate.
 *
 * @param column The summary column.
 */
void init(SummaryColumn column);

/**
 * Determine if aggregation is done.
 *
 * @return True if done.
 */
boolean done();

/**
 * Determine if the next row level should be traversed.
 *
 * @param rowNode The row node.
 *
 * @return True if the lower level is to be traversed.
 */
boolean nextLevel(RowNode rowNode);

/**
 * Perform the aggregation.
 *
 * @param rowNode The row node.
 */
void calculate(RowNode rowNode);

/**
 * Indicates whether the result data is to be cached for display.
 * 
 * @return True if the result data is to be cached.
 */
boolean cacheResultData(); 

/**
 * Returns the result data as a object.
 * 
 * @return The result data.
 */
Object getResultData(); 

}
