/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: AggregateAverage.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:18 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid;

/**
 * Implements the <code>AggregateAverage</code> type.
 */

public class AggregateAverage extends BaseAggregate {

static final long serialVersionUID = -3876579288438658987L;

private int count;

/** Creates an Aggregate that is the average of the elements in a column. */

public AggregateAverage(SummaryColumn column) {
    super(column);
    count = 0;
}

/**
 * Perform the aggregation.
 *
 * @param rowNode The row node.
 */
public void calculate(RowNode rowNode) {
    if (rowNode.getRowFormat().getMetaData().getMetaID() == metaID) {
        count++;
        addValue(getRowNodeResultData(rowNode, column.getName()));
    }
}

/**
 * Returns the result data as an Object.
 *
 * @return The result data.
 */
public Object getResultData() {
    divideValue(count);
    return super.getResultData();
}

}
