/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: AggregateFirst.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:18 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid;

/**
 * Implements the <code>AggregateFirst</code> type.
 */

public class AggregateFirst extends BaseAggregate {

static final long serialVersionUID = -8442407280334419383L;

private boolean first;    

/** Creates an Aggregate that is the first of the elements in a column. */

public AggregateFirst(SummaryColumn column) {
    super(column);
    first = true;
}

/**
 * Perform the aggregation.
 *
 * @param rowNode The row node.
 */
public void calculate(RowNode rowNode) {
    if (rowNode.getRowFormat().getMetaData().getMetaID() == metaID) {
        Object value = getRowNodeResultData(rowNode, column.getName());
        if (first && value != null) {
            first = false;
            setValue(value);
        }
    }
}

/**
 * Determine if aggregation is done.
 *
 * @return True if done.
 */
public boolean done() {
    return !first;
}

}
