/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: AggregateMax.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:18 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid;

import java.math.BigDecimal;

import com.klg.jclass.datasource.MetaDataModel;

/**
 * Implements the <code>AggregateMax</code> type.
 */

public class AggregateMax extends BaseAggregate {

static final long serialVersionUID = -4089307997025050862L;

private boolean first;    

/** Creates an Aggregate that is the maximum of the elements in a column. */

public AggregateMax(SummaryColumn column) {
    super(column);
    first = true;
}

/**
 * Perform the aggregation.
 *
 * @param rowNode The row node.
 */
public void calculate(RowNode rowNode) {
    if (rowNode.getRowFormat().getMetaData().getMetaID() == metaID) {
        Object value = getRowNodeResultData(rowNode, column.getName());
        if (value == null) {
            return;
        }
        if (first) {
            first = false;
            setValue(value);
        }
        else {
            switch (column.getDataType()) {
            case MetaDataModel.TYPE_DOUBLE:
                if (doubleValue < ((Double)value).doubleValue()) {
                    setValue(value);
                }
                break;
            case MetaDataModel.TYPE_FLOAT:
                if (doubleValue < ((Float)value).doubleValue()) {
                    setValue(value);
                }
                break;
            case MetaDataModel.TYPE_BIG_DECIMAL:
                if (bigDecimal.compareTo((BigDecimal)value) == (-1)) {
                    setValue(value);
                }
                break;
            case MetaDataModel.TYPE_INTEGER:
                if (longValue < ((Integer)value).longValue()) {
                    setValue(value);
                }
                break;
            case MetaDataModel.TYPE_LONG:
                if (longValue < ((Long)value).longValue()) {
                    setValue(value);
                }
                break;
            case MetaDataModel.TYPE_BYTE:
                if (longValue < ((Byte)value).longValue()) {
                    setValue(value);
                }
                break;
            case MetaDataModel.TYPE_SHORT:
                if (longValue < ((Short)value).longValue()) {
                    setValue(value);
                }
                break;
            default:        
                break;
            }
        }
    }
}

}
