/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: AutoTraverseCallback.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:18 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid;

import java.awt.*;

/**
 * The <code>AutoTraverseCallback</code> interface defines a mechanism
 * whereby the expansion of RowNodes can be controlled by the
 * developer at runtime.
 */
public interface AutoTraverseCallback {

/**
 *  Return the new state of this rowNode, after its creation.
 *  Valid states are found in the NodeStatus class, and are
 *  NodeStatus.FOLDER_CLOSED (don't expand the node)
 *  NodeStatus.FOLDER_OPEN (expand the node to show its children)
 *  NodeStatus.FOLDER_NONE (the node has no children).
 * @param grid The current instance of HiGrid
 * @param rowNode The rowNode currently being created/traversed.
 *
 * @return The new rowNode state.
 */
public byte getState(HiGrid grid, RowNode rowNode);

}
