/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: ColumnSortable.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:18 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid;

import java.io.Serializable;
import java.util.*;



/**
 * Implementation of the Comparator interface to sort specific columns.
 * @since JClass 4.0K for Java 2. If you are using JClass 4.0J, 
 * which is based on JDK 1.1, the Comparator implementation 
 * is based on <code>com.sun.java.util.collections.Comparator</code>.
 */
public class ColumnSortable implements Serializable, Comparator {

static final long serialVersionUID = -961172651066613262L;

protected Comparator sortable;
protected int[] directions;

/**
 *  Default constructor.
 * @since JClass 4.0K for Java 2. If you are using JClass 4.0J, 
 * which is based on JDK 1.1, this constructor's parameter must be 
 * a <code>com.sun.java.util.collections.Comparator</code>. 
 */
public ColumnSortable(Comparator sortable, int[] directions) {
    this.sortable = sortable;
    this.directions = directions;
}

/**
 * Compares its two arguments for order. 
 *
 * @return a negative integer, zero, or a positive integer as the first argument
 * is less than, equal to, or greater than the second.
 */
public int compare(Object a, Object b) {
    int result = 0;
    for (int i = 0; i < directions.length; i++) {
        result = sortable.compare(((SortRowData)a).resultData[i], ((SortRowData)b).resultData[i]);
        if (result != 0) {
            if (directions[i] == SortGrid.DESCENDING) {
                result = -result;
            }
            break;
        }
    }
    return result;
}

}
