/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: DefaultColumnSelectionHandler.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:18 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid;

import java.io.Serializable;

/**
 * The <code>DefaultColumnSelectionHandler</code> sorts the data table
 * when the user clicks on a column header.
 */

public class DefaultColumnSelectionHandler extends HiGridColumnSelectionAdapter
implements Serializable {

static final long serialVersionUID = 2622466781806142276L;

private HiGrid grid = null;

/**
 * Default constructor
 */
public DefaultColumnSelectionHandler(HiGrid grid) {
    this.grid = grid;
}

/**
 * Invoked after the user has selected a column.
 */
public void selectColumn(HiGridColumnSelectionEvent event) {
    if (grid.isAllowSorting()) {
        grid.sortDataTable(event.getCellPosition(), event.getInputEvent().isShiftDown());
    }
}

}
