/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/


//   RCSID -- $RCSfile: DefaultHeaderCellStyle.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:19 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid;

import java.awt.*;
import java.io.Serializable;

import javax.swing.UIManager;
import javax.swing.plaf.ColorUIResource;
import javax.swing.plaf.FontUIResource;

import com.klg.jclass.cell.*;

/**
 * The <CODE>DefaultHeaderCellStyle</CODE> class defines a 
 * <CODE>CellStyle</CODE> object that specifies the characteristics
 * of a HiGrid header cell.
 */
public class DefaultHeaderCellStyle extends CellStyle implements Serializable {

static final long serialVersionUID = 4209336166849777987L;

/**
 *  Default Constructor.
 */
public DefaultHeaderCellStyle() {
    // override with PLAF UI defaults for Headers
    setBackground(new ColorUIResource(UIManager.getColor("TableHeader.background")));
    setForeground(new ColorUIResource(UIManager.getColor("TableHeader.foreground")));
    setFont(new FontUIResource(UIManager.getFont("TableHeader.font")));
    setBorderStyle(HiGridBorder.OUT);
}

}
