/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: FolderIcons.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:19 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid;

import java.awt.*;
import java.io.Serializable;

import com.klg.jclass.util.swing.JCIconCreator;

/**
 * <code>FolderIcons</code> encapsulates a standard set of folder icons.
 */
class FolderIcons implements Serializable {

static final long serialVersionUID = -1023919391994010346L;

// folder icon styles
private static final String folderOpenIcon[] = {
    "  ......        ",
    " .XXXXXX.       ",
    " .XXXXXX.....   ",
    ".XXXXXXXXXXXX.  ",
    ".XXXXXXXXXXXXX. ",
    ".XXXXXXXXXXXXX. ",
    ".XXX........... ",
    ".XXX.oooooooooo.",
    ".XX.ooooooooooo.",
    ".XX.oooooooooo. ",
    ".X.ooooooooooo. ",
    ".X.oooooooooo.  ",
    "..oooooooooo.   ",
    " ...........    "};

private static final String folderClosedIcon[] = {
    "  ......        ",
    " .XXXXXX.       ",
    " .XXXXXX.       ",
    "............... ",
    ".XXXXXXXXXXXXXX.",
    ".XXXXXXXXXXXXXX.",
    ".XXXXXXXXXXXXXX.",
    ".XXXXXXXXXXXXXX.",
    ".XXXXXXXXXXXXXX.",
    ".XXXXXXXXXXXXXX.",
    ".XXXXXXXXXXXXXX.",
    ".XXXXXXXXXXXXXX.",
    ".XXXXXXXXXXXXXX.",
    " ..............."};

private static final String triangleOpenIcon[] = {
    "               ",
    "               ",
    "               ",
    "               ",
    "XXXXXXXXXXXXXXX",
    " X............ ",
    "  X..........  ",
    "   X........   ",
    "    X......    ",
    "     X....     ",
    "      X..      ",
    "       X       ",
    "               ",
    "               ",
    "               ",
};

private static final String triangleClosedIcon[] = {
    "   X           ",
    "   XX          ",
    "   X.X         ",
    "   X..X        ",
    "   X...X       ",
    "   X....X      ",
    "   X.....X     ",
    "   X......X    ",
    "   X......     ",
    "   X.....      ",
    "   X....       ",
    "   X...        ",
    "   X..         ",
    "   X.          ",
    "   X           ",
/*
"       .       ",
"       ..      ",
"       ...     ",
"       ....    ",
"       .....   ",
"       ......  ",
"       ....... ",
"       ........",
"       ....... ",
"       ......  ",
"       .....   ",
"       ....    ",
"       ...     ",
"       ..      ",
"       .       ",
*/
};

private static final String smallLine3dOpenIcon[] = {
    "           ",
    "           ",
    "           ",
    "XXXXXXXXXX ",
    "X......... ",
    "X......... ",
    "X......... ",
    "           ",
    "           ",
    "           ",
    "           ",
    "           ",
};

private static final String smallLine3dClosedIcon[] = {
    "   XXXX    ",
    "   X...    ",
    "   X...    ",
    "XXXX...XXX ",
    "X......... ",
    "X......... ",
    "X......... ",
    "   X...    ",
    "   X...    ",
    "   X...    ",
    "           ",
    "           ",
};

private static final String mediumLine3dOpenIcon[] = {
    "             ",
    "             ",
    "             ",
    "             ",
    "XXXXXXXXXXXXX",
    "X............",
    "X............",
    "X............",
    "X............",
    "             ",
    "             ",
    "             ",
    "             ",
    "             ",
};

private static final String mediumLine3dClosedIcon[] = {
    "    XXXXX    ",
    "    X....    ",
    "    X....    ",
    "    X....    ",
    "XXXXX....XXXX",
    "X............",
    "X............",
    "X............",
    "X............",
    "    X....    ",
    "    X....    ",
    "    X....    ",
    "    X....    ",
    "             ",
};

private static final String largeLine3dOpenIcon[] = {
    "                 ",
    "                 ",
    "                 ",
    "                 ",
    "                 ",
    "XXXXXXXXXXXXXXXX ",
    "X............... ",
    "X............... ",
    "X............... ",
    "X............... ",
    "X............... ",
    "                 ",
    "                 ",
    "                 ",
    "                 ",
    "                 ",
    "                 ",
};

private static final String largeLine3dClosedIcon[] = {
    "     XXXXXX      ",
    "     X.....      ",
    "     X.....      ",
    "     X.....      ",
    "     X.....      ",
    "XXXXXX.....XXXXX ",
    "X............... ",
    "X............... ",
    "X............... ",
    "X............... ",
    "X............... ",
    "     X.....      ",
    "     X.....      ",
    "     X.....      ",
    "     X.....      ",
    "     X.....      ",
    "                 ",
};

private static final String turnerOpenIcon[] = {
    "                 ",
    "                 ",
    "                 ",
    "      ....       ",
    "     .    .      ",
    "    .      .     ",
    "    .  ..  .     ",
    "    .  ..  .     ",
    "    .      .     ",
    "     .    .      ",
    "      ....       ",
    "       ..        ",
    "       ..        ",
    "       ..        ",
    "       ..        ",
    "                 "};

private static final String turnerClosedIcon[] = {
    "                 ",
    "                 ",
    "                 ",
    "                 ",
    "      ....       ",
    "     .    .      ",
    "    .      .     ",
    "    .  ..  ..... ",
    "    .  ..  ..... ",
    "    .      .     ",
    "     .    .      ",
    "      ....       ",
    "                 ",
    "                 ",
    "                 ",
    "                 "};


private HiGrid grid = null;
private FolderIconStyle folderIconStyle = null;

/**
 * Constructor
 */
protected FolderIcons(HiGrid grid, FolderIconStyle folderIconStyle) {
    this.grid = grid;
    this.folderIconStyle = folderIconStyle;
}

/**
 * Set the folder icons given the style index.
 *
 * @param style The style index.
 */
protected void setStyle(int style) {
    JCIconCreator icon = null;
    switch (style) {
    case FolderIconStyle.FOLDER_ICON_STYLE_FOLDER:
        icon = new JCIconCreator(16, 14);
        icon.setColor('X', new Color(235,235,128));
        icon.setColor('.', Color.black);
        icon.setColor('o', new Color(235,235,128).darker());
        icon.setPixels(folderOpenIcon);
        folderIconStyle.setFolderIcon(icon.getIcon().getImage(), NodeStatus.FOLDER_OPEN);
        icon.clear();
        icon.setPixels(folderClosedIcon);
        folderIconStyle.setFolderIcon(icon.getIcon().getImage(), NodeStatus.FOLDER_CLOSED);
        break;
    case FolderIconStyle.FOLDER_ICON_STYLE_TRIANGLE:
        icon = new JCIconCreator(15, 15);
        icon.setColor('X', new Color(255,255,255));
        icon.setColor('.', Color.black);
        icon.setPixels(triangleOpenIcon);
        folderIconStyle.setFolderIcon(icon.getIcon().getImage(), NodeStatus.FOLDER_OPEN);
        icon.clear();
        icon.setPixels(triangleClosedIcon);
        folderIconStyle.setFolderIcon(icon.getIcon().getImage(), NodeStatus.FOLDER_CLOSED);
        break;
    case FolderIconStyle.FOLDER_ICON_STYLE_SMALL_LINE_3D:
        icon = new JCIconCreator(11, 12);
        icon.setColor('X', new Color(255,255,255));
        icon.setColor('.', Color.black);
        icon.setPixels(smallLine3dOpenIcon);
        folderIconStyle.setFolderIcon(icon.getIcon().getImage(), NodeStatus.FOLDER_OPEN);
        icon.clear();
        icon.setPixels(smallLine3dClosedIcon);
        folderIconStyle.setFolderIcon(icon.getIcon().getImage(), NodeStatus.FOLDER_CLOSED);
        break;
    case FolderIconStyle.FOLDER_ICON_STYLE_MEDIUM_LINE_3D:
        icon = new JCIconCreator(13, 14);
        icon.setColor('X', new Color(255,255,255));
        icon.setColor('.', Color.black);
        icon.setPixels(mediumLine3dOpenIcon);
        folderIconStyle.setFolderIcon(icon.getIcon().getImage(), NodeStatus.FOLDER_OPEN);
        icon.clear();
        icon.setPixels(mediumLine3dClosedIcon);
        folderIconStyle.setFolderIcon(icon.getIcon().getImage(), NodeStatus.FOLDER_CLOSED);
        break;
    case FolderIconStyle.FOLDER_ICON_STYLE_LARGE_LINE_3D:
        icon = new JCIconCreator(17, 17);
        icon.setColor('X', new Color(255,255,255));
        icon.setColor('.', Color.black);
        icon.setPixels(largeLine3dOpenIcon);
        folderIconStyle.setFolderIcon(icon.getIcon().getImage(), NodeStatus.FOLDER_OPEN);
        icon.clear();
        icon.setPixels(largeLine3dClosedIcon);
        folderIconStyle.setFolderIcon(icon.getIcon().getImage(), NodeStatus.FOLDER_CLOSED);
        break;
    case FolderIconStyle.FOLDER_ICON_STYLE_TURNER:
        icon = new JCIconCreator(17, 16);
        icon.setColor('.', Color.black);
        icon.setPixels(turnerOpenIcon);
        folderIconStyle.setFolderIcon(icon.getIcon().getImage(), NodeStatus.FOLDER_OPEN);
        icon.clear();
        icon.setPixels(turnerClosedIcon);
        folderIconStyle.setFolderIcon(icon.getIcon().getImage(), NodeStatus.FOLDER_CLOSED);
        break;
    default:
        break;
    }
}

}
