/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: HeaderFormat.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:19 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid;

/**
 * A <code>HeaderFormat</code> object describes a row which is
 * displayed before a group of records within a single table 
 * and contains heading information describing the columns of that table.
 */

public class HeaderFormat extends ShowableRowFormat {

static final long serialVersionUID = 2210262774267300612L;

private boolean repeatHeader = true;

/**
 * Default Constructor.
 */
public HeaderFormat() {
    super(true);
}

/**
 * Retrieves whether to repeat header.
 *
 * @return Whether header will repeat.
 */
public boolean isRepeatHeader() {
    return repeatHeader;
}

/**
 * Sets whether to repeat header.
 *
 * @param repeat Whether header will repeat.
 */
public void setRepeatHeader(boolean repeat) {
    repeatHeader = repeat;
}

/**
 * Returns a string representation of the object.
 *
 * @return a string representation of the object.
 */
public String toString() {
    return "Header"; 
}

}

