/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: HiGridColumnSelectionEvent.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:19 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid;

import java.awt.event.InputEvent;
import java.util.EventObject;

/**
 * Event object for <code>HiGridColumnSelectionEvent</code>, a subclass of
 * <code>HiGridEvent</code> containing information about the particular
 * type of event.
 */
public class HiGridColumnSelectionEvent extends HiGridEvent {

static final long serialVersionUID = 8680049994504059562L;

/**
 * A column has been selected.
 */
public static final int SELECT_COLUMN = 1;

protected InputEvent inputEvent;
protected CellPosition cellPosition;

/**
 * Default constructor
 */
public HiGridColumnSelectionEvent(HiGrid grid, int eventType, RowNode rowNode,
                                  CellPosition cellPosition, InputEvent inputEvent) {
    super(grid, eventType, rowNode, cellPosition.getCellFormat().getName());
    this.cellPosition = cellPosition;
    this.inputEvent = inputEvent;
}

/**
 * Gets the input event that caused this selection event.
 *
 * @return the input event
 */
public InputEvent getInputEvent() {
    return inputEvent;
}

/**
 * Gets the position of the cell that was selected.
 *
 * @return the cell's CellPosition
 */
public CellPosition getCellPosition() {
    return cellPosition;
}

}
