/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: HiGridEditStatusRenderer.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:19 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid;

import java.awt.Graphics;

import com.klg.jclass.cell.JCCellInfo;
import com.klg.jclass.cell.JCCellRenderer;

/**
 * Interface to render the row edit status in HiGrid.
 */
public interface HiGridEditStatusRenderer extends JCCellRenderer {

static final long serialVersionUID = 6597394212127373260L;

/**
 * Used to draw the cell. Note that the size of the cell comes from 
 * <CODE>JCCellInfo.getDrawingArea()</CODE>.  When the renderer's draw method is
 * called, the gc is translated to the upper-left corner of the drawing area 
 * for the cell.  The "drawing area" of the cell is the region <EM>inside</EM> 
 * the borders and the margins.
 * 
 * @param gc Graphics context to use for drawing.
 * @param cellFormat Cell property information.
 * @param editStatus Information about the object to be rendered.
 * @param selected Boolean value indicating whether the cell is selected.
 */
public void draw(Graphics gc, JCCellInfo cellFormat, EditStatus editStatus, boolean selected);

}
