/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: HiGridExpansionAdapter.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:19 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid;

/**
 * The adapter which receives <CODE>HiGridExpansion</CODE> events.
 * The methods in this class are empty; this class is provided as a
 * convenience for easily creating listeners by extending this class
 * and overriding only the methods of interest.
 * @see HiGridExpansionEvent
 */
public abstract class HiGridExpansionAdapter implements
    HiGridExpansionListener {

/**
 * Before expanding a row.
 */
public void beforeExpandRow(HiGridExpansionEvent event) {
}

/**
 * Before collapsing a row.
 */
public void beforeCollapseRow(HiGridExpansionEvent event) {
}

/**
 * After expanding a row.
 */
public void afterExpandRow(HiGridExpansionEvent event) {
}

/**
 * After collapsing a row.
 */
public void afterCollapseRow(HiGridExpansionEvent event) {
}

}
