/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: HiGridFocusAdapter.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:19 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid;

import java.awt.event.FocusEvent;
import java.awt.event.FocusAdapter;

public abstract class HiGridFocusAdapter extends FocusAdapter
								implements java.io.Serializable {

protected HiGrid grid = null;

/**
 * Constructor
 */
public HiGridFocusAdapter() {
	super();
}

/**
 * Constructor
 */
public HiGridFocusAdapter(HiGrid grid) {
	this.grid = grid;
}


/**
 * Set the HiGrid that uses this focus manager
 *
 * @param grid The new grid that uses this focus manager
 */
public void setGrid(HiGrid grid)
{
	this.grid = grid;
}

/**
 * Retrieves current HiGrid reference
 *
 * @return current HiGrid reference
 */
protected HiGrid getGrid() {
	return grid;
}

/**
 * Set the gridArea that uses this focus manager
 *
 * @param gridArea The new gridArea that uses this focus manager
 */
public void setGridArea(GridArea gridArea)
{
	this.grid.setGridArea(gridArea);
}


/**
 * Retrieves current GridArea reference from the HiGrid instance
 *
 * @return current GridArea reference from the HiGrid instance
 */
protected GridArea getGridArea() {
    return(GridArea)grid.getGridArea();
}

/**
 * This method does nothing and is meant to be overridden
 */
public void focusGained(FocusEvent e) {
}

/**
 * This method does nothing and is meant to be overridden
 */
public void focusLost(FocusEvent e) {
}

}
