/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: HiGridInternalData.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:19 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid;

import java.io.Serializable;
import java.util.*;

import com.klg.jclass.datasource.*;

/**
 * A simple class to package together some internal data.
 * This is meant only for internal use by HiGrid 
 * and is not meant to be used by applets or applications.
 */
public class HiGridInternalData implements Serializable {

static final long serialVersionUID = -2708974619277629995L;

protected DataTableModel dataTable;
protected SortData sortData;

public HiGridInternalData() {
    dataTable = null;
    sortData = null;
}

/**
 * Retrieves the dataTable.
 *
 * @return The dataTable.
 */
public DataTableModel getDataTable() {
    return dataTable;
}

/**
 * Sets the dataTable for this object.
 *
 * @param dataTable The new dataTable.
 */
public void setDataTable(DataTableModel dataTable) {
    this.dataTable = dataTable;
}

/**
 * Retrieves the sort data.
 *
 * @return The sort data.
 */
public SortData getSortData() {
    return sortData;
}

/**
 * Sets the sort data.
 *
 * @param sortData The sort data.
 */
public void setSortData(SortData sortData) {
    this.sortData = sortData;
}

/**
 * Add a sort data to the sort list.
 *
 * @param sortData The sort data.
 * @param checkForDuplicate True if the list is to be searched for duplicate
 */
/* 
void addToSortList(SortData sortData, boolean checkForDuplicate) {
if (sortList == null) {
    sortList = new Vector(5);        
}
if (sortList.isEmpty() || !checkForDuplicate) {
    sortList.addElement(sortData);
}
else {
    boolean found = false;
    for (Enumeration e = sortList.elements(); e.hasMoreElements(); ) {
        SortData listData = (SortData) e.nextElement();
        // for single column sort only
        if (sortData.bookmark == listData.bookmark) {
            // duplicate found, update listData
            listData.columnName = sortData.columnName;
            listData.direction = sortData.direction;
            found = true;
            break;
        }
    }
    if (!found) {
        sortList.addElement(sortData);
    }
}
}
*/
/**
 * Gets a possible sortData to do sorting.
 */
/*
SortData getSortData(HiGrid grid, RowNode parentRow) {
SortData sortData = null;

if (defaultSortData == null && (sortList == null || sortList.isEmpty())) {
    return sortData;
}

// look for single table sort
if (sortList != null && !sortList.isEmpty()) {
    long bookmark = parentRow.getBookmark();
    for (Enumeration e = sortList.elements(); e.hasMoreElements(); ) {
        SortData listData = (SortData) e.nextElement();
        // for single column sort only
        if (listData.bookmark == SortData.SORT_ALL_TABLES_BOOKMARK || listData.bookmark == bookmark) {
            return listData;
        }
    }
}    

// look for default sortData
if (defaultSortData != null) {
    sortData = new SortData(parentRow.getBookmark(), defaultSortData.columnName, defaultSortData.direction);
    addToSortList(sortData, true);
}

return sortData;
}
*/

}
