/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: HiGridRepaintEvent.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:19 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid;

import java.awt.Rectangle;
import java.util.EventObject;

/**
 * Event object for <code>HiGridRepaintEvent</code>, a subclass of
 * <code>HiGridEvent</code> containing information about the particular
 * type of event.
 */
public class HiGridRepaintEvent extends HiGridEvent {

static final long serialVersionUID = -2218549781626265288L;

/**
 * A row node is being repainted.
 */
public static final int BEFORE_REPAINT_ROW = 1;

protected Rectangle clipRectangle;

/**
 * Default constructor
 */
public HiGridRepaintEvent(HiGrid grid, int eventType, RowNode rowNode, Rectangle clipRectangle) {
    super(grid, eventType, rowNode, "");



    this.clipRectangle = (Rectangle)clipRectangle.clone();

}

/**
 * Gets the Graphics clip rectangle
 *
 * @return the Graphics clip rectangle
 */
public Rectangle getClipRectangle() {
    return clipRectangle;
}

}
