/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: HiGridResizeCellEvent.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:19 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid;

import java.util.EventObject;

/**
 * Event object for <code>HiGridResizeCellEvent</code>, a subclass of
 * <code>HiGridEvent</code> containing information about the particular
 * type of event.
 */
public class HiGridResizeCellEvent extends HiGridEvent {

static final long serialVersionUID = 8893069602788712767L;

/**
 * The row is being resized.  A listener to this event
 * can abort the action.
 */
public static final int BEFORE_RESIZE_ROW = 1;
/**
 * The column is being resized.  A listener to this event
 * can abort the action.
 */
public static final int BEFORE_RESIZE_COLUMN = 2;
/**
 * The row has been resized.
 */
public static final int AFTER_RESIZE_ROW = 3;
/**
 * The column has been resized.
 */
public static final int AFTER_RESIZE_COLUMN = 4;

/**
 * Default constructor
 */
public HiGridResizeCellEvent(HiGrid grid, int eventType, RowNode rowNode, String column) {
    super(grid, eventType, rowNode, column);
}

/**
 * Default constructor
 */
public HiGridResizeCellEvent(HiGrid grid, int eventType, RowNode rowNode) {
    this(grid, eventType, rowNode, "");
}

/**
 * Return true if this event can be cancelled. Cancelling an event
 * cancels the operation which generated the event.
 * @return true if this event can be cancelled.
 */
public boolean isCancelable() {
    switch (getEventType()) {
    case BEFORE_RESIZE_ROW:
    case BEFORE_RESIZE_COLUMN:
        return true;
    }
    return false;
}
}
