/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: HiGridTraverseEvent.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:20 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid;

import java.util.EventObject;

/**
 * Event object for <code>HiGridTraverseEvent</code>, a subclass of
 * <code>HiGridEvent</code> containing information about the particular
 * type of event.
 */
public class HiGridTraverseEvent extends HiGridEvent {

static final long serialVersionUID = -158522681331433295L;

/**
 * The current cell has been moved to a new row or column.
 */
public static final int AFTER_TRAVERSE = 1;

protected CellPosition oldPosition = null;
protected CellPosition newPosition = null;

/**
 * Default constructor
 */
public HiGridTraverseEvent(HiGrid grid, int eventType,
                           CellPosition oldPosition, CellPosition newPosition) {
    super(grid, eventType, newPosition.getRowNode(), newPosition.getCellFormat().getName());
    if (oldPosition != null) {
        this.oldPosition = (CellPosition)(oldPosition.clone());
    }
    if (newPosition != null) {
        this.newPosition = (CellPosition)(newPosition.clone());
    }
}

/**
 *  Retrieves the cell position before the traversal started.
 *
 * @return the cell position before the traversal started.
 */
public CellPosition getOldCellPosition() {
    return oldPosition;
}

/**
 *  Retrieves the cell position after the traversal completed.
 *
 * @return the cell position after the traversal completed.
 */
public CellPosition getNewCellPosition() {
    return newPosition;
}

}
