/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: HiGridUpdateEvent.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:20 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid;

import java.util.EventObject;

/**
 * Event object for <code>HiGridUpdateEvent</code>, a subclass of
 * <code>HiGridEvent</code> containing information about the particular
 * type of event.
 */
public class HiGridUpdateEvent extends HiGridEvent {

static final long serialVersionUID = 5197510395758900870L;

/**
 * The Format Data has been reset.
 */
public static final int AFTER_RESET_FORMAT_DATA = 1;
/**
 * The Higrid data has been reset.
 */
public static final int AFTER_RESET_HIGRID_DATA = 2;
/**
 * A new Row Node has been created.
 */
public static final int AFTER_CREATE_ROW = 3;

/**
 * Default constructor
 */
public HiGridUpdateEvent(HiGrid grid, int eventType, RowNode rowNode) {
    super(grid, eventType, rowNode, "");
}

/**
 * Default constructor
 */
public HiGridUpdateEvent(HiGrid grid, int eventType) {
    super(grid, eventType, null, "");
}

}
