/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: HiGridValidateEvent.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:20 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid;

import com.klg.jclass.cell.*;
import com.klg.jclass.cell.validate.*;
import com.klg.jclass.datasource.DataModelException;

/**
 * Event object for <code>HiGridValidateEvent</code>, a subclass of
 * <code>HiGridEvent</code> containing information about the particular
 * type of event.
 *
 * The event posted for cell validation events.
 */
public class HiGridValidateEvent extends HiGridEvent {

static final long serialVersionUID = 1542260162625575611L;

/*
 * User level validation (can be rejected).
 */
public static final int VALUE_CHANGED_BEGIN    = 3001;
/*
 * User level post validation (cannot be rejected).
 */
public static final int VALUE_CHANGED_END      = 3002;
/*
 * Value has been rejected.
 */
public static final int STATE_IS_INVALID       = 3003;

private JCValidateEvent validateEvent;

/**
 * Default constructor.
 *
 * @exception DataModelException If an exception occurs while creating the event object.
 */
public HiGridValidateEvent(HiGrid grid, int eventType, JCValidateEvent event,
                           RowNode row, String column) throws DataModelException {
    super(grid, eventType, row, column);
    this.validateEvent = event;
}

/**
 * Gets the validate event.
 */
public JCValidateEvent getValidateEvent() {
    return validateEvent;
}

}

