/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LastRowWalk.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:20 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid;

import javax.swing.tree.*;

/**
 * The LastRowWalk class is used as a container of information
 * during recursive searches of the RowTree.  It is mainly used
 * to implement PAGEUP/PAGEDOWN and UP/DOWN keyboard traversal.
 */

public class LastRowWalk implements Walkable {

static final long serialVersionUID = -6353847996233300376L;

private RowNode foundNode;
private boolean onlyRecordFormat;

public LastRowWalk() {
    this(false);
}

public LastRowWalk(boolean onlyRecordFormat) {
    foundNode = null;
    this.onlyRecordFormat = onlyRecordFormat;
}

public boolean getDownward() {
    return true;
}

public boolean done() {
    return false;
}

public void next(RowNode rowNode) {
    if (rowNode != null) {
        if (onlyRecordFormat) {
            if (rowNode.getRowFormat() instanceof RecordFormat) {
                foundNode = rowNode;
            }
        }
        else {
            foundNode = rowNode;
        }
    }
}

public void previous(RowNode rowNode) {
}

public boolean find(RowNode rowNode) {
    return false;
}

public RowNode getFoundNode() {
    return foundNode;
}

}
