/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LevelSelectWalk.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:20 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid;

import java.util.Enumeration;
import java.util.Vector;

import javax.swing.tree.*;

import com.klg.jclass.datasource.DataTableModel;

/**
 * The LevelSelectWalk class is used to select the rows for the same meta level.
 */
class LevelSelectWalk implements Walkable {

static final long serialVersionUID = -2122003129413483709L;

private HiGrid grid;
private RowNode firstSelectedRowNode;
private int metaID;
private int found;
private Vector selectedRows = null;

/**
 * Constructor
 */
public LevelSelectWalk(HiGrid grid, RowNode rowNode) {
    this.grid = grid;
    firstSelectedRowNode = null;
    metaID = rowNode.getFormatNode().getRecordFormat().getMetaData().getMetaID();
    found = 0;
    selectedRows = new Vector();
}

public boolean getDownward() {
    return true;
}

public boolean done() {
    return false;
}

public void next(RowNode rowNode) {
    if (rowNode != null) {
        selectRow(rowNode);
    }
}

public void previous(RowNode rowNode) {
}

public boolean find(RowNode rowNode) {
    return false;
}

public RowNode first() {
    return firstSelectedRowNode;
}

protected void selectRow(RowNode rowNode) {
    if (rowNode.getRowFormat() instanceof RecordFormat) {
        // check if same meta level
        if (metaID == rowNode.getFormatNode().getRecordFormat().getMetaData().getMetaID()) {
            selectedRows.addElement(rowNode);
            if (firstSelectedRowNode == null) {
                firstSelectedRowNode = rowNode;
            }
        }
    }
}

public Vector getSelectedRows() {
    return selectedRows;
}

}
