/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: NodeStatus.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:20 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid;

import java.awt.Image;
import java.io.Serializable;

/**
 * The <code>NodeStatus</code> class packages together some status information
 * for display by a HiGridNodeRenderer.
 */
public class NodeStatus implements Serializable {

static final long serialVersionUID = 4770499330179841523L;

// Enums
/** The closed folder state. */
public static final byte FOLDER_CLOSED = 0;
/** The opened folder state. */
public static final byte FOLDER_OPEN = 1;
/** The no folder state. */
public static final byte FOLDER_NONE = 2;
/** The number of folder states. */
public static final byte FOLDER_COUNT = 3;

private HiGrid grid;
private int status;
private Image image;

public NodeStatus(HiGrid grid, int status, Image image) {
    this.grid = grid;
    this.status = status;
    this.image = image;
}

/**
 * Retrieves the instance of HiGrid.
 * @return the instance of HiGrid
 */
public HiGrid getGrid() {
    return grid;
}

/**
 * Retrieves the FOLDER_ status for this object.
 * @return the FOLDER_ status for this object.
 */
public int getStatus() {
    return status;
}

/**
 * Retrieves the image associated with this node.
 * @return the image associated with this node.
 */
public Image getImage() {
    return image;
}

}
