/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: PageUpWalk.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:20 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid;

/**
 * The PageUpWalk class is used as a container of information during
 * walks of the RowTree. It is used to implement PAGEUP keyboard traversal.
 */

class PageUpWalk implements Walkable {

static final long serialVersionUID = 773228427001927446L;

private int rowIndex;
private int height;
private boolean found;
private RowNode foundNode;

public PageUpWalk(int rowIndex, int height, RowNode rowNode) {
    this.rowIndex = rowIndex;
    this.height = height;
    found = false;
    foundNode = rowNode;
}

public boolean getDownward() {
    return false;
}

public boolean done() {
    return found;
}

public void next(RowNode rowNode) {
    if (rowNode != null && rowIndex > 0) {
        height -= rowNode.getHeight();
        if (height >= 0) {
            rowIndex--;
            foundNode = rowNode;
        }
    }
}

public void previous(RowNode rowNode) {
}

public boolean find(RowNode rowNode) {
    if (height < 0) {
        found = true;
    }
    return found;
}

public int getRowIndex() {
    return rowIndex;
}

public RowNode getFoundNode() {
    return foundNode;
}

}
