/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: PixelCountWalk.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:20 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid;

/**
 * The PixelCountWalk class is used as a container of information
 * during recursive searches of the RowTree.
 */

class PixelCountWalk implements Walkable {

static final long serialVersionUID = -7960339023128286143L;

private boolean downward;
private int pixelCount;
private int maxPixels;
private boolean found;
private RowNode lastNode;

public PixelCountWalk(RowNode lastNode, int maxPixels, boolean downward) {
    this.lastNode = lastNode;
    this.pixelCount = 0;
    this.maxPixels = maxPixels;
    found = false;
    this.downward = downward;
}

public boolean getDownward() {
    return downward;
}

public boolean done() {
    return found;
}

public void next(RowNode rowNode) {
    pixelCount += rowNode.getHeight();
}

public void previous(RowNode rowNode) {
}

public boolean find(RowNode rowNode) {
    if (rowNode == lastNode) {
        found = true;
        if (downward) {
            pixelCount -= rowNode.getHeight();
        }
    }
    if (pixelCount > maxPixels) {
        found = true;
    }
    return found;
}

public int getPixelCount() {
    return pixelCount;
}

}
