/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: PrePrintRowTreeWalk.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:20 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid;

import java.util.Vector;

/**
 * The PrePrintRowTreeWalk class determines which meta tables are for printing.
 */

class PrePrintRowTreeWalk implements Walkable {

static final long serialVersionUID = 7311698931341104035L;

private int metaIDArray[];
private Vector metaIDs;
private boolean stop;

public PrePrintRowTreeWalk() {
    this.metaIDArray = null;
    metaIDs = new Vector(5);
    stop = false;
}

public boolean getDownward() {
    return true;
}

public boolean done() {
    return stop;
}

public void next(RowNode rowNode) {
    RowTree.addUnique(metaIDs, (Object) (new Integer(rowNode.getRowFormat().getMetaData().getMetaID())));
}

public void previous(RowNode rowNode) {
}

public boolean find(RowNode rowNode) {
    return stop;
}

public int[] getMetaIDArray() {
    if (metaIDs.isEmpty()) {
        return null;
    }
    int count = metaIDs.size();
    metaIDArray = new int[count];
    for (int i = 0; i < count; i++) {
        metaIDArray[i] = ((Integer) metaIDs.elementAt(i)).intValue();
    }
    return metaIDArray;
}

}
