/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: RowNodeWalk.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:20 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid;

import javax.swing.tree.*;

/**
 * The RowNodeWalk class is used as a container of information during
 * walks of the RowTree.  It walks down a counted number of rows.
 */

class RowNodeWalk implements Walkable {

static final long serialVersionUID = -3009641764489914022L;

private int count;
private RowNode foundNode;

public RowNodeWalk(int count) {
    this.count = count;
    foundNode = null;
}

public boolean getDownward() {
    return true;
}

public boolean done() {
    return foundNode != null;
}

public void next(RowNode rowNode) {
    count--;
}

public void previous(RowNode rowNode) {
    count++;
}

public boolean find(RowNode rowNode) {
    if (count <= 0 && rowNode != null) {
        foundNode = rowNode;
        return true;
    }
    return false;
}

public RowNode getFoundNode() {
    return foundNode;
}

}
