/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: RowSelectWalk.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:20 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid;

import java.util.Enumeration;
import java.util.Vector;

import javax.swing.tree.*;

import com.klg.jclass.datasource.DataTableModel;

/**
 * The RowSelectWalk class is used to select the rows.
 */
class RowSelectWalk implements Walkable {

static final long serialVersionUID = 820932069783880501L;

private HiGrid grid;
private int selectionMode;
private boolean finished;
private RowNode lastSelectedRowNode;
private RowNode currentRowNode;
private int found;
private Vector selectedRows = null;

/**
 * Constructor
 */
public RowSelectWalk(HiGrid grid, int selectionMode, RowNode lastSelectedRowNode, RowNode currentRowNode) {
    this.grid = grid;
    this.selectionMode = selectionMode;
    this.lastSelectedRowNode = lastSelectedRowNode;
    this.currentRowNode = currentRowNode;
    finished = false;
    found = 0;
    selectedRows = new Vector();
}

public boolean getDownward() {
    return true;
}

public boolean done() {
    return finished;
}

public void next(RowNode rowNode) {
    if (rowNode != null) {
        selectRow(rowNode);
    }
}

public void previous(RowNode rowNode) {
}

public boolean find(RowNode rowNode) {
    if (found > 1) {
        finished = true;
    }
    return finished;
}

private void selectRow(RowNode rowNode) {
    if (rowNode.getRowFormat() instanceof RecordFormat) {
        // Note: separate compare because lastSelectedRowNode can be same as currentRowNode
        if (rowNode == lastSelectedRowNode) {
            found++;
        }
        if (rowNode == currentRowNode) {
            found++;
        }
        if (found > 0) {
            if (!grid.controller.canSelectRowNode(selectionMode, lastSelectedRowNode, rowNode)) {
                return;
            }
            selectedRows.addElement(rowNode);
        }
    }
}

public Vector getSelectedRows() {
    return selectedRows;
}

}
