/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: ShowableRowFormat.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:20 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid;

/**
 * <code>ShowableRowFormat</code> objects describe rows which can
 * be displayed or hidden at run-time.
 */

public abstract class ShowableRowFormat extends RowFormat {

static final long serialVersionUID = 6951804625478449773L;

private boolean showing;

/**
 * Default Constructor.
 * @param showing Sets initial visibility of row.
 */
public ShowableRowFormat(boolean showing) {
    super();
    setShowing(showing);
}

/**
 * Default Constructor.
 */
public ShowableRowFormat() {
    this(false);
}

/**
 * Retrieves whether this object is showing.
 *
 * @return Whether object is currently showing.
 */
public boolean isShowing() {
    return showing;
}

/**
 * Sets whether this object is showing.
 *
 * @param showing Whether object is to be shown.
 */
public void setShowing(boolean showing) {
    this.showing = showing;
}

}

