/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: SortGridWalk.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:20 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid;

import com.klg.jclass.datasource.*;

/**
 * <code>SortGridWalk</code> is used to sort data tables of the same format level.
 */

class SortGridWalk implements Walkable {

static final long serialVersionUID = 4829162024717664091L;

private RowNode lastRowNode;
private RowNode parentNode;
private FormatNode formatNode;
private boolean stop;

public SortGridWalk(FormatNode formatNode) {
    this.formatNode = formatNode;
    lastRowNode = null;
    parentNode = null;
    if (formatNode == null) {
        stop = true;
        return;
    }
    stop = false;
}

public boolean getDownward() {
    return true;
}

public boolean done() {
    return stop;
}

public void next(RowNode rowNode) {
    if (rowNode.getFormatNode() == formatNode) {
        if (parentNode == null || parentNode != (RowNode)rowNode.getParent()) {
            // for the first row node of a data table
            lastRowNode = rowNode;
            parentNode = (RowNode)rowNode.getParent();
            stop = true;
        }
    }
}

public void previous(RowNode rowNode) {
}

public boolean find(RowNode rowNode) {
    return stop;
}

/**
 * Initialization for each possible new data table.
 *
 * @param firstTime Indication that this is the first round.
 */
protected void init() {
    lastRowNode = null;
    stop = false;
}

/**
 * Returns the last row node.
 *
 * @return The last row node.
 */
public RowNode getLastRowNode() {
    return lastRowNode;
}

}
