/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/


//   RCSID -- $RCSfile: StringRowFlavor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:20 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid;

import java.awt.datatransfer.*;
import java.util.*;

import com.klg.jclass.datasource.*;

/**
 * <CODE>StringRowFlavor</CODE> is a <CODE>Transferable</CODE>
 * object that passes row cell data through a string of
 * cells separated by tab/newline characters.
 */
public class StringRowFlavor extends StringSelection {

/**
 * Create a new StringRowFlavor given a range of rows from HiGrid.
 */
public StringRowFlavor(HiGrid grid, Vector rows) {
    super(getData(grid, rows));
}

/**
 * Returns the string of row data as a TAB/NEWLINE delimited string.
 */
protected static String getData(HiGrid grid, Vector rows) {
    String data = "";
    Object nextData = null;
    if (rows != null) {
        for (int i = 0; i < rows.size(); i++) {
            RowNode rowNode = (RowNode)rows.elementAt(i);
            if (rowNode == null) {
                continue;
            }
            DataTableModel dataTable = rowNode.getDataTableModel();
            if (dataTable == null) {
                continue;
            }
            for (Enumeration e = rowNode.getRowFormat().getDataFormats().elements(); e.hasMoreElements(); ) {
                CellFormat cell = (CellFormat) e.nextElement();
                try {
                    nextData = dataTable.getResultData(rowNode.getBookmark(), cell.getName());
                    data += nextData;
                    if (e.hasMoreElements()) {
                        data += "\t";
                    }
                }
                catch (DataModelException dme) {
                    nextData = null;
                }
            }
            data += "\n";
        }
    }
    return data;
}

}
