/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCHiGridEvent.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:21 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid.beans;

import com.klg.jclass.datasource.beans.NodeProperties;

import com.klg.jclass.higrid.*;
import com.klg.jclass.datasource.*;
import com.klg.jclass.datasource.beans.*;

/**
 * <code>JCHiGridEvent</code> describes a HiGrid Bean value change.
 */
public class JCHiGridEvent extends java.util.EventObject {

static final long serialVersionUID = 5746812506385437419L;

/** GridProperties value change. */
public final static int HIGRID_BEAN_COMPONENT_VALUE = 1;
/** NodeProperties value change. */
public final static int DATA_BEAN_COMPONENT_VALUE = 2;
/** HiGrid bean fields update. */
public final static int HIGRID_BEAN_FIELDS_UPDATE = 3;

protected int value;
protected JCHiGridNode node;
protected NodeProperties comp;

/**
 * Constructor for <code>JCHiGridEvent</code>.
 *
 * @param source the higrid Bean component
 */
public JCHiGridEvent(Object source) {
    this(source, HIGRID_BEAN_COMPONENT_VALUE, null, null);
}

/**
 * Constructor for <code>JCHiGridEvent</code>.
 *
 * @param source the higrid Bean component
 * @param value the component value
 */
public JCHiGridEvent(Object source, int value) {
    this(source, value, null, null);
}

/**
 * Constructor for <code>JCHiGridEvent</code>.
 *
 * @param source the higrid Bean component
 * @param node the <code>JCHiGridNode</code>
 */
public JCHiGridEvent(Object source, JCHiGridNode node) {
    this(source, HIGRID_BEAN_COMPONENT_VALUE, node, null);
}

/**
 * Constructor for <code>JCHiGridEvent</code>.
 *
 * @param source the higrid Bean component
 * @param value the component value
 * @param node the <code>JCHiGridNode</code>
 * @param comp the <code>NodeProperties</code>
 */
public JCHiGridEvent(Object source, int value, JCHiGridNode node, NodeProperties comp) {
    super(source);
    this.value = value;
    this.node = node;
    this.comp = comp;
}

/**
 * Returns the value.
 * @return the value
 */
public int getValue() {
    return value;
}

/**
 * Returns the <code>JCHiGridNode</code>.
 * @return the <code>JCHiGridNode</code>
 */
public JCHiGridNode getJCHiGridNode() {
    return node;
}

/**
 * Returns the <code>NodeProperties</code>.
 * @return the <code>NodeProperties</code>
 */
public NodeProperties getNodeProperties() {
    return comp;
}

}
