/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCHiGridExternalDS.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:21 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid.beans;

import com.klg.jclass.datasource.DataModelException;
import com.klg.jclass.datasource.beans.NodeProperties;

import java.applet.Applet;

/**
 * A Bean wrapper for JClass HiGrid. This is meant only for internal use by JClass HiGrid
 * and is not meant to be used by applets or applications.
 */
public class JCHiGridExternalDS extends JCHiGrid {

static final long serialVersionUID = 1839092239185169178L;

private static String base = "higridexternalds";
private static int nameCounter = 0;
private static final boolean TRACE = false;

public JCHiGridExternalDS() {
    this(NodeProperties.JDBC);
}

/** Creates a <code>JCHiGridExternalDS</code> with the data source type.
 * @param type
 */
public JCHiGridExternalDS(int type) {
    super(type, true);
    //PR30159
    name = "com.klg.jclass.higrid.beans.JCHiGridExternalDS";
}

/** Creates a <code>JCHiGridExternalDS</code>, which reads parameters from the applet's HTML file.
 * @param applet the applet whose <code>PARAM</code> tags are to be read
 * @param name if this is not null, only parameters preceded by this name are read
 * @see java.applet.Applet#getParameter
 */
public JCHiGridExternalDS(Applet applet, String name) {
    this();
    this.applet = applet;
    setName((name == null) ?  (base + nameCounter++) : name);
    if (getClass().getName().equals(
            "com.klg.jclass.higrid.JCHiGridExternalDS")) {
        getParameters(applet);
    }
}

/** Gets the name of the Bean, as set in the constructor or by <code>setName</code>.
 * If no name has been set, a 0-length String will be returned.
 * @see #setName
 * @return
 */
public String getName() {
    return name != null ? name : "";
}

/**
 * Sets the name of the Bean.
 * @param name
 */
public void setName(String name) {
    this.name = name;
}


/** Sets <code>ExternalGridProperties</code> property.
 *	@exception DataModelException If fails to create a meta data.
 * @param comp
 */
public void setExternalGridProperties(ExternalGridProperties comp) throws DataModelException {
    setGridProperties((GridProperties) comp);
}

/** Gets <code>ExternalGridProperties</code> property.
 *	@see #setExternalGridProperties
 * @return
 */
public ExternalGridProperties getExternalGridProperties() {
    GridProperties comp =  getGridProperties();
    if (comp instanceof ExternalGridProperties) {
        return(ExternalGridProperties) comp;
    }
    return null;
}

/** Sets the <code>ExternalGridProperties</code> property.
 *	@param resource_name resource name relative to a class loader 
 *						to the HiGrid Bean component
 *	@param cl class loader used to get the resource
 * 	@exception DataModelException If fails to create a meta data.
 */
public void setExternalGridProperties(String resource_name, 
                                      ClassLoader cl) throws DataModelException {
    setExternalGridProperties(new ExternalGridProperties(resource_name, cl));
}

} // JCHiGridExternalDS
