/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: BasePropertyEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:21 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid.customizer;

import java.awt.*;
import java.beans.*;
import java.util.Vector;

/** This custom editor is similar to java.beans.PropertyEditorSupport except
 *	that it fires property change event with a property name.
 */
public class BasePropertyEditor implements PropertyEditor {

private PropertyChangeSupport support = new PropertyChangeSupport(this);
private String propertyName;
private Object value;

public BasePropertyEditor(String property_name) {
    super();
    propertyName = property_name;
}

public void setValue(Object value) {
    Object old_value = value;
    this.value = value;
    support.firePropertyChange(propertyName, null, value);
}

public Object getValue() {
    return value;
}

public boolean isPaintable() {
    return false;
}

public void paintValue(Graphics gc, Rectangle box) {
}

public String getJavaInitializationString() {
    if (value instanceof String) return(String) value;
    return new String("" + value);
}

public String getAsText() {
    if (value instanceof String) return(String) value;
    return new String("" + value);
}

public void setAsText(String text) throws IllegalArgumentException {
    throw new IllegalArgumentException(text);
}

public String[] getTags() {
    return null;
}

public Component getCustomEditor() {
    return null;
}

public boolean supportsCustomEditor() {
    return false;
}

public void addPropertyChangeListener(PropertyChangeListener l) {
    support.addPropertyChangeListener(l);
}

public void removePropertyChangeListener(PropertyChangeListener l) {
    support.removePropertyChangeListener(l);
}

}
