/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: ChooserDialog.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:21 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid.customizer;

import java.awt.*;
import java.awt.event.*;
import java.util.*;

import javax.swing.*;

import com.klg.jclass.higrid.LocaleBundle;

/** This is a dialog for choosing from a list. */
public class ChooserDialog extends JDialog implements ActionListener {

Vector choiceNames = new Vector();

ChooserDialogParent parent;
DefaultListModel listModel;
JList list;
JButton buttonOk, buttonCancel;

public ChooserDialog(ChooserDialogParent parent) {
    super((Frame)null, parent.getTitle());
    setModal(true);
    this.parent = parent;
    init();
}

public void init() {
    getContentPane().setLayout(new BorderLayout());

    listModel = new DefaultListModel();
    list = new JList(listModel);
    JPanel panel = new JPanel();
    buttonOk = new JButton(LocaleBundle.string(LocaleBundle.buttonOk));
    buttonCancel = new JButton(LocaleBundle.string(LocaleBundle.buttonCancel));

    buttonOk.addActionListener(this);
    buttonCancel.addActionListener(this);
    panel.add(buttonOk);
    panel.add(buttonCancel);
    getContentPane().add(new JScrollPane(list), BorderLayout.CENTER);
    getContentPane().add(panel, BorderLayout.SOUTH);
    pack();

    refresh();

    addWindowListener(new java.awt.event.WindowAdapter() {
                          public void windowClosing(java.awt.event.WindowEvent e) {
                              closeDialog(); 
                          }
                      }); 
}

public Dimension getPreferredSize() {
    return new Dimension(200, 200);
}

public Dimension getMinimumSize() {
    return getPreferredSize();
}

void closeDialog() {
    setVisible(false);
    dispose();
}

/** Centers the dialog relative to the parent frame. */
public void setVisible(boolean visible) {
    if (visible) {
        int x = getParent().getBounds().x + (getParent().getBounds().width-getBounds().width)/2;
        int y = getParent().getBounds().y + (getParent().getBounds().height-getBounds().height)/2;
        if (x >= 0 && y >= 0) {
            setLocation(x, y);
        }
    }
    super.setVisible(visible);
}

/** Refresh the list of tables */
public void refresh() {
    listModel.removeAllElements();
    choiceNames = parent.getChoiceList();
    if (choiceNames != null) {
        for (Enumeration e = choiceNames.elements(); e.hasMoreElements();) {
            listModel.addElement((String) e.nextElement());
        }
    }
}

/** Gets the selected table and send it to the parent.
 */
public void getChoiceSelected() {
    parent.choiceSelected(list.getSelectedIndex());
}

public void actionPerformed(ActionEvent e) {
    if (e.getSource() instanceof JButton) {
        JButton button = (JButton) e.getSource();
        if (button.equals(buttonOk)) {
            getChoiceSelected();
            closeDialog();
        }
        else if (button.equals(buttonCancel)) {
            closeDialog();
        }
    }
}

}

