/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: FormatPage.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:21 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid.customizer;

import java.awt.*;

import javax.swing.JPanel;

import com.klg.jclass.higrid.beans.JCHiGridNode;

/** A page in GridPropertiesEditor. */
abstract public class FormatPage extends JPanel {

protected String pageName;
private JCHiGridNode node;
private boolean initializing = false;
GridPropertiesEditor editor;

public FormatPage() {
    this("");
}

public FormatPage(String pageName) {
    super();
    this.pageName = pageName;
}

public void setEditor(GridPropertiesEditor editor) {
    this.editor = editor;
}

/** Override to display values of the higrid bean node in this page. */
abstract public void setJCHiGridNode(JCHiGridNode node);

public JCHiGridNode getJCHiGridNode() {
    return node;
}

/** Initializes a format page.  setJCHiGridNode is called
 *	to do the actual initialization in subclass. 
 */
protected void init(JCHiGridNode node) {
    this.node = node;
    initializing = true;
    setJCHiGridNode(node);
    initializing = false;
}

/** Indicates if data model page is initializing. */
public boolean isInitializing() {
    return initializing;
}

/** Gets the internationalized page name. */
public String getPageName() {
    return pageName;
}

public Insets getInsets() {
    return new Insets(5, 5, 5, 5);
}

} 
