/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCHiGridCustomizer.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:21 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid.customizer;

import java.awt.*;
import java.beans.*;
import java.util.*;

import javax.swing.*;

import com.klg.jclass.higrid.LocaleBundle;
import com.klg.jclass.higrid.beans.*;
import com.klg.jclass.datasource.customizer.CustomizePage;

/** Customizer for JCData. */
public class JCHiGridCustomizer extends JPanel 
implements Customizer, PropertyChangeListener {

protected PropertyChangeSupport support = new PropertyChangeSupport(this);
protected JCHiGrid target = null;

protected JTabbedPane tab_manager;

protected CustomizePage pages[];

protected final static Class page_classes[] = {
    com.klg.jclass.higrid.customizer.JCHiGridGeneralPage.class,
    com.klg.jclass.higrid.customizer.GridPropertiesEditor.class,
};

public JCHiGridCustomizer() {
    super();
    init();
}

public void init() {
    // Build tab manager
    setLayout(new GridLayout(1,1));
    tab_manager = new JTabbedPane();
    pages = new CustomizePage[page_classes.length];
    for (int i=0; i<page_classes.length; i++) {
        try {
            CustomizePage page = (CustomizePage) page_classes[i].newInstance();
            tab_manager.addTab(page.getPageName(), page);
            pages[i] = page;
        }
        catch (Exception ex) {
            ex.printStackTrace();
        }
    }
//    tab_manager.setSelectedIndex(1);
    add(tab_manager);
    com.klg.jclass.datasource.customizer.CustomizerLauncher.setDefaultFont((Component)this, new Font("Dialog", Font.PLAIN, 9));
}

public JTabbedPane getTabManager() {
    return tab_manager;
}

public void setObject(Object source) {
    if (source instanceof JCHiGrid) {
        target = (JCHiGrid) source;
        for (int i=0; i<pages.length; i++) {
            pages[i].setBean(target);
            pages[i].addPropertyChangeListener(this);
        }
    }
}

/** When a property in a CustomizePage is changed. */
public void propertyChange(PropertyChangeEvent e) {
    JCHiGrid bean = (JCHiGrid) target;
    if (e.getSource() instanceof PropertyEditor) {
        PropertyEditor pe = (PropertyEditor) e.getSource();
        String property_name = null;
        if (pe instanceof GridPropertiesEditor) {
            property_name = "GridProperties";
            try {
                bean.setGridProperties((GridProperties)pe.getValue());
            }
            catch (Exception ex) {
                ex.printStackTrace();
            }
            /* not needed
            } else if (pe instanceof InsetsEditor) {
                property_name = "borderInsets";
                Insets i = (pe.getValue() == null) ? new Insets(0,0,0,0) : (Insets) pe.getValue();
                bean.setBorderInsets(i);	
            } else if (pe instanceof BorderStyleEditor) {
                property_name = "borderStyle";
                Integer i = (Integer) pe.getValue();
                bean.setBorderStyle(i.intValue());
            */
        }
        else if (pe instanceof FolderIconStyleEditor) {
            property_name = "folderIconStyle";
            Integer i = (Integer) pe.getValue();
            bean.setFolderIconStyle(i.intValue());
        }
        else if (pe instanceof HorizontalScrollbarDisplayEditor) {
            property_name = "horizontalScrollbarDisplay";
            Integer i = (Integer) pe.getValue();
            bean.setHorizontalScrollbarDisplay(i.intValue());
        }
        else if (pe instanceof BooleanEditor) {
            Boolean v = (Boolean) pe.getValue();
            String name = e.getPropertyName();
            property_name = name;
            if (name.equalsIgnoreCase(LocaleBundle.allow_popup_menu)) {
                bean.setAllowPopupMenu(v.booleanValue());
            }
            else if (name.equalsIgnoreCase(LocaleBundle.allow_row_selection)) {
                bean.setAllowRowSelection(v.booleanValue());
            }
            else if (name.equalsIgnoreCase(LocaleBundle.allow_sorting)) {
                bean.setAllowSorting(v.booleanValue());
            }
            else if (name.equalsIgnoreCase(LocaleBundle.batched)) {
                bean.setBatched(v.booleanValue());
            }
            else if (name.equalsIgnoreCase(LocaleBundle.beep_on_invalid)) {
                bean.setBeepOnInvalid(v.booleanValue());
            }
            else if (name.equalsIgnoreCase(LocaleBundle.connections_visible)) {
                bean.setConnectionsVisible(v.booleanValue());
            }
            else if (name.equalsIgnoreCase(LocaleBundle.editable)) {
                bean.setEditable(v.booleanValue());
            }
            else if (name.equalsIgnoreCase(LocaleBundle.levelIndented)) {
                bean.setLevelIndented(v.booleanValue());
            }
            else if (name.equalsIgnoreCase(LocaleBundle.print_folders_and_connections)) {
                bean.setPrintFoldersAndConnections(v.booleanValue());
            }
            else if (name.equalsIgnoreCase(LocaleBundle.rowtip_visible)) {
                bean.setRowtipVisible(v.booleanValue());
            }
            else if (name.equalsIgnoreCase(LocaleBundle.sort_icons_visible)) {
                bean.setSortIconsVisible(v.booleanValue());
            }
        }
        else if (pe instanceof IntegerEditor) {
            Integer i = (Integer) pe.getValue();
            String name = e.getPropertyName();
            property_name = name;
            if (name.equalsIgnoreCase(LocaleBundle.nodeWidth)) {
                bean.setNodeWidth(i.intValue());
            }
            else if (name.equalsIgnoreCase(LocaleBundle.edit_status_width)) {
                bean.setEditStatusWidth(i.intValue());
            }
        }
        else if (pe instanceof PrintFormatEditor) {
            property_name = "printFormat";
            Integer i = (Integer) pe.getValue();
            bean.setPrintFormat(i.intValue());
        }
        else if (pe instanceof RowSelectionModeEditor) {
            property_name = "rowSelectionMode";
            Integer i = (Integer) pe.getValue();
            bean.setRowSelectionMode(i.intValue());
        }
        else if (pe instanceof VerticalScrollbarDisplayEditor) {
            property_name = "verticalScrollbarDisplay";
            Integer i = (Integer) pe.getValue();
            bean.setVerticalScrollbarDisplay(i.intValue());
        }
        if (property_name != null) {
            // Tell other editors like BeanBox property sheet that this bean 
            // is changed.
            support.firePropertyChange(property_name, null, null);
        }
    }
}

/** Adds listener for JCHiGrid change. */
public void addPropertyChangeListener(PropertyChangeListener l) {
    support.addPropertyChangeListener(l);
}

/** Removes listener from JCHiGrid change. */
public void removePropertyChangeListener(PropertyChangeListener l) {
    support.removePropertyChangeListener(l);
}

/** Launch JCHiGrid customizer. */
public static void main(String args[]) {
    java.beans.Beans.setDesignTime(true);
    com.klg.jclass.datasource.customizer.CustomizerLauncher launcher = 
    new com.klg.jclass.datasource.customizer.CustomizerLauncher(
                                                         LocaleBundle.string(LocaleBundle.JCHiGrid),
                                                         new JCHiGridCustomizer(),
                                                         new JCHiGrid());
    launcher.pack();
    launcher.show();
}

} 
