/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCHiGridGeneralPage.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:21 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.higrid.customizer;

import java.awt.*;
import java.beans.*;

import javax.swing.*;

import com.klg.jclass.beans.*;
import com.klg.jclass.datasource.beans.*;
import com.klg.jclass.datasource.customizer.*;
import com.klg.jclass.higrid.*;
import com.klg.jclass.higrid.beans.*;
import com.klg.jclass.util.swing.JCAlignLayout;

/** This customizer page contains General JCHiGrid properties.
 */
public class JCHiGridGeneralPage extends CustomizePage {

BooleanEditor allowPopupMenu;
BooleanEditor allowRowSelection;
BooleanEditor allowSorting;
BooleanEditor batched;
BooleanEditor beepOnInvalid;
//InsetsEditor borderInsets;
//BorderStyleEditor borderStyle;
BooleanEditor connectionsVisible;
BooleanEditor editable;
BooleanEditor editorHidden;
BooleanEditor levelIndented;
FolderIconStyleEditor folderIcon;
HorizontalScrollbarDisplayEditor hSBDisplay;
IntegerEditor nodeWidth, editStatusWidth;
BooleanEditor printFoldersAndConnections;
PrintFormatEditor printFormat;
BooleanEditor rowtipVisible;
RowSelectionModeEditor rowSelectionMode;
BooleanEditor sortIconsVisible;
VerticalScrollbarDisplayEditor vSBDisplay;

CustomizeEnumEditor custAllowPopupMenu;
CustomizeEnumEditor custAllowRowSelection;
CustomizeEnumEditor custAllowSorting;
CustomizeEnumEditor custBatched;
CustomizeEnumEditor custBeepOnInvalid;
//CustomizeTextEditor custBorderInsets;
//CustomizeEnumEditor custBorderStyle;
CustomizeEnumEditor custConnectionsVisible;
CustomizeEnumEditor custEditable;
CustomizeEnumEditor custEditorHidden;
CustomizeTextEditor custEditStatusWidth;
CustomizeEnumEditor custFolderIcon;
CustomizeEnumEditor custHSBDisplay;
CustomizeEnumEditor custLevelIndented;
CustomizeTextEditor custNodeWidth;
CustomizeEnumEditor custPrintFoldersAndConnections;
CustomizeEnumEditor custPrintFormat;
CustomizeEnumEditor custRowtipVisible;
CustomizeEnumEditor custRowSelectionMode;
CustomizeEnumEditor custSortIconsVisible;
CustomizeEnumEditor custVSBDisplay;

static String[] labels = {
    LocaleBundle.allow_popup_menu,
    LocaleBundle.allow_row_selection,
    LocaleBundle.allow_sorting,
    LocaleBundle.batched,
    LocaleBundle.beep_on_invalid,
    //LocaleBundle.border_style,
    //LocaleBundle.border_insets,
    LocaleBundle.connections_visible,
    LocaleBundle.edit_status_width,
    LocaleBundle.editable,
    LocaleBundle.editorHidden,
    LocaleBundle.folder_icon_style,
    LocaleBundle.horizontal_scrollbar_display,
    LocaleBundle.levelIndented,
    LocaleBundle.nodeWidth,
    LocaleBundle.print_folders_and_connections,
    LocaleBundle.print_format,
    LocaleBundle.row_selection_mode,
    LocaleBundle.rowtip_visible,
    LocaleBundle.sort_icons_visible,
    LocaleBundle.vertical_scrollbar_display,
};

JComponent getLabel(int i) {
    return new JLabel(LocaleBundle.string(labels[i]));
}

public JCHiGridGeneralPage() {
    super(LocaleBundle.string(LocaleBundle.general));
    setLayout(new BorderLayout());

    // Build properties panel.
    JPanel p = new JPanel();
    p.setLayout(new JCAlignLayout());

    int i = 0;

    // allow popup menu
    p.add(getLabel(i));
    allowPopupMenu = new BooleanEditor(LocaleBundle.allow_popup_menu);
    allowPopupMenu.setValue(new Boolean(true));
    p.add(custAllowPopupMenu = new CustomizeEnumEditor(allowPopupMenu));

    // allow row selection
    i++;
    p.add(getLabel(i));
    allowRowSelection = new BooleanEditor(LocaleBundle.allow_row_selection);
    allowRowSelection.setValue(new Boolean(true));
    p.add(custAllowRowSelection = new CustomizeEnumEditor(allowRowSelection));

    // allow sorting
    i++;
    p.add(getLabel(i));
    allowSorting = new BooleanEditor(LocaleBundle.allow_sorting);
    allowSorting.setValue(new Boolean(true));
    p.add(custAllowSorting = new CustomizeEnumEditor(allowSorting));

    // batched
    i++;
    p.add(getLabel(i));
    batched = new BooleanEditor(LocaleBundle.batched);
    batched.setValue(new Boolean(false));
    p.add(custBatched = new CustomizeEnumEditor(batched));

    // beep on invalid
    i++;
    p.add(getLabel(i));
    beepOnInvalid = new BooleanEditor(LocaleBundle.beep_on_invalid);
    beepOnInvalid.setValue(new Boolean(false));
    p.add(custBeepOnInvalid = new CustomizeEnumEditor(beepOnInvalid));

    /* not needed
    // border insets
    i++;
    p.add(getLabel(i));
    borderInsets = new InsetsEditor();
    borderInsets.setValue(new Insets(2, 2, 2, 2));
    p.add(custBorderInsets = new CustomizeTextEditor(borderInsets));

    // border style
    i++;
    p.add(getLabel(i));
    borderStyle = new BorderStyleEditor();
    borderStyle.setValue(LocaleBundle.string(LocaleBundle.ETCHED_IN));
    p.add(custBorderStyle = new CustomizeEnumEditor(borderStyle));
    */

    // connections visible
    i++;
    p.add(getLabel(i));
    connectionsVisible = new BooleanEditor(LocaleBundle.connections_visible);
    connectionsVisible.setValue(new Boolean(true));
    p.add(custConnectionsVisible = new CustomizeEnumEditor(connectionsVisible));

    // edit status width
    i++;
    p.add(getLabel(i));
    editStatusWidth = new IntegerEditor(LocaleBundle.edit_status_width);
    editStatusWidth.setValue(new Integer(25));
    p.add(custEditStatusWidth = new CustomizeTextEditor(editStatusWidth));

    // editable
    i++;
    p.add(getLabel(i));
    editable = new BooleanEditor(LocaleBundle.editable);
    editable.setValue(new Boolean(true));
    p.add(custEditable = new CustomizeEnumEditor(editable));

    // editorHidden
    i++;
    p.add(getLabel(i));
    editorHidden = new BooleanEditor(LocaleBundle.editorHidden);
    editorHidden.setValue(new Boolean(false));
    p.add(custEditorHidden = new CustomizeEnumEditor(editorHidden));

    // folder icon
    i++;
    p.add(getLabel(i));
    folderIcon = new FolderIconStyleEditor();
    folderIcon.setValue(LocaleBundle.string(LocaleBundle.FOLDER_ICON_STYLE_SHORTCUT));
    p.add(custFolderIcon = new CustomizeEnumEditor(folderIcon));

    // Horizontal scrollbar display
    i++;
    p.add(getLabel(i));
    hSBDisplay = new HorizontalScrollbarDisplayEditor();
    hSBDisplay.setValue(LocaleBundle.string(LocaleBundle.DISPLAY_AS_NEEDED));
    p.add(custHSBDisplay = new CustomizeEnumEditor(hSBDisplay));

    // level indented
    i++;
    p.add(getLabel(i));
    levelIndented = new BooleanEditor(LocaleBundle.levelIndented);
    levelIndented.setValue(new Boolean(true));
    p.add(custLevelIndented = new CustomizeEnumEditor(levelIndented));

    // node width
    i++;
    p.add(getLabel(i));
    nodeWidth = new IntegerEditor(LocaleBundle.nodeWidth);
    nodeWidth.setValue(new Integer(25));
    p.add(custNodeWidth = new CustomizeTextEditor(nodeWidth));

    // print folders and connections
    i++;
    p.add(getLabel(i));
    printFoldersAndConnections = new BooleanEditor(LocaleBundle.print_folders_and_connections);
    printFoldersAndConnections.setValue(new Boolean(true));
    p.add(custPrintFoldersAndConnections = new CustomizeEnumEditor(printFoldersAndConnections));

    // print format
    i++;
    p.add(getLabel(i));
    printFormat = new PrintFormatEditor();
    printFormat.setValue(LocaleBundle.string(LocaleBundle.PRINT_AS_DISPLAYED));
    p.add(custPrintFormat = new CustomizeEnumEditor(printFormat));

    // row selection mode
    i++;
    p.add(getLabel(i));
    rowSelectionMode = new RowSelectionModeEditor();
    rowSelectionMode.setValue(LocaleBundle.string(LocaleBundle.ROW_SELECT_ANY));
    p.add(custRowSelectionMode = new CustomizeEnumEditor(rowSelectionMode));

    // rowtip visible
    i++;
    p.add(getLabel(i));
    rowtipVisible = new BooleanEditor(LocaleBundle.rowtip_visible);
    rowtipVisible.setValue(new Boolean(true));
    p.add(custRowtipVisible = new CustomizeEnumEditor(rowtipVisible));

    // sort icons visible
    i++;
    p.add(getLabel(i));
    sortIconsVisible = new BooleanEditor(LocaleBundle.sort_icons_visible);
    sortIconsVisible.setValue(new Boolean(true));
    p.add(custSortIconsVisible = new CustomizeEnumEditor(sortIconsVisible));

    // Vertical scrollbar display
    i++;
    p.add(getLabel(i));
    vSBDisplay = new VerticalScrollbarDisplayEditor();
    vSBDisplay.setValue(LocaleBundle.string(LocaleBundle.DISPLAY_AS_NEEDED));
    p.add(custVSBDisplay = new CustomizeEnumEditor(vSBDisplay));

    add(p, BorderLayout.NORTH);
    com.klg.jclass.datasource.customizer.CustomizerLauncher.setDefaultFont((Component)this, new Font("Dialog", Font.PLAIN, 9));
}

/** Sets the bean to be customized.  It is used if the property editor
 *	is used as a page in a customizer.
 *	@param bean	bean to be customized.
 */
public void setBean(Object bean) {
    super.setBean(bean);
    if (bean instanceof JCHiGrid) {
        // Reflect allow popup menu
        boolean v = ((JCHiGrid)bean).isAllowPopupMenu();
        allowPopupMenu.setValue(new Boolean(v));
        custAllowPopupMenu.repaint();

        // Reflect allow row selection
        v = ((JCHiGrid)bean).isAllowRowSelection();
        allowRowSelection.setValue(new Boolean(v));
        custAllowRowSelection.repaint();

        // Reflect allow sorting
        v = ((JCHiGrid)bean).isAllowSorting();
        allowSorting.setValue(new Boolean(v));
        custAllowSorting.repaint();

        // Reflect batched
        v = ((JCHiGrid)bean).isBatched();
        batched.setValue(new Boolean(v));
        custBatched.repaint();

        // Reflect beep on invalid
        v = ((JCHiGrid)bean).isBeepOnInvalid();
        beepOnInvalid.setValue(new Boolean(v));
        custBeepOnInvalid.repaint();

        /* not needed
        // Reflect border insets of the bean in the editor
        Insets i = ((JCHiGrid)bean).getBorderInsets();
        borderInsets.setValue(i);
        custBorderInsets.repaint();

        // Reflect border style of the bean in the editor
        int style = ((JCHiGrid)bean).getBorderStyle();
        borderStyle.setValue(new Integer(style));
        custBorderStyle.repaint();
        */

        // Reflect connections visible
        v = ((JCHiGrid)bean).isConnectionsVisible();
        connectionsVisible.setValue(new Boolean(v));
        custConnectionsVisible.repaint();

        // Reflect editable
        v = ((JCHiGrid)bean).isEditable();
        editable.setValue(new Boolean(v));
        custEditable.repaint();

        // Reflect editorHidden
        v = ((JCHiGrid)bean).isEditorHidden();
        editorHidden.setValue(new Boolean(v));
        custEditorHidden.repaint();

        // Reflect edit status width of the bean in the editor
        int num = ((JCHiGrid)bean).getEditStatusWidth();
        editStatusWidth.setValue(new Integer(num));
        custEditStatusWidth.repaint();

        // Reflect folder icon of the bean in the editor
        int style = ((JCHiGrid)bean).getFolderIconStyle();
        folderIcon.setValue(new Integer(style));
        custFolderIcon.repaint();

        // Reflect horizontal scrollbar display of the bean in the editor
        style = ((JCHiGrid)bean).getHorizontalScrollbarDisplay();
        hSBDisplay.setValue(new Integer(style));
        custHSBDisplay.repaint();

        // Reflect level indented
        v = ((JCHiGrid)bean).isLevelIndented();
        levelIndented.setValue(new Boolean(v));
        custLevelIndented.repaint();

        // Reflect node width of the bean in the editor
        num = ((JCHiGrid)bean).getNodeWidth();
        nodeWidth.setValue(new Integer(num));
        custNodeWidth.repaint();

        // Reflect print folders and connections
        v = ((JCHiGrid)bean).isPrintFoldersAndConnections();
        printFoldersAndConnections.setValue(new Boolean(v));
        custPrintFoldersAndConnections.repaint();

        // Reflect print format of the bean in the editor
        style = ((JCHiGrid)bean).getPrintFormat();
        printFormat.setValue(new Integer(style));
        custPrintFormat.repaint();

        // Reflect rowtip visible
        v = ((JCHiGrid)bean).isRowtipVisible();
        rowtipVisible.setValue(new Boolean(v));
        custRowtipVisible.repaint();

        // Reflect row selection mode of the bean in the editor
        style = ((JCHiGrid)bean).getRowSelectionMode();
        rowSelectionMode.setValue(new Integer(style));
        custRowSelectionMode.repaint();

        // Reflect sort icons visible
        v = ((JCHiGrid)bean).isSortIconsVisible();
        sortIconsVisible.setValue(new Boolean(v));
        custSortIconsVisible.repaint();

        // Reflect vertical scrollbar display of the bean in the editor
        style = ((JCHiGrid)bean).getVerticalScrollbarDisplay();
        vSBDisplay.setValue(new Integer(style));
        custVSBDisplay.repaint();
    }
}

/** Adds a property change listener to all the fields on this customizer page. */
public void addPropertyChangeListener(PropertyChangeListener l) {
    allowPopupMenu.addPropertyChangeListener(l);
    allowRowSelection.addPropertyChangeListener(l);
    allowSorting.addPropertyChangeListener(l);
    batched.addPropertyChangeListener(l);
    beepOnInvalid.addPropertyChangeListener(l);
//	borderInsets.addPropertyChangeListener(l);
//	borderStyle.addPropertyChangeListener(l);
    connectionsVisible.addPropertyChangeListener(l);
    editStatusWidth.addPropertyChangeListener(l);
    editable.addPropertyChangeListener(l);
    folderIcon.addPropertyChangeListener(l);
    hSBDisplay.addPropertyChangeListener(l);
    levelIndented.addPropertyChangeListener(l);
    nodeWidth.addPropertyChangeListener(l);
    printFoldersAndConnections.addPropertyChangeListener(l);
    printFormat.addPropertyChangeListener(l);
    rowtipVisible.addPropertyChangeListener(l);
    rowSelectionMode.addPropertyChangeListener(l);
    sortIconsVisible.addPropertyChangeListener(l);
    vSBDisplay.addPropertyChangeListener(l);
}

/** Removes a property change listener from listening to changes of
 *	all the fields on this customizer page. */
public void removePropertyChangeListener(PropertyChangeListener l) {
    allowPopupMenu.removePropertyChangeListener(l);
    allowRowSelection.removePropertyChangeListener(l);
    allowSorting.removePropertyChangeListener(l);
    batched.removePropertyChangeListener(l);
    beepOnInvalid.removePropertyChangeListener(l);
//	borderInsets.removePropertyChangeListener(l);
//	borderStyle.removePropertyChangeListener(l);
    connectionsVisible.removePropertyChangeListener(l);
    editStatusWidth.removePropertyChangeListener(l);
    editable.removePropertyChangeListener(l);
    folderIcon.removePropertyChangeListener(l);
    hSBDisplay.removePropertyChangeListener(l);
    levelIndented.removePropertyChangeListener(l);
    nodeWidth.removePropertyChangeListener(l);
    printFoldersAndConnections.removePropertyChangeListener(l);
    printFormat.removePropertyChangeListener(l);
    rowtipVisible.removePropertyChangeListener(l);
    rowSelectionMode.removePropertyChangeListener(l);
    sortIconsVisible.removePropertyChangeListener(l);
    vSBDisplay.removePropertyChangeListener(l);

}

} 
