/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: DuplicateNameException.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:22 $ $Locker:  $  Quest Software Inc. 
package com.klg.jclass.page;

/**
 * PageLayout throws a DuplicateNameException when it is given a named
 * object (a page template or style, for example) which conflicts with the
 * name of an existing object of that type.
 */
public class DuplicateNameException extends RuntimeException {

/** The new object whose name is invalid */
public Object       newObject;
/** The existing object of the same name */
public Object       oldObject;

public DuplicateNameException(String message) {
	super(message);
	newObject = null;
	oldObject = null;
}

public DuplicateNameException(Object new_obj, Object old_obj, String message) {
	super(message);
	newObject = new_obj;
	oldObject = old_obj;
}

}
