/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: Graphics2DBase.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:22 $ $Locker:  $  Quest Software Inc.

package com.klg.jclass.page;

import java.awt.*;
import java.io.OutputStream;
import java.lang.reflect.Constructor;
import java.lang.reflect.InvocationTargetException;

/**
 * Overrides Graphics2D to provide the Java interface
 * for methods common to PostScript and PCL drawing.
 */
public abstract class Graphics2DBase
    extends com.klg.jclass.util.graphics.Graphics2DBase implements Cloneable{

/**
 * Constructor.
 */
public Graphics2DBase(OutputStream os) {
    super(os);
}

protected void output(String string) {
    try {
        super.output(string);
    } catch (java.io.IOException e) {
        throw new PrintException(e.toString());
    }
}

/**
 * Exposes protected superclass method to com.klg.jclass.page package
 */
protected void updateContext() {
    super.updateContext();
}


/**
 * Create a new Graphics class that is the same as the existing graphics
 * class.  This is different than create() since it creates an independent
 * graphics class that is unrelated to previous graphics classes yet
 * uses the same output stream.
 */
public Graphics newGraphics() {
    Object newGraphics = null;
    Class[] paramTypes = new Class[]{ OutputStream.class };
    Class subclass = this.getClass();
    Object[] paramInstances = new Object[]{getOutputStream()};
    Constructor subclassConstructor = null;
    try {
        subclassConstructor = subclass.getDeclaredConstructor(paramTypes);
        newGraphics = subclassConstructor.newInstance(paramInstances);
    } catch (NoSuchMethodException e) {
        // throw by subclass.getDeclaredConstructor(paramTypes);
        e.printStackTrace();
    } catch (SecurityException e) {
        // thrown by subclass.getDeclaredConstructor(paramTypes);
        // thrown by subclassConstructor.newInstance(paramInstances);
        e.printStackTrace();
    } catch (InstantiationException e) {
        // thrown by subclassConstructor.newInstance(paramInstances);
        e.printStackTrace();
    } catch (IllegalAccessException e) {
        // thrown by subclassConstructor.newInstance(paramInstances);
        e.printStackTrace();
    } catch (InvocationTargetException e) {
        // thrown by subclassConstructor.newInstance(paramInstances);
        e.printStackTrace();
    }
    return (Graphics)newGraphics;
}



}
