/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: JCAlternate.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:22 $ $Locker:  $  Quest Software Inc.
package com.klg.jclass.page;

import java.awt.Color;

/**
 * The <code>JCAlternate</code> controls alternating colors on rows and columns
 * of the <code>JCPageTable</code>. Row and column alternating are mutually exclusive.
 */
public class JCAlternate {
	/** The color for rows/columns where row/column number % 2 == 0. */
	public Color 	c1;
    /** The color for rows/columns where row/column number % 2 != 0. */
    public Color 	c2;

    /** Alternate colors on rows (<code>true</code>) or columns (<code>false</code>). */
    public boolean	rowOriented;

    /** Alternate lightGray/gray on rows.*/
    public static final JCAlternate ROW = new JCAlternate(
    	Color.lightGray,
        Color.gray,
        true);

    /** Alternate lightGray/gray on columns. */
    public static final JCAlternate COLUMN = new JCAlternate(
    	Color.lightGray,
        Color.gray,
        false);

    /**
     * The <code>Alternate</code> object controls whether to alternate on
     * rows or columns and the colors.
     * @param c1 the Color for rows rowNumber % 2 == 0
     * @param c2 the Color for rows rowNumber % 2 != 0
     * @param rowOriented a boolean, alternate colors on rows (<code>true</code>) or
     * columns (<code>false</code>)
     */
    public JCAlternate(Color c1, Color c2, boolean rowOriented) {
    	this.c1 			= c1;
        this.c2 			= c2;
        this.rowOriented 	= rowOriented;
    }
}
