/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: JCPrintListener.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:23 $ $Locker:  $  Quest Software Inc. 
package com.klg.jclass.page;

/**
 * Listens to events during the printing of a document.
 */
public interface JCPrintListener {

/**
 * Invoked before a document has been printed.
 * @param event <code>JCPrintEvent</code>
 */
public void openDocument(JCPrintEvent event);

/**
 * Invoked after a document has been printed.
 * @param event <code>JCPrintEvent</code>
 */
public void closeDocument(JCPrintEvent event);

/**
 * Invoked before a page has been printed.
 * @param event <code>JCPrintEvent</code>
 */
public void beginPage(JCPrintEvent event);

/**
 * Invoked after a page has printed.
 * @param event <code>JCPrintEvent</code>
 */
public void endPage(JCPrintEvent event);

}
