/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCVersion.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:23 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.page;

/**
 * In JClass, each package has a <code>JCVersion</code> class.  These
 * classes are used to query and display information on
 * the package.
 */
public final class JCVersion extends com.klg.jclass.util.Version{

static final String PACKAGE = "com.klg.jclass.page";

/**
 * Gets the version String for the current package.
 * @return the version String for this package
 */
public static String getVersionString() {
	return getVersionString(PACKAGE);
}

/**
 * Gets the version number for the current package.
 * @return the version String for this package
 */
public static String getVersionNumber() {
	return getVersionString(PACKAGE);
}

/**
 * <code>main()</code> method for <code>JCVersion</code>, used to display the
 * version information for this package.
 * @param args
 */
public static final void main(String args[]) {
	System.out.println(getVersionString());
}

}
