/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: CharMetricPS.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:24 $ $Locker:  $  Quest Software Inc.

package com.klg.jclass.page.adobe.postscript;

import java.util.Hashtable;

/**
 * The metrics for individual characters of a font.
 */
public class CharMetricPS {

protected int code;
protected int wx;
protected int wy;
protected String name;
protected BoundBox charBBox = new BoundBox();
protected Hashtable ligatures = new Hashtable();
/** Kern pairs for Type 1 Fonts */
protected Hashtable kernPairs = new Hashtable();
/** Kern pairs for TTF/Unicode Fonts */
protected Hashtable unicodeKernPairs = new Hashtable();

public void setCode(int code) {
    this.code = code;
}

public int getCode() {
    return code;
}

public void setWx(int wx) {
    this.wx = wx;
}

public int getWx() {
    return wx;
}

public void setWy(int wy) {
    this.wy = wy;
}

public int getWy() {
    return wy;
}

public void setName(String name) {
    this.name = name;
}

public String getName() {
    return name;
}

public BoundBox getCharBBox() {
    return charBBox;
}

public Hashtable getLigatures() {
    return ligatures;
}

public Hashtable getKernPairs() {
    return kernPairs;
}

public Hashtable getUnicodeKernPairs() {
    return unicodeKernPairs;
}

/**
 * Get kern pair for Type 1 font.
 * Kern pairs for this character are indexed by
 * the name of the character they are paired with.
 * That is PairKern.name2.
 */
public PairKern getKernByName(String name) {
    return (PairKern) kernPairs.get(name);
}

/**
 * Get kern pair for TTF/Unicode font.
 * Kern pairs for this character are indexed by
 * the code of the character they are paired with.
 * That is PairKern.code2.
 */
public PairKern getKernByUnicode(int code) {
    return (PairKern) unicodeKernPairs.get(new Integer(code));
}

}
