/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: PairKern.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:24 $ $Locker:  $  Quest Software Inc.

package com.klg.jclass.page.adobe.postscript;

/**
 * Pair Kern data for each character in a font.
 */
public class PairKern {

// Kern pair specified by character name (for Type 1 fonts)
public String name1;
public String name2;

// Kern pair specified by unicode values (for TTF fonts)
public int code1;
public int code2;

public int xAmount;
public int yAmount;

public PairKern() {
    name1 = null;
    name2 = null;

    code1 = -1;
    code2 = -1;

    xAmount = 0;
    yAmount = 0;
}

public String toString() {
    if (name1 != null && name2 != null) {
        return "PairKern: " + name1 + " " + name2 +
            " x " + xAmount + " y " + yAmount;
    }
    else if (code1 > 0 && code2 > 0) {
        return "PairKern: " + ((char) code1) + " (" + code1 + ") " +
            ((char) code2) + " (" + code2 + ") " +
            " x " + xAmount + " y " + yAmount;
    }
    else {
        return "Invalid PairKern: " + name1 + " " + name2 +
            " " + code1 + " " + code2 +
            " x " + xAmount + " y " + yAmount;
    }
}
}
