/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: GlyphVector11.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:11:46 $ $Locker:  $  Quest Software Inc.

package com.klg.jclass.page.awt;

import java.awt.Rectangle;
import java.awt.Font;
import java.awt.FontMetrics;
import java.awt.Shape;

import com.klg.jclass.page.JCUnit;
import com.klg.jclass.page.GlyphVectorBase;




import java.awt.font.FontRenderContext;
import java.awt.font.GlyphJustificationInfo;
import java.awt.font.GlyphMetrics;
import java.awt.font.GlyphVector;

import java.awt.geom.Rectangle2D;

import java.awt.geom.Point2D;
import java.awt.geom.AffineTransform;


/**
 * Create a GlyphVector which will report metrics using
 * underlying jdk1.1 font metrics.
 */
public class GlyphVector11 extends GlyphVectorBase {

/**
 * Constructor
 */
public GlyphVector11(FontMetrics metrics, FontRenderContext frc, String s) {
	super(metrics, frc, s);
}

/**
 *   Returns the glyphcode of the specified glyph.
 *   This return value is meaningless to anything other
 *   than a <code>Font</code> object and can be used to ask the 
 *   <code>Font</code> object about the existence of ligatures and
 *   other context sensitive information.
 *   @param glyphIndex the index into this <code>GlyphVector</code>
 *   that corresponds to the glyph from which to retrieve the 
 *   glyphcode.
 *   @return the glyphcode of the glyph corresponding the the specified
 *   <code>glyphIndex</code>.
 */
public  int getGlyphCode(int glyphIndex) {
	return -1;
}

/**
 *   Returns the logical bounds of this <code>GlyphVector</code>.
 *   This method is used when positioning this <code>GlyphVector</code> 
 *   in relation to visually adjacent <code>GlyphVector</code> objects.
 *   @return a {@link Rectangle2D} that is the logical bounds of this
 *   <code>GlyphVector</code>.
 */
public  Rectangle2D getLogicalBounds() {

	

	 
	Rectangle r = new Rectangle(0, 0, 0, 0);
	
	
	if (string != null && string.length() > 0) {
		double width	= metrics.stringWidth(string);	
		double height	= metrics.getHeight();
		double ascent	= metrics.getMaxAscent();
		double descent	= metrics.getMaxDescent();
		// set the bounds on the rectangle
		r.setRect(0, ascent, width, Math.abs(ascent) + Math.abs(descent) );
	}
	
	// finally return the logical bounds
	return r;
}

}
