/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: JCAWTScreenPrinter.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:11:46 $ $Locker:  $  Quest Software Inc.

package com.klg.jclass.page.awt;

import javax.swing.JComponent;
import javax.swing.JFrame;
import java.awt.Graphics;


import java.awt.Graphics2D;
import java.awt.geom.Rectangle2D;





import com.klg.jclass.page.JCPrinter;

/**
 *
 * Implements the <code>PrinterDriver</code> interface.
 * This class creates a component on which pages will be
 * drawn. Before flowing or drawing can be performed on this
 * component, it must be realized so its graphics can be
 * used.
 *
 */
public class JCAWTScreenPrinter extends JCPrinter {

protected JComponent component;

/**
 *
 * Constructor.
 * <br><B>Note:</b> Before flowing to this document you must "realize"
 * this component. That is, it must be displayed so it has
 * a valid graphics context.
 *
 */
 public JCAWTScreenPrinter() {
	this.component = new JCPrintPage(this);
}

/**
 * Returns the component on which the pages should be written.
 * @return component on which the pages should be written
 */
public JComponent getComponent() {
	return component;
}

/**
 * Overrides super class's <code>getGraphics</code>.
 * @return
 */
public Graphics getGraphics() {
	
	if (!component.isDisplayable()) {


	


		// lets force it to realize ...
		JFrame invisible = new JFrame();
		invisible.addNotify();
		invisible.getContentPane().add(component);
	}

	if (graphics == null) {
		
		graphics = (Graphics2D) component.getGraphics();
		

		

	}
	return graphics;
}

/**
 * Creates default styles, any other one-time initialization.
 * Builds font families from available fonts.
 */
public void setup() {
	// satisfy interface
}

/**
 * Returns <code>false</code> since images sent to AWT Screen Printer are pre-scaled.
 * @return <code>false</code> since images sent to AWT Screen Printer are pre-scaled
 */
public boolean isImageScalable()
{
    return false;
}

/**
 * Any required initialisation (for example, PostScript document headers, etc.).
 * @param pageSize
 */
public void openDocument(Rectangle2D pageSize) {
	super.openDocument(pageSize);
}

/**
 * Document completion (for example, PDF cross-reference table and trailer).
 * @param pageSize
 */
public void closeDocument(Rectangle2D pageSize) {
	super.closeDocument(pageSize);
}


/**
 * PS Document Structuring Conventions comments, page orientation, etc.
 * @param pageSize
 * @param pageNumber
 */
public void beginPage(Rectangle2D pageSize, int pageNumber) {
	super.beginPage(pageSize, pageNumber);
}

/**
 * Page bounding box.
 * @param pageSize
 */
public void endPage(Rectangle2D pageSize) {
	super.endPage(pageSize);
}

protected void setGraphics(Graphics2D g) {
	this.graphics = g;
}

public void dispose() {
	component = null;
}

} // end class
