/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: CharSetEntryPCL.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:25 $ $Locker:  $  Quest Software Inc.

package com.klg.jclass.page.pcl;

import java.util.Hashtable;

/**
 * This class defines a member of a character set, identified by the code
 * of the member of the character set, and recording its corresponding
 * PCL character index, metrics and kerning information.
 */
public class CharSetEntryPCL {

protected int code;
protected short index;
protected CharacterPCL metrics;
protected Hashtable kerns = new Hashtable();

public short getIndex() {
	return index;
}

public int getCode() {
	return code;
}

public CharacterPCL getMetrics() {
	return metrics;
}

public Hashtable getKerns() {
	return kerns;
}

/**
 * Find the kernpairing for this character based
 * on the index passed in.
 */
public KernPairPCL getKernPair(Integer key) {
	return (KernPairPCL) kerns.get(key);
}

}
