/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: LineMetricsPCL.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:25 $ $Locker:  $  Quest Software Inc.

package com.klg.jclass.page.pcl;

import com.klg.jclass.page.LineMetricsBase;
import java.awt.FontMetrics;




import java.awt.font.LineMetrics;


/**
 *
 * Base implementation of LineMetrics to be extended.
 *
 */
public class LineMetricsPCL extends LineMetricsBase {

/**
 *
 * Constructor
 *
 */
public LineMetricsPCL(FontMetrics fontMetrics, String string) {
	super(fontMetrics, string);
}

/**
 * Returns the position of the underline relative to
 * the descender.   
 * @return the position of the underline.
 */
public float getUnderlineOffset() {
	FontPCL font = (FontPCL) fontMetrics.getFont();
	return font.typeface.typefaceMetrics.underscoreDescent;
}

/**
 * Returns the thickness of the underline.
 * @return the thickness of the underline.
 */
public float getUnderlineThickness() {
	FontPCL font = (FontPCL) fontMetrics.getFont();
	return font.typeface.typefaceMetrics.underscoreDescent;
}

} // end class
