/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: MetricsPCL.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:25 $ $Locker:  $  Quest Software Inc.

package com.klg.jclass.page.pcl;

/**
 * This class stores all the font-wide metrics for a given PCL font
 */
public class MetricsPCL {

protected double point;
protected double nominalPointSize;
protected double designUnits;
protected int strokeWeight;
protected int appearanceWidth;
protected int serifStyle;
protected int typeStyle;
protected int typeStruct;
protected short spacing;
protected short slant;
protected double averageWidth;
protected short maximumWidth;
protected short interWordSpacing;
protected short recommendedLineSpacing;
protected short capHeight;
protected short xHeight;
protected short ascent;
protected short descent;
protected short lowercaseAscent;
protected short lowercaseDescent;
protected short underscoreThickness;
protected short underscoreDescent;
protected short uppercaseAccentHeight;
protected short lowercaseAccentHeight;

/**
 * Return the lower case ascent for this font.
 */
public short getLowercaseAscent() {
	return lowercaseAscent;
}

/**
 * Return the lower case descent for this font.
 */
public short getLowercaseDescent() {
	return lowercaseDescent;
}

/**
 * Return the maximum ascent for this font.
 */
public short getAscent() {
	return ascent;
}

/**
 * Return the maximum descent for this font.
 */
public short getDescent() {
	return descent;
}

/**
 * Return the xHeight for this font.
 */
public short getXHeight() {
	return xHeight;
}

/**
 * Return the design units for this font.
 */
public double getDesignUnits() {
	return designUnits;
}


}
