/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: Splitable.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:26 $ $Locker:  $  Quest Software Inc. 
package com.klg.jclass.page.render;

import com.klg.jclass.page.JCUnit;




import java.awt.Graphics2D;


/**
 *
 * Interface methods common to all objects that can be split into parts
 *
 */
public interface Splitable {

/**
 * Get the portion of this object up to the given division point
 * @param gc The graphics with respect to which this object is measured
 * @param space The amount of space provided for the returned portion
 * @return The portion of this object which fits in the given space
 */
public Render splitBefore(Graphics2D gc, JCUnit.Measure space);

/**
 * Get the portion of this object following the given division point
 * @param gc The graphics with respect to which this object is measured
 * @param space The amount of space provided for the removed portion
 * @return The portion of this object which falls after the given space
 */
public Render splitAfter(Graphics2D gc, JCUnit.Measure space);

/**
 * Get the exact portion of this object up to the given division point
 * irrespective of the normal pattern of division
 * @param gc The graphics with respect to which this object is measured
 * @param space The amount of space provided for the returned portion
 * @return The portion of this object which fits in the given space
 */
public Render forceSplit(Graphics2D gc, JCUnit.Measure space);

}
