/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LocaleBundle.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:27 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.page.resources;

import java.util.Locale;
import java.util.ResourceBundle;
import java.util.MissingResourceException;

/**
 * Locale Bundle helper for PageLayout.
 */
public class LocaleBundle {

private static final String BUNDLE_PATH =
    "com.klg.jclass.page.resources.LocaleInfo";

private static ResourceBundle bundle =
    ResourceBundle.getBundle(BUNDLE_PATH, Locale.getDefault());

synchronized static String string(String language, String country, String key) {
    Locale loc = new Locale(language, country);
    return (ResourceBundle.getBundle(BUNDLE_PATH, loc).getString(key));
}

synchronized public static String string(String key) {
    return (bundle.getString(key));
}

/**
 * Static function used to change the default locale programatically.
 * @param loc Locale object
 */
public synchronized static void setBundleLocale(Locale loc)
    throws MissingResourceException {
    try {
        bundle = ResourceBundle.getBundle(BUNDLE_PATH, loc);
    } catch (MissingResourceException e) {
        throw(e);
    }
}

public static final String ERROR_LOADING_AFM =
    "Warning: Error loading afm file ";
public static final String ERROR_LOADING_TTF =
    "Warning: Error loading ttf file ";
public static final String ERROR_LOADING_MAP =
    "Warning: Error loading font name map file ";
public static final String ERROR_LOADING_STOCK_ADOBE =
    "Warning: Error loading stock Adobe fonts";    
public static final String EXCEPTION_FOLLOWS =
    "-- caught exception follows";

public static final String EXCEPTION_COLON = "Exception:";
public static final String FILE_NAME_HOLDER = "xxx";
public static final String NO_UNICODE_CMAP = "No Unicode CMap";
public static final String INVALID_TTF = "Invalid TTF";

}
