/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

/*
 * $Id: TTFDirTabEntry.java,v 1.2 2006-03-17 21:13:27 lrdinuki Exp $
 * Copyright (C) 2001 The Apache Software Foundation. All rights reserved.
 * For details on use and redistribution please refer to the
 * LICENSE file included with these sources.
 */

package com.klg.jclass.page.ttf;
import java.io.*;

/*
 * This class was originally part of Apache FOP but has been modified
 * by Quest Software to fix some bugs and make it more useful to our
 * product.
 */
class TTFDirTabEntry {
    byte[] tag;
    long checksum;
    long offset;
    long length;

    TTFDirTabEntry() {
        tag = new byte[4];
    }

    /**
     * Read Dir Tab, return tag name
     */
    public String read(FontFileReader in) throws IOException {
        tag[0] = in.readTTFByte();
        tag[1] = in.readTTFByte();
        tag[2] = in.readTTFByte();
        tag[3] = in.readTTFByte();

        checksum = in.readTTFULong();

        offset = in.readTTFULong();
        length = in.readTTFULong();

        /*
         * System.out.println ("Read dir tab [" + tag[0]+
         * " "+tag[1] +
         * " "+tag[2] +
         * " "+tag[3] +
         * "] offset: " + offset +
         * " length: " + length +
         * " name: " + new String(tag));
         */
        return new String(tag, "ISO-8859-1");
    }

}
