/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

/*
 * $Id: TTFMtxEntry.java,v 1.2 2006-03-17 21:13:27 lrdinuki Exp $
 * Copyright (C) 2001 The Apache Software Foundation. All rights reserved.
 * For details on use and redistribution please refer to the
 * LICENSE file included with these sources.
 */

package com.klg.jclass.page.ttf;

import java.io.*;
import java.util.Vector;

/*
 * This class was originally part of Apache FOP but has been modified
 * by Quest Software to fix some bugs and make it more useful to our
 * product.
 */
public class TTFMtxEntry {
    int wx;
    int lsb;
    String name;
    int index;
    Vector unicodeIndex;
    int[] bbox;
    long offset;
    byte found;

    public TTFMtxEntry() {
        name = "";
        found = 0;
        unicodeIndex = new Vector();
        bbox = new int[4];
    }

    public int getWx()
	{
		return wx;
	}

    public int getLsb()
	{
		return lsb;
	}

    public String getName()
	{
		return name;
	}

    public int[] getBBox()
	{
		return bbox;
	}

    public String toString(TTFFile t) {
        return new String("Glyph " + name + " index: " + index + " bbox [ "
                          + t.get_ttf_funit(bbox[0]) + " "
                          + t.get_ttf_funit(bbox[1]) + " "
                          + t.get_ttf_funit(bbox[2]) + " "
                          + t.get_ttf_funit(bbox[3]) + "]" + "wx: "
                          + t.get_ttf_funit(wx));
    }

}
