/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCMDIFrameBeanInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:28 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.swing;

import com.klg.jclass.beans.*;

/**
 * Internal use. Additional Bean info and events.
 */
public class JCMDIFrameBeanInfo extends ComponentBeanInfo {

public static final String INTERNAL_FRAME_EVENT = "InternalFrame";

//Fix for PR10703
public static final String MDITOOLBAR	= "mDIToolBar";
public static final String MDIMENUBAR	= "mDIMenuBar";
public static final String RESIZABLE	= "resizable";
public static final String CLOSABLE		= "closable";
public static final String MAXIMIZABLE	= "maximizable";
public static final String ICONIFIABLE	= "iconifiable";

protected static final JCPropertyDescriptor properties[] = {
	new JCPropertyDescriptor(MDITOOLBAR, null),
	new JCPropertyDescriptor(MDIMENUBAR, null),
	new JCPropertyDescriptor(RESIZABLE, null, true) ,
	new JCPropertyDescriptor(CLOSABLE, null, true),
	new JCPropertyDescriptor(MAXIMIZABLE, null, true),
	new JCPropertyDescriptor(ICONIFIABLE, null, true)
};
//end Fix

protected static final JCEventSetDescriptor events[] = {
	CONTAINER_EVENTSET,
    new JCEventSetDescriptor(INTERNAL_FRAME_EVENT,
							 "javax.swing.event",
							 new String[] {"internalFrameActivated",
										   "internalFrameClosed",
										   "internalFrameClosing",
										   "internalFrameDeactivated",
										   "internalFrameDeiconified",
										   "internalFrameIconified",
										   "internalFrameOpened"})

};

protected static final String icons[] = {
	"icons/JCMDIFrameIcon16.gif",
	"icons/JCMDIFrameIcon16.gif",
	"icons/JCMDIFrameIcon32.gif",
	"icons/JCMDIFrameIcon32.gif"
};

public JCMDIFrameBeanInfo()
{
	super(properties, events, "resources.LocaleInfo", icons);
}

}

