/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCMDIWindowMenu.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:28 $  $Locker:  $  Quest Software Inc.
package com.klg.jclass.swing;

import com.klg.jclass.util.swing.JCMenu;
import com.klg.jclass.util.JCLocaleManager;

/**
 * Place holder used when building menu bars for MDI components.
 * The MDI pane will add a windows menu to the first instance of this class
 * that it finds in the top-level <code>JMenuBar</code>. If an object of this
 * class is not in the <code>JMenuBar</code>, it will automatically create an
 * instance.
 */
public class JCMDIWindowMenu extends JCMenu {

/**
 * Creates a windows menu with the appropriate locale specific name.
 */
public JCMDIWindowMenu()
{
	super(JCLocaleManager.getDefault().getString(JCLocaleManager.MENU_WINDOWS));
	// set the menonic for this windows menu
    String mnemonic = JCLocaleManager.MENU_WINDOWS_MNEMONIC;
    setMnemonic(JCLocaleManager.getDefault().getMnemonic(mnemonic));
}

}
