/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCTreeTableBeanInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:28 $  $Locker:  $  Quest Software Inc.
package com.klg.jclass.swing;

import com.klg.jclass.beans.ComponentBeanInfo;
import com.klg.jclass.beans.JCEventSetDescriptor;
import com.klg.jclass.beans.JCPropertyDescriptor;

/**
 * Internal use. Additional Bean info and events.
 */
public class JCTreeTableBeanInfo extends ComponentBeanInfo {

public static final String SORTABLE = "Sortable";
public static final String VIEW = "View";
public static final String SHOW_NODE_LINES = "ShowNodeLines";
public static final String SCROLLS_ON_EXPAND = "ScrollsOnExpand";
public static final String ROOT_VISIBLE = "RootVisible";
public static final String SHOWS_ROOT_HANDLES = "ShowsRootHandles";
public static final String AUTO_SORT = "AutoSort";
public static final String TREE_EXPANSION = "TreeExpansion";
public static final String TREE_WILL_EXPAND = "TreeWillExpand";
public static final String VALUE = "Value";
public static final String SWITCH_POLICY = "SwitchPolicy";

protected static final JCPropertyDescriptor properties[] = {
    new JCPropertyDescriptor(SORTABLE, SORTABLE, SORTABLE, true,
                             JCPropertyDescriptor.NORMAL, null),
    new JCPropertyDescriptor(VIEW,
                             "com.klg.jclass.swing.beans.TreeTableViewEditor"),
    new JCPropertyDescriptor(SHOW_NODE_LINES,
                             "com.klg.jclass.swing.beans.TreeTableLinesEditor"),
    new JCPropertyDescriptor(SCROLLS_ON_EXPAND, null),
    new JCPropertyDescriptor(ROOT_VISIBLE, ROOT_VISIBLE, ROOT_VISIBLE, true,
                             JCPropertyDescriptor.NORMAL, null),
    new JCPropertyDescriptor(SHOWS_ROOT_HANDLES, null),
    new JCPropertyDescriptor(AUTO_SORT,  null),
    new JCPropertyDescriptor(SWITCH_POLICY,
                             "com.klg.jclass.swing.beans.TreeTableSwitchPolicyEditor")
};

protected static final JCEventSetDescriptor events[] = {
    new JCEventSetDescriptor(TREE_EXPANSION, "javax.swing.event",
                             new String[]{"treeCollapsed",
                                          "treeExpanded"}),
    new JCEventSetDescriptor(TREE_WILL_EXPAND, "javax.swing.event",
                             new String[]{"treeWillCollapse",
                                          "treeWillExpand"}),
};

protected static final String icons[] = {
    "icons/JCTreeTableIcon16.gif",
    "icons/JCTreeTableIcon16.gif",
    "icons/JCTreeTableIcon32.gif",
    "icons/JCTreeTableIcon32.gif"
};

public JCTreeTableBeanInfo()
{
    super(properties, null, "resources.LocaleInfo", icons);
}
}
