/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: JCWizardEvent.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:28 $ $Locker:  $ Quest Software Inc.

package com.klg.jclass.swing;

import java.awt.Component;
import java.util.EventObject;

/**
 * The event object for <code>JCWizard</code> pages.
 */
public class JCWizardEvent extends EventObject {

protected Component  currentPage;
protected Component  newPage;
protected boolean    isLastPage;
protected boolean    allowChange;

public JCWizardEvent(Object source,
                     Component current_page,
                     Component new_page,
                     boolean is_last_page,
                     boolean allow_change)
{
    super(source);
    this.currentPage = current_page;
    this.newPage = new_page;
    this.isLastPage = is_last_page;
    this.allowChange = allow_change;
}

/**
 * Returns whether the page is the last page.
 * @return whether the page is the last page
 */
public boolean isLastPage()
{
    return(isLastPage);
}

/**
 * Returns whether the event should be allowed to finish processing.
 * @return wheter the event should be allowed to finish processing
 */
public boolean getAllowChange()
{
    return(allowChange);
}

/**
 * Sets whether the event should be allowed to finish processing.
 * @param v
 */
public void setAllowChange(boolean v)
{
    allowChange = v;
}

/**
 * Returns the next page.
 * @return next page
 */
public Component getNewPage()
{
    return(newPage);
}

/**
 * Sets the next page.
 * @param p
 */
public void setNewPage(Component p)
{
    newPage = p;
}

/**
 * Returns the current page on which the <code>JCWizardEvent</code> occurred.
 * @return current page on which the <code>JCWizardEvent</code> occurred
 */
public Component getCurrentPage()
{
    return(currentPage);
}

}

