/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: JCWizardListener.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:28 $ $Locker:  $ Quest Software Inc.

package com.klg.jclass.swing;

import java.util.EventListener;

/**
 * The listener interface for those interested in
 * receiving Wizard events.
 */
public interface JCWizardListener extends EventListener {

/**
 * Invoked <i>before</i> advancing to the next page.
 * Calling <code>e.setAllowChange(false)</code> will prevent the
 * next page from being advanced too.
 * Check the <code>e.isLastPage()</code> to see if you are on the
 * last page.
 */
public void nextBegin(JCWizardEvent e);

/**
 * Invoked after advancing to the next page.
 */
public void nextComplete(JCWizardEvent e);

/**
 * Invoked <i>before</i> advancing to the previous page.
 * Calling <code>e.setAllowChange(false)</code> will prevent the
 * previous page from being advanced too.
 */
public void previousBegin(JCWizardEvent e);

/**
 * Invoked after advancing to the previous page.
 */
public void previousComplete(JCWizardEvent e);

/**
 * Invoked if a "finish" action is triggered.
 */
public void finished(JCWizardEvent e);

/**
 * Invoked if the Cancel action is triggered.
 */
public void canceled(JCWizardEvent e);

/**
 * Invoked if the Help action is triggered.
 */
public void help(JCWizardEvent e);

}

