/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: JCWizardPage.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:28 $ $Locker:  $ Quest Software Inc.

package com.klg.jclass.swing;

import com.klg.jclass.util.swing.JCBox;
import com.klg.jclass.util.swing.JCBrace;

import javax.swing.*;
import java.awt.*;

/**
 * Class to create and manage a Wizard style framework for you.
 */
public class JCWizardPage extends BaseWizardPage
        implements java.io.Serializable {



/** Pane returned by getContentPane.  This is the pane the
 developer adds his/her code to.*/
protected Container    contentPane;




/**
 * No argument constructor creates a WizardPage with all
 * the buttons
 */
public JCWizardPage() {
    this(ALL);
}

/**
 * Creates a WizardPage with only the selected buttons.
  * @param button_flags static final ints from the
 * BaseWizardPage class
 */
public JCWizardPage(int button_flags) {
    // Call the super defining the main container to be a vertical column
    setLayout(new BorderLayout());

    contentPane = new JPanel();
    add(contentPane, BorderLayout.CENTER);

    setName("");
    createButtonBox(button_flags, true);
    JCBox bottomBox = JCBox.createVerticalBox();
    bottomBox.add(JCBrace.createVerticalBrace(MARGIN));
    bottomBox.add(new JSeparator());
    bottomBox.add(JCBrace.createVerticalBrace(GROUP_SPACING));

    bottomBox.add(buttonBox);
    bottomBox.add(JCBrace.createVerticalBrace(MARGIN));
    add(bottomBox, BorderLayout.SOUTH);
}






/**
 * Call if you want to supply your own content pane instead of the
 * predefined one.
  * @param new_pane
 */
public void setContentPane(Container new_pane) {
    if (new_pane == null) {
        throw new NullPointerException("content pane must be non-null");
    }
    // Rip out all components and rebuild
    remove(contentPane);
    contentPane = new_pane;
    add(contentPane, BorderLayout.CENTER);
}

/**
 * Overrides normal <code>getContentPane</code> to provide specially managed
 * area. By default this method retuns the panel that holds the left and right
 * side panes. Unless the default contentPane has been replaced, for normal use
 * it's probably best to call the individual panes.
 * @return the contentpane
 */
public Container getContentPane() {
    return(contentPane);
}



}
