/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: MDIPaneManipulationEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:28 $  $Locker:  $  Quest Software Inc.
package com.klg.jclass.swing.beans;

import java.beans.*;
import com.klg.jclass.swing.JCMDIPane;

public class MDIPaneManipulationEditor extends PropertyEditorSupport {

public static final String DEFAULT_STR = "Default";
public static final String WIREFRAME_STR = "Wireframe";

public String[] getTags()
{
    return new String[] {DEFAULT_STR, WIREFRAME_STR};
}

public String getAsText()
{
    switch (((Number)getValue()).intValue()) {
    case JCMDIPane.DEFAULT:
        return(DEFAULT_STR);
    default:
    case JCMDIPane.WIREFRAME:
        return(WIREFRAME_STR);
    }
}

public void setAsText(String s)
{
    if (s.equals(DEFAULT_STR)) {
        setValue(new Integer(JCMDIPane.DEFAULT));
    }
    else if (s.equals(WIREFRAME_STR)) {
        setValue(new Integer(JCMDIPane.WIREFRAME));
    }
    else {
        throw new IllegalArgumentException(s);
    }
}

public String getJavaInitializationString()
{
    switch (((Number)getValue()).intValue()) {
    case JCMDIPane.DEFAULT:
        return("com.klg.jclass.swing.JCMDIPane.DEFAULT");
    default:
    case JCMDIPane.WIREFRAME:
        return("com.klg.jclass.swing.JCMDIPane.WIREFRAME");
    }
}

}

