/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: PopupCalendarTypeEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:28 $  $Locker:  $  Quest Software Inc.
package com.klg.jclass.swing.beans;

import java.beans.*;
import com.klg.jclass.swing.JCPopupCalendar;

public class PopupCalendarTypeEditor extends PropertyEditorSupport {

public static final String DATE_TIME_STR = "DateTime";
public static final String DATE_STR = "Date";

public String[] getTags()
{
    return new String[] {DATE_TIME_STR, DATE_STR};
}

public String getAsText()
{
    switch (((Number)getValue()).intValue()) {
    default:
    case JCPopupCalendar.DATE_TIME:
        return(DATE_TIME_STR);
    case JCPopupCalendar.DATE:
        return(DATE_STR);
    }
}

public void setAsText(String s)
{
    if (s.equals(DATE_TIME_STR)) {
        setValue(new Integer(JCPopupCalendar.DATE_TIME));
    }
    else if (s.equals(DATE_STR)) {
        setValue(new Integer(JCPopupCalendar.DATE));
    }
    else {
        throw new IllegalArgumentException(s);
    }
}

public String getJavaInitializationString()
{
    switch (((Number)getValue()).intValue()) {
    default:
    case JCPopupCalendar.DATE_TIME:
        return("com.klg.jclass.swing.JCPopupCalendar.DATE_TIME");
    case JCPopupCalendar.DATE:
        return("com.klg.jclass.swing.JCPopupCalendar.DATE");
    }
}

}

