/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: TreeTableSwitchPolicyEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:29 $  $Locker:  $  Quest Software Inc.
package com.klg.jclass.swing.beans;

import java.beans.*;
import com.klg.jclass.swing.JCTreeTable;

public class TreeTableSwitchPolicyEditor extends PropertyEditorSupport {
	
public static final String SWITCH_VIEW_NEVER_STR = "Never Switch";
public static final String SWITCH_VIEW_TO_TABLE_ON_SORT_STR = "Switch to Table on Sort";
public static final String SWITCH_VIEW_ON_ICON_ONLY_STR = "Switch on Icon Only";
public static final String SWITCH_BUTTON_DONT_SHOW_STR = "Don't show Switch Button";

public String[] getTags()
{
    return new String[] {SWITCH_VIEW_NEVER_STR,
                         SWITCH_VIEW_TO_TABLE_ON_SORT_STR,
                         SWITCH_VIEW_ON_ICON_ONLY_STR,
                         SWITCH_BUTTON_DONT_SHOW_STR};
}

public String getAsText()
{
    switch (((Number)getValue()).intValue()) {
    case JCTreeTable.SWITCH_VIEW_NEVER:
        return(SWITCH_VIEW_NEVER_STR);
    case JCTreeTable.SWITCH_VIEW_TO_TABLE_ON_SORT:
        return(SWITCH_VIEW_TO_TABLE_ON_SORT_STR);
    case JCTreeTable.SWITCH_BUTTON_DONT_SHOW:
        return(SWITCH_BUTTON_DONT_SHOW_STR);
    default:
    case JCTreeTable.SWITCH_VIEW_ON_ICON_ONLY:
        return(SWITCH_VIEW_ON_ICON_ONLY_STR);
    }
}

public void setAsText(String s)
{
    if (s.equals(SWITCH_VIEW_NEVER_STR)) {
        setValue(new Integer(JCTreeTable.SWITCH_VIEW_NEVER));
    }
    else if (s.equals(SWITCH_VIEW_TO_TABLE_ON_SORT_STR)) {
        setValue(new Integer(JCTreeTable.SWITCH_VIEW_TO_TABLE_ON_SORT));
    }
    else if (s.equals(SWITCH_VIEW_ON_ICON_ONLY_STR)) {
        setValue(new Integer(JCTreeTable.SWITCH_VIEW_ON_ICON_ONLY));
    }
    else if (s.equals(SWITCH_BUTTON_DONT_SHOW_STR)) {
        setValue(new Integer(JCTreeTable.SWITCH_BUTTON_DONT_SHOW));
    }
    else {
        throw new IllegalArgumentException(s);
    }
}

public String getJavaInitializationString()
{
    switch (((Number)getValue()).intValue()) {
    case JCTreeTable.SWITCH_VIEW_NEVER:
        return("com.klg.jclass.swing.JCTreeTable.SWITCH_VIEW_NEVER");
    case JCTreeTable.SWITCH_VIEW_TO_TABLE_ON_SORT:
        return("com.klg.jclass.swing.JCTreeTable.SWITCH_VIEW_TO_TABLE_ON_SORT");
    case JCTreeTable.SWITCH_BUTTON_DONT_SHOW:
        return("com.klg.jclass.swing.JCTreeTable.SWITCH_BUTTON_DONT_SHOW");
    default:
    case JCTreeTable.SWITCH_VIEW_ON_ICON_ONLY:
        return("com.klg.jclass.swing.JCTreeTable.SWITCH_VIEW_ON_ICON_ONLY");
    }
}

}

