/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: TreeTableViewEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:29 $  $Locker:  $  Quest Software Inc.
package com.klg.jclass.swing.beans;

import java.beans.*;
import com.klg.jclass.swing.JCTreeTable;

public class TreeTableViewEditor extends PropertyEditorSupport {

public static final String TREE_STR = "Tree";
public static final String TABLE_STR = "Table";

public String[] getTags()
{
    return new String[] {TREE_STR, TABLE_STR};
}

public String getAsText()
{
    switch (((Number)getValue()).intValue()) {
    default:
    case JCTreeTable.TREE:
        return(TREE_STR);
    case JCTreeTable.TABLE:
        return(TABLE_STR);
    }
}

public void setAsText(String s)
{
    if (s.equals(TREE_STR)) {
        setValue(new Integer(JCTreeTable.TREE));
    }
    else if (s.equals(TABLE_STR)) {
        setValue(new Integer(JCTreeTable.TABLE));
    }
    else {
        throw new IllegalArgumentException(s);
    }
}

public String getJavaInitializationString()
{
    switch (((Number)getValue()).intValue()) {
    default:
    case JCTreeTable.TREE:
        return("com.klg.jclass.swing.JCTreeTable.TREE");
    case JCTreeTable.TABLE:
        return("com.klg.jclass.swing.JCTreeTable.TABLE");
    }
}

}

