/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: GaugeLayout.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:29 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.swing.gauge;

import java.awt.*;
import java.util.Vector;

/**
 * GaugeLayout -- lays out <code>GaugeConstraint</code> components.
 */
public abstract class GaugeLayout implements LayoutManager2,
                                             java.io.Serializable
{

static final long serialVersionUID = -4103888973148853800L;

/**
 * List of locations
 */
protected Vector constraints = new Vector();

/**
 * List of components
 */
protected Vector components = new Vector();

// Layout manager 2 implementation

/**  *
 * @param comp
 * @param constraint
 */
public void addLayoutComponent(Component comp, Object constraint)
{
	if (constraint == null) {
		throw new RuntimeException("Radial or Linear Constraint " +
                                   "cannot be null");
	}
	constraints.addElement(constraint);
	components.addElement(comp);
}

/**  */
public float getLayoutAlignmentX(Container c)
{
	return(1);
}

/**  */
public float getLayoutAlignmentY(Container c)
{
	return(1);
}

/**  */
public void invalidateLayout(Container c) {}

/**  */
public Dimension maximumLayoutSize(Container c)
{
	return(null);
}
// Layout manager 1 implementation

/**  */
public void addLayoutComponent(String r, Component comp)
{
	addLayoutComponent(comp, null);
}

/**  */
public void removeLayoutComponent(Component comp)
{
	int i = components.indexOf(comp);
	if ( i!=-1 ) {
	    constraints.removeElementAt(i);
	    components.removeElementAt(i);
	}
}

/**  */
public Dimension preferredLayoutSize(Container target)
{
    return(target.getSize());
}

/**  */
public Dimension minimumLayoutSize(Container target)
{
    return(target.getSize());
}

/**
 * Lays out the container linearly or radially. Each component
 * encapsulates the position/angle and extent at which it would like
 * to be placed in the component
 *
 * @param target
 */
public abstract void layoutContainer(Container target);

/**  *
 */
public String toString()
{
    return(getClass().getName());
}

}
