/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCLabelGenerator.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:29 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.swing.gauge;

import javax.swing.JComponent;

/**
 * <code>JCLabelGenerator</code> is an interface that can be used to generate
 * labels for a <code>JCTick</code>.  It has one method,
 * <code>makeLabel()</code>, which is called by the gauge when a label is
 * required at a particular value.
 */
public interface JCLabelGenerator
{

/**
 * Callback called by gauge whenever a label is required.
 *
 * @param tick the <code>JCTick</code> for which the label is to be generated
 * @param value the current value of the tick
 * @param constraint The encapsulation of the extent and angle/position at
 *     which this label will be placed. <br><b>Note:</b> this angle or position
 *     will be adjusted by the <code>layoutContainer</code> when the label is
 *     laid out.
 */
public JComponent makeLabel(JCTick tick, double value,
                            GaugeConstraint constraint);

}
