/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: JCNeedleStyle.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:30 $ $Locker:  $  Quest Software Inc.

package com.klg.jclass.swing.gauge;

import java.awt.Polygon;
import java.awt.Rectangle;

/**
 * Provides constants for the built-in needle styles for a
 * <code>JCNeedle</code> and provides a constructor for passing in a
 * user-defined needle style.
 * Alternatively, custom needle styles may be defined by subclassing.
 */
public class JCNeedleStyle extends JCIndicatorStyle
                           implements java.io.Serializable
{

static final long serialVersionUID = 3388226713324676974L;

/**
 * Constructs a needle using the points of a polygon.
 * For a user-defined needle.
 *
 * @param xpoints the <i>x</i> coordinates for the polygon
 * @param ypoints the <i>y</i> coordinates for the polygon
 * @param numPoints the number of points in this polygon
 */
public JCNeedleStyle(int xpoints[], int ypoints[], int numPoints)
{
	super(xpoints, ypoints, numPoints);
}

/** Default constructor */
public JCNeedleStyle()
{
	super();
}

}
