/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: JCTickStyle.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:30 $ $Locker:  $  Quest Software Inc.

package com.klg.jclass.swing.gauge;

/**
 * Provides the constants from the built-in tick styles for a
 * <code>JCTick</code>, and provides a constructor for passing in a user-defined
 * tick style. Alternatively, custom tick styles may be defined by subclassing.
 */
public class JCTickStyle extends JCPolygon implements java.io.Serializable {

static final long serialVersionUID = 4105970466169281582L;

/** Diamond */
public static final JCTickStyle DIAMOND =
    new JCTickStyle(new int[] {0, 10, 0, -10, 0},
                    new int[] {10, 0, -10, 0, 10},
                    5);

/** Triangle */
public static final JCTickStyle TRIANGLE =
    new JCTickStyle(new int[] {-10, 10, -10, -10},
                    new int[] {-10, 0, 10, -10},
                    4);

/** Reverse Triangle */
public static final JCTickStyle REVERSE_TRIANGLE =
    new JCTickStyle(new int[] {10, -10, 10, 10},
                    new int[] {10, 0, -10, 10},
                    4);

/** Rectangle */
public static final JCTickStyle RECTANGLE =
    new JCTickStyle(new int[] {-1, -1, 1, 1},
                    new int[] {3, -3, -3, 3},
                    4);

/** Line */
public static final JCTickStyle LINE = new JCTickStyle();

/** Circle */
public static final JCTickStyle CIRCLE = new JCTickStyle();


/**
 * The <code>JCTickStyle</code> constructor allows you to define
 * your own (<i>x</i>, <i>y</i>) coordinate pairs for a new tick style.
 *
 * @param xpoints the array of <i>x</i> coordinates, as in
 *     <code>java.awt.Polygon</code>
 * @param ypoints the array of <i>y</i> coordinates, as in
 *     <code>java.awt.Polygon</code>
 * @param numPoints the number of points in the definition of the polygon
 */
public JCTickStyle(int xpoints[], int ypoints[], int numPoints)
{
	super(xpoints, ypoints, numPoints);
}

/** Default constructor */
public JCTickStyle()
{
	super();
}

}
