/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: RadialConstraint.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:30 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.swing.gauge;

/**
 * A <code>RadialConstraint</code> is one that provides layout
 * information for a component that needs to be placed on
 * a circular gauge. It provides information to the layout
 * by giving a distance from the center and an angle from
 * the horizontal of the specified circular gauge.
 */

public class RadialConstraint extends GaugeConstraint
                              implements java.io.Serializable
{

static final long serialVersionUID = 5980736469887807300L;

/** The angle at which to place this label */
protected double angle;

/**
 * Constructor for <code>RadialConstraint</code> using a <code>JComponent</code>
 * as the component.
 *
 * @param extent The distance from the center of circle as a proportion of the
 *      radius
 * @param angle The angle at which this component will be placed, and at
 *      "extent" distance from the center
 */
public RadialConstraint(JCGauge gauge, double extent, double angle)
{
	super(gauge, extent);
    this.angle = angle;
}

/**
 * Returns the angle at which this component will be placed.
 * @return The angle at which this component will be placed
 */
public double getAngle()
{
	return(angle);
}

/**
 * Sets the angle at which this component will be placed.
 * @param angle The angle at which this component will be placed
 */
public void setAngle(double angle)
{
	this.angle = angle;
}

/**
 * Return a string version of this constraint
 * @return A string version of this constraint
 */
public String toString()
{
	return("RadialConstraint: extent = " + extent + " angle = " + angle);
}

}
