/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCGaugeEnumMappings.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:31 $  $Locker:  $  Quest Software Inc.


package com.klg.jclass.swing.gauge.beans;

import com.klg.jclass.swing.gauge.beans.resources.LocaleBundle;

/**
 * Class consisting of static arrays that hold enum values and
 * their corresponding String representations (for things like HTML save and
 * loading) and, in turn, their corresponding internationalizable String
 * representations (for things like combo box choices in the customizer
 * and the Beans). All three arrays must match -- enum value at position n
 * in the enum value array must correspond to the String description
 * at position n in the other two arrays.
 */
public class JCGaugeEnumMappings {

// needle style mappints
public final static int[] circularNeedleStyle_values = {
	JCLinearGaugeBean.NEEDLE_RECTANGLE,
	JCLinearGaugeBean.NEEDLE_CIRCLE,
	JCLinearGaugeBean.NEEDLE_POINTER,
	JCLinearGaugeBean.NEEDLE_TAILED_POINTER,
	JCLinearGaugeBean.NEEDLE_ARROW,
	JCLinearGaugeBean.NEEDLE_TAILED_ARROW,
	JCLinearGaugeBean.NEEDLE_TRIANGLE,
};
public final static int[] linearNeedleStyle_values = {
	JCCircularGaugeBean.NEEDLE_RECTANGLE,
	JCCircularGaugeBean.NEEDLE_CIRCLE,
	JCCircularGaugeBean.NEEDLE_POINTER,
	JCCircularGaugeBean.NEEDLE_TAILED_POINTER,
	JCCircularGaugeBean.NEEDLE_ARROW,
	JCCircularGaugeBean.NEEDLE_TAILED_ARROW,
	JCCircularGaugeBean.NEEDLE_TRIANGLE,
};

public final static String[] circularNeedleStyle_strings = {
	"NEEDLE_RECTANGLE",
	"NEEDLE_CIRCLE",
	"NEEDLE_POINTER",
	"NEEDLE_TAILED_POINTER",
	"NEEDLE_ARROW",
	"NEEDLE_TAILED_ARROW",
	"NEEDLE_TRIANGLE",
};
public final static String[] linearNeedleStyle_strings = {
	"NEEDLE_RECTANGLE",
	"NEEDLE_CIRCLE",
	"NEEDLE_POINTER",
	"NEEDLE_TAILED_POINTER",
	"NEEDLE_ARROW",
	"NEEDLE_TAILED_ARROW",
	"NEEDLE_TRIANGLE",
};

public final static String[] circularNeedleStyle_i18n_strings = {
	LocaleBundle.string(LocaleBundle.NEEDLE_RECTANGLE),
	LocaleBundle.string(LocaleBundle.NEEDLE_CIRCLE),
	LocaleBundle.string(LocaleBundle.NEEDLE_POINTER),
	LocaleBundle.string(LocaleBundle.NEEDLE_TAILED_POINTER),
	LocaleBundle.string(LocaleBundle.NEEDLE_ARROW),
	LocaleBundle.string(LocaleBundle.NEEDLE_TAILED_ARROW),
	LocaleBundle.string(LocaleBundle.NEEDLE_TRIANGLE),
};

public final static String[] linearNeedleStyle_i18n_strings = {
	LocaleBundle.string(LocaleBundle.NEEDLE_RECTANGLE),
	LocaleBundle.string(LocaleBundle.NEEDLE_CIRCLE),
	LocaleBundle.string(LocaleBundle.NEEDLE_POINTER),
	LocaleBundle.string(LocaleBundle.NEEDLE_TAILED_POINTER),
	LocaleBundle.string(LocaleBundle.NEEDLE_ARROW),
	LocaleBundle.string(LocaleBundle.NEEDLE_TAILED_ARROW),
	LocaleBundle.string(LocaleBundle.NEEDLE_TRIANGLE),
};

// needle interaction mappings
public final static int[] circularNeedleInteraction_values = {
	JCLinearGaugeBean.INTERACTION_NONE,
	JCLinearGaugeBean.INTERACTION_DRAG,
	JCLinearGaugeBean.INTERACTION_CLICK,
	JCLinearGaugeBean.INTERACTION_CLICK_DRAG,
};
public final static int[] linearNeedleInteraction_values = {
	JCCircularGaugeBean.INTERACTION_NONE,
	JCCircularGaugeBean.INTERACTION_DRAG,
	JCCircularGaugeBean.INTERACTION_CLICK,
	JCCircularGaugeBean.INTERACTION_CLICK_DRAG,
};

public final static String[] circularNeedleInteraction_strings = {
	"INTERACTION_NONE",
	"INTERACTION_DRAG",
	"INTERACTION_CLICK",
	"INTERACTION_CLICK_DRAG",
};


public final static String[] linearNeedleInteraction_strings = {
	"INTERACTION_NONE",
	"INTERACTION_DRAG",
	"INTERACTION_CLICK",
	"INTERACTION_CLICK_DRAG",
};

public final static String[] circularNeedleInteraction_i18n_strings = {
	LocaleBundle.string(LocaleBundle.INTERACTION_NONE),
	LocaleBundle.string(LocaleBundle.INTERACTION_DRAG),
	LocaleBundle.string(LocaleBundle.INTERACTION_CLICK),
	LocaleBundle.string(LocaleBundle.INTERACTION_CLICK_DRAG),
};

public final static String[] linearNeedleInteraction_i18n_strings = {
	LocaleBundle.string(LocaleBundle.INTERACTION_NONE),
	LocaleBundle.string(LocaleBundle.INTERACTION_DRAG),
	LocaleBundle.string(LocaleBundle.INTERACTION_CLICK),
	LocaleBundle.string(LocaleBundle.INTERACTION_CLICK_DRAG),
};

// tick style mappings
public final static int[] circularTickStyle_values = {
	JCLinearGaugeBean.TICK_CIRCLE,
	JCLinearGaugeBean.TICK_DIAMOND,
	JCLinearGaugeBean.TICK_LINE,
	JCLinearGaugeBean.TICK_RECTANGLE,
	JCLinearGaugeBean.TICK_REVERSE_TRIANGLE,
	JCLinearGaugeBean.TICK_TRIANGLE,
};
public final static int[] linearTickStyle_values = {
	JCCircularGaugeBean.TICK_CIRCLE,
	JCCircularGaugeBean.TICK_DIAMOND,
	JCCircularGaugeBean.TICK_LINE,
	JCCircularGaugeBean.TICK_RECTANGLE,
	JCCircularGaugeBean.TICK_REVERSE_TRIANGLE,
	JCCircularGaugeBean.TICK_TRIANGLE,
};

public final static String[] circularTickStyle_strings = {
	"TICK_CIRCLE",
	"TICK_DIAMOND",
	"TICK_LINE",
	"TICK_RECTANGLE",
	"TICK_REVERSE_TRIANGLE",
	"TICK_TRIANGLE",
};

public final static String[] linearTickStyle_strings = {
	"TICK_CIRCLE",
	"TICK_DIAMOND",
	"TICK_LINE",
	"TICK_RECTANGLE",
	"TICK_REVERSE_TRIANGLE",
	"TICK_TRIANGLE",
};

public final static String[] circularTickStyle_i18n_strings = {
	LocaleBundle.string(LocaleBundle.TICK_CIRCLE),
	LocaleBundle.string(LocaleBundle.TICK_DIAMOND),
	LocaleBundle.string(LocaleBundle.TICK_LINE),
	LocaleBundle.string(LocaleBundle.TICK_RECTANGLE),
    LocaleBundle.string(LocaleBundle.TICK_REVERSE_TRIANGLE),
    LocaleBundle.string(LocaleBundle.TICK_TRIANGLE),
};

public final static String[] linearTickStyle_i18n_strings = {
	LocaleBundle.string(LocaleBundle.TICK_CIRCLE),
	LocaleBundle.string(LocaleBundle.TICK_DIAMOND),
	LocaleBundle.string(LocaleBundle.TICK_LINE),
	LocaleBundle.string(LocaleBundle.TICK_RECTANGLE),
    LocaleBundle.string(LocaleBundle.TICK_REVERSE_TRIANGLE),
    LocaleBundle.string(LocaleBundle.TICK_TRIANGLE),
};


// gauge type mappings
public final static int[] gaugeType_values = {
	JCCircularGaugeBean.TYPE_FULL_CIRCLE,
    JCCircularGaugeBean.TYPE_TOP_HALF_CIRCLE,
    JCCircularGaugeBean.TYPE_BOTTOM_HALF_CIRCLE,
    JCCircularGaugeBean.TYPE_LEFT_HALF_CIRCLE,
    JCCircularGaugeBean.TYPE_RIGHT_HALF_CIRCLE,
    JCCircularGaugeBean.TYPE_UPPER_RIGHT_QUARTER_CIRCLE,
    JCCircularGaugeBean.TYPE_LOWER_RIGHT_QUARTER_CIRCLE,
    JCCircularGaugeBean.TYPE_UPPER_LEFT_QUARTER_CIRCLE,
    JCCircularGaugeBean.TYPE_LOWER_LEFT_QUARTER_CIRCLE,
};

public final static String[] gaugeType_strings = {
    "TYPE_FULL_CIRCLE",
    "TYPE_TOP_HALF_CIRCLE",
    "TYPE_BOTTOM_HALF_CIRCLE",
    "TYPE_LEFT_HALF_CIRCLE",
    "TYPE_RIGHT_HALF_CIRCLE",
    "TYPE_UPPER_RIGHT_QUARTER_CIRCLE",
    "TYPE_LOWER_RIGHT_QUARTER_CIRCLE",
    "TYPE_UPPER_LEFT_QUARTER_CIRCLE",
    "TYPE_LOWER_LEFT_QUARTER_CIRCLE",
};
public final static String[] gaugeType_i18n_strings = {
	LocaleBundle.string(LocaleBundle.TYPE_FULL_CIRCLE),
	LocaleBundle.string(LocaleBundle.TYPE_TOP_HALF_CIRCLE),
	LocaleBundle.string(LocaleBundle.TYPE_BOTTOM_HALF_CIRCLE),
	LocaleBundle.string(LocaleBundle.TYPE_LEFT_HALF_CIRCLE),
    LocaleBundle.string(LocaleBundle.TYPE_RIGHT_HALF_CIRCLE),
    LocaleBundle.string(LocaleBundle.TYPE_UPPER_RIGHT_QUARTER_CIRCLE),
    LocaleBundle.string(LocaleBundle.TYPE_LOWER_RIGHT_QUARTER_CIRCLE),
	LocaleBundle.string(LocaleBundle.TYPE_UPPER_LEFT_QUARTER_CIRCLE),
	LocaleBundle.string(LocaleBundle.TYPE_LOWER_LEFT_QUARTER_CIRCLE),
};


// directions
public final static int[] circularDirection_values = {
	JCCircularGaugeBean.DIRECTION_CLOCKWISE,
    JCCircularGaugeBean.DIRECTION_COUNTERCLOCKWISE,
	JCCircularGaugeBean.DIRECTION_BACKWARD,
    JCCircularGaugeBean.DIRECTION_FORWARD,
};

public final static String[] circularDirection_strings = {
	"DIRECTION_CLOCKWISE",
    "DIRECTION_COUNTERCLOCKWISE",
    "DIRECTION_BACKWARD",
    "DIRECTION_FORWARD",
};

public final static String[] circularDirection_i18n_strings = {
	LocaleBundle.string(LocaleBundle.DIRECTION_CLOCKWISE),
    LocaleBundle.string(LocaleBundle.DIRECTION_COUNTERCLOCKWISE),
	LocaleBundle.string(LocaleBundle.DIRECTION_BACKWARD),
	LocaleBundle.string(LocaleBundle.DIRECTION_FORWARD),
};

public final static int[] linearDirection_values = {
	JCCircularGaugeBean.DIRECTION_BACKWARD,
    JCCircularGaugeBean.DIRECTION_FORWARD,
};

public final static String[] linearDirection_strings = {
    "DIRECTION_BACKWARD",
    "DIRECTION_FORWARD",
};

public final static String[] linearDirection_i18n_strings = {
	LocaleBundle.string(LocaleBundle.DIRECTION_BACKWARD),
	LocaleBundle.string(LocaleBundle.DIRECTION_FORWARD),
};

}
