/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LocaleBundle.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:31 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.swing.gauge.beans.resources;

import java.util.Locale;
import java.util.ResourceBundle;

public class LocaleBundle {

private static final String BUNDLE_PATH = "com.klg.jclass.swing.gauge.beans.resources.LocaleInfo";
private static ResourceBundle bundle = ResourceBundle.getBundle(BUNDLE_PATH, Locale.getDefault());

synchronized static String string(String language, String country, String key) {
	return ResourceBundle.getBundle(BUNDLE_PATH, new Locale(language, country)).getString(key);
}

synchronized public static String string(String key) {
	return bundle.getString(key);
}

synchronized static void setBundleLocale(Locale loc) {
	bundle = ResourceBundle.getBundle(BUNDLE_PATH, loc);
}

// Needle style constants
public static final String NEEDLE_RECTANGLE			= "NEEDLE_RECTANGLE";
public static final String NEEDLE_CIRCLE 			= "NEEDLE_CIRCLE";
public static final String NEEDLE_POINTER 			= "NEEDLE_POINTER";
public static final String NEEDLE_TAILED_POINTER 	= "NEEDLE_TAILED_POINTER";
public static final String NEEDLE_ARROW 			= "NEEDLE_ARROW";
public static final String NEEDLE_TAILED_ARROW		= "NEEDLE_TAILED_ARROW";
public static final String NEEDLE_TRIANGLE 			= "NEEDLE_TRIANGLE";


 

public static final String ABOUT 			= "about";

// Needle style property name
public static final String NEEDLE_STYLE 			= "needleStyle";

// auto tick generation
public static final String AUTO_TICK_GENERATION		= "autoTickGeneration";

// center color
public static final String CENTER_COLOR				= "centerColor";

// center radius
public static final String CENTER_RADIUS			= "cenerRadius";

// draw tick labels
public static final String DRAW_TICK_LABELS			= "drawTickLabels";

// draw tick marks
public static final String DRAW_TICK_MARKS			= "drawTickMarks";

// tick font
public static final String TICK_FONT				= "tickFont";

// needle interaction type constants
public static final String INTERACTION_NONE			= "INTERACTION_NONE";
public static final String INTERACTION_DRAG			= "INTERACTION_DRAG";
public static final String INTERACTION_CLICK		= "INTERACTION_CLICK";
public static final String INTERACTION_CLICK_DRAG	= "INTERACTION_CLICK_DRAG";


// needle interaction type
public static final String NEEDLE_INTERACTION_TYPE	= "needleInteractionType";

// needle value
public static final String NEEDLE_VALUE				= "needleValue";

// needle width
public static final String NEEDLE_WIDTH				= "needleWidth";

// needle length
public static final String NEEDLE_LENGTH			= "needleLength";

// needle length
public static final String NEEDLE_INNER_EXTENT		= "needleInnerExtent";

// needle length
public static final String NEEDLE_OUTER_EXTENT		= "needleOuterExtent";

// needle color
public static final String NEEDLE_COLOR				= "needleColor";

// paint complete background
public static final String PAINT_COMPLETE_BACKGROUND = "paintCompleteBackground";

// scale color
public static final String SCALE_COLOR				= "scaleColor";

// scale extent
public static final String SCALE_EXTENT 			= "scaleExtent";

// scale max
public static final String SCALE_MAX				= "scaleMax";

// scale min
public static final String SCALE_MIN				= "scaleMin";

// snap to value
public static final String SNAP_TO_VALUE			= "snapToValue";

// start angle
public static final String START_ANGLE				= "startAngle";

// stop angle
public static final String STOP_ANGLE				= "stopAngle";

// tickIncrement
public static final String TICK_INCREMENT			= "tickIncrement";

// tick inner extent
public static final String TICK_INNER_EXTENT		= "tickInnerExtent";

// tick outer extent
public static final String TICK_OUTER_EXTENT		= "tickOuterExtent";

// tick start value
public static final String TICK_START_VALUE			= "tickStartValue";

// tick stop value
public static final String TICK_STOP_VALUE			= "tickStopValue";

// tick label extent
public static final String TICK_LABEL_EXTENT		= "tickLabelExtent";

// tick width
public static final String TICK_WIDTH				= "tickWidth";


// tick styles
public static final String TICK_CIRCLE				= "TICK_CIRCLE";
public static final String TICK_DIAMOND				= "TICK_DIAMOND";
public static final String TICK_LINE  				= "TICK_LINE";
public static final String TICK_RECTANGLE 			= "TICK_RECTANGLE";
public static final String TICK_REVERSE_TRIANGLE	= "TICK_REVERSE_TRIANGLE";
public static final String TICK_TRIANGLE 			= "TICK_TRIANGLE";

public static final String TICK_STYLE				= "tickStyle";

// tick font color
public static final String TICK_FONT_COLOR			= "tickFontColor";

// tick color
public static final String TICK_COLOR				= "tickColor";

// precision use default
public static final String USE_DEFAULT_PRECISION	= "useDefaultPrecision";

// precision
public static final String PRECISION				= "precision";

// gauge types
public static final String TYPE_FULL_CIRCLE         = "TYPE_FULL_CIRCLE";
public static final String TYPE_TOP_HALF_CIRCLE     = "TYPE_TOP_HALF_CIRCLE";
public static final String TYPE_BOTTOM_HALF_CIRCLE  = "TYPE_BOTTOM_HALF_CIRCLE";
public static final String TYPE_LEFT_HALF_CIRCLE    = "TYPE_LEFT_HALF_CIRCLE";
public static final String TYPE_RIGHT_HALF_CIRCLE   = "TYPE_RIGHT_HALF_CIRCLE";
public static final String TYPE_UPPER_RIGHT_QUARTER_CIRCLE  = "TYPE_UPPER_RIGHT_QUARTER_CIRCLE";
public static final String TYPE_LOWER_RIGHT_QUARTER_CIRCLE  = "TYPE_LOWER_RIGHT_QUARTER_CIRCLE";
public static final String TYPE_UPPER_LEFT_QUARTER_CIRCLE   = "TYPE_UPPER_LEFT_QUARTER_CIRCLE";
public static final String TYPE_LOWER_LEFT_QUARTER_CIRCLE   = "TYPE_LOWER_LEFT_QUARTER_CIRCLE";

// gauge type
public static final String GAUGE_TYPE				    = "type";

// directions
public static final String DIRECTION_CLOCKWISE           = "DIRECTION_CLOCKWISE";
public static final String DIRECTION_COUNTERCLOCKWISE    = "DIRECTION_COUNTERCLOCKWISE";
public static final String DIRECTION_BACKWARD            = "DIRECTION_BACKWARD";
public static final String DIRECTION_FORWARD             = "DIRECTION_FORWARD";
// direction
public static final String DIRECTION                     = "direction";
public static final String  ZOOM_FACTOR                  = "zoomFactor";

}
