/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LocaleInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:31 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.swing.gauge.beans.resources;

import java.util.ListResourceBundle;
import java.io.Serializable;

public class LocaleInfo extends ListResourceBundle implements Serializable {

static final Object[][] strings = {
//LOCALIZE THIS


 

    { LocaleBundle.ABOUT,         "about"},

	// needle style enums
	{ LocaleBundle.NEEDLE_RECTANGLE, 		"NEEDLE_RECTANGLE"},
	{ LocaleBundle.NEEDLE_CIRCLE, 			"NEEDLE_CIRCLE"},
	{ LocaleBundle.NEEDLE_POINTER, 			"NEEDLE_POINTER"},
	{ LocaleBundle.NEEDLE_TAILED_POINTER, 	"NEEDLE_TAILED_POINTER"},
	{ LocaleBundle.NEEDLE_ARROW, 			"NEEDLE_ARROW"},
	{ LocaleBundle.NEEDLE_TAILED_ARROW, 	"NEEDLE_TAILED_ARROW"},
	{ LocaleBundle.NEEDLE_TRIANGLE, 		"NEEDLE_TRIANGLE"},

    // the needle style property name
    { LocaleBundle.NEEDLE_STYLE,			"needleStyle"},

    // auto tick generation
    { LocaleBundle.AUTO_TICK_GENERATION,	"autoTickGeneration"},

    // center color
    { LocaleBundle.CENTER_COLOR,			"centerColor"},

    // center radius
    { LocaleBundle.CENTER_RADIUS,			"centerRadius"},

    // tick labels
    { LocaleBundle.DRAW_TICK_LABELS,		"drawTickLabels"},

    // tick marks
    { LocaleBundle.DRAW_TICK_MARKS,			"drawTickMarks"},

    // tick font
    { LocaleBundle.TICK_FONT,				"tickFont"},
    // needle interaction type constants
	{ LocaleBundle.INTERACTION_NONE,		"INTERACTION_NONE"},
	{ LocaleBundle.INTERACTION_DRAG,		"INTERACTION_DRAG"},
	{ LocaleBundle.INTERACTION_CLICK,		"INTERACTION_CLICK"},
	{ LocaleBundle.INTERACTION_CLICK_DRAG,	"INTERACTION_CLICK_DRAG"},

    // needle interaction type
    {LocaleBundle.NEEDLE_INTERACTION_TYPE,	"needleInteractionType"},

    // needle value
    { LocaleBundle.NEEDLE_VALUE,			"needleValue"},

    // needle width
    { LocaleBundle.NEEDLE_WIDTH,			"needleWidth"},

    // needle length
    { LocaleBundle.NEEDLE_LENGTH,           "needleLength"},

    // needle length
    { LocaleBundle.NEEDLE_INNER_EXTENT,     "needleInnerExtent"},

    // needle length
    { LocaleBundle.NEEDLE_OUTER_EXTENT,     "needleOuterExtent"},

    // needle color
    { LocaleBundle.NEEDLE_COLOR, 			"needleColor"},

    // paint complete background
    { LocaleBundle.PAINT_COMPLETE_BACKGROUND, "paintCompleteBackground"},

    // scale color
    { LocaleBundle.SCALE_COLOR, 			"scaleColor"},

    // scale extent
    { LocaleBundle.SCALE_EXTENT,			"scaleExtent"},

    // scale max
    { LocaleBundle.SCALE_MAX,				"scaleMax"},

    // scale min
    { LocaleBundle.SCALE_MIN,				"scaleMin"},

    // snap to value
    { LocaleBundle.SNAP_TO_VALUE,			"snapToValue"},

    // start angle
    { LocaleBundle.START_ANGLE,				"startAngle"},

    // stop angle
    { LocaleBundle.STOP_ANGLE,				"stopAngle"},

    // tickIncrement
    { LocaleBundle.TICK_INCREMENT,			"tickIncrement"},

    // tick inner extent
    { LocaleBundle.TICK_INNER_EXTENT,		"tickInnerExtent"},

    // tick outer extent
    { LocaleBundle.TICK_OUTER_EXTENT,		"tickOuterExtent"},

    // tick start value
    { LocaleBundle.TICK_START_VALUE,		"tickStartValue"},

    // tick stop value
    { LocaleBundle.TICK_STOP_VALUE,			"tickStopValue"},

    // tick label extent
    { LocaleBundle.TICK_LABEL_EXTENT,		"tickLabelExtent"},

	// tick width
    { LocaleBundle.TICK_WIDTH,				"tickWidth"},


    // tick styles
    { LocaleBundle.TICK_CIRCLE,				"TICK_CIRCLE"},
    { LocaleBundle.TICK_DIAMOND,			"TICK_DIAMOND"},
    { LocaleBundle.TICK_LINE,				"TICK_LINE"},
    { LocaleBundle.TICK_RECTANGLE,			"TICK_RECTANGLE"},
    { LocaleBundle.TICK_REVERSE_TRIANGLE,	"TICK_REVERSE_TRIANGLE"},
    { LocaleBundle.TICK_TRIANGLE,			"TICK_TRIANGLE"},

	{ LocaleBundle.TICK_STYLE,				"tickStyle"},

	// tick font color
	{ LocaleBundle.TICK_FONT_COLOR,			"tickFontColor"},

    // tick color
   	{ LocaleBundle.TICK_COLOR,				"tickColor"},


    // precision use default
	{ LocaleBundle.USE_DEFAULT_PRECISION,	"useDefaultPrecision"},

	// precision
	{ LocaleBundle.PRECISION,				"precision"},

    // gauge types
    { LocaleBundle.TYPE_FULL_CIRCLE,               "TYPE_FULL_CIRCLE"},
    { LocaleBundle.TYPE_TOP_HALF_CIRCLE,            "TYPE_TOP_HALF_CIRCLE"},
    { LocaleBundle.TYPE_BOTTOM_HALF_CIRCLE,         "TYPE_BOTTOM_HALF_CIRCLE"},
    { LocaleBundle.TYPE_LEFT_HALF_CIRCLE,           "TYPE_LEFT_HALF_CIRCLE"},
    { LocaleBundle.TYPE_RIGHT_HALF_CIRCLE,          "TYPE_RIGHT_HALF_CIRCLE"},
    { LocaleBundle.TYPE_UPPER_RIGHT_QUARTER_CIRCLE, "TYPE_UPPER_RIGHT_QUARTER_CIRCLE"},
    { LocaleBundle.TYPE_LOWER_RIGHT_QUARTER_CIRCLE, "TYPE_LOWER_RIGHT_QUARTER_CIRCLE"},
    { LocaleBundle.TYPE_UPPER_LEFT_QUARTER_CIRCLE,  "TYPE_UPPER_LEFT_QUARTER_CIRCLE"},
    { LocaleBundle.TYPE_LOWER_LEFT_QUARTER_CIRCLE,  "TYPE_LOWER_LEFT_QUARTER_CIRCLE"},

	// gauge type
	{ LocaleBundle.GAUGE_TYPE,				"type"},

    // directions
    { LocaleBundle.DIRECTION_CLOCKWISE,         "DIRECTION_CLOCKWISE"},
    { LocaleBundle.DIRECTION_COUNTERCLOCKWISE,  "DIRECTION_COUNTERCLOCKWISE"},
    { LocaleBundle.DIRECTION_BACKWARD ,         "DIRECTION_BACKWARD"},
    { LocaleBundle.DIRECTION_FORWARD         ,  "DIRECTION_FORWARD"},

	// scale direction
	{ LocaleBundle.DIRECTION,				"direction"},

	// zoom factor
	{LocaleBundle.ZOOM_FACTOR,               "zoomFactor"}

//END OF MATERIAL TO LOCALIZE
};

public Object[][] getContents() {
	return strings;
}

}
