/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LayoutButtonBox.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:32 $  $Locker:  $  Quest Software Inc.
package com.klg.jclass.swing.util;

import java.awt.*;
import java.awt.event.*;
import javax.swing.JComponent;
import javax.swing.JInternalFrame;
import javax.swing.JButton;
import javax.swing.UIManager;

public class LayoutButtonBox extends JComponent {

protected JInternalFrame  maximized_frame = null;
protected JButton         minButton;
protected JButton         closeButton;
protected JButton         iconButton;

protected boolean         isMotif = false;

public LayoutButtonBox(ActionListener layout_listener)
{
    setLayout(null);

    iconButton = new LayoutButton(LayoutButton.ICONIFY);
    iconButton.addActionListener(layout_listener);

    minButton = new LayoutButton(LayoutButton.MINIMIZE);
    minButton.addActionListener(layout_listener);

    closeButton = new LayoutButton(LayoutButton.CLOSE);
    closeButton.addActionListener(layout_listener);
    String name = UIManager.getLookAndFeel().getClass().getName();
    if (name.indexOf("MotifLookAndFeel") != -1) {
        isMotif = true;
    }
}

public void setMaximizedFrame(JInternalFrame frame)
{
    maximized_frame = frame;
    if (maximized_frame.isClosable() && closeButton.getParent() == null) {
        if (!isMotif) {
            // Don't add the close button in the Motif look and Feel
            add(closeButton);
        }
    }
    if (maximized_frame.isMaximizable() && minButton.getParent() == null) {
        add(minButton);
    }
    if (maximized_frame.isIconifiable() && iconButton.getParent() == null) {
        add(iconButton);
    }
}

public JInternalFrame getMaximizedFrame()
{
    return(maximized_frame);
}

public void doLayout()
{
    super.doLayout();

    if (maximized_frame == null) {
        // nothing to layout
        return;
    }

    int w = this.getSize().width;
    int x = w - 16 - 2;
    //menuBar.setBounds(2, 1, 16, 16);

    if (!isMotif && maximized_frame.isClosable()) {
        closeButton.setBounds(x, 2, 16, 14);
        x -= 16;
    }
    else if (closeButton.getParent() != null) {
        closeButton.getParent().remove(closeButton);
    }

    if (maximized_frame.isMaximizable()) {
        minButton.setBounds(x - 2, 2, 16, 14);
        x -= 18;
    }
    else if (minButton.getParent() != null) {
        minButton.getParent().remove(minButton);
    }

    if (maximized_frame.isIconifiable()) {
        iconButton.setBounds(x, 2, 16, 14);
    }
    else if (iconButton.getParent() != null) {
        iconButton.getParent().remove(iconButton);
    }
}

public Dimension getMaximumSize()
{
    return(new Dimension(Short.MAX_VALUE,   // 3 buttons + left, right margins
                         Short.MAX_VALUE)); // button + top, bottom margins
}

/*
public Dimension minimumSize()
{
	return(new Dimension(3 * 16 + 2 + 2, // 3 buttons + left, right margins
						 16 + 2 + 2));   // button + top, bottom margins
}
*/

}
