/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: ShrinkWrapLayout.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:32 $  $Locker:  $  Quest Software Inc.
package com.klg.jclass.swing.util;

import java.awt.*;


public class ShrinkWrapLayout implements LayoutManager2, java.io.Serializable {

//
// LayoutManager Implementation
//

static protected final Dimension MAX = new Dimension(Short.MAX_VALUE,
													 Short.MAX_VALUE);

/**
 * Adds a component to the layout.
 */
public void addLayoutComponent(String name, Component comp) {}

/**
 * Removes a component from the layout.
 */
public void removeLayoutComponent(Component comp) {}


/**
 * Returns the preferred layout size of the containers within their parent.
 */
public Dimension preferredLayoutSize(Container parent)
{
	
	int n = parent.getComponentCount();
	if (n == 0) {
		return(new Dimension(10, 10));
	}
	else {
		Component c = parent.getComponent(0);
		return(c.getPreferredSize());
	}
}

/**
 * Returns the minimum layout size of the containers within their parent.
 *
 */
public Dimension minimumLayoutSize(Container parent)
{
	
	int n = parent.getComponentCount();
	if (n == 0) {
		return(new Dimension(10, 10));
	}
	else {
		Component c = parent.getComponent(0);
		return(c.getMinimumSize());
	}
}

/**
 * Lays out the components within the specified parent.
 */
public void layoutContainer(Container parent)
{
	
	int n = parent.getComponentCount();
	if (n == 0) {
		return;
	}
	Dimension size = parent.getSize();
	Component c = parent.getComponent(0);
	c.setBounds(0, 0, size.width, size.height);
}

//
// LayoutManager2 Implementation
//

/**
 * Adds a component to the layout manager with the specified constraint.
 */
public void addLayoutComponent(Component comp, Object constraints) {}

/**
 * Returns the maximum layout size of the component.
 */
public Dimension maximumLayoutSize(Container parent)
{
    
    return(MAX);
}

/**
 * Returns the x layout alignment.
 */
public float getLayoutAlignmentX(Container target)
{
    return((float)0.0);
}

/**
 * Returns the Y layout alignment.
 */
public float getLayoutAlignmentY(Container target)
{
    return((float)0.0);
}

/**
 * Invalidates the current layout.  That is, remove any information
 * that might be cached regarding the current layout.
 */
public void invalidateLayout(Container target)
{
    // ??? should really implement this
    // i.e. cash the layout
}

}
