/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: CellBorderModel.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:32 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.table;

import java.awt.Color;
import java.awt.Graphics;

/**
 * Defines the requirements for a object responsible for renderering cell
 * borders.
 */
public interface CellBorderModel {

/**
 * Draws the border and background of a cell.
 * @param gc the color used for the background
 * @param border_thickness the thickness of the cell border
 * @param border_sides the sides on which to draw the border, a bitwise OR of
 * the following: <BR>
 * <CODE>BORDERSIDE_ALL, BORDERSIDE_LEFT, BORDERSIDE_RIGHT,
 * BORDERSIDE_TOP, BORDERSIDE_BOTTOM</CODE>
 * @param x the horizontal start position of the border
 * @param y the vertical start position of the border
 * @param width the border width size
 * @param height the border height size
 * @param top_color the color used for drawing the top of IN borders or the
 * bottom of OUT borders
 * @param bottom_color the color used for drawing the bottom of IN borders or
 * the top of OUT borders
 * @param plain_color the color used to draw the sides of PLAIN borders
 */
public void drawBackground(Graphics gc, int border_thickness, int border_sides,
                           int x, int y, int width, int height,
                           Color top_color, Color bottom_color,
                           Color plain_color);

}
