/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: CellStyleChangeSupport.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:32 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.table;

import java.beans.PropertyChangeSupport;
import java.io.Serializable;

/**
 * The <CODE>CellStyleChangeSupport</CODE> class provides methods to notify
 * <CODE>PropertyChange</CODE> listeners of style changes.
 */
public class CellStyleChangeSupport extends PropertyChangeSupport implements Serializable {

/** Constant used to notify listeners that the parent of the style has changed. */
public static final String STYLE_PARENT = "styleParent";
/** Constant used to notify listeners that the background color has changed. */
public static final String STYLE_BACKGROUND = "styleBackground";
/** Constant used to notify listeners that the cell border has changed. */
public static final String STYLE_BORDER = "styleBorder";
/** Constant used to notify listeners that the border sides have changed. */
public static final String STYLE_BORDER_SIDES = "styleBorderSides";
/** Constant used to notify listeners that the cell border color has changed. */
public static final String STYLE_CELL_BORDER_COLOR = "styleCellBorderColor";
/** Constant used to notify listeners that the cell editor has changed. */
public static final String STYLE_CELL_EDITOR = "styleCellEditor";
/** Constant used to notify listeners that the cell renderer has changed. */
public static final String STYLE_CELL_RENDERER = "styleCellRenderer";
/** Constant used to notify listeners that the clip hint property has changed. */
public static final String STYLE_CLIP_HINTS = "styleClipHints";
/** Contant used to notify listeners that the data type property has changed. */
public static final String STYLE_DATA_TYPE = "styleDataType";
/** Constant used to notify listeners that the editable state of the style has changed. */
public static final String STYLE_EDITABLE = "styleIsEditable";
/** Constant used to notify listeners that the font has changed. */
public static final String STYLE_FONT = "styleFont";
/** Constant used to notify listeners that the foreground color has changed. */
public static final String STYLE_FOREGROUND = "styleForeground";
/** Constant used to notify listeners that the horizontal alignment of the style has changed. */
public static final String STYLE_HORIZONTAL_ALIGNMENT = "styleHorizontalAlignment";
/** Constant used to notify listeners that the repeat background properties have changed. */
public static final String STYLE_REPEAT_BACKGROUND = "styleRepeatBackground";
/** Constant used to notify listeners that the repeat foreground properties have changed. */
public static final String STYLE_REPEAT_FOREGROUND = "styleRepeatForeground";
/** Constant used to notify listeners that the traversable state of the style has changed. */
public static final String STYLE_TRAVERSABLE = "styleTraversable";
/** Constant used to notify listeners that the vertical alignment of the style has changed. */
public static final String STYLE_VERTICAL_ALIGNMENT = "styleVerticalAlignment";

/**
 * Creates a new CellStyleChangeSupport for a style. This utility class 
 * provides convenient firing methods for notifying PropertyChangeListeners
 * of cell style field changes.
 */
public CellStyleChangeSupport(CellStyleModel model)
{
	super(model);
}

}
