/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCCellDisplayEvent.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:33 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.table;

import java.util.EventObject;

/**
 * The event posted when a cell value is requested for display.
 * @see JCCellDisplayListener
 */
public class JCCellDisplayEvent extends EventObject {

protected int           row;
protected int           column;
protected Object        cell_data;
protected Object        display_data = null;

public JCCellDisplayEvent(Object source, int row, int column, Object value)
{
    super(source);
    this.row = row;
    this.column = column;
    this.cell_data = value;
    this.display_data = value;
}

/**
 * Retrieves the row of the cell or label.
 * @return row of the cell or label
 */
public int getRow()
{
    return(row);
}

/**
 * Retrieves the column of the cell or label.
 * @return column of the cell or label
 */
public int getColumn()
{
    return(column);
}

/**
 * Retrieves the object being displayed.
 * @return object being displayed
 */
public Object getCellData()
{
    return(cell_data);
}

/**
 * Sets the object to be displayed.
 * @param value
 */
public void setDisplayData(Object value)
{
    this.display_data = value;
}

/**
 * Retrieves the object that will be displayed.
 * @return object that will be displayed
 */
public Object getDisplayData()
{
    return(display_data);
}

/**
 * Returns a String representation of the event.
 * @return String representation of the event
 */
public String toString()
{
    return("CELLDISPLAY [" + "R" + row + "C" + column +
           ", data: " + getCellData() + ", display: " + getDisplayData() + "]");
}

}
