/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCSortEvent.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:34 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.table;

import java.util.EventObject;

/**
 * The event posted after a call to <CODE>sortByColumn()</CODE>.
 * @see JCTable#addSortListener
 * @see JCTable#sortByColumn
 * @see JCSortListener
 */
public class JCSortEvent extends EventObject {

protected int[] columns;
protected int[] new_rows;

public JCSortEvent(Object source, int[] columns, int[] new_rows)
{
    super(source);
    this.columns = columns;
    this.new_rows = new_rows;
}

/**
 * Gets the columns that have been sorted.
 * @return
 */
public int[] getColumns()
{
    return(columns);
}

/**
 * Gets the newly sorted order -- <code>new_rows</code><i>[i]</i> are moved to
 * row <i>i</i>.
 * @return
 */
public int[] getNewRows()
{
    return(new_rows);
}

/**
 * Returns a String representation of the event.
 * @return String representation of the event
 */
public String toString()
{
    return("SORT []");
}

}
