/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCTraverseCellAdapter.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:34 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.table;

/**
 * The adapter which receives <CODE>JCTraverseCell</CODE> events.
 * The methods in this class are empty; this class is provided as a
 * convenience for easily creating listeners by extending this class
 * and overriding only the methods of interest.
 * @see JCTraverseCellEvent
 */
public abstract class JCTraverseCellAdapter implements JCTraverseCellListener {

/**
 * Invoked before a cell is traversed to. The event's <CODE>setCancelled</CODE>
 * method can be called to prevent the traversal, or the destination cell
 * can be modified.
 * @see JCTraverseCellEvent#setCancelled
 * @see JCTraverseCellEvent#setNextRow
 * @see JCTraverseCellEvent#setNextColumn
 * @param e The event generated by the traverse cell
 */
public void traverseCell(JCTraverseCellEvent e) {}

/**
 * Invoked after the cell is traversed to if all listeners notified through
 * <CODE>traverseCell</CODE> accepted the destination. If a listener
 * cancelled the traversal in <CODE>traverseCell</CODE>,
 * <code>afterTraverseCell</code> will be called with the cancelled flag set
 * and the destination will be the same as the source location.
 * @see #traverseCell
 * @see JCTraverseCellEvent#isCancelled
 * @param e The event generated by the traverse cell
 */
public void afterTraverseCell(JCTraverseCellEvent e) {}

}
