/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: PickColumnsDialog.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:34 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.table;

import java.awt.BorderLayout;
import java.awt.Dimension;
import java.awt.FlowLayout;
import java.awt.Frame;
import java.awt.Toolkit;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JList;
import javax.swing.JPanel;
import javax.swing.JScrollPane;

import com.klg.jclass.table.resources.LocaleBundle;

class PickColumnsDialog extends JDialog implements ActionListener {

private int[] selected = null;
private JList list;
private JButton buttonOK;

PickColumnsDialog(Frame frame, boolean hide, Object[] dlgLabels)
{
	super(frame, (hide ?
				  LocaleBundle.string(LocaleBundle.VISIBLE_COLUMNS) :
				  LocaleBundle.string(LocaleBundle.HIDDEN_COLUMNS)), true);

	// Create a scroll pane for the list of column labels
	list = new JList(dlgLabels);
    list.setVisibleRowCount(8);
	JScrollPane p1 = new JScrollPane(list);

	// Create bottom panel
	buttonOK = new JButton(LocaleBundle.string(LocaleBundle.OK));
	JButton buttonCancel = new JButton(LocaleBundle.string(LocaleBundle.CANCEL));
	JPanel p2 = new JPanel();
	p2.setLayout(new FlowLayout(FlowLayout.RIGHT));
	p2.add(buttonOK);
	p2.add(buttonCancel);

	getContentPane().setLayout(new BorderLayout(10, 4));
	getContentPane().add("Center", p1);
	getContentPane().add("South", p2);

	buttonCancel.addActionListener(this);
	buttonOK.addActionListener(this);

	//Initialize this dialog to its preferred size.
	pack();
}

public void actionPerformed(ActionEvent event)
{
	Object source = event.getSource();
	if (source == buttonOK) {
		selected = list.getSelectedIndices();
    }
	setVisible(false);
}

public int[] getSelected()
{
	return(selected);
}

/**
 * Centers the dialog relative to the parent frame or screen.
 */
void center()
{
	int x = 0;
	int y = 0;
	Dimension screenDim = Toolkit.getDefaultToolkit().getScreenSize();
	x = (screenDim.width - getSize().width) / 2;
	y = (screenDim.height - getSize().height) / 2;
	x = Math.max(x, 0);
	y = Math.max(y, 0);
    setLocation(x, y);
}

}
