/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: PrintCellAreaRenderer.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:34 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.table;

import java.awt.Component;
import java.awt.Graphics;

/**
 * <CODE>PrintCellAreaRenderer</CODE> controls the painting of
 * <CODE>CellAreas</CODE> within  the table. It overrides forcePaintComponent
 * of <CODE>CellAreaRenderer</CODE> in order to realize components in cells
 * during print.
 */
public class PrintCellAreaRenderer extends CellAreaRenderer {

/**
 * Creates a new PrintCellAreaRenderer instance for use when printing table.
 */
public PrintCellAreaRenderer(CellAreaHandler cellAreaHandler)
{
    super(cellAreaHandler);
}

/**
 * Overrides forcePaintComponent in order to force components in cells
 * to paint correctly.
 */
protected void forcePaintComponent(Component component, Graphics gc,
                                   int x, int y, int width, int height)
{
    int compBorder = table.getComponentBorderWidth();
    gc.translate(x + compBorder, y + compBorder);
    component.paint(gc);
    gc.translate(-x - compBorder, -y - compBorder);
}
	
}
