/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: StringCellRangeFlavor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:34 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.table;

import java.awt.datatransfer.StringSelection;

/**
 * <CODE>StringCellRangeFlavor</CODE> is a <CODE>Transferable</CODE>
 * object that passes cell data through a string of
 * cells separating by tab/newline characters.
 */
public class StringCellRangeFlavor extends StringSelection {

/**
 * Create a new StringCellRangeFlavor given a range of cells from
 * table.
 */
public StringCellRangeFlavor(JCTable table, JCCellRange cr)
{
    super(getData(table, cr));
}

/**
 * Returns the string of cell data as a TAB/NEWLINE delimited string.
 */
static String getData(JCTable table, JCCellRange cr)
{
    String data = "";
    if (cr.end_row == JCTableEnum.MAXINT) {
        cr.end_row = table.getNumRows() - 1;
    }
    if (cr.end_column == JCTableEnum.MAXINT) {
        cr.end_column = table.getNumColumns() - 1;
    }

    DataViewModel dvm = table.getDataView();
    for (int r = cr.start_row; r <= cr.end_row; r++) {
        for (int c = cr.start_column; c < cr.end_column; c++) {
            data += dvm.getObject(r, c) + "\t";
        }
        data += dvm.getObject(r, cr.end_column) + "\n";
    }
    return(data);
}

}
