/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: SwingCellBorder.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:34 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.table;

import java.awt.Color;
import java.awt.Component;
import java.awt.Graphics;
import javax.swing.border.Border;

/**
 * The <CODE>SwingCellBorder</CODE> class implements the
 * <CODE>CellBorderModel</CODE> interface to provide cell and frame border
 * drawing using <CODE>Swing</CODE> borders.
 */
public class SwingCellBorder implements java.io.Serializable, CellBorderModel {

protected Component  component;
protected Border     border;

/**
 * SwingCellBorder
 * @param component the component that controls the drawing of the border
 * @param border the type of border
 */
public SwingCellBorder(Component component, Border border)
{
    this.component = component;
    this.border = border;
}

/**
 * Set the component used to render this border
 */
public void setComponent(Component c)
{
    this.component = c;
}

/**
 * Returns the type of border.
 */
public Border getCellBorder()
{
    return(border);
}

/**
 * Draws a Swing Border around the cell. Note that with Swing Borders the
 * width is 1, BorderSides are always BORDERSIDE_ALL and color controlled by Swing.
 */
public void drawBackground(Graphics gc, int borderWidth, int borderSide,
                           int x, int y, int width, int height, Color top_color,
                           Color bottom_color, Color plain_color)
{
    // Don't paint border if we don't have a component
    // swing bevel borders, for one, need a component
    if (component != null) {
        border.paintBorder(component, gc, x, y, width, height);
    }
}
	
}
