/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: TableCellInfoModel.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:34 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.table;

import com.klg.jclass.cell.JCCellInfo;
import java.awt.Color;

/**
 * <CODE>TableCellInfoModel</CODE> interface extends the <CODE>CellInfo</CODE>
 * adding table specific methods.
 */
public interface TableCellInfoModel extends JCCellInfo {

// White background shadows
public static final Color WHITE_BRIGHTER = new Color(200, 200, 200);
public static final Color WHITE_DARKER = new Color(140, 140, 140);
public static final Color BLACK_BRIGHTER = new Color(125, 125, 125);
public static final Color BLACK_DARKER = new Color(75, 75, 75);

/**
 * Used to initialize the table, row and column for renderering or editing.
 */
public void initialize(JCTable table, Object o, int row, int column);
	
/**
 * Used to initialize the table, row and column for renderering or editing. A
 * valid <CODE>CellStyleModel</CODE> object is also supplied.
 */
public void initialize(JCTable table, Object o, int row, int column,
                       CellStyleModel style);

/**
 * Returns the table object associated with the cell.
 */
public JCTable getTable();
	 
/**
 * Returns the row for the cell.
 */
public int getRow();
	
/**
 * Returns the column for the cell.
 */
public int getColumn();

/**
 * Returns the CellStyleModel object that contains the property setting for the
 * cell.
 */
public CellStyleModel getCellStyle();
	
/**
 * Returns the CellBorderModel for the cell.
 */
public CellBorderModel getCellBorder();

/**
 * Returns the BorderSides for the cell.
 */
public int getCellBorderSides();

}
