/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: TablePopupMenu.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:34 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.table;

import java.awt.event.ActionListener;
import com.klg.jclass.util.swing.BasePopupMenu;
import com.klg.jclass.table.resources.LocaleBundle;

/**
 * <CODE>TablePopupMenu</CODE> is the popup menu to hide columns, show columns,
 * or go to a row.
 */
public class TablePopupMenu extends BasePopupMenu {

/**
 * List of strings for the popup menu.
 */
final static String[] commands = new String[] {
	LocaleBundle.string(LocaleBundle.HIDE_COLUMN),
	LocaleBundle.string(LocaleBundle.SHOW_COLUMN),
	LocaleBundle.string(LocaleBundle.GO_TO),
	//LocaleBundle.string(LocaleBundle.PRINT),
    //LocaleBundle.string(LocaleBundle.PRINT_PREVIEW),
};

/**
 * TablePopupMenu constructor
 */
public TablePopupMenu(ActionListener listener)
{
    super(listener);
}


/**
 * Returns TablePopupMenu's command set.
 */
protected String[] getCommands()
{
    return(commands);
}

/**
 * Enable or disable a menu item in the popup menu.
 *
 * @param text The text string.
 * @param enable True if enable else false.
 *
 * @return True if menu item is found and is enabled or is disabled.
 */
public boolean enableMenuItem(String text, boolean enable)
{
    return(super.enableMenuItem(LocaleBundle.string(text), enable));
}

}
