/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: CellSizeWrapper.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:34 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.table.beans;


import com.klg.jclass.table.PositionCellSize;

/**
 * CellSizeWrapper wraps up string representations of the width,
 * and height series. It is used for the CellSize property in LiveTable.
 */
public class CellSizeWrapper implements java.io.Serializable {

public PositionCellSize[] rowPositions = null;
public PositionCellSize[] columnPositions = null;

/**
 * Creates a CellSizeWrapper instance for the given strings
 * representing the width and height series.
 * @param rowPositions PositionCellSize[] representation of the width series
 * @param columnPositions PositionCellSize[] representation of the height series
 */
public CellSizeWrapper(PositionCellSize[] rowPositions,
        PositionCellSize[] columnPositions) {
	this.rowPositions = rowPositions;
    this.columnPositions = columnPositions;
}

/**
 * Returns a representation of this wrapper values as a string.
 * @return a string that must be used by a property editor.
 */
public String toString() {
	return "...";
}

/**
 * Returns a fragment of Java code representing an initializer
 * for the current value.
 * @return a string that must be used by a property editor.
 */
public String getJavaInitializationString() {
	return "new "+getClass().getName()+"(\n\t\t"+
        "new com.klg.jclass.table.PositionCellSize[] {\n\t\t\t"+
            makeArrayString(rowPositions)+"},\n\t\t"+
        "new com.klg.jclass.table.PositionCellSize[] {\n\t\t\t"+
            makeArrayString(columnPositions)+"})";
}

protected String makeArrayString(PositionCellSize[] positions) {
	String s = "";
    for (int i=0; i<positions.length; i++) {
		s += "new com.klg.jclass.table.PositionCellSize("+
            positions[i].position+", new com.klg.jclass.table.CellSize("+
            positions[i].cell_size.getCharValue()+", "+
            positions[i].cell_size.getMinValue()+", "+
            positions[i].cell_size.getMaxValue()+", "+
            positions[i].cell_size.getPixelValue()+", "+
            positions[i].cell_size.isHidden()+"))"+
            (i<positions.length-1 ? ",\n\t\t\t" : "");
    }
    return s;
}

} // CellSizeWrapper

