/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: DisabledDialog.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:34 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.table.beans;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowEvent;
import java.awt.event.WindowListener;

import java.awt.Dimension;
import java.awt.BorderLayout;
import java.awt.FlowLayout;
import java.awt.Frame;
import java.awt.Toolkit;

import javax.swing.JButton;
import javax.swing.JComponent;
import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JPanel;

/**
 * Dialog that appears to inform user that a property
 * has been disabled.  Used by IDE limited versions 
 * of LiveTable.
 */
public class DisabledDialog extends JDialog
	implements WindowListener, ActionListener {

    static DisabledDialog previous = null;

    public DisabledDialog(Frame frame, String msg) {
        super(frame,"Feature Disabled",true);

        if (previous == null)
            previous = this;

        addWindowListener(this);
        getContentPane().setLayout(new BorderLayout());

        JLabel msglbl = new JLabel(msg);
        getContentPane().add("North", msglbl);

        JPanel pnl1 = new JPanel();
        JButton okb = new JButton("OK");
        pnl1.setLayout(new FlowLayout());
        pnl1.add("Center",okb);
        getContentPane().add("South",pnl1);

        Dimension tmp = okb.getPreferredSize();
        Dimension tmp2 = msglbl.getPreferredSize();
        setSize(tmp.width + tmp2.width + 30, tmp.height + tmp2.height + 30);

        Toolkit tk = frame.getToolkit();
        Dimension scrn = tk.getScreenSize();
        setLocation((scrn.width - (tmp.width + tmp2.width + 30)) / 2,
        	(scrn.height - (tmp.height + tmp2.height + 30)) / 2);

        okb.addActionListener(this);
        pack();
    }

    public void windowClosing(WindowEvent e) {
        if (previous != null)
            previous.hide();
        previous = null;
	    hide();
    }

    public void windowActivated(WindowEvent e) {}
    public void windowClosed(WindowEvent e) {}
    public void windowDeactivated(WindowEvent e) {}
    public void windowDeiconified(WindowEvent e) {}
    public void windowIconified(WindowEvent e) {}
    public void windowOpened(WindowEvent e) {}


    public void actionPerformed(ActionEvent e) {
        if (previous != null)
            previous.hide();
        previous = null;
        hide();
    }

}


