/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: FrozenCellLayoutWrapper.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:35 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.table.beans;

/**
 * FrozenCellLayoutWrapper wraps up the frozen rows and columns properties.
 * It is used for the frozenCellLayout property in LiveTable.
 */
public class FrozenCellLayoutWrapper implements java.io.Serializable {

public int rows;
public int columns;
public int rowPlacement;
public int columnPlacement;

/**
 * Creates an FrozenCellLayoutWrapper for the given integers representing the
 * frozen rows and columns placement.
 * @param rows number of the frozen rows
 * @param columns number of the frozen columns
 * @param rowPlacement placement of the frozen rows
 * @param columnPlacement placement of the frozen columns
 */
public FrozenCellLayoutWrapper(int rows, int columns,
        int rowPlacement, int columnPlacement) {
    this.rows = rows;
    this.columns = columns;
	this.rowPlacement = rowPlacement;
	this.columnPlacement = columnPlacement;
}

/**
 * Returns a representation of this wrapper values as a string.
 * @return a string that must be used by a property editor.
 */
public String toString() {
	return "...";
}

/**
 * Returns a fragment of Java code representing an initializer
 * for the current value.
 * @return a string that must be used by a property editor.
 */
public String getJavaInitializationString() {
	return "new "+getClass().getName()+"("+rows+", "+columns+", "+
        rowPlacement+", "+columnPlacement+")";
}

} // FrozenCellLayoutWrapper

