/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LabelLayoutWrapper.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:35 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.table.beans;


/**
 * LabelLayoutWrapper wraps up row and column label layout properties.
 * It is used for the labelLayout property in LiveTable.
 */
public class LabelLayoutWrapper implements java.io.Serializable {

public boolean rowDisplay;
public boolean columnDisplay;
public int rowOffset;
public int columnOffset;
public int rowPlacement;
public int columnPlacement;

/**
 * Creates an LabelLayoutWrapper for the given row and column label layout
 * properties.
 * @param rowDisplay the row display value
 * @param columnDisplay the column display value
 * @param rowOffset the row offset
 * @param columnOffset the column offset
 * @param rowPlacement the row placement
 * @param columnPlacement the column placement
 */
public LabelLayoutWrapper(boolean rowDisplay, boolean columnDisplay,
        int rowOffset, int columnOffset, int rowPlacement, int columnPlacement) {
    this.rowDisplay     = rowDisplay;
    this.columnDisplay  = columnDisplay;
	this.rowOffset      = rowOffset;
	this.columnOffset   = columnOffset;
	this.rowPlacement   = rowPlacement;
	this.columnPlacement= columnPlacement;
}

/**
 * Returns a representation of this wrapper values as a string.
 * @return a string that must be used by a property editor.
 */
public String toString() {
	return "...";
//	return rowDisplay+", "+columnDisplay+", "+
//        rowOffset+", "+columnOffset+", "+rowPlacement+", "+columnPlacement;
}

/**
 * Returns a fragment of Java code representing an initializer
 * for the current value.
 * @return a string that must be used by a property editor.
 */
public String getJavaInitializationString() {
	return "new "+getClass().getName()+"("+rowDisplay+", "+columnDisplay+", "+
        rowOffset+", "+columnOffset+", "+rowPlacement+", "+columnPlacement+")";
}

} // LabelLayoutWrapper

