/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: PropertyEditorTable.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:35 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.table.beans;

import java.awt.Dimension;

import com.klg.jclass.table.JCCellRange;
import com.klg.jclass.table.JCTableEnum;
import com.klg.jclass.table.TableDataModel;





import java.util.Collection;
import java.util.Iterator;


/**
 * This is the PropertyEditorTable bean class to be used as
 * a LiveTable model inside the TablePropertyEditor.
 * @since JClass 4.0K for Java 2. If you are using JClass 4.0J,
 * which is based on JDK 1.1, some of the return types for this class'
 * fields or methods are based on the corresponding
 * <code>com.sun.java.util</code> class.
 */
public class PropertyEditorTable extends LiveTable {

protected boolean traversable = false;

public PropertyEditorTable(boolean editable) {
	super(editable);
}

public static int getNumEditorColumns() {
	return numColumns;
}

public static void setNumEditorColumns(int v) {
	numColumns = v;
}

public static int getNumEditorRows() {
	return numRows;
}

public static void setNumEditorRows(int v) {
	numRows = v;
}
/**
 * Returns true if the given cell is traversable
 */
public boolean isTraversable(int row, int column) {
	return traversable ? getCellStyle(row, column) != null :
    	super.isTraversable(row, column);
}

/**
 * Sets whether the table is ignore the cell's traversable property.
 */
public void setTraversable(boolean value) {
	traversable = value;
}

protected JCCellRange getRangedSelection() {
	JCCellRange r = getSelectedRange();
	if (r == null) {
    	return null;
    }
	JCCellRange range = new JCCellRange(Math.min(r.start_row, r.end_row),
    	Math.min(r.start_column, r.end_column),
    	Math.max(r.start_row, r.end_row),
        Math.max(r.start_column, r.end_column));

	TableDataModel dataSource = getDataSource();
	if (range.end_row == JCTableEnum.MAXINT ||
    		range.end_row == dataSource.getNumRows()) {
        if (r.start_row == JCTableEnum.LABEL) {
            range.start_row = JCTableEnum.ALL;
            range.end_row = JCTableEnum.ALL;
        }
        else if (r.start_row == 0) {
            range.start_row = JCTableEnum.ALLCELLS;
            range.end_row = JCTableEnum.ALLCELLS;
    	}
    }
	if (range.end_column == JCTableEnum.MAXINT ||
    		range.end_column == dataSource.getNumColumns()) {
        if (r.start_column == JCTableEnum.LABEL) {
            range.start_column = JCTableEnum.ALL;
            range.end_column = JCTableEnum.ALL;
        }
        else if (r.start_column == 0) {
            range.start_column = JCTableEnum.ALLCELLS;
            range.end_column = JCTableEnum.ALLCELLS;
    	}
    }
	return range;
}

protected static int toIntValue(EnumString[] EnumStrings, String value) {
	value = value.trim();
	if (value != null && value.length() > 0) {
    	if (EnumStrings != null) {
            for (int i=0; i<EnumStrings.length; i++) {
                if (value.equalsIgnoreCase(EnumStrings[i].name)) {
                    return EnumStrings[i].enum;
                }
            }
        }
        try {
            return Integer.valueOf(value).intValue();
        }
        catch (Exception e) {}
	}
    return Integer.MIN_VALUE;
}

public static String toString(EnumString[] EnumStrings, int v) {
   	if (EnumStrings != null) {
        for (int i=0; i<EnumStrings.length; i++) {
            if (v == EnumStrings[i].enum) {
                return EnumStrings[i].name;
            }
        }
    }
    return String.valueOf(v);
}

} // PropertyEditorTable


