/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: SBLayoutWrapper.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:35 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.table.beans;

/**
 * SBLayoutWrapper wraps up horizontal and vertical scrollbar layout properties.
 * It is used for the sBLayout property in LiveTable.
 */
public class SBLayoutWrapper implements java.io.Serializable {

public int hsbDisplay;
public int vsblDisplay;
public int hsbAttach;
public int vsbAttach;
public int hsbOffset;
public int vsbOffset;
public int hsbPosition;
public int vsbPosition;
public int hsbTrack;
public int vsbTrack;
public int hsbTrackRow;
public int vsbTrackColumn;


/**
 * Creates a SBLayoutWrapper instance.
 * @param hsbDisplay the horizontal scrollbar display value
 * @param vsblDisplay the vertical scrollbar display value
 * @param hsbAttach the attachment of the vertical scrollbar
 * @param vsbAttach the attachment of the horizontal scrollbar
 * @param hsbOffset the offset of the vertical scrollbar
 * @param vsbAttach the offset of the horizontal scrollbar
 * @param hsbPosition the position of the vertical scrollbar
 * @param vsbPosition the position of the horizontal scrollbar
 * @param hsbTrack the horizontal scrollbar track value
 * @param vsbTrack the vertical scrollbar track value
 * @param hsbTrackRow the horizontal scrollbar track row value
 * @param vsbTrackColumn the vertical scrollbar track column value
 */
public SBLayoutWrapper(int hsbDisplay, int vsblDisplay,
        int hsbAttach, int vsbAttach,
        int hsbOffset, int vsbOffset,
        int hsbPosition, int vsbPosition,
        int hsbTrack, int vsbTrack,
        int hsbTrackRow, int vsbTrackColumn) {
    this.hsbDisplay = hsbDisplay;
    this.vsblDisplay = vsblDisplay;
    this.hsbAttach = hsbAttach;
    this.vsbAttach = vsbAttach;
    this.hsbOffset = hsbOffset;
    this.vsbOffset = vsbOffset;
    this.hsbPosition = hsbPosition;
    this.vsbPosition = vsbPosition;
    this.hsbTrack = hsbTrack;
    this.vsbTrack = vsbTrack;
    this.hsbTrackRow = hsbTrackRow;
    this.vsbTrackColumn = vsbTrackColumn;
}

/**
 * Returns a representation of this wrapper values as a string.
 * @return a string that must be used by a property editor.
 */
public String toString() {
	return "...";
}

/**
 * Returns a fragment of Java code representing an initializer
 * for the current value.
 * @return a string that must be used by a property editor.
 */
public String getJavaInitializationString() {
	return "new "+getClass().getName()+"("+
        hsbDisplay+", "+vsblDisplay+", "+
        hsbAttach+", "+vsbAttach+", "+
        hsbOffset+", "+vsbOffset+", "+
        hsbPosition+", "+vsbPosition+", "+
        hsbTrack+", "+vsbTrack+", "+
        hsbTrackRow+", "+vsbTrackColumn+")";
}

} // SBLayoutWrapper

