/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: SelectedBackgroundColorEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:35 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.table.beans;

import java.awt.Color;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.ItemEvent;
import java.awt.event.ItemListener;

import javax.swing.JFrame;

import com.klg.jclass.util.swing.JCSwingTypeConverter;

/**
 * Custom property editor for SelectedBackgroundColor editor
 * Extends ColorEditor to allow selection  of a color
 * to be used as the background color for selected cells.
 * 
 * @see com.klg.jclass.table.beans.ColorEditor
 */
public class SelectedBackgroundColorEditor extends ColorEditor {

    static String color_names[] = {
	"Black", "Blue - Disabled", "Cyan - Disabled", "DarkGray - Disabled", "Gray - Disabled", "Green - Disabled", "LightGray - Disabled",
	"LightBlue - Disabled", "Magenta - Disabled", "Orange - Disabled", "Pink - Disabled", "Red - Disabled", "Yellow - Disabled", "White", "Custom - Default"};

    public String[] getTags() { return color_names; }

    public void setAsText(String text) throws IllegalArgumentException {
        Color color = null;
        if (text.equals("Custom - Default")) {
       	    DisabledDialog tmpdialog = new DisabledDialog(new JFrame(), "Custom colors are only available in the full version.");
            tmpdialog.show();
            setValue(new Color(0,0,128));
        } else {
            if (text.indexOf("Disabled") > 0) {
           	    DisabledDialog tmpdialog = new DisabledDialog(new JFrame(), "That color is only available in the full version.");
                tmpdialog.show();
                return;
            }
        	color = JCSwingTypeConverter.toColor(text);
        	if (color == null)
            	throw new IllegalArgumentException("invalid color: " + text);
        	setValue(color);
        }

    }

    public String getAsText() {
        Color color = getColor();
       	if (color == null) {
    		return "Black";
	    } else if (eqColor(color,Color.black)) {
		    return "Black";
    	} else if (eqColor(color,Color.blue)) {
	    	return "Blue - Disabled";
    	} else if (eqColor(color,Color.cyan)) {
	    	return "Cyan - Disabled";
    	} else if (eqColor(color,Color.darkGray)) {
	    	return "DarkGray - Disabled";
    	} else if (eqColor(color,Color.gray)) {
	    	return "Gray - Disabled";
    	} else if (eqColor(color,Color.green)) {
	    	return "Green - Disabled";
    	} else if (eqColor(color,JCSwingTypeConverter.lightBlue)) {
	    	return "LightBlue - Disabled";
    	} else if (eqColor(color,Color.lightGray)) {
	    	return "LightGray - Disabled";
    	} else if (eqColor(color,Color.magenta)) {
    		return "Magenta - Disabled";
	    } else if (eqColor(color,Color.orange)) {
		    return "Orange - Disabled";
    	} else if (eqColor(color,Color.pink)) {
	    	return "Pink - Disabled";
    	} else if (eqColor(color,Color.red)) {
	    	return "Red - Disabled";
    	} else if (eqColor(color,Color.white)) {
	    	return "White";
    	} else if (eqColor(color,Color.yellow)) {
	    	return "Yellow - Disabled";
    	} else {
	    	return "Custom - Default";
    	}

    }

}
