/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: SpannedCellsWrapper.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:35 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.table.beans;


import com.klg.jclass.table.JCCellRange;

/**
 * SpannedCellsWrapper wraps up the spanned cells information.
 * It is used for the spannedCells property in LiveTable.
 */
public class SpannedCellsWrapper implements java.io.Serializable {

public JCCellRange[] spannedCells = null;

/**
 * Creates a SpannedCellsWrapper instance for the given array
 * representing the spanned cells.
 * @param spannedCells String[] representation of the spanned cells
 */
public SpannedCellsWrapper(JCCellRange[] spannedCells) {
	this.spannedCells = spannedCells;
}

/**
 * Returns a representation of this wrapper values as a string.
 * @return a string that must be used by a property editor.
 */
public String toString() {
	return "...";
}

/**
 * Returns a fragment of Java code representing an initializer
 * for the current value.
 * @return a string that must be used by a property editor.
 */
public String getJavaInitializationString() {
	return "new "+getClass().getName()+"(\n\t\t"+
        "new com.klg.jclass.table.JCCellRange[] {\n\t\t\t"+
            makeArrayString()+"})";
}

protected String makeArrayString() {
	String s = "";
    for (int i=0; i<spannedCells.length; i++) {
		s += "new com.klg.jclass.table.JCCellRange("+
            spannedCells[i].start_row+", "+spannedCells[i].start_column+", "+
            spannedCells[i].end_row+", "+spannedCells[i].end_column+")"+
            (i<spannedCells.length-1 ? ",\n\t\t\t" : "");
    }
    return s;
}

} // SpannedCellsWrapper

