/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: StyleWrapper.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:35 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.table.beans;


import com.klg.jclass.table.CellRangeValue;
import com.klg.jclass.util.swing.JCSwingTypeConverter;

/**
 * StyleWrapper wraps up the representations of the cells styles.
 * It is used for the styles property in LiveTable.
 */
public class StyleWrapper implements java.io.Serializable {

public CellRangeValue[] styles = null;

/**
 * Creates a StyleWrapper instance for the given array representing
 * the sell styles.
 * @param styles CellRangeValue[] representation of the sell styles
 */
public StyleWrapper(CellRangeValue[] styles) {
	this.styles = styles;
}

/**
 * Returns a representation of this wrapper values as a string.
 * @return a string that must be used by a property editor.
 */
public String toString() {
	return "...";
}

/**
 * Returns a fragment of Java code representing an initializer
 * for the current value.
 * @return a string that must be used by a property editor.
 */
public String getJavaInitializationString() {
	return "new "+getClass().getName()+"(\n\t\t"+
        "new com.klg.jclass.table.CellRangeValue[] {\n\t\t\t"+
            makeArrayString()+"})";
}

protected String makeArrayString() {
	String s = "";
    for (int i=0; i<styles.length; i++) {
		s += "new com.klg.jclass.table.CellRangeValue("+
            styles[i].start_row+", "+styles[i].start_column+", "+
            styles[i].end_row+", "+styles[i].end_column+", "+
            "new com.klg.jclass.table.beans.JCLiveCellStyle("+
            "\""+JCSwingTypeConverter.fromColor(((JCLiveCellStyle)styles[i].value).getForeground())+"\", "+
            "\""+JCSwingTypeConverter.fromColor(((JCLiveCellStyle)styles[i].value).getBackground())+"\", "+
            "\""+JCSwingTypeConverter.fromFont(((JCLiveCellStyle)styles[i].value).getFont())+"\", "+
            ((JCLiveCellStyle)styles[i].value).isEditable()+", "+
            ((JCLiveCellStyle)styles[i].value).isTraversable()+", "+
            ((JCLiveCellStyle)styles[i].value).getHorizontalAlignment()+", "+
            ((JCLiveCellStyle)styles[i].value).getVerticalAlignment()+", "+
            ((JCLiveCellStyle)styles[i].value).getCellBorderType()+", "+
            ((JCLiveCellStyle)styles[i].value).getCellBorderSides()+", "+
            ((JCLiveCellStyle)styles[i].value).getClipHints()+", "+
            ((JCLiveCellStyle)styles[i].value).getCellBorderColorMode()+", "+
            "\""+JCSwingTypeConverter.fromColor(((JCLiveCellStyle)styles[i].value).getCellBorderColor())+"\"))"+
            (i<styles.length-1 ? ",\n\t\t\t" : "");
    }
    return s;
}

} // StyleWrapper

