/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LocaleInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:35 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.table.beans.resources;

import com.klg.jclass.beans.AbstractBeanLocaleInfo;
import com.klg.jclass.table.beans.LiveTableBeanInfo;

public class LocaleInfo extends AbstractBeanLocaleInfo {

protected Item items[] = {
	new Item(LiveTableBeanInfo.ABOUT, LiveTableBeanInfo.ABOUT, "Displays component version and contact information"),
    new Item(LiveTableBeanInfo.ALLOW_CELL_RESIZE, LiveTableBeanInfo.ALLOW_CELL_RESIZE, "Determines whether end-user can resize cells at run-time"),
    new Item(LiveTableBeanInfo.ALLOW_RESIZE_BY, LiveTableBeanInfo.ALLOW_RESIZE_BY, "Determines whether end-user can resize cells by resizing row or column label"),
    new Item(LiveTableBeanInfo.AUTO_EDIT, LiveTableBeanInfo.AUTO_EDIT, "Determines whether table automatically displays an editor when a cell is entered"),
    new Item(LiveTableBeanInfo.AUTO_SCROLL, LiveTableBeanInfo.AUTO_SCROLL, "Determines whether table scrolls during selection/traversal"),
    new Item(LiveTableBeanInfo.CELL_BORDER_WIDTH, LiveTableBeanInfo.CELL_BORDER_WIDTH, "Determines the width of the borders surrounding each cell and label"),
    new Item(LiveTableBeanInfo.CELL_SIZE, LiveTableBeanInfo.CELL_SIZE, "Specifies row heights and column widths"),
    new Item(LiveTableBeanInfo.DATA, LiveTableBeanInfo.DATA, "Specifies table data, data source, and row/column labels"),
    new Item(LiveTableBeanInfo.DATA_BINDING, LiveTableBeanInfo.DATA_BINDING, "Specifies table data source"),
    new Item(LiveTableBeanInfo.EDIT_HEIGHT_POLICY, LiveTableBeanInfo.EDIT_HEIGHT_POLICY, "Determines height control of cell editing components"),
    new Item(LiveTableBeanInfo.EDIT_WIDTH_POLICY, LiveTableBeanInfo.EDIT_WIDTH_POLICY, "Determines width control of cell editing components"),
    new Item(LiveTableBeanInfo.FOCUS_COLOR, LiveTableBeanInfo.FOCUS_COLOR, "Specifies color of the line drawn around the current cell"),
    new Item(LiveTableBeanInfo.FOCUS_INDICATOR, LiveTableBeanInfo.FOCUS_INDICATOR, "Specifies type of the line drawn around the current cell"),
    new Item(LiveTableBeanInfo.FROZEN_CELL_LAYOUT, LiveTableBeanInfo.FROZEN_CELL_LAYOUT, "Determines the position of frozen rows/columns"),
    new Item(LiveTableBeanInfo.FRAME_BORDER_TYPE, LiveTableBeanInfo.FRAME_BORDER_TYPE, "Determines type of the line drawn around the table frame"),
    new Item(LiveTableBeanInfo.FRAME_BORDER_WIDTH, LiveTableBeanInfo.FRAME_BORDER_WIDTH, "Determines the width of the borders surrounding the table frame"),
    new Item(LiveTableBeanInfo.IGNORE_CONTAINER_SIZE, LiveTableBeanInfo.IGNORE_CONTAINER_SIZE, "Determines whether the size of the table is determined by its container"),
    new Item(LiveTableBeanInfo.JUMP_SCROLL, LiveTableBeanInfo.JUMP_SCROLL,  "Determines whether to scroll smoothly or jump by whole row/column"),
    new Item(LiveTableBeanInfo.LABEL_LAYOUT, LiveTableBeanInfo.LABEL_LAYOUT, "Determines the position of row/column labels"),
    new Item(LiveTableBeanInfo.LEFT_COLUMN, LiveTableBeanInfo.LEFT_COLUMN, "Specifies first column displayed on screen"),
    new Item(LiveTableBeanInfo.MARGIN_HEIGHT, LiveTableBeanInfo.MARGIN_HEIGHT, "Specifies top and bottom cell margins"),
    new Item(LiveTableBeanInfo.MARGIN_WIDTH, LiveTableBeanInfo.MARGIN_WIDTH, "Specifies left and right cell margins"),
    new Item(LiveTableBeanInfo.MIN_CELL_VISIBILITY, LiveTableBeanInfo.MIN_CELL_VISIBILITY, "Determines amount of cell scrolled into view during traversal"),
    new Item(LiveTableBeanInfo.POPUP_MENU_ENABLED, LiveTableBeanInfo.POPUP_MENU_ENABLED, "Determines whether to display table popup menu"),
    // 	new Item(LiveTableBeanInfo., LiveTableBeanInfo., "Configures the popup menu printing options"),
    new Item(LiveTableBeanInfo.RESIZE_EVEN, LiveTableBeanInfo.RESIZE_EVEN, "Determines whether end-user resizing affects all rows/columns"),
    new Item(LiveTableBeanInfo.RESIZE_INTERACTIVE, LiveTableBeanInfo.RESIZE_INTERACTIVE, "Determines whether the table is repainted during the drag event"),
    new Item(LiveTableBeanInfo.SELECTED_BACKGROUND, LiveTableBeanInfo.SELECTED_BACKGROUND, "Specifies the background (highlight) color of selected cells"),
    new Item(LiveTableBeanInfo.SELECTED_FOREGROUND, LiveTableBeanInfo.SELECTED_FOREGROUND, "Specifies the foreground (highlight) color of selected cells"),
    new Item(LiveTableBeanInfo.SELECT_INCLUDE_LABELS, LiveTableBeanInfo.SELECT_INCLUDE_LABELS, "Determines whether selection includes row/column labels"),
    new Item(LiveTableBeanInfo.SB_LAYOUT, LiveTableBeanInfo.SB_LAYOUT, "Determines the space between scrollbars and cells"),
    new Item(LiveTableBeanInfo.SELECTION_POLICY, LiveTableBeanInfo.SELECTION_POLICY, "Determines type of cell selection allowed"),
    new Item(LiveTableBeanInfo.SERIES_DATA_SORTED, LiveTableBeanInfo.SERIES_DATA_SORTED, "Determines whether series data are maintained in sync with data when they are sorted"),
    new Item(LiveTableBeanInfo.SPANNED_CELLS, LiveTableBeanInfo.SPANNED_CELLS, "Specifies cell ranges to treat as spanned cells"),
    new Item(LiveTableBeanInfo.STYLES, LiveTableBeanInfo.STYLES, "Specifies individual cell/label properties"),
    new Item(LiveTableBeanInfo.SWING_DATA_MODEL, LiveTableBeanInfo.SWING_DATA_MODEL, "Swing TableModel data source"),
    new Item(LiveTableBeanInfo.TOP_ROW, LiveTableBeanInfo.TOP_ROW, "Specifies first row displayed on screen"),
    new Item(LiveTableBeanInfo.TRACK_CURSOR, LiveTableBeanInfo.TRACK_CURSOR, "Determines whether mouse pointer is tracked over the table"),
    new Item(LiveTableBeanInfo.TRAVERSE_CYCLE, LiveTableBeanInfo.TRAVERSE_CYCLE, "Determines whether traversal can cycle to opposite side of table"),
};

protected Item[] getItems() {
	return items;
}

}
