/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCBeanFileDataSource.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:36 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.table.data;

import java.io.FileInputStream;
import java.io.FileNotFoundException;
import java.io.IOException;

/**
 * Creates an <CODE>JCInputStreamDataSource</CODE> from a file in a LiveTable
 * JavaBeans environment.
 * @see JCInputStreamDataSource
 */
public class JCBeanFileDataSource extends JCInputStreamDataSource {

private String name = null;

/**
 * @param fname the name of the file to be used
 */
public JCBeanFileDataSource(String fname) {
	super();
	try {
		readFromStream(new FileInputStream(fname));
	}
	catch(FileNotFoundException e) {
		e.printStackTrace();
	}
	catch(IOException e) {
		e.printStackTrace();
	}
	name = fname;
}

/**
 * @param stream the stream of the file to be used
 * @param fname
 * @throws IOException
 */
public JCBeanFileDataSource(String fname, FileInputStream stream) throws IOException {
	super();
	readFromStream(stream);
	name = fname;
}

public String getName() {
	return name;
}

}
