/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCCSVFormatParser.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:36 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.table.data;

import java.io.Reader;
import java.io.IOException;
import java.io.StreamTokenizer;

import com.klg.jclass.util.JCFormatParserUtil;
import com.klg.jclass.util.JCCSVParser;





import java.util.Vector;


/**
 * This class takes in a stream of data, which is
 * assumed to be in CSV format. It parses it, then puts
 * the data inside a <code>JCVectorDataSource</code> instance.
 *
 * @see com.klg.jclass.util.JCCSVParser
 */
public class JCCSVFormatParser implements JCFileFormatParser {

/** Stream tokenizer used to parse the input stream. */
protected StreamTokenizer		tokenizer;

/**
 * Creates and sets up a valid tokenizer active on the
 * provided stream.
 *
 * @param r reader open on an active stream
 */
protected void initTokenizer(Reader r) {
	tokenizer = new StreamTokenizer(r);
	tokenizer.commentChar('#');
	tokenizer.quoteChar(JCFormatParserUtil.QUOTE);
	tokenizer.slashSlashComments(false);
	tokenizer.slashStarComments(false);
	tokenizer.eolIsSignificant(true);
	tokenizer.lowerCaseMode(false);
	tokenizer.parseNumbers();
	tokenizer.whitespaceChars(',', ',');
}

/**
 * Reads and parses CSV-formatted data and places it
 * inside a LiveTable data source.
 *
 * @param r reader open on an active stream
 * @param ds <code>JCVectorDataSource</code> instance to act as a
 * container for the data read in from <i>r</i>
 * @throws IOException
 * @see com.klg.jclass.util.JCCSVParser
 */
public void readAndParse(Reader r, JCVectorDataSource ds) throws IOException {
	boolean tokenError = false;

	initTokenizer(r);

	JCCSVParser csv = new JCCSVParser();
	Vector v = new Vector();
	int numColumns = csv.readAndParse(r, v);

	ds.setCells(v);
	ds.setNumRows(v == null ? 0 : v.size());
	ds.setNumColumns(numColumns);

	tokenizer = null;
}

}



