/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCEditableCachedDataSource.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:36 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.table.data;

import com.klg.jclass.table.TableDataModel;
import com.klg.jclass.table.EditableTableDataModel;

/**
 * The <CODE>JCEditableCachedDataSource</CODE> class is an editable version
 * of <CODE>JCCachedDataSource</CODE>.
 *
 * Although <CODE>JCCachedDataSource</CODE> can bind to any data source, it 
 * implements <CODE>TableData </CODE> and not <CODE>EditableTableData</CODE> 
 * and is therefore not editable. Use <CODE>JCEditableCachedDataSource</CODE> 
 * to bind to an editable data source and have edit functionality. Note that 
 * a non-editable data source bound to <CODE>JCEditableCachedDataSource</CODE> 
 * will display an editor but reject all changes.
 */
public class JCEditableCachedDataSource extends JCCachedDataSource implements EditableTableDataModel {

/**
 * Creates a new <CODE>JCEditableTableData</CODE> caching data source.
 * @param source
 */
public JCEditableCachedDataSource(TableDataModel source) {
	super(source);
}

/**
 * Sets a value in the contained data source. The <CODE>JCTableDataEvent</CODE>
 * generated by the contained data source will ensure that the cache is
 * refreshed.
 * @return boolean <code>true</code> if the data source committed the value
 * @param o
 * @param column
 * @param row
 */
public boolean setTableDataItem(Object o, int row, int column) {
	if(dataSource instanceof EditableTableDataModel) {
		return ((EditableTableDataModel)dataSource).setTableDataItem(o, row, column);
	}
	return true;
}
	
}
