/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCEditableFileDataSource.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:36 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.table.data;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;
import com.klg.jclass.table.EditableTableDataModel;

/**
 * Editable version of <code>FileDataSource</code>.
 * @see JCInputStreamDataSource
 * @see JCFileDataSource
 */
public class JCEditableFileDataSource extends JCFileDataSource implements EditableTableDataModel {
	
/**
 * @param fname the name of the file to be used
 * @exception java.io.FileNotFoundException Thrown if the file isn't there
 * @exception java.io.IOException Thrown if some other sort of i/o problem is
 * encountered.
 */
public JCEditableFileDataSource(String fname) throws FileNotFoundException, IOException {
	super(fname);
}

/**
 * @param f a File object representing the file to be opened
 * @exception java.io.FileNotFoundException Thrown if the file isn't there
 * @exception java.io.IOException Thrown if some other sort of i/o problem is
 * encountered.
 * @see java.io.File
 */
public JCEditableFileDataSource(File f) throws FileNotFoundException, 
	IOException {
	super(f);
}

/**
 * Sets the cell value.
 * @param column
 * @param row
 * @param value
 * @return
 */
public boolean setTableDataItem(Object value, int row, int column) {
	setCell(row, column, value);
	return true;
}


}
