/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCEditableVectorDataSource.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:36 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.table.data;

import java.io.Serializable;





import java.util.Vector;


import com.klg.jclass.table.EditableTableDataModel;

/**
 * An <CODE>JCEditableTableData</CODE> data source that stores all of the
 * data in memory using Vectors.
 * @since JClass 4.0K for Java 2. If you are using JClass 4.0J,
 * which is based on JDK 1.1, some of the return types for this class'
 * fields or methods are based on the corresponding
 * <code>com.sun.java.util</code> class.
 *
 * @see com.klg.jclass.table.EditableTableDataModel
 * @see JCVectorDataSource
 */
public class JCEditableVectorDataSource extends JCVectorDataSource implements EditableTableDataModel, Serializable {

/**
 * Creates a new <CODE>JCEditableVectorDataSource</CODE> instance.
 */
public JCEditableVectorDataSource() {
}

/**
 * Creates a new <CODE>JCEditableVectorDataSource</CODE> instance.
 */
public JCEditableVectorDataSource(int r, int c, Vector rowLabels, Vector columnLabels, Vector data) {
	super(r, c, rowLabels, columnLabels, data);
}

/**
 * Sets the cell value.
 */
public boolean setTableDataItem(Object value, int row, int column) {
	setCell(row, column, value);
	return true;
}

}
