/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: JBdbTable.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:37 $ $Locker:  $  Quest Software Inc.

package com.klg.jclass.table.db.jbuilder;

import com.borland.dx.dataset.DataSet;
import com.borland.dx.dataset.DataSetAware;

import com.klg.jclass.datasource.MetaDataModel;
import com.klg.jclass.datasource.jbuilder.JBuilderDataBinding;
import com.klg.jclass.table.TableDataModel;
import com.klg.jclass.table.db.DataTable;

/**
 * This is the JBuilder JBdbTable Bean class. The following table
 * summarizes the available properties:
 * <P>
 * <TABLE BORDER=1>
 * <TH COLSPAN=3>Property Table for class com.klg.jclass.table.beans.LiveTable</TH>
 * <TR><TH>Property</TH><TH>Type</TH><TH>Default Value</TH></TR>
 * <tr><td>about</td><td>java.lang.String</td><td>com.klg.jclass.table 5.0.0</td></tr>
 * <tr><td>allowCellResize</td><td>int</td><td>RESIZE_ALL</td></tr>
 * <tr><td>allowResizeBy</td><td>int</td><td>RESIZE_BY_ALL</td></tr>
 * <tr><td>autoEdit</td><td>boolean</td><td>false</td></tr>
 * <tr><td>autoScroll</td><td>int</td><td>AUTO_SCROLL_NONE</td></tr>
 * <tr><td>cellBorderWidth</td><td>int</td><td>1</td></tr>
 * <tr><td>cellSize</td><td>com.klg.jclass.table.beans.CellSizeWrapper</td><td>...</td></tr>
 * <tr><td>dataSet</td><td>DataSet</td><td>null</td></tr>
 * <tr><td>editHeightPolicy</td><td>int</td><td>EDIT_SIZE_TO_CELL</td></tr>
 * <tr><td>editWidthPolicy</td><td>int</td><td>EDIT_SIZE_TO_CELL</td></tr>
 * <tr><td>focusColor</td><td>java.awt.Color</td><td>0,0,0</td></tr>
 * <tr><td>focusIndicator</td><td>int</td><td>FOCUS_RECTANGLE</td></tr>
 * <tr><td>frameBorderType</td><td>int</td><td>BORDER_NONE</td></tr>
 * <tr><td>frameBorderWidth</td><td>int</td><td>0</td></tr>
 * <tr><td>frozenCellLayout</td><td>com.klg.jclass.table.beans.FrozenCellLayoutWrapper</td><td>...</td></tr>
 * <tr><td>labelLayout</td><td>com.klg.jclass.table.beans.LabelLayoutWrapper</td><td>...</td></tr>
 * <tr><td>leftColumn</td><td>int</td><td>0</td></tr>
 * <tr><td>marginHeight</td><td>int</td><td>1</td></tr>
 * <tr><td>marginWidth</td><td>int</td><td>2</td></tr>
 * <tr><td>minCellVisibility</td><td>int</td><td>100</td></tr>
 * <tr><td>popupMenuEnabled</td><td>boolean</td><td>false</td></tr>
 * <tr><td>resizeEven</td><td>boolean</td><td>false</td></tr>
 * <tr><td>resizeInteractive</td><td>boolean</td><td>true</td></tr>
 * <tr><td>sBLayout</td><td>com.klg.jclass.table.beans.SBLayoutWrapper</td><td>...</td></tr>
 * <tr><td>selectIncludeLabels</td><td>boolean</td><td>True</td></tr>
 * <tr><td>selectedBackground</td><td>java.awt.Color</td><td>204,204,255</td></tr>
 * <tr><td>selectedForeground</td><td>java.awt.Color</td><td>0,0,0</td></tr>
 * <tr><td>selectionPolicy</td><td>int</td><td>SELECT_NONE</td></tr>
 * <tr><td>selectionPolicy</td><td>int</td><td>SELECT_NONE</td></tr>
 * <tr><td>styles</td><td>com.klg.jclass.table.beans.StyleWrapper</td><td>...</td></tr>
 * <tr><td>swingDataModel</td><td>javax.swing.table.TableModel</td><td>null</td></tr>
 * <tr><td>topRow</td><td>int</td><td>0</td></tr>
 * <tr><td>trackCursor</td><td>boolean</td><td>true</td></tr>
 * <tr><td>traverseCycle</td><td>boolean</td><td>true</td></tr> 
 * </TABLE>
 */



public class JBdbTable extends DataTable implements DataSetAware {

/**
 * Default constructor - creates an empty table
 */
public JBdbTable() {
	super();
}

/**
 * Disposes data binding resources.
 */
protected void finalize() throws Throwable {
	JBuilderDataBinding.detach(getDataSet());
    super.finalize();
}

/**
 * Returns the DataSet object bound to the table.
 */
public DataSet getDataSet() {
	return (DataSet)super.getNativeMetaData();
}

/**
 * Sets the DataSet data source to the table.
 */
public void setDataSet(DataSet dataSet) {
	try {
		if (dataSet != null) {
        	JBuilderDataBinding jbBinding = JBuilderDataBinding.getBinding(dataSet);
        	
            if (jbBinding != null) {
            	
            	//PR13107 
            	//if (!setDataBinding(jbBinding.getDataModel(), (MetaDataModel)null)
            
                	setDataSource(jbBinding.getDataModel());
                	//PR13107
            	//}
            	
                	
            	return;
            } 
            
            
		}
	} catch(Exception e) {
		e.printStackTrace();
		
	}
	
    setDataSource((TableDataModel)null);
}

}

