/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: JBdbTableBeanInfo.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:37 $ $Locker:  $  Quest Software Inc.

package com.klg.jclass.table.db.jbuilder;

import com.klg.jclass.beans.JCPropertyDescriptor;
import com.klg.jclass.beans.JCEventSetDescriptor;
import com.klg.jclass.table.beans.LiveTableBeanInfo;

/**
 * Bean property/event information for JBdbTable bean
 * 
 * @see com.klg.jclass.table.db.jbuilder.JBdbTable
 */
public class JBdbTableBeanInfo extends LiveTableBeanInfo {

protected static final JCPropertyDescriptor properties[] = {
    new JCPropertyDescriptor(ABOUT, "com.klg.jclass.table.beans.AboutEditor"),
    new JCPropertyDescriptor(ALLOW_CELL_RESIZE, "com.klg.jclass.table.beans.CellResizeEditor"),
    new JCPropertyDescriptor(ALLOW_RESIZE_BY, "com.klg.jclass.table.beans.ResizeByEditor"),
    new JCPropertyDescriptor(AUTO_EDIT, null),
    new JCPropertyDescriptor(AUTO_SCROLL, "com.klg.jclass.table.beans.AutoScrollEditor"),

 
    new JCPropertyDescriptor(CELL_BORDER_WIDTH, null),
    new JCPropertyDescriptor(CELL_SIZE, "com.klg.jclass.table.beans.CellSizeEditor"),
//    new JCPropertyDescriptor(DATA,  "com.klg.jclass.table.beans.DataEditor"),
	new JCPropertyDescriptor(DATA_SET, ""),
    new JCPropertyDescriptor(EDIT_HEIGHT_POLICY, "com.klg.jclass.table.beans.EditSizePolicyEditor"),
    new JCPropertyDescriptor(EDIT_WIDTH_POLICY, "com.klg.jclass.table.beans.EditSizePolicyEditor"),
    new JCPropertyDescriptor(FOCUS_COLOR, ""

 
	),
    new JCPropertyDescriptor(FOCUS_INDICATOR, "com.klg.jclass.table.beans.FocusIndicatorEditor"),
    new JCPropertyDescriptor(FROZEN_CELL_LAYOUT, "com.klg.jclass.table.beans.FrozenCellLayoutEditor"), //
    new JCPropertyDescriptor(FRAME_BORDER_TYPE, "com.klg.jclass.table.beans.BorderTypeEditor"),
    new JCPropertyDescriptor(FRAME_BORDER_WIDTH, null),
    new JCPropertyDescriptor(IGNORE_CONTAINER_SIZE, null),
//    new JCPropertyDescriptor(JUMP_SCROLL, "com.klg.jclass.table.beans.JumpScrollEditor"),
    new JCPropertyDescriptor(LABEL_LAYOUT, "com.klg.jclass.table.beans.LabelLayoutEditor"),
    new JCPropertyDescriptor(LEFT_COLUMN, null),
    new JCPropertyDescriptor(MARGIN_HEIGHT, null),
    new JCPropertyDescriptor(MARGIN_WIDTH, null),
    new JCPropertyDescriptor(MIN_CELL_VISIBILITY, null),
    new JCPropertyDescriptor(POPUP_MENU_ENABLED, null),
    // 	new JCPropertyDescriptor(, "com.klg.jclass.table.beans.PrintingEditor),
    new JCPropertyDescriptor(RESIZE_EVEN, null),
    new JCPropertyDescriptor(RESIZE_INTERACTIVE, null),
    new JCPropertyDescriptor(SELECTED_BACKGROUND, ""

 
	),
    new JCPropertyDescriptor(SELECTED_FOREGROUND, ""

 
	),
    new JCPropertyDescriptor(SELECT_INCLUDE_LABELS, null),
    new JCPropertyDescriptor(SB_LAYOUT, "com.klg.jclass.table.beans.SBLayoutEditor"),
    new JCPropertyDescriptor(SELECTION_POLICY, "com.klg.jclass.table.beans.SelectionPolicyEditor"),
    new JCPropertyDescriptor(SERIES_DATA_SORTED, null),
//    new JCPropertyDescriptor(SPANNED_CELLS, "com.klg.jclass.table.beans.SpannedCellsEditor"),
    new JCPropertyDescriptor(STYLES, "com.klg.jclass.table.beans.StyleEditor"),	//
    new JCPropertyDescriptor(SWING_DATA_MODEL, null),
    new JCPropertyDescriptor(TOP_ROW, null),
    new JCPropertyDescriptor(TRACK_CURSOR, null),
    new JCPropertyDescriptor(TRAVERSE_CYCLE, null),
};

protected static final String icons[] = {
	"JBdbTable16.gif",
	"JBdbTable16.gif",
	"JBdbTable32.gif",
	"JBdbTable32.gif"
};

public JBdbTableBeanInfo() {
	super(properties, events, "resources.LocaleInfo", icons);
}

}

