/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LocaleBundle.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:37 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.table.resources;

import java.util.Locale;
import java.util.ResourceBundle;

public class LocaleBundle {

private static final String BUNDLE_PATH = "com.klg.jclass.table.resources.LocaleInfo";
private static ResourceBundle bundle = ResourceBundle.getBundle(BUNDLE_PATH, Locale.getDefault());

synchronized static String string(String language, String country, String key) {
	return ResourceBundle.getBundle(BUNDLE_PATH, new Locale(language, country)).getString(key);
}

synchronized public static String string(String key) {
	return bundle.getString(key);
}

synchronized static void setBundleLocale(Locale loc) {
	bundle = ResourceBundle.getBundle(BUNDLE_PATH, loc);
}

// Key constants
public static final String DELETE_ROWS 		= "Delete Record(s)";
public static final String GO_TO 			= "Go to Row...";
public static final String HIDE_COLUMN 		= "Hide Column...";
public static final String INSERT_ROW 		= "Insert Record";
public static final String PRINT 			= "Print...";
public static final String PRINT_PREVIEW 	= "Print Preview...";
public static final String CANCEL_ALL 		= "Refresh All";
public static final String CANCEL_ROWS 		= "Refresh Record(s)";
public static final String REQUERY_ALL 		= "Requery All";
public static final String REQUERY_ROW_AND 	= "Requery Record and Details";
public static final String COMMIT_ALL 		= "Save All";
public static final String COMMIT_ROWS 		= "Save Record(s)";
public static final String SHOW_COLUMN 		= "Show Column...";
public static final String JCTABLE_ERROR    = "JCTable Error";
public static final String NOCOLUMNS_HIDE   = "No_columns_hide";
public static final String NOCOLUMNS_SHOW   = "No_columns_show";
public static final String VISIBLE_COLUMNS  = "Visible_columns";
public static final String HIDDEN_COLUMNS   = "Hidden_columns";
public static final String OK               = "Okay";
public static final String CANCEL           = "Cancel";
public static final String PRINT_PAGE_FIRST = "Page ";
public static final String PRINT_PAGE_SECOND = " of ";
public static final String PRINT_JOB_NAME	= "PrintJobName";
public static final String PP_FIRST			= "PP_First";
public static final String PP_PREVIOUS		= "PP_Previous";
public static final String PP_NEXT			= "PP_Next";
public static final String PP_LAST			= "PP_Last";
public static final String PP_PAGE_FORMAT	= "PP_Page_Format";
public static final String PP_PRINT			= "PP_Print";
public static final String PP_PRINTALL		= "PP_PrintAll";
public static final String PP_CLOSE         = "PP_Close";


 

}	// LocaleBundle




