/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: CollectionIntComparator.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:38 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.util;

import java.util.List;
import java.util.Comparator;
import com.klg.jclass.util.JCIntComparator;

/**
 * CollectionIntComparator class.
 */
public class CollectionIntComparator implements JCIntComparator {

protected List        list;
protected Comparator  comparator;

/**
 * Creates an instance of the <code>CollectionIntComparator</code> class.
 */
public CollectionIntComparator(List list, Comparator comparator)
{
    this.list = list;
    this.comparator = comparator;
}

/**
 * Creates an instance of the <code>CollectionIntComparator</code> class.
 */
public CollectionIntComparator(List list)
{
    this(list, null);
}

/**
 * Compares two values for the given indices.
 */
public int compare(int index1, int index2)
{
    if (!(list instanceof List)) {
        return(0);
    }

    Object a1 = list.get(index1);
    Object a2 = list.get(index2);

    if (comparator != null) {
        // Use comparator if provided
        return(comparator.compare(a1, a2));
    }
    else if (a1 instanceof Comparable) {
        // Items are comparable so get them to compare themselves
        return(((Comparable)a1).compareTo(a2));
    }
    else {
        // We have no comparator and the objects are not comparable
        throw new IllegalArgumentException("Objects are not Comparable; " +
                                           "please provide a Comparator with " +
                                           "the constructor: " +
                                           "CollectionIntComparator(" +
                                           "List list, Comparator comparator)");
    }
}

}
