/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCTableDataModel.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:38 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.util;

/**
 * The <CODE>JCTableDataModel</CODE> interface defines a data source.  This
 * is extended by <code>JCTable</code> to add data listeners.
 *
 * @see com.klg.jclass.table.TableDataModel
 * @see com.klg.jclass.table.JCTable#setDataSource
 */
public interface JCTableDataModel {

/**
 * Returns the value for the cell at the specified location.
 * @return value for the cell at the specified location
 * @param column
 * @param row
 */
public Object getTableDataItem(int row, int column);

/**
 * Returns the number of rows of data the data source contains.
 * @return number of rows of data the data source contains
 */
public int getNumRows();

/**
 * Returns the number of columns of data the data source contains.
 * @return number of columns of data the data source contains
 */
public int getNumColumns();

/**
 * Returns the value for the row label at the specified row.
 * @return value for the row label at the specified row
 * @param row
 */
public Object getTableRowLabel(int row);

/**
 * Returns the value for the column label at the specified column.
 * @return value for the column label at the specified column
 * @param column
 */
public Object getTableColumnLabel(int column);

}
