/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: JCTreeSet.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:38 $ $Locker:  $ Quest Software Inc.

package com.klg.jclass.util;

import java.util.Comparator;
import java.util.SortedSet;
import java.util.TreeSet;
import java.util.Collection;

/**
 * <code>TreeSet</code>.
 */
public class JCTreeSet extends TreeSet {

/**
 * Constructs a new, empty <code>TreeSet</code>, sorted according to the
 * elements' natural order.
 */
public JCTreeSet()
{
	super();
}

/**
 * Constructs a new <code>TreeSet</code> containing the elements in the
 * specified <code>Collection</code>, sorted according to the elements'
 * natural order.
 * @param c
 */
public JCTreeSet(Collection c)
{
	super(c);
}

/**
 * Constructs a new, empty <code>TreeSet</code>, sorted according to the given
 * comparator.
 * @param c
 */
public JCTreeSet(Comparator c)
{
	super(c);
}

/**
 * Constructs a new <code>TreeSet</code> containing the same elements as the
 * given <code>SortedSet</code>, sorted according to the same ordering.
 * @param s
 */
public JCTreeSet(SortedSet s)
{
	super(s);
}

/**
 * Constructs a new <code>Treeset</code> containing the elements in the
 * specified array, sorted according to the elements' natural order.
 * @param items
 */
public JCTreeSet(Object[] items)
{
	super();

	// Loop through the array and add the objects
	for (int i = 0; i < items.length; i++) {
		add(items[i]);
	}
}

}
