/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: DateActionEvent.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:39 $ $Locker:  $ Quest Software Inc.

package com.klg.jclass.util.calendar;

import java.awt.event.ActionEvent;

public class DateActionEvent extends ActionEvent
{

/** Should the popup be popped down. */
protected boolean hidePopup = false;

/**
 * Constructs an <code>DateActionEvent</code> object.
 * <p>Note that passing in an invalid <code>id</code> results in
 * unspecified behavior.
 *
 * @param source    The object that originated the event
 * @param id        An integer that identifies the event
 * @param command   A string that may specify a command (possibly one
 *                  of several) associated with the event
 * @param hidePopup Should the popup be hidden?
 */
public DateActionEvent(Object source, int id, String command, boolean hidePopup)
{
    super(source, id, command);
    this.hidePopup = hidePopup;
}

/**
 * Return whether the popup should be hidden.
 * @return true, if the popup should be hidden.
 */
public boolean getHidePopup()
{
    return(hidePopup);
}

}
