/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCExpressionCellRenderer.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:40 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.util.formulae;

import java.awt.Dimension;
import java.awt.Rectangle;
import java.awt.FontMetrics;
import java.awt.Font;
import java.awt.Graphics;

import com.klg.jclass.cell.Utilities;
import com.klg.jclass.cell.JCCellInfo;
import com.klg.jclass.cell.JCLightCellRenderer;
import com.klg.jclass.cell.renderers.JCStringCellRenderer;

/**
 * Renders the result of a formula (<i>com.klg.jclass.util.formulae.Expression</i>)
 * in a cell.
 */
public class JCExpressionCellRenderer extends JCStringCellRenderer {

/**
 * Used to draw the cell. <br><b>Note:</b> The size of the cell comes from
 * <code>cellInfo.getDrawingArea()</code>.
 *
 * @param gc graphics context to use for drawing
 * @param cellInfo cell property information
 * @param o object to be rendered must be implementer of Expression
 * @param selected
 */
public void draw(Graphics gc, JCCellInfo cellInfo,
				 Object o, boolean selected) {
	if(o == null)
		return;

    // evaluate the expression
    Expression expression	= (Expression) o;
    MathScalar scalar	 	= (MathScalar) expression.evaluate();
	String display		 	= scalar.numberValue().toString();

    // and render it
    super.draw(gc, cellInfo, display, selected);
}

}
