/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: ImageMapURLRetriever.java,v $ $Revision: 1.2 $
// $Date: 2006-03-17 21:13:41 $ $Locker:  $  Quest Software Inc.

package com.klg.jclass.util.graphics;

import com.klg.jclass.util.ImageMapInfo;

/**
 * Implemented by component that can associate logical reference to
 * area of component to associated image map url.  (The urls are likely
 * indexed by the same logical reference.
 */
public interface ImageMapURLRetriever
{

/**
 * Get the information used for image maps from the passed reference object.
 * @param key lookup key used to reference a logical area of the implementing
 *            component.
 * @return An ImageMapInfo object which contains a url and an extra string.
 */
public ImageMapInfo getImageMapInfo(Object key);

}
