/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: PopupInfo.java,v $ $Revision: 1.2 $
// $Date: 2006-03-17 21:13:41 $ $Locker:  $  Quest Software Inc.

package com.klg.jclass.util.graphics;

import java.util.List;
import java.awt.Point;
 
/**
 * Encapsulates info about a popup being drawn to a graphics object
 * implementing DefineShape.
 */
public class PopupInfo
{

protected Object lookupKey = null;
protected List   shapeIds = null;
protected int	 connectorId = -1;
protected Point  location = null;

public PopupInfo(List ids, int cid, Point loc)
{
	shapeIds = ids;
	connectorId = cid;
	location = loc;
}

public PopupInfo()
{
}

/**
 * Set the ShapeIds property.  It represents the shape ids that
 * are used for this popup.
 */
public void setShapeIds(List ids)
{
	shapeIds = ids;
}

/**
 * Get the ShapeIds property.  It represents the shape ids that
 * are used for this popup.
 */
public List getShapeIds()
{
	return shapeIds;
}
 
/**
 * Set the ConnectorId property.  It represents the shape id that
 * represents the popup connector.
 */
public void setConnectorId(int cid)
{
	connectorId = cid;
}

/**
 * Get the ConnectorId property.  It represents the shape id that
 * represents the popup connector.
 */
public int getConnectorId()
{
	return connectorId;
}
 
/**
 * Set the Location property.  It represents the point at
 * which the popup is attached to the drawn object.
 */
public void setLocation(Point loc)
{
	location = loc;
}

/**
 * Get the Location property.  It represents the point at
 * which the popup is attached to the drawn object.
 */
public Point getLocation()
{
	return location;
}


}
