/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: PopupRenderer.java,v $ $Revision: 1.2 $
// $Date: 2006-03-17 21:13:41 $ $Locker:  $  Quest Software Inc.

package com.klg.jclass.util.graphics;

import java.awt.Graphics;
import java.awt.Point;
import java.util.Map;

/**
 * Implemented by a component to give information on any popups
 * to an encoder such as the Flash SWF encoder.
 */
public interface PopupRenderer
{

/**
 * Draw the available popups to the given graphics object.
 * The graphics object may implement DefineShape.
 * @param gc the graphics object.
 * @return a List object containing PopupInfo instances for each
 *         rendered popup.
 */
public Map renderPopups(Graphics gc);

/**
 * Get the base offset for the shapes that the popups are attached to.
 */
public Point getShapeOffset();

}
