/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//	 RCSID -- $RCSfile: AboutDialog.java,v $ $Revision: 1.2 $
//			  $Date: 2006-03-17 21:13:42 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.util.internal;

import com.klg.jclass.util.swing.JCHTMLPane;

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

/**
 * AboutDialog creates a useful dialog with information
 * about the product.  The most common use of the AboutDialog
 * is as the dialog that appears on instantiation in the
 * IDE limited version of Chart and LiveTable.
 */
public class AboutDialog extends JDialog implements WindowListener, ActionListener {

protected final static String IDE_PREAMBLE = "<P>"+
"You are using a LITE version of a JClass product. "+
"This version is permanently enabled, but is missing many "+
"of the advanced features found in the full product. "+
"To evaluate or purchase the full product, please "+
"visit <A HREF=\"http://www.quest.com/jclass/\">"+
"http://www.quest.com/jclass/</A>.<p>";

/* LIMIT_START_GENERAL */
protected final static String IDE_TEXT = "";
/* LIMIT_END_GENERAL */

/* LIMIT_START_SYMANTEC 
protected final static String IDE_TEXT = "" +
"<P>For additional information on using JClass with Symantec Visual Cafe, "+
please visit <A HREF=\"http://www.quest.com/jclass//jclassvisualcafe.html\">"+
"http://www.quest.com/jclass//jclassvisualcafe.html</A>.<P>"+
"This site contains the latest product information support, FAQs,"+
"bug fixes and special discounts offered to registered"+
"Webgain Visual Cafe customers.<P>" +
"Visit <A HREF=\"http://www.webgain.com/Products/VisualCafe_Overview.html\">"+
"http://www.webgain.com/Products/VisualCafe_Overview.html</A>"+
" for additional information on Symantec's Visual Cafe.<P>";
 LIMIT_END_SYMANTEC */

/* LIMIT_START_INPRISE 
protected final static String IDE_TEXT = "" +
"<P>For additional information on using JClass with Inprise JBuilder," +
"please visit "+
"<A HREF=\"http://www.quest.com/jclass//jclassborlandjbuilder.html\">"+
"http://www.quest.com/jclass//jclassborlandjbuilder.html</A>" +
"This site contains the latest product information support, FAQs,"+
"bug fixes and special discounts offered to registered"+
"Inprise JBuilder customers.<P>" +
"Visit <A HREF=\"http://www.inprise.com/jbuilder/\">"+
"http://www.inprise.com/jbuilder/</A>"+
" for additional information on Inprise JBuilder.<p>";
 LIMIT_END_INPRISE */

/* LIMIT_START_NETBEANS 
protected final static String IDE_TEXT = "" +
"<P>For additional information about Forte:"+
"<TABLE><TR><TD>Forte General Information:</TD>"+
"<TD><A HREF=\"http://www.sun.com/forte/ffj/\">"+
"http://www.sun.com/forte/ffj/</A></TD></TR>"+
"Visit "+
"<A HREF=\http://www.quest.com/jclass//jclassnetbeans.html\">"+
"http://www.quest.com/jclass//jclassnetbeans.html</A>"+
" for additional details on using Forte with Quest Software's JClass components.<P>";
 LIMIT_END_NETBEANS */

/*
//LIMIT_START_SYBASE 
protected final static String IDE_TEXT = "" +
"<P>For additional information on using JClass with Powersoft PowerJ," +
"please visit <A HREF=\"http://www.quest.com/jclass//ides/powerj/powerj.html\">"+
"http://www.quest.com/jclass//ides/powerj/powerj.html</A>" +
"This site contains the latest product information support, FAQs,"+
"bug fixes and special discounts offered to registered"+
"Powersoft PowerJ customers.<P>" +
"Visit <A HREF=\"http://www.sybase.com/products/powerj/index.html\">"+
"http://www.sybase.com/products/powerj/index.html</A>"+
" for additional information on Powersoft PowerJ.<P>";
 LIMIT_END_SYBASE */

/* LIMIT_START_IBM 
protected final static String IDE_TEXT = "" +
"<P>For additional information on using JClass with IBM's Visual Age for Java,"+
"please visit "+
"<A HREF=\"http://www.quest.com/jclass//jclassvisualage.html\">"+
"http://www.quest.com/jclass//jclassvisualage.html</A>." +
"This site contains the latest product information support, FAQs,"+
"bug fixes and special discounts offered to registered"+
"IBM Visual Age for Java customers.<P>" +
"Visit <A HREF=\"http://www.software.ibm.com/ad/vajava\">"+
"http://www.software.ibm.com/ad/vajava</A>"+
" for additional information on IBM Visual Age for Java.<P>";
 LIMIT_END_IBM */

/*
// LIMIT_START_SUN 
protected final static String IDE_TEXT = "" +
"<P>For additional information on using JClass with Sun's Java Workshop," +
"please visit "+
"<A HREF=\"http://www.quest.com/jclass//ides/javaworkshop/java_workshop.html\">"+
"http://www.quest.com/jclass//ides/javaworkshop/java_workshop.html</A>." +
"This site contains the latest product information support, FAQs,"+
"bug fixes and special discounts offered to registered"+
"Sun Java WorkShop customers.<P>" +
"Visit <A HREF=\"http://www.sun.com/workshop/java/\">"+
"http://www.sun.com/workshop/java/</A>"+
" for additional information on Sun's Java WorkShop.<P>";
 LIMIT_END_SUN */

/*
//LIMIT_START_SILVERSTREAM 
protected final static String IDE_TEXT = ""+
"<P>For additional information on using JClass with SilverStream," +
"please visit "+
"<A HREF=\"http://www.quest.com/jclass//ides/silverstream/silverstream.html\">"+
"http://www.quest.com/jclass//ides/silverstream/silverstream.html</A>." +
"This site contains the latest product information support, FAQs,"+
"bug fixes and special discounts offered to registered"+
"SilverStream customers.<P>" +
"Visit <A HREF=\"http://www.silverstream.com\">"+
"http://www.silverstream.com</A>"+
" for additional information on SilverStream.<P>";
 LIMIT_END_SILVERSTREAM */

/*
//LIMIT_START_PENUMBRA 
protected final static String IDE_TEXT = ""+
"<P>For additional information on using JClass with Penumbra SuperMojo," +
"please visit "+
"<A HREF=\"http://www.quest.com/jclass//ides/supermojo/supermojo.html\">"+
"http://www.quest.com/jclass//ides/supermojo/supermojo.html</A>." +
"This site contains the latest product information support, FAQs,"+
"bug fixes and special discounts offered to registered"+
"Penumbra SuperMojo customers.<P>" +
"Visit <A HREF=\"http://www.penumbrasoftware.com/mojos.htm\">"+
"http://www.penumbrasoftware.com/mojos.htm</A>"+
" for additional information on Penumbra products.<P>";
 LIMIT_END_PENUMBRA */

/*
//LIMIT_START_APPTIVITY 
protected final static String IDE_TEXT = "" +
"<P>For additional information on using JClass with Apptivity," +
"please visit <A HREF=\"http://www.quest.com/jclass//ides/apptivity\">"+
"http://www.quest.com/jclass//ides/apptivity</A>." +
"This site contains the latest product information support, FAQs,"+
"bug fixes and special discounts offered to registered"+
"Apptivity customers.<P>" +
"Visit <A HREF=\"http://www.progress.com/java/apptivity/apptivity.htm\">"+
"http://www.progress.com/java/apptivity/apptivity.htm</A>"+
" for additional information on Apptivity by Progress Software.<P>";
 LIMIT_END_APPTIVITY */

/*
//LIMIT_START_BLUESTONE 
protected final static String IDE_TEXT = ""+
"<P>For additional information on using JClass with Sapphire/Web," +
"please visit <A HREF=\"http://www.quest.com/jclass//ides/sapphire\">"+
"http://www.quest.com/jclass//ides/sapphire</A>.<P>" +
"For information on the full version of this and Quest Software's"+
"other JClass and JProbe products, please visit"+
"<A HREF=\"http://bci.bluestone.com\">"+
"http://bci.bluestone.com</A> or visit Quest Software "+
"directly at <A HREF=\"http://www.quest.com\">http://www.quest.com</A><P>";
 LIMIT_END_BLUESTONE */

protected String       message = null;
protected Component    supercomp = null;
protected JButton      okb = new JButton("OK");
protected JCheckBox    noMoreCB = new JCheckBox("Don't bring up this dialog again");
protected JScrollPane  scroller = null;
protected JCHTMLPane   htmlPane = null;
protected JPanel       pnl1 = new JPanel();

/**
 * Default instantiation of about dialog
 */
public AboutDialog()
{
    this(null);
}

/**
 * Creates an AboutDialog with the specified listener.  The
 * listener is used to send the state of the "don't bring this
 * dialog up again" check box back to an interested object
 */
public AboutDialog(ItemListener noMoreListener)
{
    super();

    addWindowListener(this);
    getContentPane().setLayout(new BorderLayout(5, 5));

    setMessage("");

    GridBagLayout gbl = new GridBagLayout();
    GridBagConstraints gbc = new GridBagConstraints();
    pnl1.setLayout(gbl);
    gbc.gridwidth = 1;
    gbc.gridx = GridBagConstraints.RELATIVE;
    gbc.gridy = 0;

    if (noMoreListener != null) {
        noMoreCB.addItemListener(noMoreListener);
        if (true /*JCEnvironment.isJBuilder()*/) {
            noMoreCB.setSelected(true);
            noMoreListener.itemStateChanged(new ItemEvent(
                noMoreCB, 0, noMoreCB.getText(), ItemEvent.SELECTED));
        }
        else {
            noMoreCB.setSelected(false);
            noMoreListener.itemStateChanged(new ItemEvent(
                noMoreCB, 0, noMoreCB.getText(), ItemEvent.DESELECTED));
        }
        pnl1.add(noMoreCB, gbc);
        gbc.gridy++;
    }
    pnl1.add(okb, gbc);

    getContentPane().add("South", pnl1);
    JLabel comp = new JLabel(JClassInfo.makeKLIcon((java.awt.Color)null));
    getContentPane().add("North", comp);

    okb.addActionListener(this);
}

/**
 * Sets the message to appear in the dialog.  Product and
 * documentation information is added to the end of the message.
 * Note that the format is HTML.
 * @see com.klg.jclass.util.internal.JClassInfo
 */
public void setMessage(String msg)
{
    message = msg + JClassInfo.product_info + JClassInfo.docsupMessage;
    init();
}

/**
 * Sets the limited message to appear in the dialog.
 * Note that the format is HTML.
 * @see com.klg.jclass.util.internal.JClassInfo
 */
public void setLimitedMessage()
{
    setMessage(AboutDialog.IDE_PREAMBLE + AboutDialog.IDE_TEXT);
}

/**
 * Creats the HTML rendering pane for the dialog
 */
private void init()
{
    if (htmlPane != null) {
        remove(htmlPane);
    }
    htmlPane = new JCHTMLPane(message);
    htmlPane.setBackground(getBackground());
    htmlPane.setEditable(false);
    scroller = new JScrollPane(htmlPane);
    scroller.setPreferredSize(new Dimension(500, 500));
    getContentPane().add("Center", scroller);
}

/**
 * Handles window close events
 */
public void windowClosing(WindowEvent e)
{
    setVisible(false);
}

public void windowActivated(WindowEvent e) {}

public void windowClosed(WindowEvent e) {}

public void windowDeactivated(WindowEvent e) {}

public void windowDeiconified(WindowEvent e) {}

public void windowIconified(WindowEvent e) {}

public void windowOpened(WindowEvent e) {}

/**
 * If the OK button is hit, closes the window
 */
public void actionPerformed(ActionEvent e)
{
    setVisible(false);
}

/**
 * Utility main method, useful for testing
 */
/*
public static void main(String args[])
{
    com.klg.jclass.util.swing.JCExitFrame f =
        new com.klg.jclass.util.swing.JCExitFrame();
    f.getContentPane().setLayout(new FlowLayout());
    f.getContentPane().add(new JLabel("Testing AboutDialog"));
    f.pack();
    f.show();
    AboutDialog ad = new AboutDialog();
    ad.setMessage(AboutDialog.IDE_PREAMBLE + AboutDialog.IDE_TEXT);
    ad.pack();
    ad.show();
}
*/


}

