/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LocaleBundle.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:42 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.util.io.resources;

import java.util.Locale;
import java.util.ResourceBundle;

public class LocaleBundle {

private static final String BUNDLE_PATH =
    "com.klg.jclass.util.io.resources.LocaleInfo";

private static ResourceBundle bundle =
    ResourceBundle.getBundle(BUNDLE_PATH, Locale.getDefault());

static String string(String language, String country, String key)
{
    Locale locale = new Locale(language, country);
	return(ResourceBundle.getBundle(BUNDLE_PATH, locale).getString(key));
}

public static String string(String key)
{
	return(bundle.getString(key));
}

static void setBundleLocale(Locale loc)
{
	bundle = ResourceBundle.getBundle(BUNDLE_PATH, loc);
}

// Key constants
public static final String DEFAULT           = "Default";
public static final String ABSOLUTE          = "Absolute";
public static final String RESOLVING_CLASS   = "ResolvingClass";
public static final String URL               = "Url";
public static final String RELATIVE_URL      = "RelativeUrl";
public static final String SERVLET           = "Servlet";

public static final String NO_DATA           = "NoData";
public static final String EMBED_DATA        = "EmbedData";
public static final String DATA_FILE_TEXT    = "DataFileText";
public static final String DATA_FILE_XML     = "DataFileXml";

}
