/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCLegendEnumMappings.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:42 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.util.legend;

/**
 * <code>JCLegendEnumMappings</code> consists of static arrays that hold enum
 * values and their corresponding String representations (for things like HTML
 * save and loading), and also the corresponding internationalizable String
 * representations (for things like combo box choices in the customizer
 * and the Beans).  All 3 arrays must match -- enum value at position <i>n</i>
 * in the enum value array must correspond to the String description
 * at position n in the other 2 arrays.
 */
public class JCLegendEnumMappings
{

// JCLegend Anchor values/strings
public final static int[] anchor_values = {
    JCLegend.NORTHEAST, JCLegend.NORTH, JCLegend.NORTHWEST,
    JCLegend.EAST, JCLegend.WEST, JCLegend.SOUTHEAST,
    JCLegend.SOUTH, JCLegend.SOUTHWEST
};
public final static String[] anchor_strings = {
    "Northeast", "North", "Northwest",
    "East", "West", "Southeast", "South", "Southwest"
};
public final static String[] anchor_i18n_strings = {
    JCLegendBundle.string(JCLegendBundle.key1),
    JCLegendBundle.string(JCLegendBundle.key2),
    JCLegendBundle.string(JCLegendBundle.key3),
    JCLegendBundle.string(JCLegendBundle.key4),
    JCLegendBundle.string(JCLegendBundle.key5),
    JCLegendBundle.string(JCLegendBundle.key6),
    JCLegendBundle.string(JCLegendBundle.key7),
    JCLegendBundle.string(JCLegendBundle.key8)
};

// JCLegend Orientation values/strings
public final static int[] orientation_values = {
    JCLegend.HORIZONTAL, JCLegend.VERTICAL
};
public final static String[] orientation_strings = {
    "Horizontal", "Vertical"
};
public final static String[] orientation_i18n_strings = {
    JCLegendBundle.string(JCLegendBundle.key9),
    JCLegendBundle.string(JCLegendBundle.key10)
};

// JCLegend Anchor values/strings
public final static int[] hanchor_values = {
     JCLegend.NORTH,
    JCLegend.SOUTH
};
public final static String[] hanchor_strings = {
    "North",  "South"
};
public final static String[] hanchor_i18n_strings = {

    JCLegendBundle.string(JCLegendBundle.key2),
    JCLegendBundle.string(JCLegendBundle.key7)

};

// JCLegend Anchor values/strings
public final static int[] vanchor_values = {
    JCLegend.NORTHEAST, JCLegend.NORTHWEST,
    JCLegend.EAST, JCLegend.WEST, JCLegend.SOUTHEAST,
     JCLegend.SOUTHWEST
};
public final static String[] vanchor_strings = {
    "Northeast", "Northwest",
    "East", "West", "Southeast", "South", "Southwest"
};
public final static String[] vanchor_i18n_strings = {
    JCLegendBundle.string(JCLegendBundle.key1),
    JCLegendBundle.string(JCLegendBundle.key3),
    JCLegendBundle.string(JCLegendBundle.key4),
    JCLegendBundle.string(JCLegendBundle.key5),
    JCLegendBundle.string(JCLegendBundle.key6),
    JCLegendBundle.string(JCLegendBundle.key8)
};


}
