/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCLegendPopulator.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:42 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.util.legend;

import java.util.List;

import java.awt.FontMetrics;

/** 
 * <code>JCLegendPopulator</code> is an interface implemented by classes that
 * wish to populate a legend with data.
 */
public interface JCLegendPopulator {

/** 
 * Retrives the legend items that make up the legend.
 * 
 * @param fm the font metrics for this legend
 * @return a List of List objects, with each internal List object containing 
 *     the list of <code>JCLegendItem</code> objects that make up one column of 
 *     the legend
 */
public List getLegendItems(FontMetrics fm);

/** 
 * Checks whether a specified <code>JCLegendItem</code> is a title item for the
 * legend, meaning that no symbol will be drawn.
 * 
 * @param item the <code>JCLegendItem</code> to check.
 * @return <code>true</code> if this item is a title item; <code>false</code>
 *     otherwise
 */
public boolean isTitleItem(JCLegendItem item);

}
