/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCProgressAbortedException.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:43 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.util.progress;

/**
 * Progress aborted exception.
 */
public class JCProgressAbortedException extends Exception {

protected String processName = null;

/**
 * Createss a <code>JCProgressAbortedException</code> without specifying the process aborted.
 */
public JCProgressAbortedException() {
	this(null,null);
}

/**
 * Creates a <code>JCProgressAbortedException</code>.
 * @param s exception message
 */
public JCProgressAbortedException(String s) {
	this(s, null);
}

/**
 * Creates a <code>JCProgressAbortedException</code>.
 * @param s exception message
 * @param process_name process that was aborted
 */
public JCProgressAbortedException(String s, String process_name) {
	super(s);
	this.processName = process_name;
}

/**
 * Returns the process name aborted.
 * @return process name aborted
 */
public String getProcessName() {
	return processName;
}

}
