/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCProgressEvent.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:43 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.util.progress;

import java.awt.AWTEvent;

/**
 * <code>JCProgressEvent</code> is used to monitor the status of a process.
 * @see JCProgressListener
 */
public class JCProgressEvent extends AWTEvent {

protected String unit_name;
protected String process_name;
protected int unit_count;
protected int current_unit;
protected boolean abort;

public JCProgressEvent(Object source, int action, String unit_name,
					String process_name, int unit_count, int current_unit) {
	super(source, action);
	this.unit_name = unit_name;
	this.process_name = process_name;
	this.unit_count = unit_count;
	this.current_unit = current_unit;
}

/**
 * Returns the unit name.
 * @return unit name
 */
public String getUnitName() {
	return unit_name;
}

/**
 * Returns the process name.
 * @return process name
 */
public String getProcessName() {
	return process_name;
}

/**
 * Returns the total unit count for the process.
 * @return total unit count for the process
 */
public int getUnitCount() {
	return unit_count;
}

/**
 * Returns the <code>current_unit</code> being processed.
 * @return <code>current_unit</code> being processed
 */
public int getCurrentUnit() {
	return current_unit;
}

/**
 * Checks to see if the process is aborted.
 * @return
 */
public boolean isAborted() {
	return abort;
}

/**
 * Allows the listener to abort the process.
 * @param abort
 */
public void setAbort(boolean abort) {
	this.abort = abort;
}

}

