/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCProgressListener.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:43 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.util.progress;

import java.util.EventListener;

/**
 * The listener interface is used for processes which will be monitored
 * by a progress bar.
 */
public interface JCProgressListener extends EventListener {

/**
 * Invoked when a process has begun. 
 * @see JCProgressEvent
 * @param e
 */
public void processingBegin(JCProgressEvent e);

/**
 * Invoked when a process unit has been completed.
 * @see JCProgressEvent
 * @param e
 */
public void processingUnit(JCProgressEvent e);

/**
 * Invoked when the process has been completed.
 * @see JCProgressEvent
 * @param e
 */
public void processingEnd(JCProgressEvent e);

/**
 * Invoked when a process encounters an error.
 * @see JCProgressEvent
 * @param e
 */
public void processingError(JCProgressEvent e);

}
