/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: LocaleInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:44 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.util.resources;

import java.io.Serializable;

import com.klg.jclass.util.JCLocaleManager;

import java.util.ListResourceBundle;
import java.awt.event.KeyEvent;

public class LocaleInfo extends ListResourceBundle implements Serializable {

static final Object[][] strings = {
//LOCALIZE THIS
	// Standard Menu headers
	{ JCLocaleManager.MENU_EDIT,		"Edit" },
	{ JCLocaleManager.MENU_EDIT_MNEMONIC,		new Integer(KeyEvent.VK_E) },
	{ JCLocaleManager.MENU_FILE,		"File" },
	{ JCLocaleManager.MENU_FILE_MNEMONIC,		new Integer(KeyEvent.VK_F) },
	{ JCLocaleManager.MENU_HELP,		"Help" },
	{ JCLocaleManager.MENU_HELP_MNEMONIC, 		new Integer(KeyEvent.VK_H) },
	{ JCLocaleManager.MENU_TOOLS,		"Tools" },
	{ JCLocaleManager.MENU_TOOLS_MNEMONIC,	new Integer(KeyEvent.VK_T) },
	{ JCLocaleManager.MENU_VIEW, 		"View" },
	{ JCLocaleManager.MENU_VIEW_MNEMONIC,		new Integer(KeyEvent.VK_V) },
	{ JCLocaleManager.MENU_WINDOWS, 	"Window" },
	{ JCLocaleManager.MENU_WINDOWS_MNEMONIC,	new Integer(KeyEvent.VK_W) },
	// Standard File menu items
	{ JCLocaleManager.ACTION_CLOSE, 	"Close" },
	{ JCLocaleManager.ACTION_CLOSE_ACCELERATOR, 	JCLocaleManager.getCtrlKey(KeyEvent.VK_W) },
	{ JCLocaleManager.ACTION_CLOSE_MNEMONIC,	new Integer(KeyEvent.VK_C) },
	{ JCLocaleManager.ACTION_EXIT,		"Exit" },
	{ JCLocaleManager.ACTION_EXIT_ACCELERATOR,	JCLocaleManager.getCtrlKey(KeyEvent.VK_Q) },
	{ JCLocaleManager.ACTION_EXIT_MNEMONIC,	new Integer(KeyEvent.VK_X) },
	{ JCLocaleManager.ACTION_NEW,		"New" },
	{ JCLocaleManager.ACTION_NEW_ACCELERATOR,	JCLocaleManager.getCtrlKey(KeyEvent.VK_N) },
	{ JCLocaleManager.ACTION_NEW_MNEMONIC,	new Integer(KeyEvent.VK_N) },
	{ JCLocaleManager.ACTION_OPEN,		"Open" },
	{ JCLocaleManager.ACTION_OPEN_ACCELERATOR,	JCLocaleManager.getCtrlKey(KeyEvent.VK_O) },
	{ JCLocaleManager.ACTION_OPEN_MNEMONIC,	new Integer(KeyEvent.VK_O) },
	{ JCLocaleManager.ACTION_SAVE,		"Save" },
	{ JCLocaleManager.ACTION_SAVE_ACCELERATOR,	JCLocaleManager.getCtrlKey(KeyEvent.VK_S) },
	{ JCLocaleManager.ACTION_SAVE_MNEMONIC,	new Integer(KeyEvent.VK_S) },
	{ JCLocaleManager.ACTION_SAVEAS,	"Save As..." },
	{ JCLocaleManager.ACTION_SAVEAS_ACCELERATOR,	JCLocaleManager.getCtrlKey(KeyEvent.VK_A) },
	{ JCLocaleManager.ACTION_SAVEAS_MNEMONIC,	new Integer(KeyEvent.VK_A) },
	{ JCLocaleManager.ACTION_WIZARD,	"Wizard" },
	{ JCLocaleManager.ACTION_WIZARD_ACCELERATOR, JCLocaleManager.getCtrlKey(KeyEvent.VK_W) },
	{ JCLocaleManager.ACTION_WIZARD_MNEMONIC,	new Integer(KeyEvent.VK_W) },
	// standard Edit menus
	{ JCLocaleManager.ACTION_COPY,		"Copy" },
	{ JCLocaleManager.ACTION_COPY_ACCELERATOR,	JCLocaleManager.getCtrlKey(KeyEvent.VK_C) },
	{ JCLocaleManager.ACTION_COPY_MNEMONIC,	new Integer(KeyEvent.VK_C) },
	{ JCLocaleManager.ACTION_CUT, 		"Cut" },
	{ JCLocaleManager.ACTION_CUT_ACCELERATOR,		JCLocaleManager.getCtrlKey(KeyEvent.VK_X) },
	{ JCLocaleManager.ACTION_CUT_MNEMONIC,		new Integer(KeyEvent.VK_T) },
	{ JCLocaleManager.ACTION_DELETE, 	"Delete" },
	{ JCLocaleManager.ACTION_DELETE_ACCELERATOR, 	JCLocaleManager.getKey(KeyEvent.VK_DELETE) },
	{ JCLocaleManager.ACTION_DELETE_MNEMONIC,	new Integer(KeyEvent.VK_D) },
	{ JCLocaleManager.ACTION_PASTE, 	"Paste" },
	{ JCLocaleManager.ACTION_PASTE_ACCELERATOR,	JCLocaleManager.getCtrlKey(KeyEvent.VK_V) },
	{ JCLocaleManager.ACTION_PASTE_MNEMONIC,	new Integer(KeyEvent.VK_P) },
	{ JCLocaleManager.ACTION_PREFERENCES, 	"Preferences" },
	{ JCLocaleManager.ACTION_PREFERENCES_MNEMONIC,	new Integer(KeyEvent.VK_F) },
	{ JCLocaleManager.ACTION_PRINT, 	"Print" },
	{ JCLocaleManager.ACTION_PRINT_ACCELERATOR,	JCLocaleManager.getCtrlKey(KeyEvent.VK_P) },
	{ JCLocaleManager.ACTION_PRINT_MNEMONIC,	new Integer(KeyEvent.VK_P) },
	{ JCLocaleManager.ACTION_RENAME,	"Rename" },
	{ JCLocaleManager.ACTION_RENAME_ACCELERATOR,	"" },
	{ JCLocaleManager.ACTION_RENAME_MNEMONIC,	"" },
	{ JCLocaleManager.ACTION_REDO,		"Redo" },
	{ JCLocaleManager.ACTION_REDO_ACCELERATOR,	JCLocaleManager.getCtrlKey(KeyEvent.VK_Y) },
	{ JCLocaleManager.ACTION_REDO_MNEMONIC,	new Integer(KeyEvent.VK_R) },
	{ JCLocaleManager.ACTION_SELECTALL,	"Select All" },
	{ JCLocaleManager.ACTION_SELECTALL_ACCELERATOR,	JCLocaleManager.getCtrlKey(KeyEvent.VK_A) },
	{ JCLocaleManager.ACTION_SELECTALL_MNEMONIC,	new Integer(KeyEvent.VK_A) },
	{ JCLocaleManager.ACTION_UNDO, 		"Undo" },
	{ JCLocaleManager.ACTION_UNDO_ACCELERATOR,	JCLocaleManager.getCtrlKey(KeyEvent.VK_Z) },
	{ JCLocaleManager.ACTION_UNDO_MNEMONIC,	new Integer(KeyEvent.VK_U) },

	// Standard Windows menu items
	{ JCLocaleManager.ACTION_ARRANGE,	"Arrange Icons" },
	{ JCLocaleManager.ACTION_ARRANGE_MNEMONIC,	new Integer(KeyEvent.VK_A) },
	{ JCLocaleManager.ACTION_CASCADE,	"Cascade" },
	{ JCLocaleManager.ACTION_CASCADE_MNEMONIC,	new Integer(KeyEvent.VK_C) },
	{ JCLocaleManager.ACTION_MAXIMIZE,	"Maximize" },
	{ JCLocaleManager.ACTION_MAXIMIZE_MNEMONIC,new Integer(KeyEvent.VK_M) },
	{ JCLocaleManager.ACTION_MINIMIZE,	"Minimize" },
	{ JCLocaleManager.ACTION_MINIMIZE_MNEMONIC,new Integer(KeyEvent.VK_M) },
	{ JCLocaleManager.ACTION_TILEH,		"Tile Horizontally" },
	{ JCLocaleManager.ACTION_TILEH_MNEMONIC,	new Integer(KeyEvent.VK_H) },
	{ JCLocaleManager.ACTION_TILEV,		"Tile Vertically" },
	{ JCLocaleManager.ACTION_TILEV_MNEMONIC,	new Integer(KeyEvent.VK_V) },
	{ JCLocaleManager.ACTION_UNDOMAX,	"Undo Maximize" },
	{ JCLocaleManager.ACTION_UNDOMAX_MNEMONIC,	new Integer(KeyEvent.VK_M) },
	// Standard help menu items
	{ JCLocaleManager.ACTION_ABOUT, 	"About" },
	{ JCLocaleManager.ACTION_ABOUT_ACCELERATOR, 	"" },
	{ JCLocaleManager.ACTION_ABOUT_MNEMONIC, 	  new Integer('A') },
	// Standard Action buttons
	{ JCLocaleManager.ACTION_APPLY, 	"Apply" },
	{ JCLocaleManager.ACTION_APPLY_MNEMONIC, 	  new Integer('A') },
	{ JCLocaleManager.ACTION_BROWSE, 	"Browse..." },
	{ JCLocaleManager.ACTION_BROWSE_MNEMONIC, 	  new Integer('B') },
	{ JCLocaleManager.ACTION_CANCEL, 	"Cancel" },
	{ JCLocaleManager.ACTION_CANCEL_MNEMONIC, 	  new Integer('C') },
	{ JCLocaleManager.ACTION_FINISH, 	"Finish" },
	{ JCLocaleManager.ACTION_FINISH_MNEMONIC, 	  new Integer('F') },
	{ JCLocaleManager.ACTION_HELP, 	    "Help" },
	{ JCLocaleManager.ACTION_HELP_MNEMONIC, 	  new Integer('H') },
    { JCLocaleManager.ACTION_HELP_ACCELERATOR, JCLocaleManager.getCtrlKey(
            KeyEvent.VK_H)},
	{ JCLocaleManager.ACTION_NEXT,	     "Next >>" },
	{ JCLocaleManager.ACTION_NEXT_MNEMONIC,       new Integer('N') },
	{ JCLocaleManager.ACTION_OKAY, 	     "Okay" },
	{ JCLocaleManager.ACTION_OKAY_MNEMONIC, 	  new Integer('O') },
    { JCLocaleManager.ACTION_YES,        "Yes"},
    { JCLocaleManager.ACTION_YES_MNEMONIC,        new Integer('Y')},
    { JCLocaleManager.ACTION_YES_TO_ALL, "Yes to All"},
    { JCLocaleManager.ACTION_YES_TO_ALL_MNEMONIC, new Integer('S')},
    { JCLocaleManager.ACTION_NO,         "No"},
    { JCLocaleManager.ACTION_NO_MNEMONIC,         new Integer('N')},
    { JCLocaleManager.ACTION_NO_TO_ALL,  "No to All"},
    { JCLocaleManager.ACTION_NO_TO_ALL_MNEMONIC,  new Integer('O')},
	{ JCLocaleManager.ACTION_PREVIOUS,	 "<< Back" },
	{ JCLocaleManager.ACTION_PREVIOUS_MNEMONIC,   new Integer('B') },
	{ JCLocaleManager.TITLE_GOTOROW,     "Go to Row"},
	// Days of the Week
	{ JCLocaleManager.WEEKDAY1, "Sun" },
	{ JCLocaleManager.WEEKDAY2, "Mon" },
	{ JCLocaleManager.WEEKDAY3, "Tues" },
	{ JCLocaleManager.WEEKDAY4, "Wed" },
	{ JCLocaleManager.WEEKDAY5, "Thurs" },
	{ JCLocaleManager.WEEKDAY6, "Fri" },
	{ JCLocaleManager.WEEKDAY7, "Sat" },
	// Months of the Year
	{ JCLocaleManager.MONTH0, "Jan" },
	{ JCLocaleManager.MONTH1, "Feb" },
	{ JCLocaleManager.MONTH2, "Mar" },
	{ JCLocaleManager.MONTH3, "Apr" },
	{ JCLocaleManager.MONTH4, "May" },
	{ JCLocaleManager.MONTH5, "Jun" },
	{ JCLocaleManager.MONTH6, "Jul" },
	{ JCLocaleManager.MONTH7, "Aug" },
	{ JCLocaleManager.MONTH8, "Sep" },
	{ JCLocaleManager.MONTH9, "Oct" },
	{ JCLocaleManager.MONTH10, "Nov" },
	{ JCLocaleManager.MONTH11, "Dec" },
	//Font labels
	{ JCLocaleManager.FONT_LABEL, "Font: "},
	{ JCLocaleManager.SIZE_LABEL, "Size: "},
	{ JCLocaleManager.STYLE, "Style"},
	{ JCLocaleManager.BOLD, "Bold"},
	{ JCLocaleManager.ITALIC, "Italic"},
	{ JCLocaleManager.UNDERLINE, "Underline"},
	{ JCLocaleManager.SAMPLE, "Sample"},
	{ JCLocaleManager.CHOOSE_FONT, "Choose Font"},
	{ JCLocaleManager.FONT_SIZE, "Font Size"},
	{ JCLocaleManager.FONT, "Font"},


//END OF MATERIAL TO LOCALIZE
};

public Object[][] getContents() {
	return strings;
}

}
