/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: DefaultSpinBoxModel.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:44 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.util.swing;

import java.util.Vector;

/**
 * Since the <code>SpinBox</code> model is identical to the combo box model we
 * simply extend the defult combobox model implementation.
 */
public class DefaultSpinBoxModel extends javax.swing.DefaultComboBoxModel
                                 implements JCSpinBoxMutableModel
{

/**
 * Constructs an empty <code>DefaultSpinBoxModel</code> object.
 */
public DefaultSpinBoxModel()
{
	super();
}

/**
 * Constructs a <code>DefaultSpinBoxModel</code> object initialized with
 * an array of objects.
 *
 * @param items  an array of Object objects
 */
public DefaultSpinBoxModel(final Object items[])
{
	super(items);
}

/**
 * Constructs a <code>DefaultSpinBoxModel</code> object initialized with
 * a vector.
 * @param v  a Vector object
 */
public DefaultSpinBoxModel(Vector v)
{
	super(v);
}

}
