/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCCheckBoxListBeanInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:45 $  $Locker:  $  Quest Software Inc.
package com.klg.jclass.util.swing;

import com.klg.jclass.beans.*;

/**
 * This is the Bean info class for <code>JCCheckBoxList</code>.  It specifies the
 * properties and events.
 */
public class JCCheckBoxListBeanInfo extends ComponentBeanInfo {

public static final String SELECTION_BACKGROUND = "selectionBackground";
public static final String SELECTION_FOREGROUND = "selectionForeground";
public static final String PROTOTYPE_CELL_VALUE = "prototypeCellValue";
public static final String FIXED_CELL_WIDTH 	= "fixedCellWidth";
public static final String FIXED_CELL_HEIGHT 	= "fixedCellHeight";
public static final String MODEL 				= "model";
public static final String SELECTION_MODE       = "selectionMode";
public static final String VISIBLE_ROW_COUNT    = "visibleRowCount";

protected static final JCPropertyDescriptor properties[] = {
	new JCPropertyDescriptor(SELECTION_BACKGROUND, null),
	new JCPropertyDescriptor(SELECTION_FOREGROUND, null),
    new JCPropertyDescriptor(PROTOTYPE_CELL_VALUE,
                             "com.klg.jclass.util.swing.beans.PrototypeObjectEditor"),
    new JCPropertyDescriptor(FIXED_CELL_WIDTH, null),
    new JCPropertyDescriptor(FIXED_CELL_HEIGHT, null),
    new JCPropertyDescriptor(MODEL,
                             "com.klg.jclass.util.swing.beans.ListModelEditor"),
    new JCPropertyDescriptor(SELECTION_MODE,
                             "com.klg.jclass.util.swing.beans.SelectionModelEditor"),
    new JCPropertyDescriptor(VISIBLE_ROW_COUNT, null),
};

protected static final JCEventSetDescriptor events[] = {
	CONTAINER_EVENTSET,
    new JCEventSetDescriptor("ListSelection", "javax.swing.event",
	                         new String[] {"valueChanged"})
};

protected static final String icons[] = {
    "icons/JCCheckBoxListIcon16.gif",
    "icons/JCCheckBoxListIcon16.gif",
    "icons/JCCheckBoxListIcon32.gif",
    "icons/JCCheckBoxListIcon32.gif"
};

public JCCheckBoxListBeanInfo()
{
	super(properties, events, "resources.LocaleInfo", icons);
}

}
