/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: JCColumnLayout.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:45 $ $Locker:  $  Quest Software Inc.

package com.klg.jclass.util.swing;

import javax.swing.*;

/**
 * A simple sub-class of <code>JCElasticLayout</code> that allows layout in a
 * single column.
 */
public class JCColumnLayout extends JCElasticLayout {

/**
 * Creates a column layout that by default aligns components to the left of
 * the column.
 */
public JCColumnLayout()
{
    super(VERTICAL);
}

/**
 * Creates a column layout that aligns components to the specified alignment.
 * @param alignment <code>SwingConstants.LEFT</code>,
 * <code>SwingConstants.CENTER</code>, or <code>SwingConstants.RIGHT</code>
 */
public JCColumnLayout(int alignment)
{
    super(VERTICAL, alignment);
    if (alignment != SwingConstants.LEFT &&
        alignment != SwingConstants.CENTER &&
        alignment != SwingConstants.RIGHT)
    {
        throw new IllegalArgumentException("Incorrect value; use one of: " +
                                           "SwingConstants.LEFT, " +
                                           "SwingConstants.CENTER, " +
                                           "SwingConstants.RIGHT");
    }
}

}
