/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: JCElastic.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:45 $ $Locker:  $  Quest Software Inc.

package com.klg.jclass.util.swing;

/**
 * Empty interface that informs enabled layout managers
 * that a particular component should be stretched up to its
 * maximum before stretching any non-elastic components.
 * @see JCColumnLayout
 * @see JCRowLayout
 */
public interface JCElastic {

/**
 * Returns the horizontal elasticity or "stretchiness" of the component.
 * A value of 0 means it is not "stretchy" at all.  A common value is 1.
 * The higher the value the greater the stretchiness.
 * @return horizontal elasticity; 0 means not "stretchy"
 */
public int getHorizontalElasticity();

/**
 * Returns the vertical elasticity or "stretchiness" of the component.
 * A value of 0 means it is not "stretchy" at all.  A common value is 1.
 * The higher the value the greater the stretchiness.
 * @return vertical elasticity; 0 means not "stretchy"
 */
public int getVerticalElasticity();

}

