/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCFontChooserPaneBeanInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:45 $  $Locker:  $  Quest Software Inc.
package com.klg.jclass.util.swing;

import com.klg.jclass.beans.ComponentBeanInfo;
import com.klg.jclass.beans.JCEventSetDescriptor;
import com.klg.jclass.beans.JCPropertyDescriptor;

/**
 * This is the Bean info class for <code>JCFontChooserPane</code>.  It specifies the
 * properties and events.
 */
public class JCFontChooserPaneBeanInfo extends ComponentBeanInfo {
    
public static final String STYLE_CONTROLS   = "styleControls";
public static final String TOOL_TIP_ENABLED = "toolTipEnabled";
public static final String SELECTED_FONT    = "selectedFont";

public static final String JCFONT = "JCFont";

protected static final JCPropertyDescriptor properties[] = {
	new JCPropertyDescriptor(STYLE_CONTROLS,
                             "com.klg.jclass.util.swing.beans.StyleControlsEditor"),
	new JCPropertyDescriptor(TOOL_TIP_ENABLED, "ToolTipEnabled",
                             "ToolTipEnabled", true,
                             JCPropertyDescriptor.NORMAL,null),
	new JCPropertyDescriptor(SELECTED_FONT,
                             "com.klg.jclass.beans.FontChooserEditor"),
};

protected static final JCEventSetDescriptor events[] = {
    new JCEventSetDescriptor(JCFONT, "com.klg.jclass.util.swing",
	                         new String[] {"fontChanging",
	                                       "fontChanged"}),
};

protected static final String icons[] = {
    "icons/JCFontChooserPaneIcon16.gif",
    "icons/JCFontChooserPaneIcon16.gif",
    "icons/JCFontChooserPaneIcon32.gif",
    "icons/JCFontChooserPaneIcon32.gif"
};
    
public JCFontChooserPaneBeanInfo()
{
	super(properties, events, "resources.LocaleInfo", icons);
}

}
