/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCListModel.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:45 $  $Locker:  $  Quest Software Inc.
package com.klg.jclass.util.swing;

import javax.swing.DefaultListModel;
import java.util.Vector;

/**
 * List model.
 */
public class JCListModel extends DefaultListModel {

/**
 * Constructs an empty list model.
 */
public JCListModel()
{
    super();
}

/**
 * Constructs a list model with the given array of objects.
 * @param items
 */
public JCListModel(Object[] items)
{
    super();
    for (int i = 0; i < items.length; i++) {
        add(i, items[i]);
    }
}

/**
 * Constructs a list model from a Vector
 * @param items
 */
public JCListModel(Vector items)
{
    super();
    for (int i = 0; i < items.size(); i++) {
        add(i, items.elementAt(i));
    }
}

}
