/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: JCMenu.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:45 $ $Locker:  $  Quest Software Inc.
package com.klg.jclass.util.swing;

import javax.swing.*;

/**
 * Subclass of <code>JMenu</code> that also requests <i>Accelerator</i> and
 * <i>Mnemonic</i> information from a <code>javax.swing.Action</code> that has
 * been added to it.
 */
public class JCMenu extends JMenu {

public JCMenu() {}

public JCMenu(String s)
{
    super(s);
}

public JCMenu(String s, boolean b)
{
    super(s, b);
}

public JMenuItem add(Action a)
{
    JMenuItem mi = super.add(a);
    // Get the accelerator and mnemonic out of the Action and set them
    // on the new item
    Integer mnemonic = (Integer)a.getValue(JCAction.MNEMONIC);
    if (mnemonic != null && mnemonic.intValue() != 0) {
        mi.setMnemonic(mnemonic.intValue());
    }

    KeyStroke k = (KeyStroke)a.getValue(JCAction.ACCELERATOR);
    if (k != null) {
        mi.setAccelerator(k);
    }
    return(mi);
}

}
