/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCMessageHelper.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:45 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.util.swing;

import javax.swing.*;
import java.awt.Component;

/**
 * Invokes <code>JOptionPane</code> in a thread-safe manner.
 */
public class JCMessageHelper {

public static void showError(String title, String message)
{
    showMessage(title, message, JOptionPane.ERROR_MESSAGE);
}

public static void showInformation(String title, String message)
{
    showMessage(title, message, JOptionPane.INFORMATION_MESSAGE);
}

public static void showWarning(String title, String message)
{
    showMessage(title, message, JOptionPane.WARNING_MESSAGE);
}

public static void showMessage(String title,
                               String message,
                               int messageType)
{
    showMessage(null, title, message, messageType);
}

public static void showMessage(Component parentComponent,
                               String title,
                               String message,
                               int messageType)
{
    showMessage(parentComponent, title, message, messageType, false);
}

public static void showMessage(Component parentComponent,
                               String title,
                               String message,
                               final int messageType,
                               boolean beep)
{
    JCSwingRunnable tmp =
        new JCSwingRunnable(new MessageWrapper(parentComponent,
                                               title, message, beep))
        {
            public void run()
            {
                MessageWrapper w = (MessageWrapper)o;
                if (w.beep) {
                    (new JOptionPane()).getToolkit().beep();
                }
                JOptionPane.showMessageDialog(w.parentComponent, w.message,
                                              w.title, messageType);
            }
        };
}

}

