/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: JCPopupEvent.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:45 $ $Locker:  $ Quest Software Inc.

package com.klg.jclass.util.swing;

/**
 * <CODE>JCPopupEvent</CODE> is posted when the popup has either
 * a selected value or a cancel value.
 */
public class JCPopupEvent {

/** The source object of the event. */
protected Object source;

/** The new value selected in the popup. */
protected Object newValue;

/**
 * Constructs a popup event.
 * @param source The source of the popup event
 * @param newValue The newly selected value in the popup.
 */
public JCPopupEvent(Object source, Object newValue)
{
    this.source   = source;
    this.newValue = newValue;
}

/**
 * Returns the value model in which the change is occurring.
 * @return the value model in which the change is occurring
 */
public Object getSource()
{
    return(source);
}

/**
 * Returns the new value selected in the popup.
 * @return the new value selected in the popup
 */
public Object getNewValue()
{
    return(newValue);
}


}

