/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCRowComparator.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:46 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.util.swing;

/**
 * This interface is to be used with <code>JCRowSortModel</code>.  It sorts rows
 * by the specified list of columns. By default, it sorts on the first column.
 */
public interface JCRowComparator {

/**
 * Sets a list of columns to sort by.
 * @param keyColumns
 */
public void setKeyColumns(int keyColumns[]);

/**
 * Gets a list of columns to sort by.
 * @return list of columns to sort by
 */
public int[] getKeyColumns();

/**
 * Sets a sorting order.
 * @param order
 */
public void setSortOrder(final int order);

/**
 * Gets a sorting order.
 * @return sorting order
 */
public int getSortOrder();

/**
 * Compares its two arguments for order. Returns a negative integer, zero,
 * or a positive integer if the first argument is less than, equal to, or
 * greater than the second, respectively.
 * @return
 * @param r1
 * @param r2
 */
public int compare(JCComparableRow r1, JCComparableRow r2);

}
