/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCRowSortTableModel.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:46 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.util.swing;

/**
 * Interface to specify methods for a sortable table datasource.
 * Concrete implementations of this model should also
 * implement <code>javax.swing.table.TableModel</code>.
 */
public interface JCRowSortTableModel extends JCRowSortModel {

/**
 * Returns the sorted row index of the specified unsorted row.
 * @param row the unsorted row index
 * @return the sorted row index
 */
public int getSortedRow(int row);

/**
 * Returns the unsorted row index of a specified sorted row.
 * @param sortedRow the sorted row index
 * @return the unsorted row index
 */
public int getUnsortedRow(int sortedRow);

}
