/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCSpinBoxEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:46 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.util.swing;

import java.awt.*;
import java.awt.event.*;

/**
 * The editor component used for <code>JCSpinBox</code> components.
 */
public interface JCSpinBoxEditor {

/**
 * Returns the component that should be added to the tree hierarchy for
 * this editor.
 * @return component that should be added to the tree hierarchy
 */
public Component getEditorComponent();

/**
 * Sets the item that should be edited. Cancel any editing if necessary.
 * @param anObject
 */
public void setItem(Object anObject);

/**
 * Returns the edited item.
 * @return edited item
 */
public Object getItem();

/**
 * Asks the editor to start editing and to select everything.
 */
public void selectAll();

/**
 * Adds an <code>ActionListener</code>. An action event is generated when the
 * edited item changes.
 * @param l The action listener to be added
 */
public void addActionListener(ActionListener l);

/**
 * Removes an </code>ActionListener</code>.
 * @param l The action listener to be removed
 */
public void removeActionListener(ActionListener l);

}
