/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCSpinNumberBoxBeanInfo.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:46 $  $Locker:  $  Quest Software Inc.
package com.klg.jclass.util.swing;

import com.klg.jclass.beans.*;
import com.klg.jclass.util.value.JCValueListener;

/**
 * This is the Bean info class for <code>JCSpinNumberBox</code>.  It specifies the
 * properties and events.
 */
public class JCSpinNumberBoxBeanInfo extends ComponentBeanInfo {

public static final String OPERATION = "operation";
public static final String SPIN_STEP = "spinStep";
public static final String VALUE_P = "value";
public static final String EDITABLE = "editable";
public static final String ARROW_KEY_SPINNING_ALLOWED = "arrowKeySpinningAllowed";
public static final String CONTINUOUS_SCROLL = "continuousScroll";

public static final String VALUE_E = "Value";

protected static final JCPropertyDescriptor properties[] = {
    new JCPropertyDescriptor(OPERATION,
                             "com.klg.jclass.util.swing.beans.SpinNumberBoxOperationEditor"),
    new JCPropertyDescriptor(SPIN_STEP,
                             "com.klg.jclass.util.swing.beans.DoubleEditor"),
    new JCPropertyDescriptor(VALUE_P,
                             "com.klg.jclass.util.swing.beans.DoubleEditor"),
    new JCPropertyDescriptor(EDITABLE, EDITABLE, EDITABLE, true,
                             JCPropertyDescriptor.NORMAL, null),
    new JCPropertyDescriptor(ARROW_KEY_SPINNING_ALLOWED,
                             ARROW_KEY_SPINNING_ALLOWED,
                             ARROW_KEY_SPINNING_ALLOWED, true,
                             JCPropertyDescriptor.NORMAL, null),
    new JCPropertyDescriptor(CONTINUOUS_SCROLL, CONTINUOUS_SCROLL,
                             CONTINUOUS_SCROLL, true,
                             JCPropertyDescriptor.NORMAL, null),
};

protected static final JCEventSetDescriptor events[] = {
    new JCEventSetDescriptor(VALUE_E, VALUE_E, "com.klg.jclass.util.value",
                             "JCValueListener", VALUE_E,
                             new String[]{"valueChanging",
                                          "valueChanged"}),
};

protected static final String icons[] = {
    "icons/JCSpinNumberBoxIcon16.gif",
    "icons/JCSpinNumberBoxIcon16.gif",
    "icons/JCSpinNumberBoxIcon32.gif",
    "icons/JCSpinNumberBoxIcon32.gif"
};

public JCSpinNumberBoxBeanInfo()
{
    super(properties, events, "resources.LocaleInfo", icons);
}
}
