/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCSwingRunnable.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:46 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.util.swing;

import javax.swing.SwingUtilities;

/**
 * Absract runnable class that provides the <code>runSafe()</code> method.
 * After creating an object of this type one should call the
 * <code>runSafe()</code> method to get it going.
 */
public abstract class JCSwingRunnable implements Runnable
{

protected Object o;

public JCSwingRunnable()
{
	this(null);
}

public JCSwingRunnable(Object o)
{
	this.o = o;

	SwingUtilities.invokeLater(this);
	// Yield the current thread to get the event thread to execute now
	Thread.currentThread().yield();
}

/**
 * This method should be implemented to provide desired functionality.
 */
public abstract void run();

}

