/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: BoxAlignmentEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:46 $  $Locker:  $  Quest Software Inc.
package com.klg.jclass.util.swing.beans;

import java.beans.*;
import javax.swing.SwingConstants;
import com.klg.jclass.util.swing.JCBox;

public class BoxAlignmentEditor extends PropertyEditorSupport {

public static final String LEFT_STR = "Left";
public static final String TOP_STR = "Top";
public static final String CENTER_STR = "Center";
public static final String BOTTOM_STR = "Bottom";
public static final String RIGHT_STR = "Right";

public String[] getTags() {
    return new String[] {LEFT_STR,TOP_STR,CENTER_STR,BOTTOM_STR,RIGHT_STR};
}

public String getAsText() {
    switch(((Number) getValue()).intValue()) {
        default:
        case SwingConstants.LEFT :
            return LEFT_STR;
        case SwingConstants.TOP :
            return TOP_STR;
        case SwingConstants.CENTER :
            return CENTER_STR;
        case SwingConstants.BOTTOM :
            return BOTTOM_STR;
        case SwingConstants.RIGHT :
            return RIGHT_STR;
    }
}

public void setAsText(String s) {
    if(s.equals(LEFT_STR)) {
        setValue(new Integer(SwingConstants.LEFT));
    }
    else if(s.equals(TOP_STR)) {
        setValue(new Integer(SwingConstants.TOP));
    }
    else if(s.equals(CENTER_STR)) {
        setValue(new Integer(SwingConstants.CENTER));
    }
    else if(s.equals(BOTTOM_STR)) {
        setValue(new Integer(SwingConstants.BOTTOM));
    }
    else if(s.equals(RIGHT_STR)) {
        setValue(new Integer(SwingConstants.RIGHT));
    }
    else {
        throw new IllegalArgumentException(s);
    }
}

public String getJavaInitializationString() {
    switch(((Number) getValue()).intValue()) {
        default:
        case SwingConstants.LEFT :
            return "javax.swing.SwingConstants.LEFT";
        case SwingConstants.TOP :
            return "javax.swing.SwingConstants.TOP";
        case SwingConstants.CENTER :
            return "javax.swing.SwingConstants.CENTER";
        case SwingConstants.BOTTOM :
            return "javax.swing.SwingConstants.BOTTOM";
        case SwingConstants.RIGHT :
            return "javax.swing.SwingConstants.RIGHT";
    }
}

}


