/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: BraceOrientationEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:46 $  $Locker:  $  Quest Software Inc.
package com.klg.jclass.util.swing.beans;

import java.beans.*;

import com.klg.jclass.util.swing.JCBrace;

public class BraceOrientationEditor extends PropertyEditorSupport {

public static final String HORIZONTAL_STR = "Horizontal";
public static final String VERTICAL_STR = "Vertical";

public String[] getTags() {
    return new String[] {HORIZONTAL_STR,VERTICAL_STR};
}

public String getAsText() {
    switch(((Number) getValue()).intValue()) {
        default:
        case JCBrace.HORIZONTAL :
            return HORIZONTAL_STR;
        case JCBrace.VERTICAL :
            return VERTICAL_STR;
    }
}

public void setAsText(String s) {
    if(s.equals(HORIZONTAL_STR)) {
        setValue(new Integer(JCBrace.HORIZONTAL));
    }
    else if(s.equals(VERTICAL_STR)) {
        setValue(new Integer(JCBrace.VERTICAL));
    }
    else {
        throw new IllegalArgumentException(s);
    }
}

public String getJavaInitializationString() {
    switch(((Number) getValue()).intValue()) {
        default:
        case JCBrace.HORIZONTAL :
            return "com.klg.jclass.util.swing.JCBrace.HORIZONTAL";
        case JCBrace.VERTICAL :
            return "com.klg.jclass.util.swing.JCBrace.VERTICAL";
    }
}

}


