/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: DoubleEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:46 $  $Locker:  $  Quest Software Inc.
package com.klg.jclass.util.swing.beans;

import java.beans.*;
import java.awt.*;

public class DoubleEditor extends PropertyEditorSupport {

protected Double num;

public Object getValue () {
    if (num == null){
	return null;
    }
    return new Double(num.doubleValue());
}

public void setValue(Object o) {
    Number n = (Number) o;
    if(n != null) {
        num = new Double(n.doubleValue());
    }
}

public String getAsText() {
    if(num == null) {
        return "";
    }
    else {
        return "" + num;
    }
}

public void setAsText(String s) throws IllegalArgumentException {
    try {
        num = new Double(s);
        firePropertyChange();
    }
    catch (NumberFormatException e) {
        throw new IllegalArgumentException(s + " is not a valid Number");
    }
}

public String getJavaInitializationString() {
    return new String("new Double(" + num + ")");
}

}
