/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: ListModelEditor.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:46 $ $Locker:  $ Quest Software Inc.

package com.klg.jclass.util.swing.beans;

import javax.swing.*;
import java.awt.Component;
import java.awt.Dimension;
import java.awt.event.*;
import com.klg.jclass.beans.AbstractListEditor;
import com.klg.jclass.util.swing.JCGridLayout;

public class ListModelEditor extends AbstractListEditor {

public static final String LISTMODEL_HELP = "ListModelEditor";

public ListModelEditor() {
	super("com.klg.jclass.util.swing.beans.resources.LocaleInfo", LISTMODEL_HELP,
		  "List Editor");
	setPreferredSize(new Dimension(300,200));
}

/**
 * This method will convert the String value into an object.
 */
protected Object parse(String text) {
	
	// if text is empty, don't bother parsing so it won't be added to the
	// list
	if (text.equals("")) {
		return null;
	}
	return text;
}

/**
 * Determines if a custom list cell renderer is needed to display the list
 * values in the list.  If true, the getCellRenderer method must be
 * overridden to return the ListCellRenderer.
 */
protected boolean hasListCellRenderer() {
	return false;
}

/**
 * Returns the code generation string.
 */
public String getJavaInitializationString() {
	// build the string array

	String init_string = "new com.klg.jclass.util.swing.JCListModel(new String[] {";

    DefaultListModel listModel = (DefaultListModel)list.getModel();
    Object stringArray[] = listModel.toArray();

	for (int i = 0; i < stringArray.length; i++) {
		init_string += "\"" + stringArray[i] + "\"";
		if (i != stringArray.length - 1) {
			init_string += ",";
		}
	}
    init_string += "})";

	return init_string;
}

/**
 * Returns the value of the property.
 */
public Object getValue() {
    DefaultListModel newModel = new DefaultListModel();
    DefaultListModel model = (DefaultListModel) list.getModel();
    if(model != null) {
        for(int i = 0;i < model.getSize();i++) {
            newModel.addElement(model.getElementAt(i));
        }
    }
    return newModel;
}

/**
 * Sets the value of the property.
 */
public void setValue(Object o) {
    if (o instanceof DefaultListModel) {
        DefaultListModel model = (DefaultListModel) o;
        if(model != null) {
		    DefaultListModel listModel = (DefaultListModel)list.getModel();
            listModel.removeAllElements();
            for(int i = 0;i < model.getSize();i++) {
                 listModel.addElement(model.getElementAt(i));
            }
        }
    }
}


public static void main(String[] args) {
	JFrame f = new JFrame();
	f.getContentPane().add(new ListModelEditor());
	f.pack();
	f.show();
}
}
