/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: PrototypeObjectEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:46 $  $Locker:  $  Quest Software Inc.
package com.klg.jclass.util.swing.beans;

import java.beans.*;
import java.awt.*;

public class PrototypeObjectEditor extends PropertyEditorSupport {

protected String str = null;

public Object getValue () {
    if (str == null) {
	return null;
    }
    return new String(str);
}

public String getJavaInitializationString() {
    String initString;
    if(str == null) {
        initString = new String("\"\"");
    }
    else {
        initString = new String("\"" + str + "\"");
    }
    return initString;
}


public void setValue(Object o) {
    if(o instanceof String) {
        String s = (String) o;
        if(s == null) {
            str = new String("");
        }
        else {
            str = new String(s);
        }
    }
}

public String getAsText() {
    if(str == null) {
        return "";
    }
    else {
        return str;
    }
}

public void setAsText(String s) throws IllegalArgumentException {
        str = new String(s);
        firePropertyChange();
}
}    
