/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: SelectionModelEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:46 $  $Locker:  $  Quest Software Inc.
package com.klg.jclass.util.swing.beans;

import java.beans.*;
import javax.swing.ListSelectionModel;

public class SelectionModelEditor extends PropertyEditorSupport {

public static final String SINGLE_SELECTION_STR = "Single";
public static final String SINGLE_INTERVAL_SELECTION_STR = "Single Interval";
public static final String MULTIPLE_INTERVAL_SELECTION_STR = "Multiple Interval";

public String[] getTags() {
    return new String[] {SINGLE_SELECTION_STR,SINGLE_INTERVAL_SELECTION_STR,MULTIPLE_INTERVAL_SELECTION_STR};
}

public String getAsText() {
    switch(((Number) getValue()).intValue()) {
        default:
        case ListSelectionModel.SINGLE_SELECTION :
            return SINGLE_SELECTION_STR;
        case ListSelectionModel.SINGLE_INTERVAL_SELECTION :
            return SINGLE_INTERVAL_SELECTION_STR;
        case ListSelectionModel.MULTIPLE_INTERVAL_SELECTION :
            return MULTIPLE_INTERVAL_SELECTION_STR;
    }
}

public void setAsText(String s) {
    if(s.equals(SINGLE_SELECTION_STR)) {
        setValue(new Integer(ListSelectionModel.SINGLE_SELECTION));
    }
    else if(s.equals(SINGLE_INTERVAL_SELECTION_STR)) {
        setValue(new Integer(ListSelectionModel.SINGLE_INTERVAL_SELECTION));
    }
    else if(s.equals(MULTIPLE_INTERVAL_SELECTION_STR)) {
        setValue(new Integer(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION));
    }
    else {
        throw new IllegalArgumentException(s);
    }
}

public String getJavaInitializationString() {
    switch(((Number) getValue()).intValue()) {
        default:
        case ListSelectionModel.SINGLE_SELECTION :
            return "javax.swing.ListSelectionModel.SINGLE_SELECTION";
        case ListSelectionModel.SINGLE_INTERVAL_SELECTION :
            return "javax.swing.ListSelectionModel.SINGLE_INTERVAL_SELECTION";
        case ListSelectionModel.MULTIPLE_INTERVAL_SELECTION :
            return "javax.swing.ListSelectionModel.MULTIPLE_INTERVAL_SELECTION";
    }
}

}

