/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: SpinBoxModelEditor.java,v $ $Revision: 1.2 $ $Date: 2006-03-17 21:13:46 $ $Locker:  $ Quest Software Inc.

package com.klg.jclass.util.swing.beans;

import javax.swing.*;
import java.awt.Component;
import java.awt.Dimension;
import java.awt.event.*;
import com.klg.jclass.beans.StringListEditor;
import com.klg.jclass.util.swing.JCGridLayout;
import com.klg.jclass.util.swing.DefaultSpinBoxModel;
import com.klg.jclass.util.swing.JCSpinBoxModel;

public class SpinBoxModelEditor extends StringListEditor {

public static final String SPINBOXMODEL_HELP = "SpinBoxModelEditor";

public SpinBoxModelEditor() {
	super("com.klg.jclass.util.swing.beans.resources.LocaleInfo", SPINBOXMODEL_HELP,  
		  "SpinBox List Editor");
	setPreferredSize(new Dimension(300,200));
}

/**
 * Returns the code generation string.
 */
public String getJavaInitializationString() {
	String init_string = "new com.klg.jclass.util.swing.DefaultSpinBoxModel(new String[] {";

    DefaultListModel listModel = (DefaultListModel)list.getModel();
    Object stringArray[] = listModel.toArray();

	for (int i = 0; i < stringArray.length; i++) {
		init_string += "\"" + stringArray[i] + "\"";
		if (i != stringArray.length - 1) {
			init_string += ",";
		}
	}
    init_string += "})";

	return init_string;
}

/**
 * Returns the value of the property.
 */
public Object getValue() {
//    System.out.println("Get Value ");

    DefaultListModel model = (DefaultListModel)list.getModel();
    stringArray = model.toArray();

    DefaultSpinBoxModel m;
    if(stringArray == null) {
        m = new DefaultSpinBoxModel();
    }
    else {
        m = new DefaultSpinBoxModel(stringArray);
    }
    return m;
}

/**
 * Sets the value of the property.
 */
public void setValue(Object o) {
//    System.out.println("Set Value " + o + " C " + o.getClass().getName());
    DefaultSpinBoxModel model = (DefaultSpinBoxModel) o;
    if(model != null) {
        DefaultListModel listModel = (DefaultListModel)list.getModel();
        listModel.removeAllElements();
        for(int i = 0;i < model.getSize();i++) {
            listModel.addElement(model.getElementAt(i));
        }
    }
}


public static void main(String[] args) {
	JFrame f = new JFrame();
	f.getContentPane().add(new SpinBoxModelEditor());
	f.pack();
	f.show();
}
}
