/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: SpinNumberBoxOperationEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:46 $  $Locker:  $  Quest Software Inc.
package com.klg.jclass.util.swing.beans;

import java.beans.*;

import com.klg.jclass.util.swing.JCSpinNumberBox;

public class SpinNumberBoxOperationEditor extends PropertyEditorSupport {

public static final String INTEGER_STR = "Integer";
public static final String FLOATING_POINT_STR = "Floating Point";

public String[] getTags() {
    return new String[] {INTEGER_STR,FLOATING_POINT_STR};
}

public String getAsText() {
    switch(((Number) getValue()).intValue()) {
        default:
        case JCSpinNumberBox.INTEGER :
            return INTEGER_STR;
        case JCSpinNumberBox.FLOATING_POINT :
            return FLOATING_POINT_STR;
    }
}

public void setAsText(String s) {
    if(s.equals(INTEGER_STR)) {
        setValue(new Integer(JCSpinNumberBox.INTEGER));
    }
    else if(s.equals(FLOATING_POINT_STR)) {
        setValue(new Integer(JCSpinNumberBox.FLOATING_POINT));
    }
    else {
        throw new IllegalArgumentException(s);
    }
}

public String getJavaInitializationString() {
    switch(((Number) getValue()).intValue()) {
        default:
        case JCSpinNumberBox.INTEGER :
            return "com.klg.jclass.util.swing.JCSpinNumberBox.INTEGER";
        case JCSpinNumberBox.FLOATING_POINT :
            return "com.klg.jclass.util.swing.JCSpinNumberBox.FLOATING_POINT";
    }
}

}


