/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: URLEditor.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:46 $  $Locker:  $  Quest Software Inc.
package com.klg.jclass.util.swing.beans;

import java.beans.*;
import java.awt.*;
import java.net.URL;
import java.net.MalformedURLException;

public class URLEditor extends PropertyEditorSupport {

protected URL url;

public Object getValue () {
    if (url == null) {
	return null;
    }
    try {
        return new URL(url.toString());
    }
    catch (MalformedURLException e) {
        return null;
    }
}

public void setValue(Object o) {
    try {
        URL u = (URL) o;
        if(u == null) {
            url = new URL("");
        }
        else {
            url = new URL(u.toString());
        }
    }
    catch (MalformedURLException e) {
    }
}

public String getAsText() {
    if(url == null) {
        return "";
    }
    else {
        return url.toString();
    }
}

public void setAsText(String s) throws IllegalArgumentException {
    try {
        url = new URL(s);
        firePropertyChange();
    }
    catch (MalformedURLException e) {
        throw new IllegalArgumentException(s + " is not a valid URL");
    }
}

public String getJavaInitializationString() {
    return new String("new java.net.URL(\"" + url.toString() + "\")");
}


}
