/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

// RCSID -- $RCSfile: Java3dImageable.java,v $ $Revision: 1.2 $
//          $Date: 2006-03-17 21:13:47 $ $Locker:  $ Quest Software Inc.

package com.klg.jclass.util.swing.encode;

import java.awt.Image;
import java.awt.Point;

/**
 *  Used to mark a component that uses Java3D drawing as one that can
 *  encode such drawing to an image.
 */
public interface Java3dImageable
{

/**
 * Get an image represention of the Java3d objects used by the 
 * implementing class.
 * @param imagePosition a Point object.  To be filled with the location
 *        of the within the implementing component.
 * @return an Image class representation of the Java3d objects used by
 *         the implementing class.  Null if no image can be created.
 */
public Image getJava3dAsImage(Point imagePosition);

}
