/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/


// RCSID -- $RCSfile: PSEncoder.java,v $ $Revision: 1.2 $
//          $Date: 2006-03-17 21:13:47 $ $Locker:  $ Quest Software Inc.

package com.klg.jclass.util.swing.encode.page;

import java.io.IOException;
import java.io.OutputStream;


import java.util.List;
import java.util.Vector;





import com.klg.jclass.util.swing.encode.EncoderException;
import com.klg.jclass.page.JCDocument;
import com.klg.jclass.page.JCFlow;
import com.klg.jclass.page.JCPage;
import com.klg.jclass.page.JCPrinter;
import com.klg.jclass.page.JCUnit;
import com.klg.jclass.page.adobe.postscript.JCPostScriptPrinter;

/**
 * This class encodes a PostScript file from a Component or Image to an
 * OutputStream.
 * It needs JClass PageLayout to compile and to be used.
*/
public class PSEncoder extends AbstractVectorEncoder {

public JCDocument createOutput(OutputStream os)
				  throws IOException, EncoderException {

	// Verify the inputs
	if (comp == null && img == null) {
		error("PS encoding error: Component/Image is null");
    }
    if (outfile == null) {
		error("PS encoding error: OutputStream is null");
	}

	// Create a printer and document
	JCPrinter printer = new JCPostScriptPrinter(os);
	JCDocument doc = new JCDocument(printer);

	// Determine the size of the object to be printed
	JCUnit.Dimension size = getObjectSize();

	// Create a template and translate it into the printable page area
	JCPage templatePage = createTemplatePage(size);
	templatePage.setLocation(new JCUnit.Point(JCUnit.INCHES, 0.5, 0.5));

	// Add the template page to the document
	List templateList = new Vector();
	templateList.add(createTemplatePage(size));
	doc.setTemplates(templateList);

	return(doc);
}

}
