/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: DefaultTreeIconRenderer.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:48 $  $Locker:  $  Quest Software Inc.
package com.klg.jclass.util.treetable;

import java.io.Serializable;
import javax.swing.Icon;
import javax.swing.tree.TreeModel;

/**
 * Simple icon renderer for the default handling of icons in trees.
 */
public class DefaultTreeIconRenderer implements JCTreeIconRenderer,
                                                Serializable
{

/**
 * Returns the icon to render to the right of the specified value. This
 * simple implementation returns the <code>plaf_icon</code> passed to it.
 * @param treemodel the treemodel being rendered
 * @param node the node of the treemodel being rendered
 * @param value the value of the node being rendered
 * @param object_class the class of the value being rendered if know.
 * null otherwise.
 * @param is_leaf is the node a leaf or not
 * @param is_expanded whether the node has been expanded or not
 * @param plaf_icon the icon that the plaf would would like to draw
 */
public Icon getNodeIcon(TreeModel treemodel, Object node, Object value,
						Class object_class, boolean is_leaf,
						boolean is_expanded, Icon plaf_icon)
{
	return(plaf_icon);
}

}
