/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCTreeIconRenderer.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:48 $  $Locker:  $  Quest Software Inc.
package com.klg.jclass.util.treetable;

import javax.swing.tree.TreeModel;
import javax.swing.Icon;

/**
 * Interface that represents a class that renders a tree icon.  Although not a
 * renderer in the strict definition of the word, this interface
 * provides the icon to be rendered.  It is not necessary to make this
 * interface do the rendering since Icons know how to render themselves.
 * <p>A default implementation of this class simply returns the
 * <i>plaf</i> icon passed in.<p>
 * The purpose of this mechanism is to allow a user to override the icons
 * being drawn in a tree without a) having to figure out the <i>plaf</i>
 * for the icons that they do not wish to override and b) overidding simple
 * datatype editors.
 */
public interface JCTreeIconRenderer {

/**
 * Returns the icon to render to the right of the specified value.
 * @param treemodel the treemodel being rendered
 * @param node the node of the treemodel being rendered
 * @param value the value of the node being rendered
 * @param object_class the class of the value being rendered if known;
 * null otherwise
 * @param is_leaf is the node a leaf or not
 * @param is_expanded whether the node has been expanded or not
 * @param plaf_icon the icon that the <i>plaf</i> would would like to draw
 * @return icon to render
 */
public Icon getNodeIcon(TreeModel treemodel, Object node, Object value,
						Class object_class, boolean is_leaf,
						boolean is_expanded, Icon plaf_icon);

}
