/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCValueEvent.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:49 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.util.value;

/**
 * Value Event.
 */
public class JCValueEvent {

protected Object   source;
protected Object   oldValue;
protected Object   newValue;
protected boolean  allowChange = true;

/**
 * Constructs a new value event.
 * @param new_value
 * @param old_value
 * @param source
 */
public JCValueEvent(Object source, Object old_value, Object new_value)
{
	this.source = source;
	oldValue = old_value;
	newValue = new_value;
}

/**
 * Returns the value model in which the change is occurring.
 * @return value model in which the change is occurring
 */
public Object getSource()
{
    return(source);
}

/**
 * During a <code>valueChanging()</code> event, this is equivalent to
 * <code>getValueModel().getValue()</code>.
 * @return
 */
public Object getOldValue()
{
    return(oldValue);
}

/**
 * During a <code>valueChanged()</code> event, this is equivalent to
 * <code>getValueModel().getValue()</code>.
 * @return
 */
public Object getNewValue()
{
    return(newValue);
}

/**
 * During a <code>valueChanging()</code> event, it is possible to change to a
 * new value by calling this method.
 * @param new_value
 */
public void setNewValue(Object new_value)
{
    newValue = new_value;
}

/**
 * Tests whether a change is allowed.
 * @return
 */
public boolean getAllowChange()
{
    return(allowChange);
}

/**
 * Sets the <code>allowChange</code> flag, to allow or prevent the value from
 * changing.
 * @param allow
 */
public void setAllowChange(boolean allow)
{
    allowChange = allow;
}

}
