/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCValueListener.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:49 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.util.value;

/**
 * Interface for creating value listeners.
 */
public interface JCValueListener extends java.util.EventListener {

/**
 * The value is changing.  A listener may further change the
 * <code>new_value</code> or abort the change altogether.  In the case of an
 * abort (initiatied by calling <code>event.setAllowChange(false)</code>), the
 * <code>valueChanged</code> method will never be called.
 * @param event The event generated by the value changing
 */
public void valueChanging(JCValueEvent event);

/**
 * The method informs a listener that the value has been changed.
 * @param event The event generated by the value changed
 */
public void valueChanged(JCValueEvent event);

}
