/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCValueModel.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:49 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.util.value;

/**
 * Interface for creating value models.
 */
public interface JCValueModel extends java.io.Serializable {

/**
 * Adds a listener for changes to the value.
 * @param listener The listener to add
 */
public void addValueListener(JCValueListener listener);

/**
 * Removes a listener for changes to the value.
 * @param listener The listener to remove
 */
public void removeValueListener(JCValueListener listener);

/**
 * Sets the internal core value.  Calls <code>setValue(value, true)</code>. In
 * other words, <code>exitOnDetectingEquality</code> is set to
 * <code>true</code>.
 * @param value The new value
 */
public void setValue(Object value);

/**
 * Sets the internal core value but optionally exits before setting the
 * value (after the <code>valueChanging</code> event, but before the
 * <code>valueChanged</code> event) if the new and old values are equal.
 * @param exitOnDetectingEquality If true, nothing is done  if the new value
 * equals the existing value.
 * @param value The new value
 */
public void setValue(Object value, boolean exitOnDetectingEquality);

/**
 * Returns the internal core value.
 * @return internal core value
 */
public Object getValue();

/**
 * Returns the type of the core value. It is necessary to store the
 * class of the value separately from the object becuase if the value object is
 * null, then the class information is lost.
 * @return type of the core value
 */
public Class getValueClass();

}
