/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: MutableValueModel.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:49 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.util.value;

/**
 * Generic Value model that is configurable to any class
 */
public class MutableValueModel extends AbstractValueModel {

protected Class c = Object.class;

/**
 * Empty constructor.  Must be followed immediately by a call to
 * setValueClass()
 * @see #setValueClass
 */
public MutableValueModel() {}

public MutableValueModel(Class c, Object value)
{
    this.c = c;
    setValue(value);
}

/**
 * Returns the type of the core value, by default an Object.
 */
public Class getValueClass()
{
    return(c);
}

/**
 * Sets the type of the core value
 */
public void setValueClass(Class c)
{
    this.c = c;
}

}
