/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCTablePopulator.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:49 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.util.xml;

import java.util.Vector;

/**
 * This interface is implemented by classes using the 
 * <code>com.klg.util.jclass.xml.JCTableXMLParser</code> class to
 * populate a table.  The table being populated is up
 * to the implementor of this class.
 */
public interface JCTablePopulator {

/**
 * Populate the table with the given data.
 * @param rowV a vector of vectors, where each inside vector represents
 *             one row in the table
 * @param rowLabelV a vector containing the row labels for this table
 * @param colLabelV a vector containing the column labels for this table
 * @param nrows the number of rows in this table
 * @param ncols the number of columns in this table
 */
public void setTableData(Vector rowV, Vector rowLabelV, Vector colLabelV,
                         int nrows, int ncols);

}
