/* 
______________________________________________________________________
*
* Copyright (c) 1996-2004 QUEST SOFTWARE INC.  All Rights Reserved.
* http://java.quest.com
*
* This software is the confidential and proprietary information of
* Quest Software Inc. ("Confidential Information").  You shall not disclose
* such Confidential Information and shall use it only in accordance with the
* terms of the license agreement you entered into with Quest Software.
*
* QUEST SOFTWARE MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT THE SUITABILITY
* OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED
* TO THE IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR
* PURPOSE, OR NON-INFRINGEMENT. QUEST SOFTWARE SHALL NOT BE LIABLE FOR ANY
* DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
* DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
* ______________________________________________________________________
*/

//   RCSID -- $RCSfile: JCXMLErrorPrinter.java,v $ $Revision: 1.2 $
//            $Date: 2006-03-17 21:13:49 $  $Locker:  $  Quest Software Inc.

package com.klg.jclass.util.xml;

import org.xml.sax.ErrorHandler;
import org.xml.sax.SAXParseException;

/**
 * An output mechanism for XML parsing-related errors.
 */
public class JCXMLErrorPrinter implements ErrorHandler, java.io.Serializable 
{

private void message(String level, SAXParseException e)
{
    System.err.print("** ");
    System.err.println(level);
    System.err.print("   URI = ");
    System.err.print(e.getSystemId());
    System.err.print(" Line = ");
    System.err.println(e.getLineNumber());
    System.err.print("   Message = ");
    System.err.println(e.getMessage());

    /*
    if (e.getException () != null)
    e.getException ().printStackTrace (System.out);
    else
    e.printStackTrace (System.out);
    */
}

public void error(SAXParseException e)
{
    // normally a validity error
    message("Error (recoverable)", e);
}

public void warning(SAXParseException e)
{
    message("Warning", e);
}

public void fatalError(SAXParseException e)
{
    message("FATAL ERROR", e);
}

}
